#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2861
#define LARGE_STATE_COUNT 464
#define SYMBOL_COUNT 267
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  aux_sym_comment_token1 = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_expression_statement = 151,
  sym_variable_declaration = 152,
  sym_lexical_declaration = 153,
  sym_variable_declarator = 154,
  sym_statement_block = 155,
  sym_else_clause = 156,
  sym_if_statement = 157,
  sym_switch_statement = 158,
  sym_for_statement = 159,
  sym_for_in_statement = 160,
  sym__for_header = 161,
  sym_while_statement = 162,
  sym_do_statement = 163,
  sym_try_statement = 164,
  sym_with_statement = 165,
  sym_break_statement = 166,
  sym_continue_statement = 167,
  sym_debugger_statement = 168,
  sym_return_statement = 169,
  sym_throw_statement = 170,
  sym_empty_statement = 171,
  sym_labeled_statement = 172,
  sym_switch_body = 173,
  sym_switch_case = 174,
  sym_switch_default = 175,
  sym_catch_clause = 176,
  sym_finally_clause = 177,
  sym_parenthesized_expression = 178,
  sym_expression = 179,
  sym_primary_expression = 180,
  sym_yield_expression = 181,
  sym_object = 182,
  sym_object_pattern = 183,
  sym_assignment_pattern = 184,
  sym_object_assignment_pattern = 185,
  sym_array = 186,
  sym_array_pattern = 187,
  sym_glimmer_template = 188,
  sym_glimmer_opening_tag = 189,
  sym_glimmer_closing_tag = 190,
  sym_jsx_element = 191,
  sym_jsx_text = 192,
  sym_jsx_expression = 193,
  sym_jsx_opening_element = 194,
  sym_nested_identifier = 195,
  sym_jsx_namespace_name = 196,
  sym_jsx_closing_element = 197,
  sym_jsx_self_closing_element = 198,
  sym_jsx_attribute = 199,
  sym__jsx_string = 200,
  sym_class = 201,
  sym_class_declaration = 202,
  sym_class_heritage = 203,
  sym_function_expression = 204,
  sym_function_declaration = 205,
  sym_generator_function = 206,
  sym_generator_function_declaration = 207,
  sym_arrow_function = 208,
  sym_call_expression = 209,
  sym_new_expression = 210,
  sym_await_expression = 211,
  sym_member_expression = 212,
  sym_subscript_expression = 213,
  sym_assignment_expression = 214,
  sym__augmented_assignment_lhs = 215,
  sym_augmented_assignment_expression = 216,
  sym__initializer = 217,
  sym__destructuring_pattern = 218,
  sym_spread_element = 219,
  sym_ternary_expression = 220,
  sym_binary_expression = 221,
  sym_unary_expression = 222,
  sym_update_expression = 223,
  sym_sequence_expression = 224,
  sym_string = 225,
  sym_comment = 226,
  sym_template_string = 227,
  sym_template_substitution = 228,
  sym_regex = 229,
  sym_meta_property = 230,
  sym_arguments = 231,
  sym_decorator = 232,
  sym_decorator_member_expression = 233,
  sym_decorator_call_expression = 234,
  sym_class_body = 235,
  sym_field_definition = 236,
  sym_formal_parameters = 237,
  sym_class_static_block = 238,
  sym_pattern = 239,
  sym_rest_pattern = 240,
  sym_method_definition = 241,
  sym_pair = 242,
  sym_pair_pattern = 243,
  sym__property_name = 244,
  sym_computed_property_name = 245,
  aux_sym_program_repeat1 = 246,
  aux_sym_export_statement_repeat1 = 247,
  aux_sym_export_clause_repeat1 = 248,
  aux_sym_named_imports_repeat1 = 249,
  aux_sym_variable_declaration_repeat1 = 250,
  aux_sym_switch_body_repeat1 = 251,
  aux_sym_object_repeat1 = 252,
  aux_sym_object_pattern_repeat1 = 253,
  aux_sym_array_repeat1 = 254,
  aux_sym_array_pattern_repeat1 = 255,
  aux_sym_glimmer_template_repeat1 = 256,
  aux_sym_jsx_element_repeat1 = 257,
  aux_sym_jsx_opening_element_repeat1 = 258,
  aux_sym__jsx_string_repeat1 = 259,
  aux_sym__jsx_string_repeat2 = 260,
  aux_sym_sequence_expression_repeat1 = 261,
  aux_sym_string_repeat1 = 262,
  aux_sym_string_repeat2 = 263,
  aux_sym_template_string_repeat1 = 264,
  aux_sym_class_body_repeat1 = 265,
  aux_sym_formal_parameters_repeat1 = 266,
  alias_sym_property_identifier = 267,
  alias_sym_shorthand_property_identifier = 268,
  alias_sym_shorthand_property_identifier_pattern = 269,
  alias_sym_statement_identifier = 270,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 10,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 16,
  [20] = 18,
  [21] = 16,
  [22] = 18,
  [23] = 16,
  [24] = 18,
  [25] = 18,
  [26] = 16,
  [27] = 16,
  [28] = 16,
  [29] = 18,
  [30] = 16,
  [31] = 16,
  [32] = 18,
  [33] = 18,
  [34] = 34,
  [35] = 16,
  [36] = 18,
  [37] = 18,
  [38] = 16,
  [39] = 18,
  [40] = 16,
  [41] = 18,
  [42] = 18,
  [43] = 18,
  [44] = 18,
  [45] = 16,
  [46] = 18,
  [47] = 16,
  [48] = 16,
  [49] = 16,
  [50] = 18,
  [51] = 18,
  [52] = 18,
  [53] = 16,
  [54] = 18,
  [55] = 16,
  [56] = 18,
  [57] = 16,
  [58] = 18,
  [59] = 16,
  [60] = 18,
  [61] = 61,
  [62] = 16,
  [63] = 63,
  [64] = 18,
  [65] = 16,
  [66] = 16,
  [67] = 18,
  [68] = 16,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 72,
  [77] = 77,
  [78] = 78,
  [79] = 72,
  [80] = 73,
  [81] = 78,
  [82] = 72,
  [83] = 74,
  [84] = 71,
  [85] = 85,
  [86] = 85,
  [87] = 70,
  [88] = 77,
  [89] = 70,
  [90] = 74,
  [91] = 69,
  [92] = 75,
  [93] = 73,
  [94] = 78,
  [95] = 71,
  [96] = 77,
  [97] = 85,
  [98] = 75,
  [99] = 74,
  [100] = 74,
  [101] = 71,
  [102] = 69,
  [103] = 77,
  [104] = 85,
  [105] = 72,
  [106] = 77,
  [107] = 70,
  [108] = 70,
  [109] = 69,
  [110] = 69,
  [111] = 75,
  [112] = 71,
  [113] = 73,
  [114] = 78,
  [115] = 78,
  [116] = 73,
  [117] = 75,
  [118] = 85,
  [119] = 119,
  [120] = 119,
  [121] = 119,
  [122] = 119,
  [123] = 119,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 124,
  [129] = 124,
  [130] = 130,
  [131] = 124,
  [132] = 132,
  [133] = 132,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 134,
  [138] = 136,
  [139] = 136,
  [140] = 136,
  [141] = 134,
  [142] = 132,
  [143] = 132,
  [144] = 134,
  [145] = 136,
  [146] = 134,
  [147] = 132,
  [148] = 148,
  [149] = 135,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 135,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 150,
  [168] = 152,
  [169] = 152,
  [170] = 165,
  [171] = 159,
  [172] = 164,
  [173] = 163,
  [174] = 151,
  [175] = 165,
  [176] = 162,
  [177] = 161,
  [178] = 160,
  [179] = 154,
  [180] = 156,
  [181] = 151,
  [182] = 166,
  [183] = 183,
  [184] = 154,
  [185] = 135,
  [186] = 183,
  [187] = 156,
  [188] = 159,
  [189] = 161,
  [190] = 158,
  [191] = 160,
  [192] = 157,
  [193] = 158,
  [194] = 157,
  [195] = 195,
  [196] = 164,
  [197] = 166,
  [198] = 163,
  [199] = 162,
  [200] = 200,
  [201] = 154,
  [202] = 202,
  [203] = 202,
  [204] = 161,
  [205] = 160,
  [206] = 206,
  [207] = 152,
  [208] = 156,
  [209] = 209,
  [210] = 165,
  [211] = 202,
  [212] = 159,
  [213] = 163,
  [214] = 151,
  [215] = 166,
  [216] = 202,
  [217] = 162,
  [218] = 158,
  [219] = 157,
  [220] = 220,
  [221] = 164,
  [222] = 202,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 223,
  [228] = 228,
  [229] = 223,
  [230] = 223,
  [231] = 226,
  [232] = 223,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 233,
  [237] = 233,
  [238] = 238,
  [239] = 238,
  [240] = 238,
  [241] = 238,
  [242] = 238,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 246,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 247,
  [254] = 244,
  [255] = 250,
  [256] = 247,
  [257] = 249,
  [258] = 247,
  [259] = 259,
  [260] = 244,
  [261] = 250,
  [262] = 249,
  [263] = 244,
  [264] = 246,
  [265] = 250,
  [266] = 251,
  [267] = 267,
  [268] = 251,
  [269] = 269,
  [270] = 251,
  [271] = 271,
  [272] = 246,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 267,
  [277] = 259,
  [278] = 278,
  [279] = 244,
  [280] = 250,
  [281] = 249,
  [282] = 252,
  [283] = 246,
  [284] = 284,
  [285] = 267,
  [286] = 259,
  [287] = 267,
  [288] = 275,
  [289] = 275,
  [290] = 259,
  [291] = 275,
  [292] = 251,
  [293] = 249,
  [294] = 278,
  [295] = 275,
  [296] = 267,
  [297] = 247,
  [298] = 298,
  [299] = 259,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 300,
  [316] = 300,
  [317] = 313,
  [318] = 318,
  [319] = 312,
  [320] = 308,
  [321] = 311,
  [322] = 322,
  [323] = 322,
  [324] = 310,
  [325] = 307,
  [326] = 306,
  [327] = 305,
  [328] = 328,
  [329] = 329,
  [330] = 304,
  [331] = 331,
  [332] = 305,
  [333] = 333,
  [334] = 303,
  [335] = 335,
  [336] = 336,
  [337] = 335,
  [338] = 338,
  [339] = 308,
  [340] = 340,
  [341] = 341,
  [342] = 328,
  [343] = 336,
  [344] = 308,
  [345] = 345,
  [346] = 331,
  [347] = 340,
  [348] = 336,
  [349] = 306,
  [350] = 335,
  [351] = 328,
  [352] = 352,
  [353] = 353,
  [354] = 331,
  [355] = 307,
  [356] = 338,
  [357] = 329,
  [358] = 310,
  [359] = 311,
  [360] = 302,
  [361] = 312,
  [362] = 303,
  [363] = 363,
  [364] = 328,
  [365] = 338,
  [366] = 333,
  [367] = 313,
  [368] = 304,
  [369] = 305,
  [370] = 306,
  [371] = 302,
  [372] = 307,
  [373] = 310,
  [374] = 311,
  [375] = 312,
  [376] = 313,
  [377] = 377,
  [378] = 336,
  [379] = 338,
  [380] = 329,
  [381] = 300,
  [382] = 335,
  [383] = 318,
  [384] = 318,
  [385] = 318,
  [386] = 322,
  [387] = 304,
  [388] = 322,
  [389] = 341,
  [390] = 303,
  [391] = 391,
  [392] = 340,
  [393] = 341,
  [394] = 322,
  [395] = 318,
  [396] = 301,
  [397] = 300,
  [398] = 313,
  [399] = 312,
  [400] = 400,
  [401] = 328,
  [402] = 308,
  [403] = 302,
  [404] = 311,
  [405] = 329,
  [406] = 340,
  [407] = 335,
  [408] = 310,
  [409] = 307,
  [410] = 336,
  [411] = 338,
  [412] = 306,
  [413] = 340,
  [414] = 331,
  [415] = 305,
  [416] = 304,
  [417] = 303,
  [418] = 302,
  [419] = 419,
  [420] = 420,
  [421] = 329,
  [422] = 331,
  [423] = 423,
  [424] = 423,
  [425] = 423,
  [426] = 426,
  [427] = 426,
  [428] = 426,
  [429] = 429,
  [430] = 429,
  [431] = 429,
  [432] = 426,
  [433] = 426,
  [434] = 434,
  [435] = 435,
  [436] = 434,
  [437] = 435,
  [438] = 435,
  [439] = 434,
  [440] = 440,
  [441] = 440,
  [442] = 440,
  [443] = 443,
  [444] = 440,
  [445] = 440,
  [446] = 446,
  [447] = 447,
  [448] = 443,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 451,
  [453] = 443,
  [454] = 451,
  [455] = 440,
  [456] = 451,
  [457] = 451,
  [458] = 450,
  [459] = 154,
  [460] = 446,
  [461] = 446,
  [462] = 156,
  [463] = 449,
  [464] = 464,
  [465] = 154,
  [466] = 464,
  [467] = 152,
  [468] = 446,
  [469] = 469,
  [470] = 154,
  [471] = 464,
  [472] = 156,
  [473] = 154,
  [474] = 156,
  [475] = 151,
  [476] = 464,
  [477] = 450,
  [478] = 156,
  [479] = 440,
  [480] = 464,
  [481] = 481,
  [482] = 440,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 152,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 156,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 151,
  [497] = 492,
  [498] = 440,
  [499] = 499,
  [500] = 492,
  [501] = 156,
  [502] = 154,
  [503] = 469,
  [504] = 151,
  [505] = 484,
  [506] = 469,
  [507] = 152,
  [508] = 156,
  [509] = 158,
  [510] = 157,
  [511] = 154,
  [512] = 447,
  [513] = 156,
  [514] = 154,
  [515] = 492,
  [516] = 156,
  [517] = 154,
  [518] = 152,
  [519] = 154,
  [520] = 151,
  [521] = 152,
  [522] = 151,
  [523] = 492,
  [524] = 524,
  [525] = 525,
  [526] = 485,
  [527] = 481,
  [528] = 499,
  [529] = 495,
  [530] = 494,
  [531] = 156,
  [532] = 156,
  [533] = 493,
  [534] = 490,
  [535] = 489,
  [536] = 488,
  [537] = 486,
  [538] = 538,
  [539] = 486,
  [540] = 488,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 489,
  [546] = 490,
  [547] = 493,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 494,
  [553] = 495,
  [554] = 499,
  [555] = 156,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 481,
  [562] = 562,
  [563] = 151,
  [564] = 485,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 152,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 154,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 469,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 484,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 484,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 156,
  [651] = 651,
  [652] = 158,
  [653] = 157,
  [654] = 158,
  [655] = 157,
  [656] = 154,
  [657] = 152,
  [658] = 156,
  [659] = 151,
  [660] = 154,
  [661] = 152,
  [662] = 151,
  [663] = 152,
  [664] = 154,
  [665] = 151,
  [666] = 152,
  [667] = 154,
  [668] = 151,
  [669] = 152,
  [670] = 151,
  [671] = 625,
  [672] = 572,
  [673] = 588,
  [674] = 587,
  [675] = 586,
  [676] = 585,
  [677] = 151,
  [678] = 151,
  [679] = 679,
  [680] = 584,
  [681] = 582,
  [682] = 156,
  [683] = 152,
  [684] = 581,
  [685] = 580,
  [686] = 154,
  [687] = 151,
  [688] = 579,
  [689] = 578,
  [690] = 577,
  [691] = 576,
  [692] = 574,
  [693] = 573,
  [694] = 572,
  [695] = 571,
  [696] = 570,
  [697] = 569,
  [698] = 568,
  [699] = 152,
  [700] = 567,
  [701] = 524,
  [702] = 152,
  [703] = 566,
  [704] = 565,
  [705] = 154,
  [706] = 562,
  [707] = 560,
  [708] = 559,
  [709] = 558,
  [710] = 557,
  [711] = 651,
  [712] = 556,
  [713] = 551,
  [714] = 499,
  [715] = 679,
  [716] = 550,
  [717] = 549,
  [718] = 495,
  [719] = 679,
  [720] = 494,
  [721] = 156,
  [722] = 649,
  [723] = 648,
  [724] = 485,
  [725] = 548,
  [726] = 544,
  [727] = 525,
  [728] = 542,
  [729] = 151,
  [730] = 651,
  [731] = 647,
  [732] = 541,
  [733] = 646,
  [734] = 538,
  [735] = 642,
  [736] = 641,
  [737] = 640,
  [738] = 639,
  [739] = 638,
  [740] = 637,
  [741] = 636,
  [742] = 635,
  [743] = 634,
  [744] = 633,
  [745] = 632,
  [746] = 631,
  [747] = 630,
  [748] = 629,
  [749] = 628,
  [750] = 543,
  [751] = 589,
  [752] = 590,
  [753] = 591,
  [754] = 626,
  [755] = 592,
  [756] = 152,
  [757] = 644,
  [758] = 593,
  [759] = 594,
  [760] = 595,
  [761] = 596,
  [762] = 643,
  [763] = 642,
  [764] = 624,
  [765] = 623,
  [766] = 641,
  [767] = 622,
  [768] = 621,
  [769] = 620,
  [770] = 619,
  [771] = 618,
  [772] = 616,
  [773] = 615,
  [774] = 614,
  [775] = 613,
  [776] = 612,
  [777] = 611,
  [778] = 610,
  [779] = 609,
  [780] = 608,
  [781] = 607,
  [782] = 606,
  [783] = 605,
  [784] = 604,
  [785] = 603,
  [786] = 602,
  [787] = 601,
  [788] = 679,
  [789] = 600,
  [790] = 597,
  [791] = 649,
  [792] = 648,
  [793] = 599,
  [794] = 598,
  [795] = 640,
  [796] = 597,
  [797] = 598,
  [798] = 599,
  [799] = 596,
  [800] = 639,
  [801] = 595,
  [802] = 594,
  [803] = 593,
  [804] = 638,
  [805] = 637,
  [806] = 592,
  [807] = 636,
  [808] = 591,
  [809] = 590,
  [810] = 589,
  [811] = 493,
  [812] = 490,
  [813] = 489,
  [814] = 600,
  [815] = 635,
  [816] = 634,
  [817] = 601,
  [818] = 481,
  [819] = 602,
  [820] = 603,
  [821] = 604,
  [822] = 605,
  [823] = 606,
  [824] = 607,
  [825] = 608,
  [826] = 609,
  [827] = 588,
  [828] = 587,
  [829] = 586,
  [830] = 585,
  [831] = 584,
  [832] = 610,
  [833] = 679,
  [834] = 582,
  [835] = 611,
  [836] = 581,
  [837] = 580,
  [838] = 579,
  [839] = 578,
  [840] = 577,
  [841] = 576,
  [842] = 643,
  [843] = 574,
  [844] = 633,
  [845] = 573,
  [846] = 158,
  [847] = 571,
  [848] = 570,
  [849] = 538,
  [850] = 632,
  [851] = 569,
  [852] = 568,
  [853] = 567,
  [854] = 524,
  [855] = 566,
  [856] = 565,
  [857] = 541,
  [858] = 562,
  [859] = 560,
  [860] = 559,
  [861] = 612,
  [862] = 558,
  [863] = 613,
  [864] = 864,
  [865] = 631,
  [866] = 630,
  [867] = 629,
  [868] = 488,
  [869] = 647,
  [870] = 646,
  [871] = 614,
  [872] = 557,
  [873] = 556,
  [874] = 615,
  [875] = 616,
  [876] = 551,
  [877] = 550,
  [878] = 549,
  [879] = 618,
  [880] = 619,
  [881] = 620,
  [882] = 621,
  [883] = 622,
  [884] = 623,
  [885] = 624,
  [886] = 625,
  [887] = 157,
  [888] = 542,
  [889] = 626,
  [890] = 525,
  [891] = 544,
  [892] = 543,
  [893] = 548,
  [894] = 644,
  [895] = 486,
  [896] = 628,
  [897] = 579,
  [898] = 644,
  [899] = 642,
  [900] = 598,
  [901] = 599,
  [902] = 640,
  [903] = 648,
  [904] = 590,
  [905] = 639,
  [906] = 649,
  [907] = 557,
  [908] = 556,
  [909] = 643,
  [910] = 608,
  [911] = 626,
  [912] = 152,
  [913] = 625,
  [914] = 600,
  [915] = 638,
  [916] = 550,
  [917] = 544,
  [918] = 601,
  [919] = 637,
  [920] = 609,
  [921] = 864,
  [922] = 922,
  [923] = 624,
  [924] = 548,
  [925] = 525,
  [926] = 542,
  [927] = 636,
  [928] = 635,
  [929] = 623,
  [930] = 634,
  [931] = 633,
  [932] = 632,
  [933] = 631,
  [934] = 630,
  [935] = 151,
  [936] = 651,
  [937] = 629,
  [938] = 922,
  [939] = 628,
  [940] = 606,
  [941] = 596,
  [942] = 595,
  [943] = 551,
  [944] = 594,
  [945] = 593,
  [946] = 538,
  [947] = 602,
  [948] = 592,
  [949] = 591,
  [950] = 588,
  [951] = 587,
  [952] = 586,
  [953] = 585,
  [954] = 584,
  [955] = 582,
  [956] = 581,
  [957] = 580,
  [958] = 641,
  [959] = 597,
  [960] = 578,
  [961] = 577,
  [962] = 589,
  [963] = 576,
  [964] = 574,
  [965] = 573,
  [966] = 572,
  [967] = 622,
  [968] = 621,
  [969] = 620,
  [970] = 619,
  [971] = 618,
  [972] = 616,
  [973] = 615,
  [974] = 614,
  [975] = 571,
  [976] = 570,
  [977] = 569,
  [978] = 568,
  [979] = 567,
  [980] = 603,
  [981] = 613,
  [982] = 612,
  [983] = 611,
  [984] = 524,
  [985] = 566,
  [986] = 565,
  [987] = 562,
  [988] = 560,
  [989] = 559,
  [990] = 558,
  [991] = 647,
  [992] = 922,
  [993] = 549,
  [994] = 541,
  [995] = 610,
  [996] = 543,
  [997] = 646,
  [998] = 607,
  [999] = 605,
  [1000] = 604,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 651,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1010,
  [1014] = 1014,
  [1015] = 1014,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1022,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1008,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1024,
  [1030] = 651,
  [1031] = 1006,
  [1032] = 1027,
  [1033] = 1008,
  [1034] = 1024,
  [1035] = 1010,
  [1036] = 1010,
  [1037] = 1028,
  [1038] = 1002,
  [1039] = 1010,
  [1040] = 1014,
  [1041] = 1010,
  [1042] = 1027,
  [1043] = 1027,
  [1044] = 1027,
  [1045] = 1005,
  [1046] = 1014,
  [1047] = 1024,
  [1048] = 1001,
  [1049] = 1014,
  [1050] = 1050,
  [1051] = 1024,
  [1052] = 1052,
  [1053] = 1014,
  [1054] = 1004,
  [1055] = 1003,
  [1056] = 1008,
  [1057] = 1057,
  [1058] = 1008,
  [1059] = 1059,
  [1060] = 1052,
  [1061] = 1050,
  [1062] = 1059,
  [1063] = 1063,
  [1064] = 1014,
  [1065] = 1010,
  [1066] = 1057,
  [1067] = 1028,
  [1068] = 1022,
  [1069] = 1010,
  [1070] = 1010,
  [1071] = 1025,
  [1072] = 1021,
  [1073] = 1014,
  [1074] = 1014,
  [1075] = 1059,
  [1076] = 1008,
  [1077] = 1063,
  [1078] = 135,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 643,
  [1082] = 1082,
  [1083] = 644,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 648,
  [1088] = 1088,
  [1089] = 649,
  [1090] = 1090,
  [1091] = 646,
  [1092] = 156,
  [1093] = 647,
  [1094] = 1094,
  [1095] = 154,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 157,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1080,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1079,
  [1124] = 1124,
  [1125] = 156,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 152,
  [1129] = 151,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 151,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 158,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 152,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 154,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1082,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 157,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 158,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1104,
  [1192] = 1109,
  [1193] = 1108,
  [1194] = 1107,
  [1195] = 1106,
  [1196] = 1105,
  [1197] = 1104,
  [1198] = 1103,
  [1199] = 1096,
  [1200] = 1100,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1167,
  [1204] = 1154,
  [1205] = 1155,
  [1206] = 1159,
  [1207] = 1117,
  [1208] = 1119,
  [1209] = 1209,
  [1210] = 1201,
  [1211] = 1211,
  [1212] = 1136,
  [1213] = 1088,
  [1214] = 1159,
  [1215] = 1111,
  [1216] = 1201,
  [1217] = 1084,
  [1218] = 1155,
  [1219] = 1202,
  [1220] = 1220,
  [1221] = 1211,
  [1222] = 1211,
  [1223] = 1223,
  [1224] = 1211,
  [1225] = 1179,
  [1226] = 1098,
  [1227] = 1202,
  [1228] = 1201,
  [1229] = 1182,
  [1230] = 1182,
  [1231] = 1110,
  [1232] = 1136,
  [1233] = 1119,
  [1234] = 1211,
  [1235] = 1154,
  [1236] = 1100,
  [1237] = 1084,
  [1238] = 1211,
  [1239] = 1239,
  [1240] = 1085,
  [1241] = 1175,
  [1242] = 1173,
  [1243] = 1086,
  [1244] = 1170,
  [1245] = 1096,
  [1246] = 1103,
  [1247] = 1094,
  [1248] = 1131,
  [1249] = 1202,
  [1250] = 1105,
  [1251] = 1106,
  [1252] = 1133,
  [1253] = 1107,
  [1254] = 135,
  [1255] = 1202,
  [1256] = 1094,
  [1257] = 1111,
  [1258] = 1131,
  [1259] = 1108,
  [1260] = 1170,
  [1261] = 1109,
  [1262] = 1173,
  [1263] = 1110,
  [1264] = 1175,
  [1265] = 1117,
  [1266] = 135,
  [1267] = 1201,
  [1268] = 1090,
  [1269] = 1088,
  [1270] = 1270,
  [1271] = 1133,
  [1272] = 1179,
  [1273] = 1090,
  [1274] = 1113,
  [1275] = 1275,
  [1276] = 1142,
  [1277] = 1147,
  [1278] = 1151,
  [1279] = 1165,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1190,
  [1283] = 1116,
  [1284] = 1158,
  [1285] = 1099,
  [1286] = 1139,
  [1287] = 1132,
  [1288] = 1169,
  [1289] = 1114,
  [1290] = 1290,
  [1291] = 1084,
  [1292] = 1292,
  [1293] = 1292,
  [1294] = 1294,
  [1295] = 1171,
  [1296] = 1172,
  [1297] = 1174,
  [1298] = 1183,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1290,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1290,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1164,
  [1309] = 1127,
  [1310] = 1303,
  [1311] = 1144,
  [1312] = 1137,
  [1313] = 1292,
  [1314] = 1290,
  [1315] = 1290,
  [1316] = 1185,
  [1317] = 1140,
  [1318] = 1163,
  [1319] = 1126,
  [1320] = 1290,
  [1321] = 1124,
  [1322] = 166,
  [1323] = 1088,
  [1324] = 1281,
  [1325] = 1325,
  [1326] = 1275,
  [1327] = 1101,
  [1328] = 1162,
  [1329] = 1176,
  [1330] = 1178,
  [1331] = 159,
  [1332] = 1141,
  [1333] = 1145,
  [1334] = 1146,
  [1335] = 1090,
  [1336] = 1336,
  [1337] = 1161,
  [1338] = 1088,
  [1339] = 1339,
  [1340] = 1303,
  [1341] = 1090,
  [1342] = 1290,
  [1343] = 1150,
  [1344] = 1306,
  [1345] = 1094,
  [1346] = 1346,
  [1347] = 1299,
  [1348] = 1180,
  [1349] = 1349,
  [1350] = 1156,
  [1351] = 1138,
  [1352] = 1336,
  [1353] = 1184,
  [1354] = 165,
  [1355] = 1186,
  [1356] = 1168,
  [1357] = 1303,
  [1358] = 160,
  [1359] = 1187,
  [1360] = 1360,
  [1361] = 1292,
  [1362] = 1292,
  [1363] = 1177,
  [1364] = 1177,
  [1365] = 1121,
  [1366] = 1181,
  [1367] = 161,
  [1368] = 162,
  [1369] = 1097,
  [1370] = 1143,
  [1371] = 1135,
  [1372] = 1130,
  [1373] = 1189,
  [1374] = 1152,
  [1375] = 1118,
  [1376] = 1122,
  [1377] = 164,
  [1378] = 1084,
  [1379] = 1303,
  [1380] = 1094,
  [1381] = 1120,
  [1382] = 1148,
  [1383] = 1115,
  [1384] = 163,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1385,
  [1389] = 1385,
  [1390] = 1386,
  [1391] = 1307,
  [1392] = 1385,
  [1393] = 1179,
  [1394] = 1175,
  [1395] = 1173,
  [1396] = 1170,
  [1397] = 1397,
  [1398] = 1119,
  [1399] = 1386,
  [1400] = 1117,
  [1401] = 1401,
  [1402] = 1154,
  [1403] = 1403,
  [1404] = 1111,
  [1405] = 1108,
  [1406] = 1110,
  [1407] = 1386,
  [1408] = 1109,
  [1409] = 1386,
  [1410] = 1410,
  [1411] = 1107,
  [1412] = 1106,
  [1413] = 1105,
  [1414] = 1104,
  [1415] = 1103,
  [1416] = 1096,
  [1417] = 1100,
  [1418] = 1385,
  [1419] = 1155,
  [1420] = 1182,
  [1421] = 1159,
  [1422] = 1136,
  [1423] = 1131,
  [1424] = 1133,
  [1425] = 1096,
  [1426] = 1426,
  [1427] = 1281,
  [1428] = 1136,
  [1429] = 1182,
  [1430] = 1179,
  [1431] = 1175,
  [1432] = 1173,
  [1433] = 1170,
  [1434] = 1426,
  [1435] = 1426,
  [1436] = 1436,
  [1437] = 1159,
  [1438] = 1088,
  [1439] = 1094,
  [1440] = 1084,
  [1441] = 1426,
  [1442] = 1442,
  [1443] = 1131,
  [1444] = 1119,
  [1445] = 1117,
  [1446] = 1133,
  [1447] = 1155,
  [1448] = 1111,
  [1449] = 1154,
  [1450] = 1100,
  [1451] = 1436,
  [1452] = 1190,
  [1453] = 1103,
  [1454] = 1104,
  [1455] = 1105,
  [1456] = 1106,
  [1457] = 1110,
  [1458] = 1107,
  [1459] = 1426,
  [1460] = 1109,
  [1461] = 1108,
  [1462] = 1462,
  [1463] = 1177,
  [1464] = 1304,
  [1465] = 1465,
  [1466] = 1088,
  [1467] = 1465,
  [1468] = 1462,
  [1469] = 1462,
  [1470] = 1094,
  [1471] = 1462,
  [1472] = 1462,
  [1473] = 1090,
  [1474] = 1462,
  [1475] = 1084,
  [1476] = 1462,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1478,
  [1480] = 1478,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1482,
  [1484] = 1482,
  [1485] = 1478,
  [1486] = 1482,
  [1487] = 1482,
  [1488] = 1478,
  [1489] = 1482,
  [1490] = 1478,
  [1491] = 1478,
  [1492] = 1478,
  [1493] = 1482,
  [1494] = 1478,
  [1495] = 1482,
  [1496] = 1482,
  [1497] = 1478,
  [1498] = 1482,
  [1499] = 1478,
  [1500] = 1482,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1502,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1506,
  [1509] = 1506,
  [1510] = 1506,
  [1511] = 1507,
  [1512] = 1507,
  [1513] = 1507,
  [1514] = 1506,
  [1515] = 1507,
  [1516] = 1506,
  [1517] = 1506,
  [1518] = 1507,
  [1519] = 1507,
  [1520] = 1520,
  [1521] = 1520,
  [1522] = 1520,
  [1523] = 1520,
  [1524] = 1524,
  [1525] = 1520,
  [1526] = 1520,
  [1527] = 1520,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 156,
  [1547] = 1547,
  [1548] = 154,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 152,
  [1560] = 151,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1114,
  [1583] = 1547,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1140,
  [1589] = 1139,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1595,
  [1598] = 1596,
  [1599] = 1599,
  [1600] = 1593,
  [1601] = 1543,
  [1602] = 1602,
  [1603] = 1539,
  [1604] = 1543,
  [1605] = 1605,
  [1606] = 1542,
  [1607] = 1551,
  [1608] = 1608,
  [1609] = 1552,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1549,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1553,
  [1618] = 1610,
  [1619] = 1611,
  [1620] = 1545,
  [1621] = 1545,
  [1622] = 1150,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1183,
  [1626] = 1608,
  [1627] = 1614,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1623,
  [1633] = 1611,
  [1634] = 1628,
  [1635] = 1635,
  [1636] = 1611,
  [1637] = 1637,
  [1638] = 1616,
  [1639] = 1635,
  [1640] = 1629,
  [1641] = 1631,
  [1642] = 1611,
  [1643] = 1630,
  [1644] = 1624,
  [1645] = 1180,
  [1646] = 1637,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1613,
  [1651] = 1649,
  [1652] = 1652,
  [1653] = 1652,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1652,
  [1657] = 1647,
  [1658] = 1150,
  [1659] = 1648,
  [1660] = 1655,
  [1661] = 1661,
  [1662] = 1661,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1180,
  [1666] = 1652,
  [1667] = 1183,
  [1668] = 1663,
  [1669] = 1669,
  [1670] = 1615,
  [1671] = 1664,
  [1672] = 1654,
  [1673] = 1669,
  [1674] = 1652,
  [1675] = 1675,
  [1676] = 1675,
  [1677] = 1675,
  [1678] = 1678,
  [1679] = 1678,
  [1680] = 1680,
  [1681] = 1678,
  [1682] = 1680,
  [1683] = 1678,
  [1684] = 1675,
  [1685] = 1675,
  [1686] = 1680,
  [1687] = 1680,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1689,
  [1691] = 1689,
  [1692] = 1689,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1693,
  [1696] = 1693,
  [1697] = 1694,
  [1698] = 1694,
  [1699] = 1693,
  [1700] = 1694,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1702,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1706,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1706,
  [1711] = 1705,
  [1712] = 1703,
  [1713] = 1702,
  [1714] = 1705,
  [1715] = 1702,
  [1716] = 1703,
  [1717] = 1717,
  [1718] = 1705,
  [1719] = 1706,
  [1720] = 1717,
  [1721] = 1717,
  [1722] = 1703,
  [1723] = 1717,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1731,
  [1733] = 1728,
  [1734] = 1728,
  [1735] = 1735,
  [1736] = 1728,
  [1737] = 1737,
  [1738] = 1728,
  [1739] = 1729,
  [1740] = 1731,
  [1741] = 154,
  [1742] = 1731,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1729,
  [1747] = 1729,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1728,
  [1752] = 1752,
  [1753] = 1728,
  [1754] = 1729,
  [1755] = 156,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1731,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 152,
  [1762] = 1762,
  [1763] = 1743,
  [1764] = 1184,
  [1765] = 1748,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1769,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1760,
  [1774] = 1774,
  [1775] = 1757,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1165,
  [1783] = 1547,
  [1784] = 1164,
  [1785] = 1163,
  [1786] = 1772,
  [1787] = 1766,
  [1788] = 1161,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1772,
  [1793] = 1793,
  [1794] = 1769,
  [1795] = 1790,
  [1796] = 1796,
  [1797] = 1116,
  [1798] = 1115,
  [1799] = 1768,
  [1800] = 1148,
  [1801] = 1801,
  [1802] = 1167,
  [1803] = 1803,
  [1804] = 1768,
  [1805] = 1805,
  [1806] = 1098,
  [1807] = 1768,
  [1808] = 1769,
  [1809] = 1809,
  [1810] = 1137,
  [1811] = 446,
  [1812] = 151,
  [1813] = 1769,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1749,
  [1817] = 1735,
  [1818] = 1768,
  [1819] = 1762,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1772,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1772,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1595,
  [1835] = 1815,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1836,
  [1841] = 1167,
  [1842] = 1831,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1832,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1833,
  [1851] = 1839,
  [1852] = 1137,
  [1853] = 1837,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1839,
  [1857] = 1184,
  [1858] = 1846,
  [1859] = 1846,
  [1860] = 1148,
  [1861] = 1832,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1820,
  [1866] = 1854,
  [1867] = 1165,
  [1868] = 1868,
  [1869] = 1164,
  [1870] = 1163,
  [1871] = 1161,
  [1872] = 1872,
  [1873] = 1839,
  [1874] = 1833,
  [1875] = 1875,
  [1876] = 1593,
  [1877] = 1832,
  [1878] = 1836,
  [1879] = 1832,
  [1880] = 1846,
  [1881] = 1833,
  [1882] = 1882,
  [1883] = 1838,
  [1884] = 1844,
  [1885] = 1846,
  [1886] = 1098,
  [1887] = 1115,
  [1888] = 1839,
  [1889] = 1836,
  [1890] = 1890,
  [1891] = 1116,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1781,
  [1900] = 1900,
  [1901] = 1868,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1893,
  [1906] = 1906,
  [1907] = 1893,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1912,
  [1914] = 1911,
  [1915] = 1912,
  [1916] = 1911,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1896,
  [1920] = 1920,
  [1921] = 1894,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1894,
  [1925] = 1925,
  [1926] = 1909,
  [1927] = 1910,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1928,
  [1931] = 1928,
  [1932] = 1932,
  [1933] = 1929,
  [1934] = 1910,
  [1935] = 1935,
  [1936] = 1909,
  [1937] = 1925,
  [1938] = 1903,
  [1939] = 1917,
  [1940] = 1918,
  [1941] = 1892,
  [1942] = 1821,
  [1943] = 1825,
  [1944] = 1944,
  [1945] = 1894,
  [1946] = 1920,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1911,
  [1950] = 1896,
  [1951] = 1951,
  [1952] = 1902,
  [1953] = 1953,
  [1954] = 1951,
  [1955] = 1912,
  [1956] = 1932,
  [1957] = 1903,
  [1958] = 1892,
  [1959] = 1918,
  [1960] = 1893,
  [1961] = 1961,
  [1962] = 1906,
  [1963] = 1918,
  [1964] = 1951,
  [1965] = 1965,
  [1966] = 1912,
  [1967] = 1911,
  [1968] = 1968,
  [1969] = 1951,
  [1970] = 1932,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1829,
  [1974] = 1951,
  [1975] = 1917,
  [1976] = 1976,
  [1977] = 1944,
  [1978] = 1893,
  [1979] = 1912,
  [1980] = 1911,
  [1981] = 1903,
  [1982] = 1896,
  [1983] = 1902,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1892,
  [1987] = 1898,
  [1988] = 1822,
  [1989] = 1920,
  [1990] = 1990,
  [1991] = 1932,
  [1992] = 1920,
  [1993] = 1993,
  [1994] = 1922,
  [1995] = 1923,
  [1996] = 1922,
  [1997] = 1925,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 469,
  [2003] = 1896,
  [2004] = 1922,
  [2005] = 1920,
  [2006] = 1929,
  [2007] = 1923,
  [2008] = 1923,
  [2009] = 1944,
  [2010] = 1929,
  [2011] = 1925,
  [2012] = 2012,
  [2013] = 1976,
  [2014] = 1917,
  [2015] = 1903,
  [2016] = 2016,
  [2017] = 1961,
  [2018] = 1928,
  [2019] = 1928,
  [2020] = 1894,
  [2021] = 1935,
  [2022] = 1904,
  [2023] = 1910,
  [2024] = 1909,
  [2025] = 1925,
  [2026] = 1918,
  [2027] = 1910,
  [2028] = 1929,
  [2029] = 1917,
  [2030] = 2030,
  [2031] = 1910,
  [2032] = 1909,
  [2033] = 1909,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 493,
  [2049] = 490,
  [2050] = 2047,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 489,
  [2054] = 2038,
  [2055] = 1615,
  [2056] = 2037,
  [2057] = 2036,
  [2058] = 486,
  [2059] = 2037,
  [2060] = 2036,
  [2061] = 2061,
  [2062] = 157,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2034,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 494,
  [2071] = 495,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2046,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2043,
  [2082] = 2082,
  [2083] = 2052,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2069,
  [2089] = 2051,
  [2090] = 2043,
  [2091] = 2091,
  [2092] = 2046,
  [2093] = 2076,
  [2094] = 2069,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2034,
  [2099] = 2036,
  [2100] = 2037,
  [2101] = 2101,
  [2102] = 499,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2047,
  [2107] = 651,
  [2108] = 2045,
  [2109] = 2109,
  [2110] = 484,
  [2111] = 488,
  [2112] = 2042,
  [2113] = 2039,
  [2114] = 2114,
  [2115] = 2076,
  [2116] = 1150,
  [2117] = 2043,
  [2118] = 2046,
  [2119] = 2119,
  [2120] = 2076,
  [2121] = 2047,
  [2122] = 2038,
  [2123] = 2037,
  [2124] = 2036,
  [2125] = 2125,
  [2126] = 2066,
  [2127] = 1180,
  [2128] = 2075,
  [2129] = 2069,
  [2130] = 2130,
  [2131] = 2039,
  [2132] = 2040,
  [2133] = 2047,
  [2134] = 2134,
  [2135] = 2045,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2084,
  [2139] = 2085,
  [2140] = 2066,
  [2141] = 2085,
  [2142] = 2074,
  [2143] = 2143,
  [2144] = 151,
  [2145] = 1183,
  [2146] = 2035,
  [2147] = 2086,
  [2148] = 2041,
  [2149] = 2073,
  [2150] = 2086,
  [2151] = 1613,
  [2152] = 2038,
  [2153] = 152,
  [2154] = 2072,
  [2155] = 2087,
  [2156] = 2042,
  [2157] = 2157,
  [2158] = 156,
  [2159] = 154,
  [2160] = 2034,
  [2161] = 2064,
  [2162] = 2137,
  [2163] = 2109,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2069,
  [2167] = 2045,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2109,
  [2171] = 2038,
  [2172] = 2172,
  [2173] = 2066,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2043,
  [2177] = 2046,
  [2178] = 1637,
  [2179] = 2179,
  [2180] = 2076,
  [2181] = 2181,
  [2182] = 2114,
  [2183] = 481,
  [2184] = 2184,
  [2185] = 158,
  [2186] = 2186,
  [2187] = 2066,
  [2188] = 485,
  [2189] = 2045,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2191,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 1585,
  [2201] = 1584,
  [2202] = 1555,
  [2203] = 2197,
  [2204] = 1558,
  [2205] = 1571,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 1572,
  [2211] = 2211,
  [2212] = 1576,
  [2213] = 2213,
  [2214] = 1577,
  [2215] = 1578,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 1581,
  [2223] = 1564,
  [2224] = 2224,
  [2225] = 1556,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2195,
  [2231] = 2231,
  [2232] = 1561,
  [2233] = 1562,
  [2234] = 1563,
  [2235] = 1567,
  [2236] = 1568,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 1569,
  [2240] = 643,
  [2241] = 2241,
  [2242] = 538,
  [2243] = 1590,
  [2244] = 541,
  [2245] = 2221,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2198,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2216,
  [2252] = 1557,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 1586,
  [2256] = 2256,
  [2257] = 1587,
  [2258] = 2258,
  [2259] = 2209,
  [2260] = 2207,
  [2261] = 2206,
  [2262] = 2213,
  [2263] = 2218,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2219,
  [2270] = 1127,
  [2271] = 2264,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2265,
  [2277] = 2266,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2272,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 1126,
  [2303] = 1591,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2273,
  [2307] = 2217,
  [2308] = 2308,
  [2309] = 2196,
  [2310] = 2310,
  [2311] = 2274,
  [2312] = 2312,
  [2313] = 2191,
  [2314] = 2226,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2258,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2278,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2321,
  [2327] = 2327,
  [2328] = 2195,
  [2329] = 2288,
  [2330] = 2287,
  [2331] = 2213,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2281,
  [2335] = 2256,
  [2336] = 1554,
  [2337] = 2197,
  [2338] = 2282,
  [2339] = 2325,
  [2340] = 2283,
  [2341] = 2190,
  [2342] = 2208,
  [2343] = 2324,
  [2344] = 2323,
  [2345] = 2211,
  [2346] = 2254,
  [2347] = 2285,
  [2348] = 2348,
  [2349] = 2320,
  [2350] = 2253,
  [2351] = 1594,
  [2352] = 2286,
  [2353] = 2353,
  [2354] = 1566,
  [2355] = 2287,
  [2356] = 2319,
  [2357] = 2357,
  [2358] = 1186,
  [2359] = 2229,
  [2360] = 2190,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2316,
  [2365] = 2365,
  [2366] = 2227,
  [2367] = 542,
  [2368] = 2246,
  [2369] = 2247,
  [2370] = 2226,
  [2371] = 2288,
  [2372] = 2219,
  [2373] = 2373,
  [2374] = 2191,
  [2375] = 2253,
  [2376] = 2254,
  [2377] = 2377,
  [2378] = 2256,
  [2379] = 2231,
  [2380] = 2258,
  [2381] = 551,
  [2382] = 2196,
  [2383] = 2217,
  [2384] = 2384,
  [2385] = 525,
  [2386] = 2208,
  [2387] = 544,
  [2388] = 548,
  [2389] = 2365,
  [2390] = 2316,
  [2391] = 2391,
  [2392] = 642,
  [2393] = 2393,
  [2394] = 641,
  [2395] = 2301,
  [2396] = 2396,
  [2397] = 2275,
  [2398] = 2305,
  [2399] = 2399,
  [2400] = 2300,
  [2401] = 2279,
  [2402] = 2280,
  [2403] = 2403,
  [2404] = 2284,
  [2405] = 2405,
  [2406] = 2294,
  [2407] = 2292,
  [2408] = 2408,
  [2409] = 639,
  [2410] = 2293,
  [2411] = 2411,
  [2412] = 2292,
  [2413] = 2362,
  [2414] = 2294,
  [2415] = 2415,
  [2416] = 2284,
  [2417] = 2417,
  [2418] = 2280,
  [2419] = 2295,
  [2420] = 2300,
  [2421] = 2301,
  [2422] = 2296,
  [2423] = 2279,
  [2424] = 644,
  [2425] = 2425,
  [2426] = 2217,
  [2427] = 2275,
  [2428] = 2196,
  [2429] = 638,
  [2430] = 2238,
  [2431] = 2237,
  [2432] = 2191,
  [2433] = 2226,
  [2434] = 637,
  [2435] = 2316,
  [2436] = 2436,
  [2437] = 2193,
  [2438] = 2319,
  [2439] = 2320,
  [2440] = 636,
  [2441] = 2441,
  [2442] = 2323,
  [2443] = 2324,
  [2444] = 2325,
  [2445] = 2321,
  [2446] = 635,
  [2447] = 634,
  [2448] = 2288,
  [2449] = 2287,
  [2450] = 2213,
  [2451] = 633,
  [2452] = 2195,
  [2453] = 2197,
  [2454] = 2199,
  [2455] = 2363,
  [2456] = 2258,
  [2457] = 2190,
  [2458] = 2208,
  [2459] = 2256,
  [2460] = 549,
  [2461] = 2211,
  [2462] = 632,
  [2463] = 2254,
  [2464] = 2301,
  [2465] = 2253,
  [2466] = 2275,
  [2467] = 2396,
  [2468] = 2468,
  [2469] = 550,
  [2470] = 2399,
  [2471] = 2471,
  [2472] = 2229,
  [2473] = 2300,
  [2474] = 2219,
  [2475] = 2247,
  [2476] = 2476,
  [2477] = 2246,
  [2478] = 556,
  [2479] = 557,
  [2480] = 2246,
  [2481] = 2247,
  [2482] = 631,
  [2483] = 2483,
  [2484] = 2211,
  [2485] = 2267,
  [2486] = 2253,
  [2487] = 2254,
  [2488] = 2229,
  [2489] = 2256,
  [2490] = 2490,
  [2491] = 2258,
  [2492] = 646,
  [2493] = 647,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2224,
  [2497] = 2497,
  [2498] = 2403,
  [2499] = 2275,
  [2500] = 2468,
  [2501] = 558,
  [2502] = 2279,
  [2503] = 2280,
  [2504] = 2471,
  [2505] = 2284,
  [2506] = 2211,
  [2507] = 2208,
  [2508] = 2190,
  [2509] = 630,
  [2510] = 2510,
  [2511] = 1570,
  [2512] = 2298,
  [2513] = 2292,
  [2514] = 2514,
  [2515] = 2294,
  [2516] = 2304,
  [2517] = 2300,
  [2518] = 2301,
  [2519] = 2197,
  [2520] = 559,
  [2521] = 560,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2279,
  [2525] = 2525,
  [2526] = 2226,
  [2527] = 562,
  [2528] = 2316,
  [2529] = 2280,
  [2530] = 2247,
  [2531] = 2319,
  [2532] = 2320,
  [2533] = 2514,
  [2534] = 2534,
  [2535] = 2323,
  [2536] = 2324,
  [2537] = 2325,
  [2538] = 2321,
  [2539] = 565,
  [2540] = 629,
  [2541] = 2288,
  [2542] = 2287,
  [2543] = 2213,
  [2544] = 2246,
  [2545] = 628,
  [2546] = 2546,
  [2547] = 2229,
  [2548] = 566,
  [2549] = 524,
  [2550] = 567,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2194,
  [2555] = 2308,
  [2556] = 2556,
  [2557] = 568,
  [2558] = 569,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 570,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 571,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2568,
  [2570] = 2312,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 572,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 573,
  [2578] = 574,
  [2579] = 2315,
  [2580] = 2580,
  [2581] = 2317,
  [2582] = 1908,
  [2583] = 1580,
  [2584] = 1993,
  [2585] = 576,
  [2586] = 577,
  [2587] = 2321,
  [2588] = 2325,
  [2589] = 543,
  [2590] = 578,
  [2591] = 579,
  [2592] = 2592,
  [2593] = 2324,
  [2594] = 2494,
  [2595] = 2595,
  [2596] = 626,
  [2597] = 581,
  [2598] = 2417,
  [2599] = 582,
  [2600] = 2574,
  [2601] = 2219,
  [2602] = 2405,
  [2603] = 2297,
  [2604] = 596,
  [2605] = 1776,
  [2606] = 2606,
  [2607] = 2494,
  [2608] = 2495,
  [2609] = 2229,
  [2610] = 2224,
  [2611] = 2403,
  [2612] = 584,
  [2613] = 585,
  [2614] = 2614,
  [2615] = 2284,
  [2616] = 586,
  [2617] = 587,
  [2618] = 588,
  [2619] = 2267,
  [2620] = 2297,
  [2621] = 2621,
  [2622] = 580,
  [2623] = 2468,
  [2624] = 589,
  [2625] = 2471,
  [2626] = 590,
  [2627] = 2195,
  [2628] = 625,
  [2629] = 2574,
  [2630] = 2323,
  [2631] = 2568,
  [2632] = 591,
  [2633] = 592,
  [2634] = 593,
  [2635] = 594,
  [2636] = 595,
  [2637] = 2514,
  [2638] = 2194,
  [2639] = 624,
  [2640] = 623,
  [2641] = 620,
  [2642] = 597,
  [2643] = 2514,
  [2644] = 622,
  [2645] = 598,
  [2646] = 2546,
  [2647] = 599,
  [2648] = 648,
  [2649] = 649,
  [2650] = 600,
  [2651] = 2436,
  [2652] = 2471,
  [2653] = 2468,
  [2654] = 601,
  [2655] = 2403,
  [2656] = 2224,
  [2657] = 2228,
  [2658] = 2268,
  [2659] = 2310,
  [2660] = 2353,
  [2661] = 2361,
  [2662] = 2384,
  [2663] = 602,
  [2664] = 2592,
  [2665] = 2415,
  [2666] = 2495,
  [2667] = 2494,
  [2668] = 2580,
  [2669] = 2576,
  [2670] = 2575,
  [2671] = 2571,
  [2672] = 2567,
  [2673] = 2561,
  [2674] = 2560,
  [2675] = 2559,
  [2676] = 2552,
  [2677] = 2534,
  [2678] = 2523,
  [2679] = 2522,
  [2680] = 2425,
  [2681] = 2194,
  [2682] = 2333,
  [2683] = 2332,
  [2684] = 2327,
  [2685] = 2291,
  [2686] = 2290,
  [2687] = 2289,
  [2688] = 603,
  [2689] = 2320,
  [2690] = 2319,
  [2691] = 2357,
  [2692] = 2495,
  [2693] = 604,
  [2694] = 605,
  [2695] = 606,
  [2696] = 2267,
  [2697] = 2297,
  [2698] = 2294,
  [2699] = 607,
  [2700] = 608,
  [2701] = 2568,
  [2702] = 609,
  [2703] = 610,
  [2704] = 2574,
  [2705] = 2574,
  [2706] = 2568,
  [2707] = 611,
  [2708] = 2292,
  [2709] = 2194,
  [2710] = 2710,
  [2711] = 612,
  [2712] = 613,
  [2713] = 2514,
  [2714] = 621,
  [2715] = 614,
  [2716] = 2471,
  [2717] = 2468,
  [2718] = 2403,
  [2719] = 2224,
  [2720] = 2495,
  [2721] = 2494,
  [2722] = 2722,
  [2723] = 615,
  [2724] = 616,
  [2725] = 618,
  [2726] = 619,
  [2727] = 2267,
  [2728] = 2297,
  [2729] = 640,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2735,
  [2737] = 2732,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2733,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2739,
  [2745] = 2733,
  [2746] = 2735,
  [2747] = 2732,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2740,
  [2754] = 1801,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2735,
  [2758] = 2758,
  [2759] = 2732,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2735,
  [2763] = 2763,
  [2764] = 2730,
  [2765] = 2765,
  [2766] = 2739,
  [2767] = 2767,
  [2768] = 2730,
  [2769] = 1971,
  [2770] = 2734,
  [2771] = 2733,
  [2772] = 2733,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2738,
  [2777] = 2777,
  [2778] = 2756,
  [2779] = 2779,
  [2780] = 2740,
  [2781] = 2752,
  [2782] = 2730,
  [2783] = 2783,
  [2784] = 2750,
  [2785] = 2752,
  [2786] = 2750,
  [2787] = 2730,
  [2788] = 2788,
  [2789] = 2738,
  [2790] = 2790,
  [2791] = 2734,
  [2792] = 2779,
  [2793] = 2773,
  [2794] = 2739,
  [2795] = 2758,
  [2796] = 2740,
  [2797] = 2777,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2740,
  [2805] = 2761,
  [2806] = 2806,
  [2807] = 2801,
  [2808] = 2802,
  [2809] = 2809,
  [2810] = 2777,
  [2811] = 2756,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 2779,
  [2817] = 2817,
  [2818] = 2806,
  [2819] = 2817,
  [2820] = 2730,
  [2821] = 2739,
  [2822] = 2752,
  [2823] = 2750,
  [2824] = 2738,
  [2825] = 2803,
  [2826] = 2734,
  [2827] = 2773,
  [2828] = 2803,
  [2829] = 2800,
  [2830] = 2801,
  [2831] = 2734,
  [2832] = 2802,
  [2833] = 2777,
  [2834] = 2756,
  [2835] = 2779,
  [2836] = 2836,
  [2837] = 2730,
  [2838] = 2802,
  [2839] = 2752,
  [2840] = 2773,
  [2841] = 2750,
  [2842] = 2800,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2738,
  [2847] = 2743,
  [2848] = 2779,
  [2849] = 2756,
  [2850] = 2803,
  [2851] = 2851,
  [2852] = 2777,
  [2853] = 2773,
  [2854] = 2799,
  [2855] = 2800,
  [2856] = 2800,
  [2857] = 2758,
  [2858] = 2758,
  [2859] = 2758,
  [2860] = 2860,
};

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool aux_sym_jsx_text_token1_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 5760
      ? (c < 160
        ? (c >= '\t' && c <= '\r')
        : c <= 160)
      : (c <= 5760 || (c >= 8192 && c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool aux_sym_jsx_text_token1_character_set_2(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\f')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_unescaped_double_string_fragment_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\f')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(334);
      if (lookahead == '/') ADVANCE(439);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(324);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(199);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(567);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(541);
      if (lookahead == 'f') ADVANCE(536);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 't') ADVANCE(499);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(243)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(606);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(612);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(45)
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(313);
      if (lookahead == '<') ADVANCE(323);
      if (lookahead == '{') ADVANCE(265);
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3)
      if (lookahead == '/') ADVANCE(308);
      if (lookahead == '<') ADVANCE(310);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(309);
      if (lookahead != 0) ADVANCE(307);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(242);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(440);
      if (lookahead != 0) ADVANCE(441);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(316);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(51);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(606);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(490);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(606);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(483);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(486);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(201);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(608);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(52);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(52);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(606);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(472);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(478);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(606);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(482);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(485);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(487);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(508);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(24)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(606);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(534);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(606);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(507);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(26)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(533);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(27)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(606);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(147);
      if (lookahead == 'f') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == 'w') ADVANCE(138);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == '|') ADVANCE(393);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(326);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == 'o') ADVANCE(446);
      if (lookahead == '|') ADVANCE(393);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 33:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(52);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '=') ADVANCE(304);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(497);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 34:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '?') ADVANCE(53);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(34)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(493);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(496);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(52);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(496);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(341);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(344);
      if (lookahead != 0) ADVANCE(345);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(439);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(322);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '>') ADVANCE(329);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == 'i') ADVANCE(160);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(40)
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(322);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '>') ADVANCE(329);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == 'i') ADVANCE(160);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(40)
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '/') ADVANCE(48);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(41)
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '/') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(41)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(423);
      if (lookahead != 0) ADVANCE(424);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(216);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 44:
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '/') ADVANCE(347);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(350);
      if (lookahead != 0) ADVANCE(351);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(43);
      if (lookahead == '/') ADVANCE(313);
      if (lookahead == '<') ADVANCE(323);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(45)
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '/') ADVANCE(48);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(46)
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '/') ADVANCE(425);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(46)
      if (sym_unescaped_double_string_fragment_character_set_1(lookahead)) ADVANCE(428);
      if (lookahead != 0) ADVANCE(429);
      END_STATE();
    case 48:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 49:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(436);
      if (lookahead == '>') ADVANCE(337);
      END_STATE();
    case 50:
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(435);
      if (lookahead != 0) ADVANCE(51);
      END_STATE();
    case 51:
      if (lookahead == '*') ADVANCE(50);
      if (lookahead != 0) ADVANCE(51);
      END_STATE();
    case 52:
      if (lookahead == '.') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 53:
      if (lookahead == '.') ADVANCE(361);
      END_STATE();
    case 54:
      if (lookahead == '.') ADVANCE(361);
      if (lookahead == '?') ADVANCE(411);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(361);
      if (lookahead == '?') ADVANCE(410);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(377);
      END_STATE();
    case 57:
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '>') ADVANCE(329);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(57)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(471);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(606);
      END_STATE();
    case 58:
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(593);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(522);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(58)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(606);
      END_STATE();
    case 59:
      if (lookahead == '/') ADVANCE(48);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(59)
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(321);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 82:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      END_STATE();
    case 83:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 85:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 86:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(85);
      END_STATE();
    case 87:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 88:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 90:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(89);
      END_STATE();
    case 91:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 92:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 93:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 94:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(321);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 99:
      if (lookahead == '=') ADVANCE(407);
      END_STATE();
    case 100:
      if (lookahead == '=') ADVANCE(405);
      END_STATE();
    case 101:
      if (lookahead == '>') ADVANCE(311);
      END_STATE();
    case 102:
      if (lookahead == '>') ADVANCE(312);
      END_STATE();
    case 103:
      if (lookahead == '\\') ADVANCE(201);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(608);
      END_STATE();
    case 104:
      if (lookahead == '\\') ADVANCE(241);
      if (lookahead == ']') ADVANCE(441);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(182);
      if (lookahead == 'l') ADVANCE(109);
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(174);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(200);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(181);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(145);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(356);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 133:
      if (lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(412);
      END_STATE();
    case 135:
      if (lookahead == 'f') ADVANCE(108);
      END_STATE();
    case 136:
      if (lookahead == 'g') ADVANCE(125);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(136);
      END_STATE();
    case 137:
      if (lookahead == 'g') ADVANCE(131);
      END_STATE();
    case 138:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 139:
      if (lookahead == 'h') ADVANCE(142);
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 140:
      if (lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 141:
      if (lookahead == 'h') ADVANCE(297);
      END_STATE();
    case 142:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 143:
      if (lookahead == 'i') ADVANCE(165);
      if (lookahead == 'r') ADVANCE(166);
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 145:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 148:
      if (lookahead == 'l') ADVANCE(183);
      if (lookahead == 'x') ADVANCE(171);
      END_STATE();
    case 149:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(193);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 154:
      if (lookahead == 'm') ADVANCE(170);
      END_STATE();
    case 155:
      if (lookahead == 'm') ADVANCE(268);
      END_STATE();
    case 156:
      if (lookahead == 'm') ADVANCE(172);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 158:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 159:
      if (lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(284);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 162:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 163:
      if (lookahead == 'n') ADVANCE(115);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 166:
      if (lookahead == 'o') ADVANCE(155);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 168:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 169:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(146);
      END_STATE();
    case 171:
      if (lookahead == 'p') ADVANCE(168);
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 172:
      if (lookahead == 'p') ADVANCE(153);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(205);
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(352);
      END_STATE();
    case 179:
      if (lookahead == 's') ADVANCE(354);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(178);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(122);
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 183:
      if (lookahead == 's') ADVANCE(123);
      END_STATE();
    case 184:
      if (lookahead == 's') ADVANCE(190);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(609);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 199:
      if (lookahead == 'u') ADVANCE(207);
      if (lookahead == 'x') ADVANCE(233);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(434);
      if (lookahead != 0) ADVANCE(430);
      END_STATE();
    case 200:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 201:
      if (lookahead == 'u') ADVANCE(208);
      END_STATE();
    case 202:
      if (lookahead == 'u') ADVANCE(209);
      END_STATE();
    case 203:
      if (lookahead == 'u') ADVANCE(210);
      if (lookahead == 'x') ADVANCE(233);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(434);
      if (lookahead != 0) ADVANCE(430);
      END_STATE();
    case 204:
      if (lookahead == 'y') ADVANCE(299);
      END_STATE();
    case 205:
      if (lookahead == 'y') ADVANCE(163);
      END_STATE();
    case 206:
      if (lookahead == '{') ADVANCE(438);
      END_STATE();
    case 207:
      if (lookahead == '{') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      END_STATE();
    case 208:
      if (lookahead == '{') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(239);
      END_STATE();
    case 209:
      if (lookahead == '{') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(240);
      END_STATE();
    case 210:
      if (lookahead == '{') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(230);
      END_STATE();
    case 211:
      if (lookahead == '}') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(211);
      END_STATE();
    case 212:
      if (lookahead == '}') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(212);
      END_STATE();
    case 213:
      if (lookahead == '}') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 214:
      if (lookahead == '}') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(214);
      END_STATE();
    case 215:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(467);
      END_STATE();
    case 216:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 217:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(463);
      END_STATE();
    case 218:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(464);
      END_STATE();
    case 219:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(455);
      END_STATE();
    case 220:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 221:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(466);
      END_STATE();
    case 222:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(467);
      END_STATE();
    case 223:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      END_STATE();
    case 224:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(608);
      END_STATE();
    case 225:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(430);
      END_STATE();
    case 226:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(465);
      END_STATE();
    case 227:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(214);
      END_STATE();
    case 228:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(431);
      END_STATE();
    case 229:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 230:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(233);
      END_STATE();
    case 231:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(212);
      END_STATE();
    case 232:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(211);
      END_STATE();
    case 233:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(225);
      END_STATE();
    case 234:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 235:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(228);
      END_STATE();
    case 236:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 237:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(223);
      END_STATE();
    case 238:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(235);
      END_STATE();
    case 239:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(236);
      END_STATE();
    case 240:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 241:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 242:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(441);
      END_STATE();
    case 243:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(334);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(324);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(567);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(541);
      if (lookahead == 'f') ADVANCE(536);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 't') ADVANCE(499);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(243)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(606);
      END_STATE();
    case 244:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(475);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(244)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 245:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(416);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '%') ADVANCE(400);
      if (lookahead == '&') ADVANCE(389);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '*') ADVANCE(260);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(335);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(302);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '?') ADVANCE(55);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '^') ADVANCE(390);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(393);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(480);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(245)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(606);
      END_STATE();
    case 246:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(477);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(246)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 247:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(474);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(247)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 248:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(479);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(248)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 249:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(481);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(249)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 250:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(250)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 251:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(415);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == '+') ADVANCE(394);
      if (lookahead == '-') ADVANCE(396);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(398);
      if (lookahead == '0') ADVANCE(453);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '}') ADVANCE(267);
      if (lookahead == '~') ADVANCE(417);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(251)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(606);
      END_STATE();
    case 252:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'c') ADVANCE(106);
      if (lookahead == 'd') ADVANCE(127);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(143);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'l') ADVANCE(128);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == 't') ADVANCE(107);
      if (lookahead == 'v') ADVANCE(110);
      if (lookahead == 'w') ADVANCE(139);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(253)
      END_STATE();
    case 253:
      if (eof) ADVANCE(254);
      if (lookahead == '!') ADVANCE(99);
      if (lookahead == '"') ADVANCE(338);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(401);
      if (lookahead == '&') ADVANCE(388);
      if (lookahead == '\'') ADVANCE(339);
      if (lookahead == '(') ADVANCE(280);
      if (lookahead == ')') ADVANCE(281);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '+') ADVANCE(395);
      if (lookahead == ',') ADVANCE(266);
      if (lookahead == '-') ADVANCE(397);
      if (lookahead == '.') ADVANCE(333);
      if (lookahead == '/') ADVANCE(399);
      if (lookahead == ':') ADVANCE(294);
      if (lookahead == ';') ADVANCE(293);
      if (lookahead == '<') ADVANCE(325);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '?') ADVANCE(54);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '[') ADVANCE(305);
      if (lookahead == ']') ADVANCE(306);
      if (lookahead == '^') ADVANCE(391);
      if (lookahead == '`') ADVANCE(437);
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'c') ADVANCE(106);
      if (lookahead == 'd') ADVANCE(127);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(143);
      if (lookahead == 'i') ADVANCE(157);
      if (lookahead == 'l') ADVANCE(128);
      if (lookahead == 'o') ADVANCE(133);
      if (lookahead == 't') ADVANCE(107);
      if (lookahead == 'v') ADVANCE(110);
      if (lookahead == 'w') ADVANCE(139);
      if (lookahead == '{') ADVANCE(265);
      if (lookahead == '|') ADVANCE(392);
      if (lookahead == '}') ADVANCE(267);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(253)
      END_STATE();
    case 254:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(255);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(403);
      if (lookahead == '=') ADVANCE(364);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(402);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(589);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(450);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(405);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(360);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(360);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(308);
      if (lookahead == '<') ADVANCE(310);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(309);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(307);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(198);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(317);
      if (lookahead == '/') ADVANCE(318);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(313);
      if (aux_sym_jsx_text_token1_character_set_2(lookahead)) ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(314);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(316);
      if (lookahead == '/') ADVANCE(314);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(51);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(316);
      if (lookahead == '\n' ||
          lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(51);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(319);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(319);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(320);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(336);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(336);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(404);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(404);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(386);
      if (lookahead == '=') ADVANCE(404);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(386);
      if (lookahead == '=') ADVANCE(404);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(409);
      if (lookahead == '>') ADVANCE(382);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(409);
      if (lookahead == '>') ADVANCE(383);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(332);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(340);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(343);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(345);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(342);
      if (lookahead == '/') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(343);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(342);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(343);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '/') ADVANCE(341);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(344);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(345);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '&') ADVANCE(345);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '\n') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(349);
      if (lookahead == '/') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(351);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(348);
      if (lookahead == '/') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(349);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '*') ADVANCE(348);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '/') ADVANCE(347);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(350);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(351);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(351);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(374);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(375);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(385);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(384);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(371);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(372);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(379);
      if (lookahead == '=') ADVANCE(368);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(378);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(367);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(369);
      if (lookahead == '|') ADVANCE(381);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(380);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(418);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(418);
      if (lookahead == '=') ADVANCE(362);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(419);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(419);
      if (lookahead == '=') ADVANCE(363);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(436);
      if (lookahead == '=') ADVANCE(365);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(366);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(373);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(406);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(408);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(376);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(407);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(422);
      if (lookahead == '/') ADVANCE(424);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(424);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead == '/') ADVANCE(424);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(422);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(420);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(423);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(424);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(424);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(427);
      if (lookahead == '/') ADVANCE(429);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(429);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(426);
      if (lookahead == '/') ADVANCE(429);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(427);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(426);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(427);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(425);
      if (sym_unescaped_double_string_fragment_character_set_2(lookahead)) ADVANCE(428);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(429);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(429);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(430);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(430);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(433);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(436);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(242);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(440);
      if (lookahead != 0) ADVANCE(441);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(441);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(448);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(444);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(449);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(414);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(290);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(286);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(443);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(445);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(442);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(451);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == '0') ADVANCE(466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(226);
      if (lookahead == '_') ADVANCE(221);
      if (lookahead == 'n') ADVANCE(452);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(455);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == '0') ADVANCE(460);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(597);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(607);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(601);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(605);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(603);
      if (lookahead == 'n') ADVANCE(462);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (lookahead == '_') ADVANCE(219);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(455);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(469);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(602);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(597);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(457);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(606);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(601);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(458);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(606);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(605);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(459);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(603);
      if (lookahead == 'n') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(460);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '_') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(461);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(606);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(217);
      if (lookahead == 'n') ADVANCE(452);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(463);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(218);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(226);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(465);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(221);
      if (lookahead == 'n') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(466);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(467);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (lookahead == '_') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(468);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(596);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(567);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(541);
      if (lookahead == 'f') ADVANCE(536);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 't') ADVANCE(499);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(606);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(471);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(606);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(472);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(498);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(474);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(475);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(477);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(478);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(479);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(480);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(481);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(482);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(483);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(485);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(486);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(510);
      if (lookahead == 'd') ADVANCE(520);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(487);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(509);
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'f') ADVANCE(537);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(502);
      if (lookahead == 'w') ADVANCE(530);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(490);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(545);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(493);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(494);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 's') ADVANCE(586);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(496);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(454);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(497);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(572);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(564);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(590);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(575);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(565);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(540);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(546);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(585);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(555);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(591);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'l') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(577);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'a') ADVANCE(573);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(600);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(357);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(532);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(523);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'c') ADVANCE(587);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'd') ADVANCE(569);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(296);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(279);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(292);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(528);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(578);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(593);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(559);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(551);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(583);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(289);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(413);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(500);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'g') ADVANCE(525);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'h') ADVANCE(535);
      if (lookahead == 'i') ADVANCE(579);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'h') ADVANCE(271);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'h') ADVANCE(298);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(526);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(547);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(557);
      if (lookahead == 'r') ADVANCE(558);
      if (lookahead == 'u') ADVANCE(553);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(557);
      if (lookahead == 'u') ADVANCE(553);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(561);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(511);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(580);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(574);
      if (lookahead == 'x') ADVANCE(562);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(574);
      if (lookahead == 'x') ADVANCE(563);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(594);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 'o') ADVANCE(554);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(501);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(543);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(519);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'l') ADVANCE(584);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'm') ADVANCE(269);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(285);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(516);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(359);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(515);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(576);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(514);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(512);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(504);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(549);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(527);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(566);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(552);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'p') ADVANCE(560);
      if (lookahead == 't') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'p') ADVANCE(560);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(529);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(273);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(582);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(264);
      if (lookahead == 'w') ADVANCE(503);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(353);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(355);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(595);
      if (lookahead == 'w') ADVANCE(503);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(595);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(517);
      if (lookahead == 't') ADVANCE(513);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(517);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(518);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(568);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 's') ADVANCE(581);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(513);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(275);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(531);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(283);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(277);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(257);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(610);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(262);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(539);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(505);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(538);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 't') ADVANCE(506);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'u') ADVANCE(548);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'u') ADVANCE(553);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'x') ADVANCE(563);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'x') ADVANCE(588);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'y') ADVANCE(300);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 'y') ADVANCE(556);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '{') ADVANCE(438);
      if (!sym_identifier_character_set_6(lookahead)) ADVANCE(606);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(457);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(606);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(471);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(606);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(136);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(458);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(456);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(460);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(461);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(459);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(461);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(201);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(608);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(202);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(606);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(612);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'b') ADVANCE(1);
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'f') ADVANCE(4);
      if (lookahead == 'g') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'n') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 's') ADVANCE(9);
      if (lookahead == 't') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'v') ADVANCE(12);
      if (lookahead == 'y') ADVANCE(13);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(14);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'm') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'h') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'y') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(35);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 16:
      if (lookahead == 'b') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 20:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 23:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(49);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(53);
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(56);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(70);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(75);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(76);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(77);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 61:
      if (lookahead == 'g') ADVANCE(79);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 68:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 71:
      if (lookahead == 'w') ADVANCE(87);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(89);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(91);
      END_STATE();
    case 79:
      if (lookahead == 'g') ADVANCE(92);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 82:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(100);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 105:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 246, .external_lex_state = 2},
  [2] = {.lex_state = 13, .external_lex_state = 2},
  [3] = {.lex_state = 13, .external_lex_state = 2},
  [4] = {.lex_state = 13, .external_lex_state = 2},
  [5] = {.lex_state = 13, .external_lex_state = 2},
  [6] = {.lex_state = 13, .external_lex_state = 2},
  [7] = {.lex_state = 13, .external_lex_state = 2},
  [8] = {.lex_state = 13, .external_lex_state = 2},
  [9] = {.lex_state = 13, .external_lex_state = 2},
  [10] = {.lex_state = 19, .external_lex_state = 2},
  [11] = {.lex_state = 19, .external_lex_state = 2},
  [12] = {.lex_state = 19, .external_lex_state = 2},
  [13] = {.lex_state = 19, .external_lex_state = 2},
  [14] = {.lex_state = 19, .external_lex_state = 2},
  [15] = {.lex_state = 246, .external_lex_state = 2},
  [16] = {.lex_state = 246, .external_lex_state = 2},
  [17] = {.lex_state = 246, .external_lex_state = 2},
  [18] = {.lex_state = 246, .external_lex_state = 2},
  [19] = {.lex_state = 246, .external_lex_state = 2},
  [20] = {.lex_state = 246, .external_lex_state = 2},
  [21] = {.lex_state = 246, .external_lex_state = 2},
  [22] = {.lex_state = 246, .external_lex_state = 2},
  [23] = {.lex_state = 246, .external_lex_state = 2},
  [24] = {.lex_state = 246, .external_lex_state = 2},
  [25] = {.lex_state = 246, .external_lex_state = 2},
  [26] = {.lex_state = 246, .external_lex_state = 2},
  [27] = {.lex_state = 246, .external_lex_state = 2},
  [28] = {.lex_state = 246, .external_lex_state = 2},
  [29] = {.lex_state = 246, .external_lex_state = 2},
  [30] = {.lex_state = 246, .external_lex_state = 2},
  [31] = {.lex_state = 246, .external_lex_state = 2},
  [32] = {.lex_state = 246, .external_lex_state = 2},
  [33] = {.lex_state = 246, .external_lex_state = 2},
  [34] = {.lex_state = 246, .external_lex_state = 2},
  [35] = {.lex_state = 246, .external_lex_state = 2},
  [36] = {.lex_state = 246, .external_lex_state = 2},
  [37] = {.lex_state = 246, .external_lex_state = 2},
  [38] = {.lex_state = 246, .external_lex_state = 2},
  [39] = {.lex_state = 246, .external_lex_state = 2},
  [40] = {.lex_state = 246, .external_lex_state = 2},
  [41] = {.lex_state = 246, .external_lex_state = 2},
  [42] = {.lex_state = 246, .external_lex_state = 2},
  [43] = {.lex_state = 246, .external_lex_state = 2},
  [44] = {.lex_state = 246, .external_lex_state = 2},
  [45] = {.lex_state = 246, .external_lex_state = 2},
  [46] = {.lex_state = 246, .external_lex_state = 2},
  [47] = {.lex_state = 246, .external_lex_state = 2},
  [48] = {.lex_state = 246, .external_lex_state = 2},
  [49] = {.lex_state = 246, .external_lex_state = 2},
  [50] = {.lex_state = 246, .external_lex_state = 2},
  [51] = {.lex_state = 246, .external_lex_state = 2},
  [52] = {.lex_state = 246, .external_lex_state = 2},
  [53] = {.lex_state = 246, .external_lex_state = 2},
  [54] = {.lex_state = 246, .external_lex_state = 2},
  [55] = {.lex_state = 246, .external_lex_state = 2},
  [56] = {.lex_state = 246, .external_lex_state = 2},
  [57] = {.lex_state = 246, .external_lex_state = 2},
  [58] = {.lex_state = 246, .external_lex_state = 2},
  [59] = {.lex_state = 246, .external_lex_state = 2},
  [60] = {.lex_state = 246, .external_lex_state = 2},
  [61] = {.lex_state = 246, .external_lex_state = 2},
  [62] = {.lex_state = 246, .external_lex_state = 2},
  [63] = {.lex_state = 246, .external_lex_state = 2},
  [64] = {.lex_state = 246, .external_lex_state = 2},
  [65] = {.lex_state = 246, .external_lex_state = 2},
  [66] = {.lex_state = 246, .external_lex_state = 2},
  [67] = {.lex_state = 246, .external_lex_state = 2},
  [68] = {.lex_state = 246, .external_lex_state = 2},
  [69] = {.lex_state = 246, .external_lex_state = 2},
  [70] = {.lex_state = 246, .external_lex_state = 2},
  [71] = {.lex_state = 246, .external_lex_state = 2},
  [72] = {.lex_state = 246, .external_lex_state = 2},
  [73] = {.lex_state = 246, .external_lex_state = 2},
  [74] = {.lex_state = 246, .external_lex_state = 2},
  [75] = {.lex_state = 246, .external_lex_state = 2},
  [76] = {.lex_state = 246, .external_lex_state = 2},
  [77] = {.lex_state = 246, .external_lex_state = 2},
  [78] = {.lex_state = 246, .external_lex_state = 2},
  [79] = {.lex_state = 246, .external_lex_state = 2},
  [80] = {.lex_state = 246, .external_lex_state = 2},
  [81] = {.lex_state = 246, .external_lex_state = 2},
  [82] = {.lex_state = 246, .external_lex_state = 2},
  [83] = {.lex_state = 246, .external_lex_state = 2},
  [84] = {.lex_state = 246, .external_lex_state = 2},
  [85] = {.lex_state = 246, .external_lex_state = 2},
  [86] = {.lex_state = 246, .external_lex_state = 2},
  [87] = {.lex_state = 246, .external_lex_state = 2},
  [88] = {.lex_state = 246, .external_lex_state = 2},
  [89] = {.lex_state = 246, .external_lex_state = 2},
  [90] = {.lex_state = 246, .external_lex_state = 2},
  [91] = {.lex_state = 246, .external_lex_state = 2},
  [92] = {.lex_state = 246, .external_lex_state = 2},
  [93] = {.lex_state = 246, .external_lex_state = 2},
  [94] = {.lex_state = 246, .external_lex_state = 2},
  [95] = {.lex_state = 246, .external_lex_state = 2},
  [96] = {.lex_state = 246, .external_lex_state = 2},
  [97] = {.lex_state = 246, .external_lex_state = 2},
  [98] = {.lex_state = 246, .external_lex_state = 2},
  [99] = {.lex_state = 246, .external_lex_state = 2},
  [100] = {.lex_state = 246, .external_lex_state = 2},
  [101] = {.lex_state = 246, .external_lex_state = 2},
  [102] = {.lex_state = 246, .external_lex_state = 2},
  [103] = {.lex_state = 246, .external_lex_state = 2},
  [104] = {.lex_state = 246, .external_lex_state = 2},
  [105] = {.lex_state = 246, .external_lex_state = 2},
  [106] = {.lex_state = 246, .external_lex_state = 2},
  [107] = {.lex_state = 246, .external_lex_state = 2},
  [108] = {.lex_state = 246, .external_lex_state = 2},
  [109] = {.lex_state = 246, .external_lex_state = 2},
  [110] = {.lex_state = 246, .external_lex_state = 2},
  [111] = {.lex_state = 246, .external_lex_state = 2},
  [112] = {.lex_state = 246, .external_lex_state = 2},
  [113] = {.lex_state = 246, .external_lex_state = 2},
  [114] = {.lex_state = 246, .external_lex_state = 2},
  [115] = {.lex_state = 246, .external_lex_state = 2},
  [116] = {.lex_state = 246, .external_lex_state = 2},
  [117] = {.lex_state = 246, .external_lex_state = 2},
  [118] = {.lex_state = 246, .external_lex_state = 2},
  [119] = {.lex_state = 7, .external_lex_state = 3},
  [120] = {.lex_state = 7, .external_lex_state = 4},
  [121] = {.lex_state = 8, .external_lex_state = 4},
  [122] = {.lex_state = 8, .external_lex_state = 3},
  [123] = {.lex_state = 7, .external_lex_state = 3},
  [124] = {.lex_state = 12, .external_lex_state = 2},
  [125] = {.lex_state = 12, .external_lex_state = 2},
  [126] = {.lex_state = 12, .external_lex_state = 2},
  [127] = {.lex_state = 12, .external_lex_state = 2},
  [128] = {.lex_state = 12, .external_lex_state = 2},
  [129] = {.lex_state = 12, .external_lex_state = 2},
  [130] = {.lex_state = 12, .external_lex_state = 2},
  [131] = {.lex_state = 12, .external_lex_state = 2},
  [132] = {.lex_state = 17, .external_lex_state = 2},
  [133] = {.lex_state = 17, .external_lex_state = 2},
  [134] = {.lex_state = 17, .external_lex_state = 2},
  [135] = {.lex_state = 10, .external_lex_state = 4},
  [136] = {.lex_state = 17, .external_lex_state = 2},
  [137] = {.lex_state = 17, .external_lex_state = 2},
  [138] = {.lex_state = 17, .external_lex_state = 2},
  [139] = {.lex_state = 17, .external_lex_state = 2},
  [140] = {.lex_state = 17, .external_lex_state = 2},
  [141] = {.lex_state = 17, .external_lex_state = 2},
  [142] = {.lex_state = 17, .external_lex_state = 2},
  [143] = {.lex_state = 17, .external_lex_state = 2},
  [144] = {.lex_state = 17, .external_lex_state = 2},
  [145] = {.lex_state = 17, .external_lex_state = 2},
  [146] = {.lex_state = 17, .external_lex_state = 2},
  [147] = {.lex_state = 17, .external_lex_state = 2},
  [148] = {.lex_state = 12, .external_lex_state = 2},
  [149] = {.lex_state = 9, .external_lex_state = 4},
  [150] = {.lex_state = 12, .external_lex_state = 2},
  [151] = {.lex_state = 10, .external_lex_state = 4},
  [152] = {.lex_state = 10, .external_lex_state = 4},
  [153] = {.lex_state = 245, .external_lex_state = 4},
  [154] = {.lex_state = 10, .external_lex_state = 4},
  [155] = {.lex_state = 12, .external_lex_state = 2},
  [156] = {.lex_state = 10, .external_lex_state = 4},
  [157] = {.lex_state = 10, .external_lex_state = 4},
  [158] = {.lex_state = 10, .external_lex_state = 4},
  [159] = {.lex_state = 10, .external_lex_state = 4},
  [160] = {.lex_state = 10, .external_lex_state = 4},
  [161] = {.lex_state = 10, .external_lex_state = 4},
  [162] = {.lex_state = 10, .external_lex_state = 4},
  [163] = {.lex_state = 10, .external_lex_state = 4},
  [164] = {.lex_state = 10, .external_lex_state = 4},
  [165] = {.lex_state = 10, .external_lex_state = 4},
  [166] = {.lex_state = 10, .external_lex_state = 4},
  [167] = {.lex_state = 12, .external_lex_state = 2},
  [168] = {.lex_state = 245, .external_lex_state = 4},
  [169] = {.lex_state = 9, .external_lex_state = 4},
  [170] = {.lex_state = 245, .external_lex_state = 4},
  [171] = {.lex_state = 245, .external_lex_state = 4},
  [172] = {.lex_state = 9, .external_lex_state = 4},
  [173] = {.lex_state = 9, .external_lex_state = 4},
  [174] = {.lex_state = 9, .external_lex_state = 4},
  [175] = {.lex_state = 9, .external_lex_state = 4},
  [176] = {.lex_state = 9, .external_lex_state = 4},
  [177] = {.lex_state = 9, .external_lex_state = 4},
  [178] = {.lex_state = 9, .external_lex_state = 4},
  [179] = {.lex_state = 9, .external_lex_state = 4},
  [180] = {.lex_state = 9, .external_lex_state = 4},
  [181] = {.lex_state = 245, .external_lex_state = 4},
  [182] = {.lex_state = 245, .external_lex_state = 4},
  [183] = {.lex_state = 12, .external_lex_state = 2},
  [184] = {.lex_state = 245, .external_lex_state = 4},
  [185] = {.lex_state = 244, .external_lex_state = 4},
  [186] = {.lex_state = 12, .external_lex_state = 2},
  [187] = {.lex_state = 245, .external_lex_state = 4},
  [188] = {.lex_state = 9, .external_lex_state = 4},
  [189] = {.lex_state = 245, .external_lex_state = 4},
  [190] = {.lex_state = 245, .external_lex_state = 4},
  [191] = {.lex_state = 245, .external_lex_state = 4},
  [192] = {.lex_state = 9, .external_lex_state = 4},
  [193] = {.lex_state = 9, .external_lex_state = 4},
  [194] = {.lex_state = 245, .external_lex_state = 4},
  [195] = {.lex_state = 12, .external_lex_state = 2},
  [196] = {.lex_state = 245, .external_lex_state = 4},
  [197] = {.lex_state = 9, .external_lex_state = 4},
  [198] = {.lex_state = 245, .external_lex_state = 4},
  [199] = {.lex_state = 245, .external_lex_state = 4},
  [200] = {.lex_state = 12, .external_lex_state = 2},
  [201] = {.lex_state = 244, .external_lex_state = 4},
  [202] = {.lex_state = 12, .external_lex_state = 2},
  [203] = {.lex_state = 12, .external_lex_state = 2},
  [204] = {.lex_state = 244, .external_lex_state = 4},
  [205] = {.lex_state = 244, .external_lex_state = 4},
  [206] = {.lex_state = 12, .external_lex_state = 2},
  [207] = {.lex_state = 244, .external_lex_state = 4},
  [208] = {.lex_state = 244, .external_lex_state = 4},
  [209] = {.lex_state = 12, .external_lex_state = 2},
  [210] = {.lex_state = 244, .external_lex_state = 4},
  [211] = {.lex_state = 12, .external_lex_state = 2},
  [212] = {.lex_state = 244, .external_lex_state = 4},
  [213] = {.lex_state = 244, .external_lex_state = 4},
  [214] = {.lex_state = 244, .external_lex_state = 4},
  [215] = {.lex_state = 244, .external_lex_state = 4},
  [216] = {.lex_state = 12, .external_lex_state = 2},
  [217] = {.lex_state = 244, .external_lex_state = 4},
  [218] = {.lex_state = 244, .external_lex_state = 4},
  [219] = {.lex_state = 244, .external_lex_state = 4},
  [220] = {.lex_state = 12, .external_lex_state = 2},
  [221] = {.lex_state = 244, .external_lex_state = 4},
  [222] = {.lex_state = 12, .external_lex_state = 2},
  [223] = {.lex_state = 12, .external_lex_state = 2},
  [224] = {.lex_state = 12, .external_lex_state = 2},
  [225] = {.lex_state = 12, .external_lex_state = 2},
  [226] = {.lex_state = 12, .external_lex_state = 2},
  [227] = {.lex_state = 12, .external_lex_state = 2},
  [228] = {.lex_state = 12, .external_lex_state = 2},
  [229] = {.lex_state = 12, .external_lex_state = 2},
  [230] = {.lex_state = 12, .external_lex_state = 2},
  [231] = {.lex_state = 12, .external_lex_state = 2},
  [232] = {.lex_state = 12, .external_lex_state = 2},
  [233] = {.lex_state = 12, .external_lex_state = 5},
  [234] = {.lex_state = 12, .external_lex_state = 5},
  [235] = {.lex_state = 12, .external_lex_state = 5},
  [236] = {.lex_state = 12, .external_lex_state = 5},
  [237] = {.lex_state = 12, .external_lex_state = 5},
  [238] = {.lex_state = 12, .external_lex_state = 2},
  [239] = {.lex_state = 12, .external_lex_state = 2},
  [240] = {.lex_state = 12, .external_lex_state = 2},
  [241] = {.lex_state = 12, .external_lex_state = 2},
  [242] = {.lex_state = 12, .external_lex_state = 2},
  [243] = {.lex_state = 17, .external_lex_state = 2},
  [244] = {.lex_state = 12, .external_lex_state = 2},
  [245] = {.lex_state = 12, .external_lex_state = 2},
  [246] = {.lex_state = 12, .external_lex_state = 2},
  [247] = {.lex_state = 14, .external_lex_state = 2},
  [248] = {.lex_state = 12, .external_lex_state = 2},
  [249] = {.lex_state = 12, .external_lex_state = 2},
  [250] = {.lex_state = 12, .external_lex_state = 2},
  [251] = {.lex_state = 12, .external_lex_state = 2},
  [252] = {.lex_state = 12, .external_lex_state = 2},
  [253] = {.lex_state = 14, .external_lex_state = 2},
  [254] = {.lex_state = 12, .external_lex_state = 2},
  [255] = {.lex_state = 12, .external_lex_state = 2},
  [256] = {.lex_state = 14, .external_lex_state = 2},
  [257] = {.lex_state = 12, .external_lex_state = 2},
  [258] = {.lex_state = 14, .external_lex_state = 2},
  [259] = {.lex_state = 12, .external_lex_state = 2},
  [260] = {.lex_state = 12, .external_lex_state = 2},
  [261] = {.lex_state = 12, .external_lex_state = 2},
  [262] = {.lex_state = 12, .external_lex_state = 2},
  [263] = {.lex_state = 12, .external_lex_state = 2},
  [264] = {.lex_state = 12, .external_lex_state = 2},
  [265] = {.lex_state = 12, .external_lex_state = 2},
  [266] = {.lex_state = 12, .external_lex_state = 2},
  [267] = {.lex_state = 12, .external_lex_state = 2},
  [268] = {.lex_state = 12, .external_lex_state = 2},
  [269] = {.lex_state = 12, .external_lex_state = 2},
  [270] = {.lex_state = 12, .external_lex_state = 2},
  [271] = {.lex_state = 12, .external_lex_state = 2},
  [272] = {.lex_state = 12, .external_lex_state = 2},
  [273] = {.lex_state = 12, .external_lex_state = 2},
  [274] = {.lex_state = 12, .external_lex_state = 2},
  [275] = {.lex_state = 12, .external_lex_state = 2},
  [276] = {.lex_state = 12, .external_lex_state = 2},
  [277] = {.lex_state = 12, .external_lex_state = 2},
  [278] = {.lex_state = 12, .external_lex_state = 2},
  [279] = {.lex_state = 12, .external_lex_state = 2},
  [280] = {.lex_state = 12, .external_lex_state = 2},
  [281] = {.lex_state = 12, .external_lex_state = 2},
  [282] = {.lex_state = 12, .external_lex_state = 2},
  [283] = {.lex_state = 12, .external_lex_state = 2},
  [284] = {.lex_state = 12, .external_lex_state = 2},
  [285] = {.lex_state = 12, .external_lex_state = 2},
  [286] = {.lex_state = 12, .external_lex_state = 2},
  [287] = {.lex_state = 12, .external_lex_state = 2},
  [288] = {.lex_state = 12, .external_lex_state = 2},
  [289] = {.lex_state = 12, .external_lex_state = 2},
  [290] = {.lex_state = 12, .external_lex_state = 2},
  [291] = {.lex_state = 12, .external_lex_state = 2},
  [292] = {.lex_state = 12, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 2},
  [294] = {.lex_state = 12, .external_lex_state = 2},
  [295] = {.lex_state = 12, .external_lex_state = 2},
  [296] = {.lex_state = 12, .external_lex_state = 2},
  [297] = {.lex_state = 14, .external_lex_state = 2},
  [298] = {.lex_state = 12, .external_lex_state = 2},
  [299] = {.lex_state = 12, .external_lex_state = 2},
  [300] = {.lex_state = 12, .external_lex_state = 2},
  [301] = {.lex_state = 12, .external_lex_state = 2},
  [302] = {.lex_state = 12, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 2},
  [304] = {.lex_state = 12, .external_lex_state = 2},
  [305] = {.lex_state = 12, .external_lex_state = 2},
  [306] = {.lex_state = 12, .external_lex_state = 2},
  [307] = {.lex_state = 12, .external_lex_state = 2},
  [308] = {.lex_state = 12, .external_lex_state = 2},
  [309] = {.lex_state = 12, .external_lex_state = 2},
  [310] = {.lex_state = 12, .external_lex_state = 2},
  [311] = {.lex_state = 12, .external_lex_state = 2},
  [312] = {.lex_state = 12, .external_lex_state = 2},
  [313] = {.lex_state = 12, .external_lex_state = 2},
  [314] = {.lex_state = 12, .external_lex_state = 2},
  [315] = {.lex_state = 12, .external_lex_state = 2},
  [316] = {.lex_state = 12, .external_lex_state = 2},
  [317] = {.lex_state = 12, .external_lex_state = 2},
  [318] = {.lex_state = 12, .external_lex_state = 2},
  [319] = {.lex_state = 12, .external_lex_state = 2},
  [320] = {.lex_state = 12, .external_lex_state = 2},
  [321] = {.lex_state = 12, .external_lex_state = 2},
  [322] = {.lex_state = 12, .external_lex_state = 2},
  [323] = {.lex_state = 12, .external_lex_state = 2},
  [324] = {.lex_state = 12, .external_lex_state = 2},
  [325] = {.lex_state = 12, .external_lex_state = 2},
  [326] = {.lex_state = 12, .external_lex_state = 2},
  [327] = {.lex_state = 12, .external_lex_state = 2},
  [328] = {.lex_state = 12, .external_lex_state = 2},
  [329] = {.lex_state = 12, .external_lex_state = 2},
  [330] = {.lex_state = 12, .external_lex_state = 2},
  [331] = {.lex_state = 12, .external_lex_state = 2},
  [332] = {.lex_state = 12, .external_lex_state = 2},
  [333] = {.lex_state = 12, .external_lex_state = 2},
  [334] = {.lex_state = 12, .external_lex_state = 2},
  [335] = {.lex_state = 12, .external_lex_state = 2},
  [336] = {.lex_state = 12, .external_lex_state = 2},
  [337] = {.lex_state = 12, .external_lex_state = 2},
  [338] = {.lex_state = 12, .external_lex_state = 2},
  [339] = {.lex_state = 12, .external_lex_state = 2},
  [340] = {.lex_state = 12, .external_lex_state = 2},
  [341] = {.lex_state = 12, .external_lex_state = 2},
  [342] = {.lex_state = 12, .external_lex_state = 2},
  [343] = {.lex_state = 12, .external_lex_state = 2},
  [344] = {.lex_state = 12, .external_lex_state = 2},
  [345] = {.lex_state = 12, .external_lex_state = 2},
  [346] = {.lex_state = 12, .external_lex_state = 2},
  [347] = {.lex_state = 12, .external_lex_state = 2},
  [348] = {.lex_state = 12, .external_lex_state = 2},
  [349] = {.lex_state = 12, .external_lex_state = 2},
  [350] = {.lex_state = 12, .external_lex_state = 2},
  [351] = {.lex_state = 12, .external_lex_state = 2},
  [352] = {.lex_state = 12, .external_lex_state = 2},
  [353] = {.lex_state = 12, .external_lex_state = 2},
  [354] = {.lex_state = 12, .external_lex_state = 2},
  [355] = {.lex_state = 12, .external_lex_state = 2},
  [356] = {.lex_state = 12, .external_lex_state = 2},
  [357] = {.lex_state = 12, .external_lex_state = 2},
  [358] = {.lex_state = 12, .external_lex_state = 2},
  [359] = {.lex_state = 12, .external_lex_state = 2},
  [360] = {.lex_state = 12, .external_lex_state = 2},
  [361] = {.lex_state = 12, .external_lex_state = 2},
  [362] = {.lex_state = 12, .external_lex_state = 2},
  [363] = {.lex_state = 12, .external_lex_state = 2},
  [364] = {.lex_state = 12, .external_lex_state = 2},
  [365] = {.lex_state = 12, .external_lex_state = 2},
  [366] = {.lex_state = 12, .external_lex_state = 2},
  [367] = {.lex_state = 12, .external_lex_state = 2},
  [368] = {.lex_state = 12, .external_lex_state = 2},
  [369] = {.lex_state = 12, .external_lex_state = 2},
  [370] = {.lex_state = 12, .external_lex_state = 2},
  [371] = {.lex_state = 12, .external_lex_state = 2},
  [372] = {.lex_state = 12, .external_lex_state = 2},
  [373] = {.lex_state = 12, .external_lex_state = 2},
  [374] = {.lex_state = 12, .external_lex_state = 2},
  [375] = {.lex_state = 12, .external_lex_state = 2},
  [376] = {.lex_state = 12, .external_lex_state = 2},
  [377] = {.lex_state = 12, .external_lex_state = 2},
  [378] = {.lex_state = 12, .external_lex_state = 2},
  [379] = {.lex_state = 12, .external_lex_state = 2},
  [380] = {.lex_state = 12, .external_lex_state = 2},
  [381] = {.lex_state = 12, .external_lex_state = 2},
  [382] = {.lex_state = 12, .external_lex_state = 2},
  [383] = {.lex_state = 12, .external_lex_state = 2},
  [384] = {.lex_state = 12, .external_lex_state = 2},
  [385] = {.lex_state = 12, .external_lex_state = 2},
  [386] = {.lex_state = 12, .external_lex_state = 2},
  [387] = {.lex_state = 12, .external_lex_state = 2},
  [388] = {.lex_state = 12, .external_lex_state = 2},
  [389] = {.lex_state = 12, .external_lex_state = 2},
  [390] = {.lex_state = 12, .external_lex_state = 2},
  [391] = {.lex_state = 12, .external_lex_state = 2},
  [392] = {.lex_state = 12, .external_lex_state = 2},
  [393] = {.lex_state = 12, .external_lex_state = 2},
  [394] = {.lex_state = 12, .external_lex_state = 2},
  [395] = {.lex_state = 12, .external_lex_state = 2},
  [396] = {.lex_state = 12, .external_lex_state = 2},
  [397] = {.lex_state = 12, .external_lex_state = 2},
  [398] = {.lex_state = 12, .external_lex_state = 2},
  [399] = {.lex_state = 12, .external_lex_state = 2},
  [400] = {.lex_state = 12, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 2},
  [402] = {.lex_state = 12, .external_lex_state = 2},
  [403] = {.lex_state = 12, .external_lex_state = 2},
  [404] = {.lex_state = 12, .external_lex_state = 2},
  [405] = {.lex_state = 12, .external_lex_state = 2},
  [406] = {.lex_state = 12, .external_lex_state = 2},
  [407] = {.lex_state = 12, .external_lex_state = 2},
  [408] = {.lex_state = 12, .external_lex_state = 2},
  [409] = {.lex_state = 12, .external_lex_state = 2},
  [410] = {.lex_state = 12, .external_lex_state = 2},
  [411] = {.lex_state = 12, .external_lex_state = 2},
  [412] = {.lex_state = 12, .external_lex_state = 2},
  [413] = {.lex_state = 12, .external_lex_state = 2},
  [414] = {.lex_state = 12, .external_lex_state = 2},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 12, .external_lex_state = 2},
  [419] = {.lex_state = 12, .external_lex_state = 2},
  [420] = {.lex_state = 12, .external_lex_state = 2},
  [421] = {.lex_state = 12, .external_lex_state = 2},
  [422] = {.lex_state = 12, .external_lex_state = 2},
  [423] = {.lex_state = 252, .external_lex_state = 4},
  [424] = {.lex_state = 252, .external_lex_state = 4},
  [425] = {.lex_state = 252, .external_lex_state = 4},
  [426] = {.lex_state = 252, .external_lex_state = 4},
  [427] = {.lex_state = 252, .external_lex_state = 4},
  [428] = {.lex_state = 252, .external_lex_state = 4},
  [429] = {.lex_state = 22, .external_lex_state = 4},
  [430] = {.lex_state = 22, .external_lex_state = 4},
  [431] = {.lex_state = 22, .external_lex_state = 4},
  [432] = {.lex_state = 252, .external_lex_state = 4},
  [433] = {.lex_state = 252, .external_lex_state = 4},
  [434] = {.lex_state = 23, .external_lex_state = 4},
  [435] = {.lex_state = 23, .external_lex_state = 4},
  [436] = {.lex_state = 23, .external_lex_state = 4},
  [437] = {.lex_state = 23, .external_lex_state = 4},
  [438] = {.lex_state = 23, .external_lex_state = 4},
  [439] = {.lex_state = 23, .external_lex_state = 4},
  [440] = {.lex_state = 24, .external_lex_state = 3},
  [441] = {.lex_state = 24, .external_lex_state = 3},
  [442] = {.lex_state = 24, .external_lex_state = 4},
  [443] = {.lex_state = 25, .external_lex_state = 4},
  [444] = {.lex_state = 24, .external_lex_state = 4},
  [445] = {.lex_state = 26, .external_lex_state = 4},
  [446] = {.lex_state = 16, .external_lex_state = 2},
  [447] = {.lex_state = 26, .external_lex_state = 4},
  [448] = {.lex_state = 25, .external_lex_state = 4},
  [449] = {.lex_state = 24, .external_lex_state = 3},
  [450] = {.lex_state = 24, .external_lex_state = 3},
  [451] = {.lex_state = 24, .external_lex_state = 4},
  [452] = {.lex_state = 24, .external_lex_state = 4},
  [453] = {.lex_state = 25, .external_lex_state = 4},
  [454] = {.lex_state = 24, .external_lex_state = 4},
  [455] = {.lex_state = 26, .external_lex_state = 4},
  [456] = {.lex_state = 24, .external_lex_state = 4},
  [457] = {.lex_state = 24, .external_lex_state = 4},
  [458] = {.lex_state = 24, .external_lex_state = 3},
  [459] = {.lex_state = 16, .external_lex_state = 5},
  [460] = {.lex_state = 15, .external_lex_state = 2},
  [461] = {.lex_state = 251, .external_lex_state = 2},
  [462] = {.lex_state = 16, .external_lex_state = 5},
  [463] = {.lex_state = 24, .external_lex_state = 3},
  [464] = {.lex_state = 24, .external_lex_state = 4},
  [465] = {.lex_state = 15, .external_lex_state = 5},
  [466] = {.lex_state = 24, .external_lex_state = 4},
  [467] = {.lex_state = 16, .external_lex_state = 2},
  [468] = {.lex_state = 250, .external_lex_state = 2},
  [469] = {.lex_state = 20, .external_lex_state = 2},
  [470] = {.lex_state = 20, .external_lex_state = 5},
  [471] = {.lex_state = 24, .external_lex_state = 4},
  [472] = {.lex_state = 20, .external_lex_state = 5},
  [473] = {.lex_state = 251, .external_lex_state = 5},
  [474] = {.lex_state = 15, .external_lex_state = 5},
  [475] = {.lex_state = 16, .external_lex_state = 2},
  [476] = {.lex_state = 24, .external_lex_state = 4},
  [477] = {.lex_state = 24, .external_lex_state = 3},
  [478] = {.lex_state = 251, .external_lex_state = 5},
  [479] = {.lex_state = 24, .external_lex_state = 3},
  [480] = {.lex_state = 24, .external_lex_state = 4},
  [481] = {.lex_state = 20, .external_lex_state = 2},
  [482] = {.lex_state = 26, .external_lex_state = 3},
  [483] = {.lex_state = 27, .external_lex_state = 4},
  [484] = {.lex_state = 21, .external_lex_state = 2},
  [485] = {.lex_state = 21, .external_lex_state = 5},
  [486] = {.lex_state = 20, .external_lex_state = 2},
  [487] = {.lex_state = 251, .external_lex_state = 2},
  [488] = {.lex_state = 21, .external_lex_state = 5},
  [489] = {.lex_state = 21, .external_lex_state = 5},
  [490] = {.lex_state = 21, .external_lex_state = 5},
  [491] = {.lex_state = 21, .external_lex_state = 5},
  [492] = {.lex_state = 25, .external_lex_state = 4},
  [493] = {.lex_state = 21, .external_lex_state = 5},
  [494] = {.lex_state = 21, .external_lex_state = 5},
  [495] = {.lex_state = 21, .external_lex_state = 5},
  [496] = {.lex_state = 251, .external_lex_state = 2},
  [497] = {.lex_state = 25, .external_lex_state = 4},
  [498] = {.lex_state = 26, .external_lex_state = 3},
  [499] = {.lex_state = 21, .external_lex_state = 5},
  [500] = {.lex_state = 25, .external_lex_state = 4},
  [501] = {.lex_state = 248, .external_lex_state = 5},
  [502] = {.lex_state = 248, .external_lex_state = 5},
  [503] = {.lex_state = 248, .external_lex_state = 2},
  [504] = {.lex_state = 21, .external_lex_state = 5},
  [505] = {.lex_state = 21, .external_lex_state = 2},
  [506] = {.lex_state = 18, .external_lex_state = 2},
  [507] = {.lex_state = 21, .external_lex_state = 5},
  [508] = {.lex_state = 250, .external_lex_state = 5},
  [509] = {.lex_state = 21, .external_lex_state = 5},
  [510] = {.lex_state = 21, .external_lex_state = 5},
  [511] = {.lex_state = 21, .external_lex_state = 5},
  [512] = {.lex_state = 26, .external_lex_state = 3},
  [513] = {.lex_state = 21, .external_lex_state = 5},
  [514] = {.lex_state = 250, .external_lex_state = 5},
  [515] = {.lex_state = 25, .external_lex_state = 4},
  [516] = {.lex_state = 18, .external_lex_state = 5},
  [517] = {.lex_state = 21, .external_lex_state = 5},
  [518] = {.lex_state = 15, .external_lex_state = 2},
  [519] = {.lex_state = 18, .external_lex_state = 5},
  [520] = {.lex_state = 15, .external_lex_state = 2},
  [521] = {.lex_state = 20, .external_lex_state = 2},
  [522] = {.lex_state = 20, .external_lex_state = 2},
  [523] = {.lex_state = 25, .external_lex_state = 4},
  [524] = {.lex_state = 21, .external_lex_state = 2},
  [525] = {.lex_state = 21, .external_lex_state = 2},
  [526] = {.lex_state = 19, .external_lex_state = 5},
  [527] = {.lex_state = 18, .external_lex_state = 2},
  [528] = {.lex_state = 19, .external_lex_state = 5},
  [529] = {.lex_state = 19, .external_lex_state = 5},
  [530] = {.lex_state = 19, .external_lex_state = 5},
  [531] = {.lex_state = 19, .external_lex_state = 5},
  [532] = {.lex_state = 249, .external_lex_state = 5},
  [533] = {.lex_state = 19, .external_lex_state = 5},
  [534] = {.lex_state = 19, .external_lex_state = 5},
  [535] = {.lex_state = 19, .external_lex_state = 5},
  [536] = {.lex_state = 19, .external_lex_state = 5},
  [537] = {.lex_state = 18, .external_lex_state = 2},
  [538] = {.lex_state = 21, .external_lex_state = 2},
  [539] = {.lex_state = 248, .external_lex_state = 2},
  [540] = {.lex_state = 249, .external_lex_state = 5},
  [541] = {.lex_state = 21, .external_lex_state = 2},
  [542] = {.lex_state = 21, .external_lex_state = 2},
  [543] = {.lex_state = 21, .external_lex_state = 2},
  [544] = {.lex_state = 21, .external_lex_state = 2},
  [545] = {.lex_state = 249, .external_lex_state = 5},
  [546] = {.lex_state = 249, .external_lex_state = 5},
  [547] = {.lex_state = 249, .external_lex_state = 5},
  [548] = {.lex_state = 21, .external_lex_state = 2},
  [549] = {.lex_state = 21, .external_lex_state = 2},
  [550] = {.lex_state = 21, .external_lex_state = 2},
  [551] = {.lex_state = 21, .external_lex_state = 2},
  [552] = {.lex_state = 249, .external_lex_state = 5},
  [553] = {.lex_state = 249, .external_lex_state = 5},
  [554] = {.lex_state = 249, .external_lex_state = 5},
  [555] = {.lex_state = 249, .external_lex_state = 5},
  [556] = {.lex_state = 21, .external_lex_state = 2},
  [557] = {.lex_state = 21, .external_lex_state = 2},
  [558] = {.lex_state = 21, .external_lex_state = 2},
  [559] = {.lex_state = 21, .external_lex_state = 2},
  [560] = {.lex_state = 21, .external_lex_state = 2},
  [561] = {.lex_state = 248, .external_lex_state = 2},
  [562] = {.lex_state = 21, .external_lex_state = 2},
  [563] = {.lex_state = 250, .external_lex_state = 2},
  [564] = {.lex_state = 249, .external_lex_state = 5},
  [565] = {.lex_state = 21, .external_lex_state = 2},
  [566] = {.lex_state = 21, .external_lex_state = 2},
  [567] = {.lex_state = 21, .external_lex_state = 2},
  [568] = {.lex_state = 21, .external_lex_state = 2},
  [569] = {.lex_state = 21, .external_lex_state = 2},
  [570] = {.lex_state = 21, .external_lex_state = 2},
  [571] = {.lex_state = 21, .external_lex_state = 2},
  [572] = {.lex_state = 21, .external_lex_state = 2},
  [573] = {.lex_state = 21, .external_lex_state = 2},
  [574] = {.lex_state = 21, .external_lex_state = 2},
  [575] = {.lex_state = 250, .external_lex_state = 2},
  [576] = {.lex_state = 21, .external_lex_state = 2},
  [577] = {.lex_state = 21, .external_lex_state = 2},
  [578] = {.lex_state = 21, .external_lex_state = 2},
  [579] = {.lex_state = 21, .external_lex_state = 2},
  [580] = {.lex_state = 21, .external_lex_state = 2},
  [581] = {.lex_state = 21, .external_lex_state = 2},
  [582] = {.lex_state = 21, .external_lex_state = 2},
  [583] = {.lex_state = 247, .external_lex_state = 5},
  [584] = {.lex_state = 21, .external_lex_state = 2},
  [585] = {.lex_state = 21, .external_lex_state = 2},
  [586] = {.lex_state = 21, .external_lex_state = 2},
  [587] = {.lex_state = 21, .external_lex_state = 2},
  [588] = {.lex_state = 21, .external_lex_state = 2},
  [589] = {.lex_state = 21, .external_lex_state = 2},
  [590] = {.lex_state = 21, .external_lex_state = 2},
  [591] = {.lex_state = 21, .external_lex_state = 2},
  [592] = {.lex_state = 21, .external_lex_state = 2},
  [593] = {.lex_state = 21, .external_lex_state = 2},
  [594] = {.lex_state = 21, .external_lex_state = 2},
  [595] = {.lex_state = 21, .external_lex_state = 2},
  [596] = {.lex_state = 21, .external_lex_state = 2},
  [597] = {.lex_state = 21, .external_lex_state = 2},
  [598] = {.lex_state = 21, .external_lex_state = 2},
  [599] = {.lex_state = 21, .external_lex_state = 2},
  [600] = {.lex_state = 21, .external_lex_state = 2},
  [601] = {.lex_state = 21, .external_lex_state = 2},
  [602] = {.lex_state = 21, .external_lex_state = 2},
  [603] = {.lex_state = 21, .external_lex_state = 2},
  [604] = {.lex_state = 21, .external_lex_state = 2},
  [605] = {.lex_state = 21, .external_lex_state = 2},
  [606] = {.lex_state = 21, .external_lex_state = 2},
  [607] = {.lex_state = 21, .external_lex_state = 2},
  [608] = {.lex_state = 21, .external_lex_state = 2},
  [609] = {.lex_state = 21, .external_lex_state = 2},
  [610] = {.lex_state = 21, .external_lex_state = 2},
  [611] = {.lex_state = 21, .external_lex_state = 2},
  [612] = {.lex_state = 21, .external_lex_state = 2},
  [613] = {.lex_state = 21, .external_lex_state = 2},
  [614] = {.lex_state = 21, .external_lex_state = 2},
  [615] = {.lex_state = 21, .external_lex_state = 2},
  [616] = {.lex_state = 21, .external_lex_state = 2},
  [617] = {.lex_state = 247, .external_lex_state = 2},
  [618] = {.lex_state = 21, .external_lex_state = 2},
  [619] = {.lex_state = 21, .external_lex_state = 2},
  [620] = {.lex_state = 21, .external_lex_state = 2},
  [621] = {.lex_state = 21, .external_lex_state = 2},
  [622] = {.lex_state = 21, .external_lex_state = 2},
  [623] = {.lex_state = 21, .external_lex_state = 2},
  [624] = {.lex_state = 21, .external_lex_state = 2},
  [625] = {.lex_state = 21, .external_lex_state = 2},
  [626] = {.lex_state = 21, .external_lex_state = 2},
  [627] = {.lex_state = 249, .external_lex_state = 2},
  [628] = {.lex_state = 21, .external_lex_state = 2},
  [629] = {.lex_state = 21, .external_lex_state = 2},
  [630] = {.lex_state = 21, .external_lex_state = 2},
  [631] = {.lex_state = 21, .external_lex_state = 2},
  [632] = {.lex_state = 21, .external_lex_state = 2},
  [633] = {.lex_state = 21, .external_lex_state = 2},
  [634] = {.lex_state = 21, .external_lex_state = 2},
  [635] = {.lex_state = 21, .external_lex_state = 2},
  [636] = {.lex_state = 21, .external_lex_state = 2},
  [637] = {.lex_state = 21, .external_lex_state = 2},
  [638] = {.lex_state = 21, .external_lex_state = 2},
  [639] = {.lex_state = 21, .external_lex_state = 2},
  [640] = {.lex_state = 21, .external_lex_state = 2},
  [641] = {.lex_state = 21, .external_lex_state = 2},
  [642] = {.lex_state = 21, .external_lex_state = 2},
  [643] = {.lex_state = 21, .external_lex_state = 2},
  [644] = {.lex_state = 21, .external_lex_state = 2},
  [645] = {.lex_state = 249, .external_lex_state = 2},
  [646] = {.lex_state = 21, .external_lex_state = 2},
  [647] = {.lex_state = 21, .external_lex_state = 2},
  [648] = {.lex_state = 21, .external_lex_state = 2},
  [649] = {.lex_state = 21, .external_lex_state = 2},
  [650] = {.lex_state = 247, .external_lex_state = 5},
  [651] = {.lex_state = 21, .external_lex_state = 2},
  [652] = {.lex_state = 249, .external_lex_state = 5},
  [653] = {.lex_state = 249, .external_lex_state = 5},
  [654] = {.lex_state = 19, .external_lex_state = 5},
  [655] = {.lex_state = 19, .external_lex_state = 5},
  [656] = {.lex_state = 249, .external_lex_state = 5},
  [657] = {.lex_state = 248, .external_lex_state = 2},
  [658] = {.lex_state = 19, .external_lex_state = 5},
  [659] = {.lex_state = 248, .external_lex_state = 2},
  [660] = {.lex_state = 249, .external_lex_state = 5},
  [661] = {.lex_state = 249, .external_lex_state = 5},
  [662] = {.lex_state = 249, .external_lex_state = 5},
  [663] = {.lex_state = 21, .external_lex_state = 2},
  [664] = {.lex_state = 19, .external_lex_state = 5},
  [665] = {.lex_state = 21, .external_lex_state = 2},
  [666] = {.lex_state = 18, .external_lex_state = 2},
  [667] = {.lex_state = 19, .external_lex_state = 5},
  [668] = {.lex_state = 18, .external_lex_state = 2},
  [669] = {.lex_state = 19, .external_lex_state = 5},
  [670] = {.lex_state = 19, .external_lex_state = 5},
  [671] = {.lex_state = 249, .external_lex_state = 2},
  [672] = {.lex_state = 249, .external_lex_state = 2},
  [673] = {.lex_state = 19, .external_lex_state = 2},
  [674] = {.lex_state = 19, .external_lex_state = 2},
  [675] = {.lex_state = 19, .external_lex_state = 2},
  [676] = {.lex_state = 19, .external_lex_state = 2},
  [677] = {.lex_state = 247, .external_lex_state = 2},
  [678] = {.lex_state = 246, .external_lex_state = 5},
  [679] = {.lex_state = 25, .external_lex_state = 4},
  [680] = {.lex_state = 19, .external_lex_state = 2},
  [681] = {.lex_state = 19, .external_lex_state = 2},
  [682] = {.lex_state = 246, .external_lex_state = 5},
  [683] = {.lex_state = 19, .external_lex_state = 2},
  [684] = {.lex_state = 19, .external_lex_state = 2},
  [685] = {.lex_state = 19, .external_lex_state = 2},
  [686] = {.lex_state = 246, .external_lex_state = 5},
  [687] = {.lex_state = 19, .external_lex_state = 2},
  [688] = {.lex_state = 19, .external_lex_state = 2},
  [689] = {.lex_state = 19, .external_lex_state = 2},
  [690] = {.lex_state = 19, .external_lex_state = 2},
  [691] = {.lex_state = 19, .external_lex_state = 2},
  [692] = {.lex_state = 19, .external_lex_state = 2},
  [693] = {.lex_state = 19, .external_lex_state = 2},
  [694] = {.lex_state = 19, .external_lex_state = 2},
  [695] = {.lex_state = 19, .external_lex_state = 2},
  [696] = {.lex_state = 19, .external_lex_state = 2},
  [697] = {.lex_state = 19, .external_lex_state = 2},
  [698] = {.lex_state = 19, .external_lex_state = 2},
  [699] = {.lex_state = 246, .external_lex_state = 5},
  [700] = {.lex_state = 19, .external_lex_state = 2},
  [701] = {.lex_state = 19, .external_lex_state = 2},
  [702] = {.lex_state = 247, .external_lex_state = 2},
  [703] = {.lex_state = 19, .external_lex_state = 2},
  [704] = {.lex_state = 19, .external_lex_state = 2},
  [705] = {.lex_state = 246, .external_lex_state = 5},
  [706] = {.lex_state = 19, .external_lex_state = 2},
  [707] = {.lex_state = 19, .external_lex_state = 2},
  [708] = {.lex_state = 19, .external_lex_state = 2},
  [709] = {.lex_state = 19, .external_lex_state = 2},
  [710] = {.lex_state = 19, .external_lex_state = 2},
  [711] = {.lex_state = 19, .external_lex_state = 2},
  [712] = {.lex_state = 19, .external_lex_state = 2},
  [713] = {.lex_state = 19, .external_lex_state = 2},
  [714] = {.lex_state = 246, .external_lex_state = 5},
  [715] = {.lex_state = 25, .external_lex_state = 4},
  [716] = {.lex_state = 19, .external_lex_state = 2},
  [717] = {.lex_state = 19, .external_lex_state = 2},
  [718] = {.lex_state = 246, .external_lex_state = 5},
  [719] = {.lex_state = 25, .external_lex_state = 4},
  [720] = {.lex_state = 246, .external_lex_state = 5},
  [721] = {.lex_state = 246, .external_lex_state = 5},
  [722] = {.lex_state = 19, .external_lex_state = 2},
  [723] = {.lex_state = 19, .external_lex_state = 2},
  [724] = {.lex_state = 246, .external_lex_state = 5},
  [725] = {.lex_state = 19, .external_lex_state = 2},
  [726] = {.lex_state = 19, .external_lex_state = 2},
  [727] = {.lex_state = 19, .external_lex_state = 2},
  [728] = {.lex_state = 19, .external_lex_state = 2},
  [729] = {.lex_state = 249, .external_lex_state = 2},
  [730] = {.lex_state = 249, .external_lex_state = 2},
  [731] = {.lex_state = 19, .external_lex_state = 2},
  [732] = {.lex_state = 19, .external_lex_state = 2},
  [733] = {.lex_state = 19, .external_lex_state = 2},
  [734] = {.lex_state = 19, .external_lex_state = 2},
  [735] = {.lex_state = 249, .external_lex_state = 2},
  [736] = {.lex_state = 249, .external_lex_state = 2},
  [737] = {.lex_state = 249, .external_lex_state = 2},
  [738] = {.lex_state = 249, .external_lex_state = 2},
  [739] = {.lex_state = 249, .external_lex_state = 2},
  [740] = {.lex_state = 249, .external_lex_state = 2},
  [741] = {.lex_state = 249, .external_lex_state = 2},
  [742] = {.lex_state = 249, .external_lex_state = 2},
  [743] = {.lex_state = 249, .external_lex_state = 2},
  [744] = {.lex_state = 249, .external_lex_state = 2},
  [745] = {.lex_state = 249, .external_lex_state = 2},
  [746] = {.lex_state = 249, .external_lex_state = 2},
  [747] = {.lex_state = 249, .external_lex_state = 2},
  [748] = {.lex_state = 249, .external_lex_state = 2},
  [749] = {.lex_state = 249, .external_lex_state = 2},
  [750] = {.lex_state = 249, .external_lex_state = 2},
  [751] = {.lex_state = 19, .external_lex_state = 2},
  [752] = {.lex_state = 19, .external_lex_state = 2},
  [753] = {.lex_state = 19, .external_lex_state = 2},
  [754] = {.lex_state = 249, .external_lex_state = 2},
  [755] = {.lex_state = 19, .external_lex_state = 2},
  [756] = {.lex_state = 249, .external_lex_state = 2},
  [757] = {.lex_state = 19, .external_lex_state = 2},
  [758] = {.lex_state = 19, .external_lex_state = 2},
  [759] = {.lex_state = 19, .external_lex_state = 2},
  [760] = {.lex_state = 19, .external_lex_state = 2},
  [761] = {.lex_state = 19, .external_lex_state = 2},
  [762] = {.lex_state = 19, .external_lex_state = 2},
  [763] = {.lex_state = 19, .external_lex_state = 2},
  [764] = {.lex_state = 249, .external_lex_state = 2},
  [765] = {.lex_state = 249, .external_lex_state = 2},
  [766] = {.lex_state = 19, .external_lex_state = 2},
  [767] = {.lex_state = 249, .external_lex_state = 2},
  [768] = {.lex_state = 249, .external_lex_state = 2},
  [769] = {.lex_state = 249, .external_lex_state = 2},
  [770] = {.lex_state = 249, .external_lex_state = 2},
  [771] = {.lex_state = 249, .external_lex_state = 2},
  [772] = {.lex_state = 249, .external_lex_state = 2},
  [773] = {.lex_state = 249, .external_lex_state = 2},
  [774] = {.lex_state = 249, .external_lex_state = 2},
  [775] = {.lex_state = 249, .external_lex_state = 2},
  [776] = {.lex_state = 249, .external_lex_state = 2},
  [777] = {.lex_state = 249, .external_lex_state = 2},
  [778] = {.lex_state = 249, .external_lex_state = 2},
  [779] = {.lex_state = 249, .external_lex_state = 2},
  [780] = {.lex_state = 249, .external_lex_state = 2},
  [781] = {.lex_state = 249, .external_lex_state = 2},
  [782] = {.lex_state = 249, .external_lex_state = 2},
  [783] = {.lex_state = 249, .external_lex_state = 2},
  [784] = {.lex_state = 249, .external_lex_state = 2},
  [785] = {.lex_state = 249, .external_lex_state = 2},
  [786] = {.lex_state = 249, .external_lex_state = 2},
  [787] = {.lex_state = 249, .external_lex_state = 2},
  [788] = {.lex_state = 25, .external_lex_state = 4},
  [789] = {.lex_state = 249, .external_lex_state = 2},
  [790] = {.lex_state = 19, .external_lex_state = 2},
  [791] = {.lex_state = 249, .external_lex_state = 2},
  [792] = {.lex_state = 249, .external_lex_state = 2},
  [793] = {.lex_state = 249, .external_lex_state = 2},
  [794] = {.lex_state = 249, .external_lex_state = 2},
  [795] = {.lex_state = 19, .external_lex_state = 2},
  [796] = {.lex_state = 249, .external_lex_state = 2},
  [797] = {.lex_state = 19, .external_lex_state = 2},
  [798] = {.lex_state = 19, .external_lex_state = 2},
  [799] = {.lex_state = 249, .external_lex_state = 2},
  [800] = {.lex_state = 19, .external_lex_state = 2},
  [801] = {.lex_state = 249, .external_lex_state = 2},
  [802] = {.lex_state = 249, .external_lex_state = 2},
  [803] = {.lex_state = 249, .external_lex_state = 2},
  [804] = {.lex_state = 19, .external_lex_state = 2},
  [805] = {.lex_state = 19, .external_lex_state = 2},
  [806] = {.lex_state = 249, .external_lex_state = 2},
  [807] = {.lex_state = 19, .external_lex_state = 2},
  [808] = {.lex_state = 249, .external_lex_state = 2},
  [809] = {.lex_state = 249, .external_lex_state = 2},
  [810] = {.lex_state = 249, .external_lex_state = 2},
  [811] = {.lex_state = 246, .external_lex_state = 5},
  [812] = {.lex_state = 246, .external_lex_state = 5},
  [813] = {.lex_state = 246, .external_lex_state = 5},
  [814] = {.lex_state = 19, .external_lex_state = 2},
  [815] = {.lex_state = 19, .external_lex_state = 2},
  [816] = {.lex_state = 19, .external_lex_state = 2},
  [817] = {.lex_state = 19, .external_lex_state = 2},
  [818] = {.lex_state = 247, .external_lex_state = 2},
  [819] = {.lex_state = 19, .external_lex_state = 2},
  [820] = {.lex_state = 19, .external_lex_state = 2},
  [821] = {.lex_state = 19, .external_lex_state = 2},
  [822] = {.lex_state = 19, .external_lex_state = 2},
  [823] = {.lex_state = 19, .external_lex_state = 2},
  [824] = {.lex_state = 19, .external_lex_state = 2},
  [825] = {.lex_state = 19, .external_lex_state = 2},
  [826] = {.lex_state = 19, .external_lex_state = 2},
  [827] = {.lex_state = 249, .external_lex_state = 2},
  [828] = {.lex_state = 249, .external_lex_state = 2},
  [829] = {.lex_state = 249, .external_lex_state = 2},
  [830] = {.lex_state = 249, .external_lex_state = 2},
  [831] = {.lex_state = 249, .external_lex_state = 2},
  [832] = {.lex_state = 19, .external_lex_state = 2},
  [833] = {.lex_state = 25, .external_lex_state = 4},
  [834] = {.lex_state = 249, .external_lex_state = 2},
  [835] = {.lex_state = 19, .external_lex_state = 2},
  [836] = {.lex_state = 249, .external_lex_state = 2},
  [837] = {.lex_state = 249, .external_lex_state = 2},
  [838] = {.lex_state = 249, .external_lex_state = 2},
  [839] = {.lex_state = 249, .external_lex_state = 2},
  [840] = {.lex_state = 249, .external_lex_state = 2},
  [841] = {.lex_state = 249, .external_lex_state = 2},
  [842] = {.lex_state = 249, .external_lex_state = 2},
  [843] = {.lex_state = 249, .external_lex_state = 2},
  [844] = {.lex_state = 19, .external_lex_state = 2},
  [845] = {.lex_state = 249, .external_lex_state = 2},
  [846] = {.lex_state = 246, .external_lex_state = 5},
  [847] = {.lex_state = 249, .external_lex_state = 2},
  [848] = {.lex_state = 249, .external_lex_state = 2},
  [849] = {.lex_state = 249, .external_lex_state = 2},
  [850] = {.lex_state = 19, .external_lex_state = 2},
  [851] = {.lex_state = 249, .external_lex_state = 2},
  [852] = {.lex_state = 249, .external_lex_state = 2},
  [853] = {.lex_state = 249, .external_lex_state = 2},
  [854] = {.lex_state = 249, .external_lex_state = 2},
  [855] = {.lex_state = 249, .external_lex_state = 2},
  [856] = {.lex_state = 249, .external_lex_state = 2},
  [857] = {.lex_state = 249, .external_lex_state = 2},
  [858] = {.lex_state = 249, .external_lex_state = 2},
  [859] = {.lex_state = 249, .external_lex_state = 2},
  [860] = {.lex_state = 249, .external_lex_state = 2},
  [861] = {.lex_state = 19, .external_lex_state = 2},
  [862] = {.lex_state = 249, .external_lex_state = 2},
  [863] = {.lex_state = 19, .external_lex_state = 2},
  [864] = {.lex_state = 19, .external_lex_state = 2},
  [865] = {.lex_state = 19, .external_lex_state = 2},
  [866] = {.lex_state = 19, .external_lex_state = 2},
  [867] = {.lex_state = 19, .external_lex_state = 2},
  [868] = {.lex_state = 246, .external_lex_state = 5},
  [869] = {.lex_state = 249, .external_lex_state = 2},
  [870] = {.lex_state = 249, .external_lex_state = 2},
  [871] = {.lex_state = 19, .external_lex_state = 2},
  [872] = {.lex_state = 249, .external_lex_state = 2},
  [873] = {.lex_state = 249, .external_lex_state = 2},
  [874] = {.lex_state = 19, .external_lex_state = 2},
  [875] = {.lex_state = 19, .external_lex_state = 2},
  [876] = {.lex_state = 249, .external_lex_state = 2},
  [877] = {.lex_state = 249, .external_lex_state = 2},
  [878] = {.lex_state = 249, .external_lex_state = 2},
  [879] = {.lex_state = 19, .external_lex_state = 2},
  [880] = {.lex_state = 19, .external_lex_state = 2},
  [881] = {.lex_state = 19, .external_lex_state = 2},
  [882] = {.lex_state = 19, .external_lex_state = 2},
  [883] = {.lex_state = 19, .external_lex_state = 2},
  [884] = {.lex_state = 19, .external_lex_state = 2},
  [885] = {.lex_state = 19, .external_lex_state = 2},
  [886] = {.lex_state = 19, .external_lex_state = 2},
  [887] = {.lex_state = 246, .external_lex_state = 5},
  [888] = {.lex_state = 249, .external_lex_state = 2},
  [889] = {.lex_state = 19, .external_lex_state = 2},
  [890] = {.lex_state = 249, .external_lex_state = 2},
  [891] = {.lex_state = 249, .external_lex_state = 2},
  [892] = {.lex_state = 19, .external_lex_state = 2},
  [893] = {.lex_state = 249, .external_lex_state = 2},
  [894] = {.lex_state = 249, .external_lex_state = 2},
  [895] = {.lex_state = 247, .external_lex_state = 2},
  [896] = {.lex_state = 19, .external_lex_state = 2},
  [897] = {.lex_state = 246, .external_lex_state = 2},
  [898] = {.lex_state = 246, .external_lex_state = 2},
  [899] = {.lex_state = 246, .external_lex_state = 2},
  [900] = {.lex_state = 246, .external_lex_state = 2},
  [901] = {.lex_state = 246, .external_lex_state = 2},
  [902] = {.lex_state = 246, .external_lex_state = 2},
  [903] = {.lex_state = 246, .external_lex_state = 2},
  [904] = {.lex_state = 246, .external_lex_state = 2},
  [905] = {.lex_state = 246, .external_lex_state = 2},
  [906] = {.lex_state = 246, .external_lex_state = 2},
  [907] = {.lex_state = 246, .external_lex_state = 2},
  [908] = {.lex_state = 246, .external_lex_state = 2},
  [909] = {.lex_state = 246, .external_lex_state = 2},
  [910] = {.lex_state = 246, .external_lex_state = 2},
  [911] = {.lex_state = 246, .external_lex_state = 2},
  [912] = {.lex_state = 246, .external_lex_state = 2},
  [913] = {.lex_state = 246, .external_lex_state = 2},
  [914] = {.lex_state = 246, .external_lex_state = 2},
  [915] = {.lex_state = 246, .external_lex_state = 2},
  [916] = {.lex_state = 246, .external_lex_state = 2},
  [917] = {.lex_state = 246, .external_lex_state = 2},
  [918] = {.lex_state = 246, .external_lex_state = 2},
  [919] = {.lex_state = 246, .external_lex_state = 2},
  [920] = {.lex_state = 246, .external_lex_state = 2},
  [921] = {.lex_state = 246, .external_lex_state = 2},
  [922] = {.lex_state = 252, .external_lex_state = 4},
  [923] = {.lex_state = 246, .external_lex_state = 2},
  [924] = {.lex_state = 246, .external_lex_state = 2},
  [925] = {.lex_state = 246, .external_lex_state = 2},
  [926] = {.lex_state = 246, .external_lex_state = 2},
  [927] = {.lex_state = 246, .external_lex_state = 2},
  [928] = {.lex_state = 246, .external_lex_state = 2},
  [929] = {.lex_state = 246, .external_lex_state = 2},
  [930] = {.lex_state = 246, .external_lex_state = 2},
  [931] = {.lex_state = 246, .external_lex_state = 2},
  [932] = {.lex_state = 246, .external_lex_state = 2},
  [933] = {.lex_state = 246, .external_lex_state = 2},
  [934] = {.lex_state = 246, .external_lex_state = 2},
  [935] = {.lex_state = 246, .external_lex_state = 2},
  [936] = {.lex_state = 246, .external_lex_state = 2},
  [937] = {.lex_state = 246, .external_lex_state = 2},
  [938] = {.lex_state = 252, .external_lex_state = 4},
  [939] = {.lex_state = 246, .external_lex_state = 2},
  [940] = {.lex_state = 246, .external_lex_state = 2},
  [941] = {.lex_state = 246, .external_lex_state = 2},
  [942] = {.lex_state = 246, .external_lex_state = 2},
  [943] = {.lex_state = 246, .external_lex_state = 2},
  [944] = {.lex_state = 246, .external_lex_state = 2},
  [945] = {.lex_state = 246, .external_lex_state = 2},
  [946] = {.lex_state = 246, .external_lex_state = 2},
  [947] = {.lex_state = 246, .external_lex_state = 2},
  [948] = {.lex_state = 246, .external_lex_state = 2},
  [949] = {.lex_state = 246, .external_lex_state = 2},
  [950] = {.lex_state = 246, .external_lex_state = 2},
  [951] = {.lex_state = 246, .external_lex_state = 2},
  [952] = {.lex_state = 246, .external_lex_state = 2},
  [953] = {.lex_state = 246, .external_lex_state = 2},
  [954] = {.lex_state = 246, .external_lex_state = 2},
  [955] = {.lex_state = 246, .external_lex_state = 2},
  [956] = {.lex_state = 246, .external_lex_state = 2},
  [957] = {.lex_state = 246, .external_lex_state = 2},
  [958] = {.lex_state = 246, .external_lex_state = 2},
  [959] = {.lex_state = 246, .external_lex_state = 2},
  [960] = {.lex_state = 246, .external_lex_state = 2},
  [961] = {.lex_state = 246, .external_lex_state = 2},
  [962] = {.lex_state = 246, .external_lex_state = 2},
  [963] = {.lex_state = 246, .external_lex_state = 2},
  [964] = {.lex_state = 246, .external_lex_state = 2},
  [965] = {.lex_state = 246, .external_lex_state = 2},
  [966] = {.lex_state = 246, .external_lex_state = 2},
  [967] = {.lex_state = 246, .external_lex_state = 2},
  [968] = {.lex_state = 246, .external_lex_state = 2},
  [969] = {.lex_state = 246, .external_lex_state = 2},
  [970] = {.lex_state = 246, .external_lex_state = 2},
  [971] = {.lex_state = 246, .external_lex_state = 2},
  [972] = {.lex_state = 246, .external_lex_state = 2},
  [973] = {.lex_state = 246, .external_lex_state = 2},
  [974] = {.lex_state = 246, .external_lex_state = 2},
  [975] = {.lex_state = 246, .external_lex_state = 2},
  [976] = {.lex_state = 246, .external_lex_state = 2},
  [977] = {.lex_state = 246, .external_lex_state = 2},
  [978] = {.lex_state = 246, .external_lex_state = 2},
  [979] = {.lex_state = 246, .external_lex_state = 2},
  [980] = {.lex_state = 246, .external_lex_state = 2},
  [981] = {.lex_state = 246, .external_lex_state = 2},
  [982] = {.lex_state = 246, .external_lex_state = 2},
  [983] = {.lex_state = 246, .external_lex_state = 2},
  [984] = {.lex_state = 246, .external_lex_state = 2},
  [985] = {.lex_state = 246, .external_lex_state = 2},
  [986] = {.lex_state = 246, .external_lex_state = 2},
  [987] = {.lex_state = 246, .external_lex_state = 2},
  [988] = {.lex_state = 246, .external_lex_state = 2},
  [989] = {.lex_state = 246, .external_lex_state = 2},
  [990] = {.lex_state = 246, .external_lex_state = 2},
  [991] = {.lex_state = 246, .external_lex_state = 2},
  [992] = {.lex_state = 252, .external_lex_state = 4},
  [993] = {.lex_state = 246, .external_lex_state = 2},
  [994] = {.lex_state = 246, .external_lex_state = 2},
  [995] = {.lex_state = 246, .external_lex_state = 2},
  [996] = {.lex_state = 246, .external_lex_state = 2},
  [997] = {.lex_state = 246, .external_lex_state = 2},
  [998] = {.lex_state = 246, .external_lex_state = 2},
  [999] = {.lex_state = 246, .external_lex_state = 2},
  [1000] = {.lex_state = 246, .external_lex_state = 2},
  [1001] = {.lex_state = 252, .external_lex_state = 3},
  [1002] = {.lex_state = 252, .external_lex_state = 3},
  [1003] = {.lex_state = 252, .external_lex_state = 3},
  [1004] = {.lex_state = 252, .external_lex_state = 3},
  [1005] = {.lex_state = 252, .external_lex_state = 3},
  [1006] = {.lex_state = 252, .external_lex_state = 3},
  [1007] = {.lex_state = 27, .external_lex_state = 3},
  [1008] = {.lex_state = 252, .external_lex_state = 3},
  [1009] = {.lex_state = 252, .external_lex_state = 3},
  [1010] = {.lex_state = 252, .external_lex_state = 3},
  [1011] = {.lex_state = 246, .external_lex_state = 2},
  [1012] = {.lex_state = 246, .external_lex_state = 2},
  [1013] = {.lex_state = 252, .external_lex_state = 3},
  [1014] = {.lex_state = 252, .external_lex_state = 3},
  [1015] = {.lex_state = 252, .external_lex_state = 3},
  [1016] = {.lex_state = 246, .external_lex_state = 2},
  [1017] = {.lex_state = 246, .external_lex_state = 2},
  [1018] = {.lex_state = 246, .external_lex_state = 2},
  [1019] = {.lex_state = 246, .external_lex_state = 2},
  [1020] = {.lex_state = 246, .external_lex_state = 2},
  [1021] = {.lex_state = 252, .external_lex_state = 4},
  [1022] = {.lex_state = 252, .external_lex_state = 3},
  [1023] = {.lex_state = 252, .external_lex_state = 3},
  [1024] = {.lex_state = 252, .external_lex_state = 4},
  [1025] = {.lex_state = 252, .external_lex_state = 4},
  [1026] = {.lex_state = 252, .external_lex_state = 4},
  [1027] = {.lex_state = 252, .external_lex_state = 4},
  [1028] = {.lex_state = 252, .external_lex_state = 3},
  [1029] = {.lex_state = 252, .external_lex_state = 4},
  [1030] = {.lex_state = 252, .external_lex_state = 4},
  [1031] = {.lex_state = 252, .external_lex_state = 4},
  [1032] = {.lex_state = 252, .external_lex_state = 4},
  [1033] = {.lex_state = 252, .external_lex_state = 3},
  [1034] = {.lex_state = 252, .external_lex_state = 4},
  [1035] = {.lex_state = 252, .external_lex_state = 4},
  [1036] = {.lex_state = 252, .external_lex_state = 4},
  [1037] = {.lex_state = 252, .external_lex_state = 3},
  [1038] = {.lex_state = 252, .external_lex_state = 4},
  [1039] = {.lex_state = 252, .external_lex_state = 4},
  [1040] = {.lex_state = 252, .external_lex_state = 4},
  [1041] = {.lex_state = 252, .external_lex_state = 4},
  [1042] = {.lex_state = 252, .external_lex_state = 4},
  [1043] = {.lex_state = 252, .external_lex_state = 4},
  [1044] = {.lex_state = 252, .external_lex_state = 4},
  [1045] = {.lex_state = 252, .external_lex_state = 4},
  [1046] = {.lex_state = 252, .external_lex_state = 4},
  [1047] = {.lex_state = 252, .external_lex_state = 4},
  [1048] = {.lex_state = 252, .external_lex_state = 4},
  [1049] = {.lex_state = 252, .external_lex_state = 4},
  [1050] = {.lex_state = 252, .external_lex_state = 3},
  [1051] = {.lex_state = 252, .external_lex_state = 4},
  [1052] = {.lex_state = 252, .external_lex_state = 3},
  [1053] = {.lex_state = 252, .external_lex_state = 4},
  [1054] = {.lex_state = 252, .external_lex_state = 4},
  [1055] = {.lex_state = 252, .external_lex_state = 4},
  [1056] = {.lex_state = 252, .external_lex_state = 4},
  [1057] = {.lex_state = 252, .external_lex_state = 3},
  [1058] = {.lex_state = 252, .external_lex_state = 4},
  [1059] = {.lex_state = 252, .external_lex_state = 3},
  [1060] = {.lex_state = 252, .external_lex_state = 3},
  [1061] = {.lex_state = 252, .external_lex_state = 3},
  [1062] = {.lex_state = 252, .external_lex_state = 3},
  [1063] = {.lex_state = 252, .external_lex_state = 4},
  [1064] = {.lex_state = 252, .external_lex_state = 3},
  [1065] = {.lex_state = 252, .external_lex_state = 3},
  [1066] = {.lex_state = 252, .external_lex_state = 3},
  [1067] = {.lex_state = 252, .external_lex_state = 3},
  [1068] = {.lex_state = 252, .external_lex_state = 3},
  [1069] = {.lex_state = 252, .external_lex_state = 3},
  [1070] = {.lex_state = 252, .external_lex_state = 3},
  [1071] = {.lex_state = 252, .external_lex_state = 3},
  [1072] = {.lex_state = 252, .external_lex_state = 3},
  [1073] = {.lex_state = 252, .external_lex_state = 3},
  [1074] = {.lex_state = 252, .external_lex_state = 3},
  [1075] = {.lex_state = 252, .external_lex_state = 3},
  [1076] = {.lex_state = 252, .external_lex_state = 3},
  [1077] = {.lex_state = 252, .external_lex_state = 3},
  [1078] = {.lex_state = 30, .external_lex_state = 4},
  [1079] = {.lex_state = 30, .external_lex_state = 3},
  [1080] = {.lex_state = 30, .external_lex_state = 3},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 30, .external_lex_state = 3},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 30, .external_lex_state = 3},
  [1085] = {.lex_state = 30, .external_lex_state = 3},
  [1086] = {.lex_state = 30, .external_lex_state = 3},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 30, .external_lex_state = 3},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 30, .external_lex_state = 3},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 30, .external_lex_state = 4},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 30, .external_lex_state = 3},
  [1095] = {.lex_state = 30, .external_lex_state = 4},
  [1096] = {.lex_state = 30, .external_lex_state = 3},
  [1097] = {.lex_state = 30, .external_lex_state = 3},
  [1098] = {.lex_state = 30, .external_lex_state = 3},
  [1099] = {.lex_state = 30, .external_lex_state = 3},
  [1100] = {.lex_state = 30, .external_lex_state = 3},
  [1101] = {.lex_state = 30, .external_lex_state = 3},
  [1102] = {.lex_state = 30, .external_lex_state = 4},
  [1103] = {.lex_state = 30, .external_lex_state = 3},
  [1104] = {.lex_state = 30, .external_lex_state = 3},
  [1105] = {.lex_state = 30, .external_lex_state = 3},
  [1106] = {.lex_state = 30, .external_lex_state = 3},
  [1107] = {.lex_state = 30, .external_lex_state = 3},
  [1108] = {.lex_state = 30, .external_lex_state = 3},
  [1109] = {.lex_state = 30, .external_lex_state = 3},
  [1110] = {.lex_state = 30, .external_lex_state = 3},
  [1111] = {.lex_state = 30, .external_lex_state = 3},
  [1112] = {.lex_state = 30, .external_lex_state = 4},
  [1113] = {.lex_state = 30, .external_lex_state = 3},
  [1114] = {.lex_state = 30, .external_lex_state = 3},
  [1115] = {.lex_state = 30, .external_lex_state = 3},
  [1116] = {.lex_state = 30, .external_lex_state = 3},
  [1117] = {.lex_state = 30, .external_lex_state = 3},
  [1118] = {.lex_state = 30, .external_lex_state = 3},
  [1119] = {.lex_state = 30, .external_lex_state = 3},
  [1120] = {.lex_state = 30, .external_lex_state = 3},
  [1121] = {.lex_state = 30, .external_lex_state = 3},
  [1122] = {.lex_state = 30, .external_lex_state = 3},
  [1123] = {.lex_state = 30, .external_lex_state = 4},
  [1124] = {.lex_state = 30, .external_lex_state = 3},
  [1125] = {.lex_state = 30, .external_lex_state = 4},
  [1126] = {.lex_state = 30, .external_lex_state = 3},
  [1127] = {.lex_state = 30, .external_lex_state = 3},
  [1128] = {.lex_state = 30, .external_lex_state = 4},
  [1129] = {.lex_state = 30, .external_lex_state = 4},
  [1130] = {.lex_state = 30, .external_lex_state = 3},
  [1131] = {.lex_state = 30, .external_lex_state = 3},
  [1132] = {.lex_state = 30, .external_lex_state = 3},
  [1133] = {.lex_state = 30, .external_lex_state = 3},
  [1134] = {.lex_state = 30, .external_lex_state = 3},
  [1135] = {.lex_state = 30, .external_lex_state = 3},
  [1136] = {.lex_state = 30, .external_lex_state = 3},
  [1137] = {.lex_state = 30, .external_lex_state = 3},
  [1138] = {.lex_state = 30, .external_lex_state = 3},
  [1139] = {.lex_state = 30, .external_lex_state = 3},
  [1140] = {.lex_state = 30, .external_lex_state = 3},
  [1141] = {.lex_state = 30, .external_lex_state = 3},
  [1142] = {.lex_state = 30, .external_lex_state = 3},
  [1143] = {.lex_state = 30, .external_lex_state = 3},
  [1144] = {.lex_state = 30, .external_lex_state = 3},
  [1145] = {.lex_state = 30, .external_lex_state = 3},
  [1146] = {.lex_state = 30, .external_lex_state = 3},
  [1147] = {.lex_state = 30, .external_lex_state = 3},
  [1148] = {.lex_state = 30, .external_lex_state = 3},
  [1149] = {.lex_state = 30, .external_lex_state = 3},
  [1150] = {.lex_state = 30, .external_lex_state = 3},
  [1151] = {.lex_state = 30, .external_lex_state = 3},
  [1152] = {.lex_state = 30, .external_lex_state = 3},
  [1153] = {.lex_state = 30, .external_lex_state = 3},
  [1154] = {.lex_state = 30, .external_lex_state = 3},
  [1155] = {.lex_state = 30, .external_lex_state = 3},
  [1156] = {.lex_state = 30, .external_lex_state = 3},
  [1157] = {.lex_state = 30, .external_lex_state = 4},
  [1158] = {.lex_state = 30, .external_lex_state = 3},
  [1159] = {.lex_state = 30, .external_lex_state = 3},
  [1160] = {.lex_state = 30, .external_lex_state = 4},
  [1161] = {.lex_state = 30, .external_lex_state = 3},
  [1162] = {.lex_state = 30, .external_lex_state = 3},
  [1163] = {.lex_state = 30, .external_lex_state = 3},
  [1164] = {.lex_state = 30, .external_lex_state = 3},
  [1165] = {.lex_state = 30, .external_lex_state = 3},
  [1166] = {.lex_state = 30, .external_lex_state = 3},
  [1167] = {.lex_state = 30, .external_lex_state = 3},
  [1168] = {.lex_state = 30, .external_lex_state = 3},
  [1169] = {.lex_state = 30, .external_lex_state = 3},
  [1170] = {.lex_state = 30, .external_lex_state = 3},
  [1171] = {.lex_state = 30, .external_lex_state = 3},
  [1172] = {.lex_state = 30, .external_lex_state = 3},
  [1173] = {.lex_state = 30, .external_lex_state = 3},
  [1174] = {.lex_state = 30, .external_lex_state = 3},
  [1175] = {.lex_state = 30, .external_lex_state = 3},
  [1176] = {.lex_state = 30, .external_lex_state = 3},
  [1177] = {.lex_state = 29, .external_lex_state = 3},
  [1178] = {.lex_state = 30, .external_lex_state = 3},
  [1179] = {.lex_state = 30, .external_lex_state = 3},
  [1180] = {.lex_state = 30, .external_lex_state = 3},
  [1181] = {.lex_state = 30, .external_lex_state = 3},
  [1182] = {.lex_state = 30, .external_lex_state = 3},
  [1183] = {.lex_state = 30, .external_lex_state = 3},
  [1184] = {.lex_state = 30, .external_lex_state = 3},
  [1185] = {.lex_state = 30, .external_lex_state = 3},
  [1186] = {.lex_state = 30, .external_lex_state = 3},
  [1187] = {.lex_state = 30, .external_lex_state = 3},
  [1188] = {.lex_state = 30, .external_lex_state = 4},
  [1189] = {.lex_state = 30, .external_lex_state = 3},
  [1190] = {.lex_state = 30, .external_lex_state = 4},
  [1191] = {.lex_state = 30, .external_lex_state = 4},
  [1192] = {.lex_state = 30, .external_lex_state = 4},
  [1193] = {.lex_state = 30, .external_lex_state = 4},
  [1194] = {.lex_state = 30, .external_lex_state = 4},
  [1195] = {.lex_state = 30, .external_lex_state = 4},
  [1196] = {.lex_state = 30, .external_lex_state = 4},
  [1197] = {.lex_state = 30, .external_lex_state = 4},
  [1198] = {.lex_state = 30, .external_lex_state = 4},
  [1199] = {.lex_state = 30, .external_lex_state = 4},
  [1200] = {.lex_state = 30, .external_lex_state = 4},
  [1201] = {.lex_state = 30, .external_lex_state = 4},
  [1202] = {.lex_state = 30, .external_lex_state = 4},
  [1203] = {.lex_state = 30, .external_lex_state = 4},
  [1204] = {.lex_state = 30, .external_lex_state = 4},
  [1205] = {.lex_state = 30, .external_lex_state = 4},
  [1206] = {.lex_state = 30, .external_lex_state = 4},
  [1207] = {.lex_state = 30, .external_lex_state = 4},
  [1208] = {.lex_state = 30, .external_lex_state = 4},
  [1209] = {.lex_state = 30, .external_lex_state = 4},
  [1210] = {.lex_state = 30, .external_lex_state = 4},
  [1211] = {.lex_state = 30, .external_lex_state = 4},
  [1212] = {.lex_state = 30, .external_lex_state = 4},
  [1213] = {.lex_state = 30, .external_lex_state = 4},
  [1214] = {.lex_state = 30, .external_lex_state = 4},
  [1215] = {.lex_state = 30, .external_lex_state = 4},
  [1216] = {.lex_state = 30, .external_lex_state = 4},
  [1217] = {.lex_state = 30, .external_lex_state = 3},
  [1218] = {.lex_state = 30, .external_lex_state = 4},
  [1219] = {.lex_state = 30, .external_lex_state = 4},
  [1220] = {.lex_state = 30, .external_lex_state = 3},
  [1221] = {.lex_state = 30, .external_lex_state = 4},
  [1222] = {.lex_state = 30, .external_lex_state = 4},
  [1223] = {.lex_state = 30, .external_lex_state = 4},
  [1224] = {.lex_state = 30, .external_lex_state = 4},
  [1225] = {.lex_state = 30, .external_lex_state = 4},
  [1226] = {.lex_state = 30, .external_lex_state = 4},
  [1227] = {.lex_state = 30, .external_lex_state = 4},
  [1228] = {.lex_state = 30, .external_lex_state = 4},
  [1229] = {.lex_state = 30, .external_lex_state = 4},
  [1230] = {.lex_state = 30, .external_lex_state = 4},
  [1231] = {.lex_state = 30, .external_lex_state = 4},
  [1232] = {.lex_state = 30, .external_lex_state = 4},
  [1233] = {.lex_state = 30, .external_lex_state = 4},
  [1234] = {.lex_state = 30, .external_lex_state = 4},
  [1235] = {.lex_state = 30, .external_lex_state = 4},
  [1236] = {.lex_state = 30, .external_lex_state = 4},
  [1237] = {.lex_state = 30, .external_lex_state = 4},
  [1238] = {.lex_state = 30, .external_lex_state = 4},
  [1239] = {.lex_state = 30, .external_lex_state = 3},
  [1240] = {.lex_state = 30, .external_lex_state = 4},
  [1241] = {.lex_state = 30, .external_lex_state = 4},
  [1242] = {.lex_state = 30, .external_lex_state = 4},
  [1243] = {.lex_state = 30, .external_lex_state = 4},
  [1244] = {.lex_state = 30, .external_lex_state = 4},
  [1245] = {.lex_state = 30, .external_lex_state = 4},
  [1246] = {.lex_state = 30, .external_lex_state = 4},
  [1247] = {.lex_state = 30, .external_lex_state = 3},
  [1248] = {.lex_state = 30, .external_lex_state = 4},
  [1249] = {.lex_state = 30, .external_lex_state = 4},
  [1250] = {.lex_state = 30, .external_lex_state = 4},
  [1251] = {.lex_state = 30, .external_lex_state = 4},
  [1252] = {.lex_state = 30, .external_lex_state = 4},
  [1253] = {.lex_state = 30, .external_lex_state = 4},
  [1254] = {.lex_state = 30, .external_lex_state = 4},
  [1255] = {.lex_state = 30, .external_lex_state = 4},
  [1256] = {.lex_state = 30, .external_lex_state = 4},
  [1257] = {.lex_state = 30, .external_lex_state = 4},
  [1258] = {.lex_state = 30, .external_lex_state = 4},
  [1259] = {.lex_state = 30, .external_lex_state = 4},
  [1260] = {.lex_state = 30, .external_lex_state = 4},
  [1261] = {.lex_state = 30, .external_lex_state = 4},
  [1262] = {.lex_state = 30, .external_lex_state = 4},
  [1263] = {.lex_state = 30, .external_lex_state = 4},
  [1264] = {.lex_state = 30, .external_lex_state = 4},
  [1265] = {.lex_state = 30, .external_lex_state = 4},
  [1266] = {.lex_state = 30, .external_lex_state = 4},
  [1267] = {.lex_state = 30, .external_lex_state = 4},
  [1268] = {.lex_state = 30, .external_lex_state = 3},
  [1269] = {.lex_state = 30, .external_lex_state = 3},
  [1270] = {.lex_state = 30, .external_lex_state = 4},
  [1271] = {.lex_state = 30, .external_lex_state = 4},
  [1272] = {.lex_state = 30, .external_lex_state = 4},
  [1273] = {.lex_state = 30, .external_lex_state = 4},
  [1274] = {.lex_state = 30, .external_lex_state = 4},
  [1275] = {.lex_state = 30, .external_lex_state = 3},
  [1276] = {.lex_state = 30, .external_lex_state = 4},
  [1277] = {.lex_state = 30, .external_lex_state = 4},
  [1278] = {.lex_state = 30, .external_lex_state = 4},
  [1279] = {.lex_state = 30, .external_lex_state = 4},
  [1280] = {.lex_state = 30, .external_lex_state = 3},
  [1281] = {.lex_state = 30, .external_lex_state = 3},
  [1282] = {.lex_state = 30, .external_lex_state = 4},
  [1283] = {.lex_state = 30, .external_lex_state = 4},
  [1284] = {.lex_state = 30, .external_lex_state = 4},
  [1285] = {.lex_state = 30, .external_lex_state = 4},
  [1286] = {.lex_state = 30, .external_lex_state = 4},
  [1287] = {.lex_state = 30, .external_lex_state = 4},
  [1288] = {.lex_state = 30, .external_lex_state = 4},
  [1289] = {.lex_state = 30, .external_lex_state = 4},
  [1290] = {.lex_state = 30, .external_lex_state = 3},
  [1291] = {.lex_state = 30, .external_lex_state = 3},
  [1292] = {.lex_state = 30, .external_lex_state = 3},
  [1293] = {.lex_state = 30, .external_lex_state = 3},
  [1294] = {.lex_state = 30, .external_lex_state = 3},
  [1295] = {.lex_state = 30, .external_lex_state = 4},
  [1296] = {.lex_state = 30, .external_lex_state = 4},
  [1297] = {.lex_state = 30, .external_lex_state = 4},
  [1298] = {.lex_state = 30, .external_lex_state = 4},
  [1299] = {.lex_state = 30, .external_lex_state = 3},
  [1300] = {.lex_state = 30, .external_lex_state = 3},
  [1301] = {.lex_state = 30, .external_lex_state = 3},
  [1302] = {.lex_state = 30, .external_lex_state = 3},
  [1303] = {.lex_state = 30, .external_lex_state = 3},
  [1304] = {.lex_state = 30, .external_lex_state = 4},
  [1305] = {.lex_state = 30, .external_lex_state = 3},
  [1306] = {.lex_state = 30, .external_lex_state = 3},
  [1307] = {.lex_state = 30, .external_lex_state = 3},
  [1308] = {.lex_state = 30, .external_lex_state = 4},
  [1309] = {.lex_state = 30, .external_lex_state = 4},
  [1310] = {.lex_state = 30, .external_lex_state = 3},
  [1311] = {.lex_state = 30, .external_lex_state = 4},
  [1312] = {.lex_state = 30, .external_lex_state = 4},
  [1313] = {.lex_state = 30, .external_lex_state = 3},
  [1314] = {.lex_state = 30, .external_lex_state = 3},
  [1315] = {.lex_state = 30, .external_lex_state = 3},
  [1316] = {.lex_state = 30, .external_lex_state = 4},
  [1317] = {.lex_state = 30, .external_lex_state = 4},
  [1318] = {.lex_state = 30, .external_lex_state = 4},
  [1319] = {.lex_state = 30, .external_lex_state = 4},
  [1320] = {.lex_state = 30, .external_lex_state = 3},
  [1321] = {.lex_state = 30, .external_lex_state = 4},
  [1322] = {.lex_state = 30, .external_lex_state = 4},
  [1323] = {.lex_state = 30, .external_lex_state = 3},
  [1324] = {.lex_state = 30, .external_lex_state = 3},
  [1325] = {.lex_state = 30, .external_lex_state = 3},
  [1326] = {.lex_state = 30, .external_lex_state = 3},
  [1327] = {.lex_state = 30, .external_lex_state = 4},
  [1328] = {.lex_state = 30, .external_lex_state = 4},
  [1329] = {.lex_state = 30, .external_lex_state = 4},
  [1330] = {.lex_state = 30, .external_lex_state = 4},
  [1331] = {.lex_state = 30, .external_lex_state = 4},
  [1332] = {.lex_state = 30, .external_lex_state = 4},
  [1333] = {.lex_state = 30, .external_lex_state = 4},
  [1334] = {.lex_state = 30, .external_lex_state = 4},
  [1335] = {.lex_state = 30, .external_lex_state = 4},
  [1336] = {.lex_state = 30, .external_lex_state = 3},
  [1337] = {.lex_state = 30, .external_lex_state = 4},
  [1338] = {.lex_state = 30, .external_lex_state = 4},
  [1339] = {.lex_state = 30, .external_lex_state = 3},
  [1340] = {.lex_state = 30, .external_lex_state = 3},
  [1341] = {.lex_state = 30, .external_lex_state = 4},
  [1342] = {.lex_state = 30, .external_lex_state = 3},
  [1343] = {.lex_state = 30, .external_lex_state = 4},
  [1344] = {.lex_state = 30, .external_lex_state = 3},
  [1345] = {.lex_state = 30, .external_lex_state = 4},
  [1346] = {.lex_state = 30, .external_lex_state = 3},
  [1347] = {.lex_state = 30, .external_lex_state = 3},
  [1348] = {.lex_state = 30, .external_lex_state = 4},
  [1349] = {.lex_state = 30, .external_lex_state = 3},
  [1350] = {.lex_state = 30, .external_lex_state = 4},
  [1351] = {.lex_state = 30, .external_lex_state = 4},
  [1352] = {.lex_state = 30, .external_lex_state = 3},
  [1353] = {.lex_state = 30, .external_lex_state = 4},
  [1354] = {.lex_state = 30, .external_lex_state = 4},
  [1355] = {.lex_state = 30, .external_lex_state = 4},
  [1356] = {.lex_state = 30, .external_lex_state = 4},
  [1357] = {.lex_state = 30, .external_lex_state = 3},
  [1358] = {.lex_state = 30, .external_lex_state = 4},
  [1359] = {.lex_state = 30, .external_lex_state = 4},
  [1360] = {.lex_state = 30, .external_lex_state = 3},
  [1361] = {.lex_state = 30, .external_lex_state = 3},
  [1362] = {.lex_state = 30, .external_lex_state = 3},
  [1363] = {.lex_state = 29, .external_lex_state = 4},
  [1364] = {.lex_state = 32, .external_lex_state = 4},
  [1365] = {.lex_state = 30, .external_lex_state = 4},
  [1366] = {.lex_state = 30, .external_lex_state = 4},
  [1367] = {.lex_state = 30, .external_lex_state = 4},
  [1368] = {.lex_state = 30, .external_lex_state = 4},
  [1369] = {.lex_state = 30, .external_lex_state = 4},
  [1370] = {.lex_state = 30, .external_lex_state = 4},
  [1371] = {.lex_state = 30, .external_lex_state = 4},
  [1372] = {.lex_state = 30, .external_lex_state = 4},
  [1373] = {.lex_state = 30, .external_lex_state = 4},
  [1374] = {.lex_state = 30, .external_lex_state = 4},
  [1375] = {.lex_state = 30, .external_lex_state = 4},
  [1376] = {.lex_state = 30, .external_lex_state = 4},
  [1377] = {.lex_state = 30, .external_lex_state = 4},
  [1378] = {.lex_state = 30, .external_lex_state = 4},
  [1379] = {.lex_state = 30, .external_lex_state = 3},
  [1380] = {.lex_state = 30, .external_lex_state = 3},
  [1381] = {.lex_state = 30, .external_lex_state = 4},
  [1382] = {.lex_state = 30, .external_lex_state = 4},
  [1383] = {.lex_state = 30, .external_lex_state = 4},
  [1384] = {.lex_state = 30, .external_lex_state = 4},
  [1385] = {.lex_state = 30, .external_lex_state = 4},
  [1386] = {.lex_state = 30, .external_lex_state = 4},
  [1387] = {.lex_state = 30, .external_lex_state = 4},
  [1388] = {.lex_state = 30, .external_lex_state = 4},
  [1389] = {.lex_state = 30, .external_lex_state = 4},
  [1390] = {.lex_state = 30, .external_lex_state = 4},
  [1391] = {.lex_state = 30, .external_lex_state = 3},
  [1392] = {.lex_state = 30, .external_lex_state = 4},
  [1393] = {.lex_state = 30, .external_lex_state = 3},
  [1394] = {.lex_state = 30, .external_lex_state = 3},
  [1395] = {.lex_state = 30, .external_lex_state = 3},
  [1396] = {.lex_state = 30, .external_lex_state = 3},
  [1397] = {.lex_state = 30, .external_lex_state = 3},
  [1398] = {.lex_state = 30, .external_lex_state = 3},
  [1399] = {.lex_state = 30, .external_lex_state = 4},
  [1400] = {.lex_state = 30, .external_lex_state = 3},
  [1401] = {.lex_state = 30, .external_lex_state = 4},
  [1402] = {.lex_state = 30, .external_lex_state = 3},
  [1403] = {.lex_state = 30, .external_lex_state = 3},
  [1404] = {.lex_state = 30, .external_lex_state = 3},
  [1405] = {.lex_state = 30, .external_lex_state = 3},
  [1406] = {.lex_state = 30, .external_lex_state = 3},
  [1407] = {.lex_state = 30, .external_lex_state = 4},
  [1408] = {.lex_state = 30, .external_lex_state = 3},
  [1409] = {.lex_state = 30, .external_lex_state = 4},
  [1410] = {.lex_state = 30, .external_lex_state = 3},
  [1411] = {.lex_state = 30, .external_lex_state = 3},
  [1412] = {.lex_state = 30, .external_lex_state = 3},
  [1413] = {.lex_state = 30, .external_lex_state = 3},
  [1414] = {.lex_state = 30, .external_lex_state = 3},
  [1415] = {.lex_state = 30, .external_lex_state = 3},
  [1416] = {.lex_state = 30, .external_lex_state = 3},
  [1417] = {.lex_state = 30, .external_lex_state = 3},
  [1418] = {.lex_state = 30, .external_lex_state = 4},
  [1419] = {.lex_state = 30, .external_lex_state = 3},
  [1420] = {.lex_state = 30, .external_lex_state = 3},
  [1421] = {.lex_state = 30, .external_lex_state = 3},
  [1422] = {.lex_state = 30, .external_lex_state = 3},
  [1423] = {.lex_state = 30, .external_lex_state = 3},
  [1424] = {.lex_state = 30, .external_lex_state = 3},
  [1425] = {.lex_state = 30, .external_lex_state = 3},
  [1426] = {.lex_state = 30, .external_lex_state = 3},
  [1427] = {.lex_state = 30, .external_lex_state = 3},
  [1428] = {.lex_state = 30, .external_lex_state = 3},
  [1429] = {.lex_state = 30, .external_lex_state = 3},
  [1430] = {.lex_state = 30, .external_lex_state = 3},
  [1431] = {.lex_state = 30, .external_lex_state = 3},
  [1432] = {.lex_state = 30, .external_lex_state = 3},
  [1433] = {.lex_state = 30, .external_lex_state = 3},
  [1434] = {.lex_state = 30, .external_lex_state = 3},
  [1435] = {.lex_state = 30, .external_lex_state = 3},
  [1436] = {.lex_state = 30, .external_lex_state = 3},
  [1437] = {.lex_state = 30, .external_lex_state = 3},
  [1438] = {.lex_state = 30, .external_lex_state = 3},
  [1439] = {.lex_state = 30, .external_lex_state = 3},
  [1440] = {.lex_state = 30, .external_lex_state = 3},
  [1441] = {.lex_state = 30, .external_lex_state = 3},
  [1442] = {.lex_state = 30, .external_lex_state = 3},
  [1443] = {.lex_state = 30, .external_lex_state = 3},
  [1444] = {.lex_state = 30, .external_lex_state = 3},
  [1445] = {.lex_state = 30, .external_lex_state = 3},
  [1446] = {.lex_state = 30, .external_lex_state = 3},
  [1447] = {.lex_state = 30, .external_lex_state = 3},
  [1448] = {.lex_state = 30, .external_lex_state = 3},
  [1449] = {.lex_state = 30, .external_lex_state = 3},
  [1450] = {.lex_state = 30, .external_lex_state = 3},
  [1451] = {.lex_state = 30, .external_lex_state = 3},
  [1452] = {.lex_state = 30, .external_lex_state = 3},
  [1453] = {.lex_state = 30, .external_lex_state = 3},
  [1454] = {.lex_state = 30, .external_lex_state = 3},
  [1455] = {.lex_state = 30, .external_lex_state = 3},
  [1456] = {.lex_state = 30, .external_lex_state = 3},
  [1457] = {.lex_state = 30, .external_lex_state = 3},
  [1458] = {.lex_state = 30, .external_lex_state = 3},
  [1459] = {.lex_state = 30, .external_lex_state = 3},
  [1460] = {.lex_state = 30, .external_lex_state = 3},
  [1461] = {.lex_state = 30, .external_lex_state = 3},
  [1462] = {.lex_state = 37, .external_lex_state = 2},
  [1463] = {.lex_state = 32, .external_lex_state = 3},
  [1464] = {.lex_state = 30, .external_lex_state = 3},
  [1465] = {.lex_state = 30, .external_lex_state = 3},
  [1466] = {.lex_state = 30, .external_lex_state = 3},
  [1467] = {.lex_state = 30, .external_lex_state = 3},
  [1468] = {.lex_state = 37, .external_lex_state = 2},
  [1469] = {.lex_state = 37, .external_lex_state = 2},
  [1470] = {.lex_state = 30, .external_lex_state = 3},
  [1471] = {.lex_state = 37, .external_lex_state = 2},
  [1472] = {.lex_state = 37, .external_lex_state = 2},
  [1473] = {.lex_state = 30, .external_lex_state = 3},
  [1474] = {.lex_state = 37, .external_lex_state = 2},
  [1475] = {.lex_state = 30, .external_lex_state = 3},
  [1476] = {.lex_state = 37, .external_lex_state = 2},
  [1477] = {.lex_state = 37, .external_lex_state = 2},
  [1478] = {.lex_state = 37, .external_lex_state = 2},
  [1479] = {.lex_state = 37, .external_lex_state = 2},
  [1480] = {.lex_state = 37, .external_lex_state = 2},
  [1481] = {.lex_state = 37, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 37, .external_lex_state = 2},
  [1484] = {.lex_state = 37, .external_lex_state = 2},
  [1485] = {.lex_state = 37, .external_lex_state = 2},
  [1486] = {.lex_state = 37, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 37, .external_lex_state = 2},
  [1489] = {.lex_state = 37, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 2},
  [1491] = {.lex_state = 37, .external_lex_state = 2},
  [1492] = {.lex_state = 37, .external_lex_state = 2},
  [1493] = {.lex_state = 37, .external_lex_state = 2},
  [1494] = {.lex_state = 37, .external_lex_state = 2},
  [1495] = {.lex_state = 37, .external_lex_state = 2},
  [1496] = {.lex_state = 37, .external_lex_state = 2},
  [1497] = {.lex_state = 37, .external_lex_state = 2},
  [1498] = {.lex_state = 37, .external_lex_state = 2},
  [1499] = {.lex_state = 37, .external_lex_state = 2},
  [1500] = {.lex_state = 37, .external_lex_state = 2},
  [1501] = {.lex_state = 37, .external_lex_state = 2},
  [1502] = {.lex_state = 33, .external_lex_state = 2},
  [1503] = {.lex_state = 37, .external_lex_state = 2},
  [1504] = {.lex_state = 33, .external_lex_state = 2},
  [1505] = {.lex_state = 33, .external_lex_state = 2},
  [1506] = {.lex_state = 33, .external_lex_state = 2},
  [1507] = {.lex_state = 33, .external_lex_state = 2},
  [1508] = {.lex_state = 33, .external_lex_state = 2},
  [1509] = {.lex_state = 33, .external_lex_state = 2},
  [1510] = {.lex_state = 33, .external_lex_state = 2},
  [1511] = {.lex_state = 33, .external_lex_state = 2},
  [1512] = {.lex_state = 33, .external_lex_state = 2},
  [1513] = {.lex_state = 33, .external_lex_state = 2},
  [1514] = {.lex_state = 33, .external_lex_state = 2},
  [1515] = {.lex_state = 33, .external_lex_state = 2},
  [1516] = {.lex_state = 33, .external_lex_state = 2},
  [1517] = {.lex_state = 33, .external_lex_state = 2},
  [1518] = {.lex_state = 33, .external_lex_state = 2},
  [1519] = {.lex_state = 33, .external_lex_state = 2},
  [1520] = {.lex_state = 33, .external_lex_state = 2},
  [1521] = {.lex_state = 33, .external_lex_state = 2},
  [1522] = {.lex_state = 33, .external_lex_state = 2},
  [1523] = {.lex_state = 33, .external_lex_state = 2},
  [1524] = {.lex_state = 33, .external_lex_state = 5},
  [1525] = {.lex_state = 33, .external_lex_state = 2},
  [1526] = {.lex_state = 33, .external_lex_state = 2},
  [1527] = {.lex_state = 33, .external_lex_state = 2},
  [1528] = {.lex_state = 33, .external_lex_state = 2},
  [1529] = {.lex_state = 33, .external_lex_state = 2},
  [1530] = {.lex_state = 33, .external_lex_state = 2},
  [1531] = {.lex_state = 33, .external_lex_state = 2},
  [1532] = {.lex_state = 35, .external_lex_state = 2},
  [1533] = {.lex_state = 33, .external_lex_state = 2},
  [1534] = {.lex_state = 37, .external_lex_state = 2},
  [1535] = {.lex_state = 33, .external_lex_state = 2},
  [1536] = {.lex_state = 33, .external_lex_state = 2},
  [1537] = {.lex_state = 33, .external_lex_state = 2},
  [1538] = {.lex_state = 37, .external_lex_state = 2},
  [1539] = {.lex_state = 33, .external_lex_state = 5},
  [1540] = {.lex_state = 33, .external_lex_state = 5},
  [1541] = {.lex_state = 33, .external_lex_state = 5},
  [1542] = {.lex_state = 33, .external_lex_state = 5},
  [1543] = {.lex_state = 33, .external_lex_state = 5},
  [1544] = {.lex_state = 33, .external_lex_state = 5},
  [1545] = {.lex_state = 33, .external_lex_state = 5},
  [1546] = {.lex_state = 37, .external_lex_state = 5},
  [1547] = {.lex_state = 35, .external_lex_state = 2},
  [1548] = {.lex_state = 37, .external_lex_state = 5},
  [1549] = {.lex_state = 33, .external_lex_state = 5},
  [1550] = {.lex_state = 33, .external_lex_state = 2},
  [1551] = {.lex_state = 33, .external_lex_state = 5},
  [1552] = {.lex_state = 33, .external_lex_state = 5},
  [1553] = {.lex_state = 33, .external_lex_state = 5},
  [1554] = {.lex_state = 37, .external_lex_state = 2},
  [1555] = {.lex_state = 37, .external_lex_state = 2},
  [1556] = {.lex_state = 37, .external_lex_state = 2},
  [1557] = {.lex_state = 37, .external_lex_state = 2},
  [1558] = {.lex_state = 37, .external_lex_state = 2},
  [1559] = {.lex_state = 37, .external_lex_state = 2},
  [1560] = {.lex_state = 37, .external_lex_state = 2},
  [1561] = {.lex_state = 37, .external_lex_state = 2},
  [1562] = {.lex_state = 37, .external_lex_state = 2},
  [1563] = {.lex_state = 37, .external_lex_state = 2},
  [1564] = {.lex_state = 37, .external_lex_state = 2},
  [1565] = {.lex_state = 37, .external_lex_state = 2},
  [1566] = {.lex_state = 37, .external_lex_state = 2},
  [1567] = {.lex_state = 37, .external_lex_state = 2},
  [1568] = {.lex_state = 37, .external_lex_state = 2},
  [1569] = {.lex_state = 37, .external_lex_state = 2},
  [1570] = {.lex_state = 37, .external_lex_state = 2},
  [1571] = {.lex_state = 37, .external_lex_state = 2},
  [1572] = {.lex_state = 37, .external_lex_state = 2},
  [1573] = {.lex_state = 37, .external_lex_state = 2},
  [1574] = {.lex_state = 37, .external_lex_state = 2},
  [1575] = {.lex_state = 37, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 37, .external_lex_state = 2},
  [1578] = {.lex_state = 37, .external_lex_state = 2},
  [1579] = {.lex_state = 37, .external_lex_state = 2},
  [1580] = {.lex_state = 37, .external_lex_state = 2},
  [1581] = {.lex_state = 37, .external_lex_state = 2},
  [1582] = {.lex_state = 37, .external_lex_state = 2},
  [1583] = {.lex_state = 36, .external_lex_state = 2},
  [1584] = {.lex_state = 37, .external_lex_state = 2},
  [1585] = {.lex_state = 37, .external_lex_state = 2},
  [1586] = {.lex_state = 37, .external_lex_state = 2},
  [1587] = {.lex_state = 37, .external_lex_state = 2},
  [1588] = {.lex_state = 37, .external_lex_state = 2},
  [1589] = {.lex_state = 37, .external_lex_state = 2},
  [1590] = {.lex_state = 37, .external_lex_state = 2},
  [1591] = {.lex_state = 37, .external_lex_state = 2},
  [1592] = {.lex_state = 37, .external_lex_state = 2},
  [1593] = {.lex_state = 35, .external_lex_state = 2},
  [1594] = {.lex_state = 37, .external_lex_state = 2},
  [1595] = {.lex_state = 35, .external_lex_state = 2},
  [1596] = {.lex_state = 33, .external_lex_state = 2},
  [1597] = {.lex_state = 37, .external_lex_state = 2},
  [1598] = {.lex_state = 33, .external_lex_state = 2},
  [1599] = {.lex_state = 33, .external_lex_state = 2},
  [1600] = {.lex_state = 36, .external_lex_state = 2},
  [1601] = {.lex_state = 33, .external_lex_state = 2},
  [1602] = {.lex_state = 252, .external_lex_state = 2},
  [1603] = {.lex_state = 33, .external_lex_state = 2},
  [1604] = {.lex_state = 33, .external_lex_state = 2},
  [1605] = {.lex_state = 33, .external_lex_state = 2},
  [1606] = {.lex_state = 33, .external_lex_state = 2},
  [1607] = {.lex_state = 33, .external_lex_state = 2},
  [1608] = {.lex_state = 33, .external_lex_state = 2},
  [1609] = {.lex_state = 33, .external_lex_state = 2},
  [1610] = {.lex_state = 33, .external_lex_state = 2},
  [1611] = {.lex_state = 252, .external_lex_state = 2},
  [1612] = {.lex_state = 33, .external_lex_state = 2},
  [1613] = {.lex_state = 35, .external_lex_state = 2},
  [1614] = {.lex_state = 33, .external_lex_state = 2},
  [1615] = {.lex_state = 35, .external_lex_state = 2},
  [1616] = {.lex_state = 33, .external_lex_state = 2},
  [1617] = {.lex_state = 33, .external_lex_state = 2},
  [1618] = {.lex_state = 33, .external_lex_state = 2},
  [1619] = {.lex_state = 252, .external_lex_state = 2},
  [1620] = {.lex_state = 33, .external_lex_state = 2},
  [1621] = {.lex_state = 33, .external_lex_state = 2},
  [1622] = {.lex_state = 35, .external_lex_state = 2},
  [1623] = {.lex_state = 33, .external_lex_state = 2},
  [1624] = {.lex_state = 33, .external_lex_state = 2},
  [1625] = {.lex_state = 35, .external_lex_state = 2},
  [1626] = {.lex_state = 33, .external_lex_state = 2},
  [1627] = {.lex_state = 33, .external_lex_state = 2},
  [1628] = {.lex_state = 33, .external_lex_state = 2},
  [1629] = {.lex_state = 33, .external_lex_state = 2},
  [1630] = {.lex_state = 33, .external_lex_state = 2},
  [1631] = {.lex_state = 33, .external_lex_state = 2},
  [1632] = {.lex_state = 33, .external_lex_state = 2},
  [1633] = {.lex_state = 252, .external_lex_state = 2},
  [1634] = {.lex_state = 33, .external_lex_state = 2},
  [1635] = {.lex_state = 33, .external_lex_state = 2},
  [1636] = {.lex_state = 252, .external_lex_state = 2},
  [1637] = {.lex_state = 35, .external_lex_state = 2},
  [1638] = {.lex_state = 33, .external_lex_state = 2},
  [1639] = {.lex_state = 33, .external_lex_state = 2},
  [1640] = {.lex_state = 33, .external_lex_state = 2},
  [1641] = {.lex_state = 33, .external_lex_state = 2},
  [1642] = {.lex_state = 252, .external_lex_state = 2},
  [1643] = {.lex_state = 33, .external_lex_state = 2},
  [1644] = {.lex_state = 33, .external_lex_state = 2},
  [1645] = {.lex_state = 35, .external_lex_state = 2},
  [1646] = {.lex_state = 37, .external_lex_state = 2},
  [1647] = {.lex_state = 33, .external_lex_state = 2},
  [1648] = {.lex_state = 33, .external_lex_state = 2},
  [1649] = {.lex_state = 33, .external_lex_state = 2},
  [1650] = {.lex_state = 37, .external_lex_state = 2},
  [1651] = {.lex_state = 33, .external_lex_state = 2},
  [1652] = {.lex_state = 252, .external_lex_state = 2},
  [1653] = {.lex_state = 252, .external_lex_state = 2},
  [1654] = {.lex_state = 33, .external_lex_state = 2},
  [1655] = {.lex_state = 33, .external_lex_state = 2},
  [1656] = {.lex_state = 252, .external_lex_state = 2},
  [1657] = {.lex_state = 33, .external_lex_state = 2},
  [1658] = {.lex_state = 37, .external_lex_state = 2},
  [1659] = {.lex_state = 33, .external_lex_state = 2},
  [1660] = {.lex_state = 33, .external_lex_state = 2},
  [1661] = {.lex_state = 33, .external_lex_state = 2},
  [1662] = {.lex_state = 33, .external_lex_state = 2},
  [1663] = {.lex_state = 33, .external_lex_state = 2},
  [1664] = {.lex_state = 33, .external_lex_state = 2},
  [1665] = {.lex_state = 37, .external_lex_state = 2},
  [1666] = {.lex_state = 252, .external_lex_state = 2},
  [1667] = {.lex_state = 37, .external_lex_state = 2},
  [1668] = {.lex_state = 33, .external_lex_state = 2},
  [1669] = {.lex_state = 33, .external_lex_state = 2},
  [1670] = {.lex_state = 37, .external_lex_state = 2},
  [1671] = {.lex_state = 33, .external_lex_state = 2},
  [1672] = {.lex_state = 33, .external_lex_state = 2},
  [1673] = {.lex_state = 33, .external_lex_state = 2},
  [1674] = {.lex_state = 252, .external_lex_state = 2},
  [1675] = {.lex_state = 34, .external_lex_state = 2},
  [1676] = {.lex_state = 34, .external_lex_state = 2},
  [1677] = {.lex_state = 34, .external_lex_state = 2},
  [1678] = {.lex_state = 45, .external_lex_state = 2},
  [1679] = {.lex_state = 45, .external_lex_state = 2},
  [1680] = {.lex_state = 45, .external_lex_state = 2},
  [1681] = {.lex_state = 45, .external_lex_state = 2},
  [1682] = {.lex_state = 45, .external_lex_state = 2},
  [1683] = {.lex_state = 45, .external_lex_state = 2},
  [1684] = {.lex_state = 34, .external_lex_state = 2},
  [1685] = {.lex_state = 34, .external_lex_state = 2},
  [1686] = {.lex_state = 45, .external_lex_state = 2},
  [1687] = {.lex_state = 45, .external_lex_state = 2},
  [1688] = {.lex_state = 45, .external_lex_state = 2},
  [1689] = {.lex_state = 57, .external_lex_state = 2},
  [1690] = {.lex_state = 57, .external_lex_state = 2},
  [1691] = {.lex_state = 57, .external_lex_state = 2},
  [1692] = {.lex_state = 57, .external_lex_state = 2},
  [1693] = {.lex_state = 57, .external_lex_state = 2},
  [1694] = {.lex_state = 57, .external_lex_state = 2},
  [1695] = {.lex_state = 57, .external_lex_state = 2},
  [1696] = {.lex_state = 57, .external_lex_state = 2},
  [1697] = {.lex_state = 57, .external_lex_state = 2},
  [1698] = {.lex_state = 57, .external_lex_state = 2},
  [1699] = {.lex_state = 57, .external_lex_state = 2},
  [1700] = {.lex_state = 57, .external_lex_state = 2},
  [1701] = {.lex_state = 39, .external_lex_state = 2},
  [1702] = {.lex_state = 57, .external_lex_state = 2},
  [1703] = {.lex_state = 57, .external_lex_state = 2},
  [1704] = {.lex_state = 57, .external_lex_state = 2},
  [1705] = {.lex_state = 57, .external_lex_state = 2},
  [1706] = {.lex_state = 57, .external_lex_state = 2},
  [1707] = {.lex_state = 57, .external_lex_state = 2},
  [1708] = {.lex_state = 39, .external_lex_state = 2},
  [1709] = {.lex_state = 57, .external_lex_state = 2},
  [1710] = {.lex_state = 57, .external_lex_state = 2},
  [1711] = {.lex_state = 57, .external_lex_state = 2},
  [1712] = {.lex_state = 57, .external_lex_state = 2},
  [1713] = {.lex_state = 57, .external_lex_state = 2},
  [1714] = {.lex_state = 57, .external_lex_state = 2},
  [1715] = {.lex_state = 57, .external_lex_state = 2},
  [1716] = {.lex_state = 57, .external_lex_state = 2},
  [1717] = {.lex_state = 57, .external_lex_state = 2},
  [1718] = {.lex_state = 57, .external_lex_state = 2},
  [1719] = {.lex_state = 57, .external_lex_state = 2},
  [1720] = {.lex_state = 57, .external_lex_state = 2},
  [1721] = {.lex_state = 57, .external_lex_state = 2},
  [1722] = {.lex_state = 57, .external_lex_state = 2},
  [1723] = {.lex_state = 57, .external_lex_state = 2},
  [1724] = {.lex_state = 34, .external_lex_state = 2},
  [1725] = {.lex_state = 34, .external_lex_state = 2},
  [1726] = {.lex_state = 34, .external_lex_state = 2},
  [1727] = {.lex_state = 34, .external_lex_state = 2},
  [1728] = {.lex_state = 252, .external_lex_state = 2},
  [1729] = {.lex_state = 34, .external_lex_state = 2},
  [1730] = {.lex_state = 34, .external_lex_state = 2},
  [1731] = {.lex_state = 34, .external_lex_state = 2},
  [1732] = {.lex_state = 34, .external_lex_state = 2},
  [1733] = {.lex_state = 252, .external_lex_state = 2},
  [1734] = {.lex_state = 252, .external_lex_state = 2},
  [1735] = {.lex_state = 39, .external_lex_state = 2},
  [1736] = {.lex_state = 252, .external_lex_state = 2},
  [1737] = {.lex_state = 34, .external_lex_state = 2},
  [1738] = {.lex_state = 252, .external_lex_state = 2},
  [1739] = {.lex_state = 34, .external_lex_state = 2},
  [1740] = {.lex_state = 34, .external_lex_state = 2},
  [1741] = {.lex_state = 252, .external_lex_state = 5},
  [1742] = {.lex_state = 34, .external_lex_state = 2},
  [1743] = {.lex_state = 39, .external_lex_state = 2},
  [1744] = {.lex_state = 34, .external_lex_state = 2},
  [1745] = {.lex_state = 34, .external_lex_state = 2},
  [1746] = {.lex_state = 34, .external_lex_state = 2},
  [1747] = {.lex_state = 34, .external_lex_state = 2},
  [1748] = {.lex_state = 39, .external_lex_state = 2},
  [1749] = {.lex_state = 39, .external_lex_state = 2},
  [1750] = {.lex_state = 57, .external_lex_state = 2},
  [1751] = {.lex_state = 252, .external_lex_state = 2},
  [1752] = {.lex_state = 34, .external_lex_state = 2},
  [1753] = {.lex_state = 252, .external_lex_state = 2},
  [1754] = {.lex_state = 34, .external_lex_state = 2},
  [1755] = {.lex_state = 252, .external_lex_state = 5},
  [1756] = {.lex_state = 39, .external_lex_state = 5},
  [1757] = {.lex_state = 39, .external_lex_state = 2},
  [1758] = {.lex_state = 34, .external_lex_state = 2},
  [1759] = {.lex_state = 39, .external_lex_state = 5},
  [1760] = {.lex_state = 39, .external_lex_state = 2},
  [1761] = {.lex_state = 252, .external_lex_state = 2},
  [1762] = {.lex_state = 252, .external_lex_state = 2},
  [1763] = {.lex_state = 39, .external_lex_state = 5},
  [1764] = {.lex_state = 45, .external_lex_state = 2},
  [1765] = {.lex_state = 39, .external_lex_state = 5},
  [1766] = {.lex_state = 252, .external_lex_state = 6},
  [1767] = {.lex_state = 45, .external_lex_state = 2},
  [1768] = {.lex_state = 252, .external_lex_state = 2},
  [1769] = {.lex_state = 252, .external_lex_state = 2},
  [1770] = {.lex_state = 252, .external_lex_state = 2},
  [1771] = {.lex_state = 45, .external_lex_state = 2},
  [1772] = {.lex_state = 34, .external_lex_state = 2},
  [1773] = {.lex_state = 39, .external_lex_state = 5},
  [1774] = {.lex_state = 45, .external_lex_state = 2},
  [1775] = {.lex_state = 39, .external_lex_state = 5},
  [1776] = {.lex_state = 57, .external_lex_state = 2},
  [1777] = {.lex_state = 34, .external_lex_state = 2},
  [1778] = {.lex_state = 252, .external_lex_state = 2},
  [1779] = {.lex_state = 57, .external_lex_state = 2},
  [1780] = {.lex_state = 45, .external_lex_state = 2},
  [1781] = {.lex_state = 252, .external_lex_state = 2},
  [1782] = {.lex_state = 45, .external_lex_state = 2},
  [1783] = {.lex_state = 252, .external_lex_state = 2},
  [1784] = {.lex_state = 45, .external_lex_state = 2},
  [1785] = {.lex_state = 45, .external_lex_state = 2},
  [1786] = {.lex_state = 34, .external_lex_state = 2},
  [1787] = {.lex_state = 252, .external_lex_state = 6},
  [1788] = {.lex_state = 45, .external_lex_state = 2},
  [1789] = {.lex_state = 252, .external_lex_state = 5},
  [1790] = {.lex_state = 252, .external_lex_state = 6},
  [1791] = {.lex_state = 252, .external_lex_state = 5},
  [1792] = {.lex_state = 34, .external_lex_state = 2},
  [1793] = {.lex_state = 45, .external_lex_state = 2},
  [1794] = {.lex_state = 252, .external_lex_state = 2},
  [1795] = {.lex_state = 252, .external_lex_state = 6},
  [1796] = {.lex_state = 252, .external_lex_state = 5},
  [1797] = {.lex_state = 45, .external_lex_state = 2},
  [1798] = {.lex_state = 45, .external_lex_state = 2},
  [1799] = {.lex_state = 252, .external_lex_state = 2},
  [1800] = {.lex_state = 45, .external_lex_state = 2},
  [1801] = {.lex_state = 57, .external_lex_state = 2},
  [1802] = {.lex_state = 30, .external_lex_state = 2},
  [1803] = {.lex_state = 45, .external_lex_state = 2},
  [1804] = {.lex_state = 252, .external_lex_state = 2},
  [1805] = {.lex_state = 252, .external_lex_state = 6},
  [1806] = {.lex_state = 30, .external_lex_state = 2},
  [1807] = {.lex_state = 252, .external_lex_state = 2},
  [1808] = {.lex_state = 252, .external_lex_state = 2},
  [1809] = {.lex_state = 45, .external_lex_state = 2},
  [1810] = {.lex_state = 45, .external_lex_state = 2},
  [1811] = {.lex_state = 252, .external_lex_state = 2},
  [1812] = {.lex_state = 252, .external_lex_state = 2},
  [1813] = {.lex_state = 252, .external_lex_state = 2},
  [1814] = {.lex_state = 34, .external_lex_state = 2},
  [1815] = {.lex_state = 45, .external_lex_state = 2},
  [1816] = {.lex_state = 39, .external_lex_state = 5},
  [1817] = {.lex_state = 39, .external_lex_state = 5},
  [1818] = {.lex_state = 252, .external_lex_state = 2},
  [1819] = {.lex_state = 252, .external_lex_state = 2},
  [1820] = {.lex_state = 45, .external_lex_state = 2},
  [1821] = {.lex_state = 39, .external_lex_state = 5},
  [1822] = {.lex_state = 252, .external_lex_state = 2},
  [1823] = {.lex_state = 34, .external_lex_state = 2},
  [1824] = {.lex_state = 34, .external_lex_state = 2},
  [1825] = {.lex_state = 39, .external_lex_state = 5},
  [1826] = {.lex_state = 45, .external_lex_state = 2},
  [1827] = {.lex_state = 252, .external_lex_state = 5},
  [1828] = {.lex_state = 34, .external_lex_state = 2},
  [1829] = {.lex_state = 39, .external_lex_state = 5},
  [1830] = {.lex_state = 34, .external_lex_state = 2},
  [1831] = {.lex_state = 252, .external_lex_state = 2},
  [1832] = {.lex_state = 58, .external_lex_state = 2},
  [1833] = {.lex_state = 57, .external_lex_state = 2},
  [1834] = {.lex_state = 252, .external_lex_state = 2},
  [1835] = {.lex_state = 57, .external_lex_state = 2},
  [1836] = {.lex_state = 57, .external_lex_state = 2},
  [1837] = {.lex_state = 252, .external_lex_state = 2},
  [1838] = {.lex_state = 58, .external_lex_state = 2},
  [1839] = {.lex_state = 58, .external_lex_state = 2},
  [1840] = {.lex_state = 57, .external_lex_state = 2},
  [1841] = {.lex_state = 252, .external_lex_state = 5},
  [1842] = {.lex_state = 252, .external_lex_state = 2},
  [1843] = {.lex_state = 34, .external_lex_state = 2},
  [1844] = {.lex_state = 34, .external_lex_state = 2},
  [1845] = {.lex_state = 57, .external_lex_state = 2},
  [1846] = {.lex_state = 252, .external_lex_state = 2},
  [1847] = {.lex_state = 58, .external_lex_state = 2},
  [1848] = {.lex_state = 252, .external_lex_state = 2},
  [1849] = {.lex_state = 57, .external_lex_state = 2},
  [1850] = {.lex_state = 57, .external_lex_state = 2},
  [1851] = {.lex_state = 58, .external_lex_state = 2},
  [1852] = {.lex_state = 57, .external_lex_state = 2},
  [1853] = {.lex_state = 252, .external_lex_state = 2},
  [1854] = {.lex_state = 58, .external_lex_state = 2},
  [1855] = {.lex_state = 57, .external_lex_state = 2},
  [1856] = {.lex_state = 58, .external_lex_state = 2},
  [1857] = {.lex_state = 57, .external_lex_state = 2},
  [1858] = {.lex_state = 252, .external_lex_state = 2},
  [1859] = {.lex_state = 252, .external_lex_state = 2},
  [1860] = {.lex_state = 57, .external_lex_state = 2},
  [1861] = {.lex_state = 58, .external_lex_state = 2},
  [1862] = {.lex_state = 39, .external_lex_state = 5},
  [1863] = {.lex_state = 57, .external_lex_state = 2},
  [1864] = {.lex_state = 57, .external_lex_state = 2},
  [1865] = {.lex_state = 57, .external_lex_state = 2},
  [1866] = {.lex_state = 58, .external_lex_state = 2},
  [1867] = {.lex_state = 57, .external_lex_state = 2},
  [1868] = {.lex_state = 252, .external_lex_state = 2},
  [1869] = {.lex_state = 57, .external_lex_state = 2},
  [1870] = {.lex_state = 57, .external_lex_state = 2},
  [1871] = {.lex_state = 57, .external_lex_state = 2},
  [1872] = {.lex_state = 252, .external_lex_state = 2},
  [1873] = {.lex_state = 58, .external_lex_state = 2},
  [1874] = {.lex_state = 57, .external_lex_state = 2},
  [1875] = {.lex_state = 34, .external_lex_state = 2},
  [1876] = {.lex_state = 252, .external_lex_state = 2},
  [1877] = {.lex_state = 58, .external_lex_state = 2},
  [1878] = {.lex_state = 57, .external_lex_state = 2},
  [1879] = {.lex_state = 58, .external_lex_state = 2},
  [1880] = {.lex_state = 252, .external_lex_state = 2},
  [1881] = {.lex_state = 57, .external_lex_state = 2},
  [1882] = {.lex_state = 252, .external_lex_state = 2},
  [1883] = {.lex_state = 58, .external_lex_state = 2},
  [1884] = {.lex_state = 34, .external_lex_state = 2},
  [1885] = {.lex_state = 252, .external_lex_state = 2},
  [1886] = {.lex_state = 252, .external_lex_state = 5},
  [1887] = {.lex_state = 57, .external_lex_state = 2},
  [1888] = {.lex_state = 58, .external_lex_state = 2},
  [1889] = {.lex_state = 57, .external_lex_state = 2},
  [1890] = {.lex_state = 252, .external_lex_state = 5},
  [1891] = {.lex_state = 57, .external_lex_state = 2},
  [1892] = {.lex_state = 47, .external_lex_state = 7},
  [1893] = {.lex_state = 252, .external_lex_state = 5},
  [1894] = {.lex_state = 34, .external_lex_state = 2},
  [1895] = {.lex_state = 252, .external_lex_state = 6},
  [1896] = {.lex_state = 252, .external_lex_state = 2},
  [1897] = {.lex_state = 252, .external_lex_state = 2},
  [1898] = {.lex_state = 252, .external_lex_state = 2},
  [1899] = {.lex_state = 252, .external_lex_state = 5},
  [1900] = {.lex_state = 252, .external_lex_state = 2},
  [1901] = {.lex_state = 252, .external_lex_state = 2},
  [1902] = {.lex_state = 3, .external_lex_state = 2},
  [1903] = {.lex_state = 252, .external_lex_state = 2},
  [1904] = {.lex_state = 252, .external_lex_state = 2},
  [1905] = {.lex_state = 252, .external_lex_state = 5},
  [1906] = {.lex_state = 34, .external_lex_state = 2},
  [1907] = {.lex_state = 252, .external_lex_state = 5},
  [1908] = {.lex_state = 252, .external_lex_state = 5},
  [1909] = {.lex_state = 252, .external_lex_state = 5},
  [1910] = {.lex_state = 252, .external_lex_state = 5},
  [1911] = {.lex_state = 252, .external_lex_state = 5},
  [1912] = {.lex_state = 252, .external_lex_state = 5},
  [1913] = {.lex_state = 252, .external_lex_state = 5},
  [1914] = {.lex_state = 252, .external_lex_state = 5},
  [1915] = {.lex_state = 252, .external_lex_state = 5},
  [1916] = {.lex_state = 252, .external_lex_state = 5},
  [1917] = {.lex_state = 34, .external_lex_state = 2},
  [1918] = {.lex_state = 252, .external_lex_state = 2},
  [1919] = {.lex_state = 252, .external_lex_state = 2},
  [1920] = {.lex_state = 252, .external_lex_state = 2},
  [1921] = {.lex_state = 34, .external_lex_state = 2},
  [1922] = {.lex_state = 42, .external_lex_state = 7},
  [1923] = {.lex_state = 47, .external_lex_state = 7},
  [1924] = {.lex_state = 34, .external_lex_state = 2},
  [1925] = {.lex_state = 252, .external_lex_state = 2},
  [1926] = {.lex_state = 252, .external_lex_state = 5},
  [1927] = {.lex_state = 252, .external_lex_state = 5},
  [1928] = {.lex_state = 252, .external_lex_state = 2},
  [1929] = {.lex_state = 252, .external_lex_state = 5},
  [1930] = {.lex_state = 252, .external_lex_state = 2},
  [1931] = {.lex_state = 252, .external_lex_state = 2},
  [1932] = {.lex_state = 42, .external_lex_state = 7},
  [1933] = {.lex_state = 252, .external_lex_state = 5},
  [1934] = {.lex_state = 252, .external_lex_state = 5},
  [1935] = {.lex_state = 252, .external_lex_state = 2},
  [1936] = {.lex_state = 252, .external_lex_state = 5},
  [1937] = {.lex_state = 252, .external_lex_state = 2},
  [1938] = {.lex_state = 252, .external_lex_state = 2},
  [1939] = {.lex_state = 34, .external_lex_state = 2},
  [1940] = {.lex_state = 252, .external_lex_state = 2},
  [1941] = {.lex_state = 47, .external_lex_state = 7},
  [1942] = {.lex_state = 39, .external_lex_state = 2},
  [1943] = {.lex_state = 39, .external_lex_state = 2},
  [1944] = {.lex_state = 3, .external_lex_state = 2},
  [1945] = {.lex_state = 34, .external_lex_state = 2},
  [1946] = {.lex_state = 252, .external_lex_state = 2},
  [1947] = {.lex_state = 252, .external_lex_state = 6},
  [1948] = {.lex_state = 252, .external_lex_state = 2},
  [1949] = {.lex_state = 252, .external_lex_state = 5},
  [1950] = {.lex_state = 252, .external_lex_state = 2},
  [1951] = {.lex_state = 252, .external_lex_state = 5},
  [1952] = {.lex_state = 3, .external_lex_state = 2},
  [1953] = {.lex_state = 30, .external_lex_state = 2},
  [1954] = {.lex_state = 252, .external_lex_state = 5},
  [1955] = {.lex_state = 252, .external_lex_state = 5},
  [1956] = {.lex_state = 42, .external_lex_state = 7},
  [1957] = {.lex_state = 252, .external_lex_state = 2},
  [1958] = {.lex_state = 47, .external_lex_state = 7},
  [1959] = {.lex_state = 252, .external_lex_state = 2},
  [1960] = {.lex_state = 252, .external_lex_state = 5},
  [1961] = {.lex_state = 252, .external_lex_state = 2},
  [1962] = {.lex_state = 34, .external_lex_state = 2},
  [1963] = {.lex_state = 252, .external_lex_state = 2},
  [1964] = {.lex_state = 252, .external_lex_state = 5},
  [1965] = {.lex_state = 252, .external_lex_state = 2},
  [1966] = {.lex_state = 252, .external_lex_state = 5},
  [1967] = {.lex_state = 252, .external_lex_state = 5},
  [1968] = {.lex_state = 44, .external_lex_state = 2},
  [1969] = {.lex_state = 252, .external_lex_state = 5},
  [1970] = {.lex_state = 42, .external_lex_state = 7},
  [1971] = {.lex_state = 252, .external_lex_state = 5},
  [1972] = {.lex_state = 38, .external_lex_state = 2},
  [1973] = {.lex_state = 39, .external_lex_state = 2},
  [1974] = {.lex_state = 252, .external_lex_state = 5},
  [1975] = {.lex_state = 34, .external_lex_state = 2},
  [1976] = {.lex_state = 34, .external_lex_state = 2},
  [1977] = {.lex_state = 3, .external_lex_state = 2},
  [1978] = {.lex_state = 252, .external_lex_state = 5},
  [1979] = {.lex_state = 252, .external_lex_state = 5},
  [1980] = {.lex_state = 252, .external_lex_state = 5},
  [1981] = {.lex_state = 252, .external_lex_state = 2},
  [1982] = {.lex_state = 252, .external_lex_state = 2},
  [1983] = {.lex_state = 3, .external_lex_state = 2},
  [1984] = {.lex_state = 42, .external_lex_state = 7},
  [1985] = {.lex_state = 44, .external_lex_state = 2},
  [1986] = {.lex_state = 47, .external_lex_state = 7},
  [1987] = {.lex_state = 252, .external_lex_state = 2},
  [1988] = {.lex_state = 252, .external_lex_state = 5},
  [1989] = {.lex_state = 252, .external_lex_state = 2},
  [1990] = {.lex_state = 47, .external_lex_state = 7},
  [1991] = {.lex_state = 42, .external_lex_state = 7},
  [1992] = {.lex_state = 252, .external_lex_state = 2},
  [1993] = {.lex_state = 252, .external_lex_state = 5},
  [1994] = {.lex_state = 42, .external_lex_state = 7},
  [1995] = {.lex_state = 47, .external_lex_state = 7},
  [1996] = {.lex_state = 42, .external_lex_state = 7},
  [1997] = {.lex_state = 252, .external_lex_state = 2},
  [1998] = {.lex_state = 252, .external_lex_state = 2},
  [1999] = {.lex_state = 39, .external_lex_state = 2},
  [2000] = {.lex_state = 252, .external_lex_state = 5},
  [2001] = {.lex_state = 252, .external_lex_state = 2},
  [2002] = {.lex_state = 252, .external_lex_state = 2},
  [2003] = {.lex_state = 252, .external_lex_state = 2},
  [2004] = {.lex_state = 42, .external_lex_state = 7},
  [2005] = {.lex_state = 252, .external_lex_state = 2},
  [2006] = {.lex_state = 252, .external_lex_state = 5},
  [2007] = {.lex_state = 47, .external_lex_state = 7},
  [2008] = {.lex_state = 47, .external_lex_state = 7},
  [2009] = {.lex_state = 3, .external_lex_state = 2},
  [2010] = {.lex_state = 252, .external_lex_state = 5},
  [2011] = {.lex_state = 252, .external_lex_state = 2},
  [2012] = {.lex_state = 38, .external_lex_state = 2},
  [2013] = {.lex_state = 34, .external_lex_state = 2},
  [2014] = {.lex_state = 34, .external_lex_state = 2},
  [2015] = {.lex_state = 252, .external_lex_state = 2},
  [2016] = {.lex_state = 38, .external_lex_state = 2},
  [2017] = {.lex_state = 252, .external_lex_state = 2},
  [2018] = {.lex_state = 252, .external_lex_state = 2},
  [2019] = {.lex_state = 252, .external_lex_state = 2},
  [2020] = {.lex_state = 34, .external_lex_state = 2},
  [2021] = {.lex_state = 252, .external_lex_state = 2},
  [2022] = {.lex_state = 252, .external_lex_state = 2},
  [2023] = {.lex_state = 252, .external_lex_state = 5},
  [2024] = {.lex_state = 252, .external_lex_state = 5},
  [2025] = {.lex_state = 252, .external_lex_state = 2},
  [2026] = {.lex_state = 252, .external_lex_state = 2},
  [2027] = {.lex_state = 252, .external_lex_state = 5},
  [2028] = {.lex_state = 252, .external_lex_state = 5},
  [2029] = {.lex_state = 34, .external_lex_state = 2},
  [2030] = {.lex_state = 44, .external_lex_state = 2},
  [2031] = {.lex_state = 252, .external_lex_state = 5},
  [2032] = {.lex_state = 252, .external_lex_state = 5},
  [2033] = {.lex_state = 252, .external_lex_state = 5},
  [2034] = {.lex_state = 39, .external_lex_state = 2},
  [2035] = {.lex_state = 34, .external_lex_state = 2},
  [2036] = {.lex_state = 252, .external_lex_state = 2},
  [2037] = {.lex_state = 252, .external_lex_state = 2},
  [2038] = {.lex_state = 34, .external_lex_state = 2},
  [2039] = {.lex_state = 252, .external_lex_state = 2},
  [2040] = {.lex_state = 252, .external_lex_state = 2},
  [2041] = {.lex_state = 252, .external_lex_state = 2},
  [2042] = {.lex_state = 252, .external_lex_state = 2},
  [2043] = {.lex_state = 34, .external_lex_state = 5},
  [2044] = {.lex_state = 44, .external_lex_state = 2},
  [2045] = {.lex_state = 34, .external_lex_state = 2},
  [2046] = {.lex_state = 34, .external_lex_state = 5},
  [2047] = {.lex_state = 252, .external_lex_state = 2},
  [2048] = {.lex_state = 252, .external_lex_state = 5},
  [2049] = {.lex_state = 252, .external_lex_state = 5},
  [2050] = {.lex_state = 252, .external_lex_state = 2},
  [2051] = {.lex_state = 252, .external_lex_state = 2},
  [2052] = {.lex_state = 252, .external_lex_state = 2},
  [2053] = {.lex_state = 252, .external_lex_state = 5},
  [2054] = {.lex_state = 34, .external_lex_state = 2},
  [2055] = {.lex_state = 252, .external_lex_state = 2},
  [2056] = {.lex_state = 252, .external_lex_state = 2},
  [2057] = {.lex_state = 252, .external_lex_state = 2},
  [2058] = {.lex_state = 252, .external_lex_state = 2},
  [2059] = {.lex_state = 252, .external_lex_state = 2},
  [2060] = {.lex_state = 252, .external_lex_state = 2},
  [2061] = {.lex_state = 252, .external_lex_state = 2},
  [2062] = {.lex_state = 252, .external_lex_state = 5},
  [2063] = {.lex_state = 252, .external_lex_state = 2},
  [2064] = {.lex_state = 34, .external_lex_state = 2},
  [2065] = {.lex_state = 252, .external_lex_state = 2},
  [2066] = {.lex_state = 30, .external_lex_state = 2},
  [2067] = {.lex_state = 39, .external_lex_state = 2},
  [2068] = {.lex_state = 252, .external_lex_state = 5},
  [2069] = {.lex_state = 252, .external_lex_state = 2},
  [2070] = {.lex_state = 252, .external_lex_state = 5},
  [2071] = {.lex_state = 252, .external_lex_state = 5},
  [2072] = {.lex_state = 252, .external_lex_state = 2},
  [2073] = {.lex_state = 252, .external_lex_state = 2},
  [2074] = {.lex_state = 252, .external_lex_state = 2},
  [2075] = {.lex_state = 252, .external_lex_state = 2},
  [2076] = {.lex_state = 252, .external_lex_state = 2},
  [2077] = {.lex_state = 252, .external_lex_state = 2},
  [2078] = {.lex_state = 34, .external_lex_state = 5},
  [2079] = {.lex_state = 3, .external_lex_state = 2},
  [2080] = {.lex_state = 252, .external_lex_state = 2},
  [2081] = {.lex_state = 34, .external_lex_state = 5},
  [2082] = {.lex_state = 252, .external_lex_state = 5},
  [2083] = {.lex_state = 252, .external_lex_state = 2},
  [2084] = {.lex_state = 252, .external_lex_state = 2},
  [2085] = {.lex_state = 252, .external_lex_state = 2},
  [2086] = {.lex_state = 252, .external_lex_state = 2},
  [2087] = {.lex_state = 252, .external_lex_state = 2},
  [2088] = {.lex_state = 252, .external_lex_state = 2},
  [2089] = {.lex_state = 252, .external_lex_state = 2},
  [2090] = {.lex_state = 34, .external_lex_state = 5},
  [2091] = {.lex_state = 252, .external_lex_state = 2},
  [2092] = {.lex_state = 34, .external_lex_state = 5},
  [2093] = {.lex_state = 252, .external_lex_state = 2},
  [2094] = {.lex_state = 252, .external_lex_state = 2},
  [2095] = {.lex_state = 252, .external_lex_state = 5},
  [2096] = {.lex_state = 252, .external_lex_state = 2},
  [2097] = {.lex_state = 30, .external_lex_state = 2},
  [2098] = {.lex_state = 39, .external_lex_state = 2},
  [2099] = {.lex_state = 252, .external_lex_state = 2},
  [2100] = {.lex_state = 252, .external_lex_state = 2},
  [2101] = {.lex_state = 252, .external_lex_state = 2},
  [2102] = {.lex_state = 252, .external_lex_state = 5},
  [2103] = {.lex_state = 252, .external_lex_state = 2},
  [2104] = {.lex_state = 252, .external_lex_state = 2},
  [2105] = {.lex_state = 252, .external_lex_state = 2},
  [2106] = {.lex_state = 252, .external_lex_state = 2},
  [2107] = {.lex_state = 252, .external_lex_state = 2},
  [2108] = {.lex_state = 34, .external_lex_state = 2},
  [2109] = {.lex_state = 34, .external_lex_state = 2},
  [2110] = {.lex_state = 252, .external_lex_state = 2},
  [2111] = {.lex_state = 252, .external_lex_state = 5},
  [2112] = {.lex_state = 252, .external_lex_state = 2},
  [2113] = {.lex_state = 252, .external_lex_state = 2},
  [2114] = {.lex_state = 39, .external_lex_state = 2},
  [2115] = {.lex_state = 252, .external_lex_state = 2},
  [2116] = {.lex_state = 252, .external_lex_state = 2},
  [2117] = {.lex_state = 34, .external_lex_state = 5},
  [2118] = {.lex_state = 34, .external_lex_state = 5},
  [2119] = {.lex_state = 252, .external_lex_state = 5},
  [2120] = {.lex_state = 252, .external_lex_state = 2},
  [2121] = {.lex_state = 252, .external_lex_state = 2},
  [2122] = {.lex_state = 34, .external_lex_state = 2},
  [2123] = {.lex_state = 252, .external_lex_state = 2},
  [2124] = {.lex_state = 252, .external_lex_state = 2},
  [2125] = {.lex_state = 252, .external_lex_state = 2},
  [2126] = {.lex_state = 30, .external_lex_state = 2},
  [2127] = {.lex_state = 252, .external_lex_state = 2},
  [2128] = {.lex_state = 252, .external_lex_state = 2},
  [2129] = {.lex_state = 252, .external_lex_state = 2},
  [2130] = {.lex_state = 42, .external_lex_state = 7},
  [2131] = {.lex_state = 252, .external_lex_state = 2},
  [2132] = {.lex_state = 252, .external_lex_state = 2},
  [2133] = {.lex_state = 252, .external_lex_state = 2},
  [2134] = {.lex_state = 252, .external_lex_state = 2},
  [2135] = {.lex_state = 34, .external_lex_state = 2},
  [2136] = {.lex_state = 252, .external_lex_state = 2},
  [2137] = {.lex_state = 34, .external_lex_state = 2},
  [2138] = {.lex_state = 252, .external_lex_state = 2},
  [2139] = {.lex_state = 252, .external_lex_state = 2},
  [2140] = {.lex_state = 30, .external_lex_state = 2},
  [2141] = {.lex_state = 252, .external_lex_state = 2},
  [2142] = {.lex_state = 252, .external_lex_state = 2},
  [2143] = {.lex_state = 252, .external_lex_state = 2},
  [2144] = {.lex_state = 252, .external_lex_state = 5},
  [2145] = {.lex_state = 252, .external_lex_state = 2},
  [2146] = {.lex_state = 34, .external_lex_state = 2},
  [2147] = {.lex_state = 252, .external_lex_state = 2},
  [2148] = {.lex_state = 252, .external_lex_state = 2},
  [2149] = {.lex_state = 252, .external_lex_state = 2},
  [2150] = {.lex_state = 252, .external_lex_state = 2},
  [2151] = {.lex_state = 252, .external_lex_state = 2},
  [2152] = {.lex_state = 34, .external_lex_state = 2},
  [2153] = {.lex_state = 252, .external_lex_state = 5},
  [2154] = {.lex_state = 252, .external_lex_state = 2},
  [2155] = {.lex_state = 252, .external_lex_state = 2},
  [2156] = {.lex_state = 252, .external_lex_state = 2},
  [2157] = {.lex_state = 39, .external_lex_state = 2},
  [2158] = {.lex_state = 252, .external_lex_state = 5},
  [2159] = {.lex_state = 252, .external_lex_state = 5},
  [2160] = {.lex_state = 39, .external_lex_state = 2},
  [2161] = {.lex_state = 34, .external_lex_state = 2},
  [2162] = {.lex_state = 34, .external_lex_state = 2},
  [2163] = {.lex_state = 34, .external_lex_state = 2},
  [2164] = {.lex_state = 252, .external_lex_state = 2},
  [2165] = {.lex_state = 252, .external_lex_state = 2},
  [2166] = {.lex_state = 252, .external_lex_state = 2},
  [2167] = {.lex_state = 34, .external_lex_state = 2},
  [2168] = {.lex_state = 252, .external_lex_state = 5},
  [2169] = {.lex_state = 252, .external_lex_state = 2},
  [2170] = {.lex_state = 34, .external_lex_state = 2},
  [2171] = {.lex_state = 34, .external_lex_state = 2},
  [2172] = {.lex_state = 252, .external_lex_state = 5},
  [2173] = {.lex_state = 30, .external_lex_state = 2},
  [2174] = {.lex_state = 30, .external_lex_state = 2},
  [2175] = {.lex_state = 38, .external_lex_state = 2},
  [2176] = {.lex_state = 34, .external_lex_state = 5},
  [2177] = {.lex_state = 34, .external_lex_state = 5},
  [2178] = {.lex_state = 252, .external_lex_state = 2},
  [2179] = {.lex_state = 252, .external_lex_state = 2},
  [2180] = {.lex_state = 252, .external_lex_state = 2},
  [2181] = {.lex_state = 47, .external_lex_state = 7},
  [2182] = {.lex_state = 39, .external_lex_state = 2},
  [2183] = {.lex_state = 252, .external_lex_state = 2},
  [2184] = {.lex_state = 252, .external_lex_state = 5},
  [2185] = {.lex_state = 252, .external_lex_state = 5},
  [2186] = {.lex_state = 252, .external_lex_state = 2},
  [2187] = {.lex_state = 30, .external_lex_state = 2},
  [2188] = {.lex_state = 252, .external_lex_state = 5},
  [2189] = {.lex_state = 34, .external_lex_state = 2},
  [2190] = {.lex_state = 252, .external_lex_state = 2},
  [2191] = {.lex_state = 252, .external_lex_state = 2},
  [2192] = {.lex_state = 252, .external_lex_state = 2},
  [2193] = {.lex_state = 252, .external_lex_state = 2},
  [2194] = {.lex_state = 252, .external_lex_state = 2},
  [2195] = {.lex_state = 34, .external_lex_state = 2},
  [2196] = {.lex_state = 39, .external_lex_state = 2},
  [2197] = {.lex_state = 252, .external_lex_state = 2},
  [2198] = {.lex_state = 252, .external_lex_state = 2},
  [2199] = {.lex_state = 252, .external_lex_state = 2},
  [2200] = {.lex_state = 252, .external_lex_state = 2},
  [2201] = {.lex_state = 252, .external_lex_state = 2},
  [2202] = {.lex_state = 252, .external_lex_state = 2},
  [2203] = {.lex_state = 252, .external_lex_state = 2},
  [2204] = {.lex_state = 252, .external_lex_state = 2},
  [2205] = {.lex_state = 252, .external_lex_state = 2},
  [2206] = {.lex_state = 252, .external_lex_state = 2},
  [2207] = {.lex_state = 252, .external_lex_state = 2},
  [2208] = {.lex_state = 252, .external_lex_state = 2},
  [2209] = {.lex_state = 252, .external_lex_state = 2},
  [2210] = {.lex_state = 252, .external_lex_state = 2},
  [2211] = {.lex_state = 252, .external_lex_state = 5},
  [2212] = {.lex_state = 252, .external_lex_state = 2},
  [2213] = {.lex_state = 252, .external_lex_state = 2},
  [2214] = {.lex_state = 252, .external_lex_state = 2},
  [2215] = {.lex_state = 252, .external_lex_state = 2},
  [2216] = {.lex_state = 252, .external_lex_state = 2},
  [2217] = {.lex_state = 39, .external_lex_state = 2},
  [2218] = {.lex_state = 252, .external_lex_state = 2},
  [2219] = {.lex_state = 34, .external_lex_state = 2},
  [2220] = {.lex_state = 39, .external_lex_state = 2},
  [2221] = {.lex_state = 252, .external_lex_state = 2},
  [2222] = {.lex_state = 252, .external_lex_state = 2},
  [2223] = {.lex_state = 252, .external_lex_state = 2},
  [2224] = {.lex_state = 252, .external_lex_state = 2},
  [2225] = {.lex_state = 252, .external_lex_state = 2},
  [2226] = {.lex_state = 252, .external_lex_state = 2},
  [2227] = {.lex_state = 252, .external_lex_state = 2},
  [2228] = {.lex_state = 252, .external_lex_state = 2},
  [2229] = {.lex_state = 252, .external_lex_state = 5},
  [2230] = {.lex_state = 34, .external_lex_state = 2},
  [2231] = {.lex_state = 252, .external_lex_state = 2},
  [2232] = {.lex_state = 252, .external_lex_state = 2},
  [2233] = {.lex_state = 252, .external_lex_state = 2},
  [2234] = {.lex_state = 252, .external_lex_state = 2},
  [2235] = {.lex_state = 252, .external_lex_state = 2},
  [2236] = {.lex_state = 252, .external_lex_state = 2},
  [2237] = {.lex_state = 34, .external_lex_state = 2},
  [2238] = {.lex_state = 34, .external_lex_state = 2},
  [2239] = {.lex_state = 252, .external_lex_state = 2},
  [2240] = {.lex_state = 252, .external_lex_state = 2},
  [2241] = {.lex_state = 3, .external_lex_state = 2},
  [2242] = {.lex_state = 252, .external_lex_state = 2},
  [2243] = {.lex_state = 252, .external_lex_state = 2},
  [2244] = {.lex_state = 252, .external_lex_state = 2},
  [2245] = {.lex_state = 252, .external_lex_state = 2},
  [2246] = {.lex_state = 252, .external_lex_state = 2},
  [2247] = {.lex_state = 252, .external_lex_state = 2},
  [2248] = {.lex_state = 252, .external_lex_state = 2},
  [2249] = {.lex_state = 252, .external_lex_state = 5},
  [2250] = {.lex_state = 252, .external_lex_state = 2},
  [2251] = {.lex_state = 252, .external_lex_state = 2},
  [2252] = {.lex_state = 252, .external_lex_state = 2},
  [2253] = {.lex_state = 252, .external_lex_state = 5},
  [2254] = {.lex_state = 252, .external_lex_state = 5},
  [2255] = {.lex_state = 252, .external_lex_state = 2},
  [2256] = {.lex_state = 252, .external_lex_state = 5},
  [2257] = {.lex_state = 252, .external_lex_state = 2},
  [2258] = {.lex_state = 252, .external_lex_state = 5},
  [2259] = {.lex_state = 252, .external_lex_state = 2},
  [2260] = {.lex_state = 252, .external_lex_state = 2},
  [2261] = {.lex_state = 252, .external_lex_state = 2},
  [2262] = {.lex_state = 252, .external_lex_state = 2},
  [2263] = {.lex_state = 252, .external_lex_state = 2},
  [2264] = {.lex_state = 252, .external_lex_state = 2},
  [2265] = {.lex_state = 252, .external_lex_state = 2},
  [2266] = {.lex_state = 252, .external_lex_state = 2},
  [2267] = {.lex_state = 252, .external_lex_state = 2},
  [2268] = {.lex_state = 252, .external_lex_state = 2},
  [2269] = {.lex_state = 34, .external_lex_state = 2},
  [2270] = {.lex_state = 252, .external_lex_state = 5},
  [2271] = {.lex_state = 252, .external_lex_state = 2},
  [2272] = {.lex_state = 252, .external_lex_state = 2},
  [2273] = {.lex_state = 252, .external_lex_state = 2},
  [2274] = {.lex_state = 252, .external_lex_state = 2},
  [2275] = {.lex_state = 252, .external_lex_state = 5},
  [2276] = {.lex_state = 252, .external_lex_state = 2},
  [2277] = {.lex_state = 252, .external_lex_state = 2},
  [2278] = {.lex_state = 252, .external_lex_state = 2},
  [2279] = {.lex_state = 252, .external_lex_state = 5},
  [2280] = {.lex_state = 252, .external_lex_state = 5},
  [2281] = {.lex_state = 252, .external_lex_state = 2},
  [2282] = {.lex_state = 252, .external_lex_state = 2},
  [2283] = {.lex_state = 252, .external_lex_state = 2},
  [2284] = {.lex_state = 252, .external_lex_state = 5},
  [2285] = {.lex_state = 252, .external_lex_state = 2},
  [2286] = {.lex_state = 252, .external_lex_state = 2},
  [2287] = {.lex_state = 252, .external_lex_state = 2},
  [2288] = {.lex_state = 252, .external_lex_state = 2},
  [2289] = {.lex_state = 252, .external_lex_state = 2},
  [2290] = {.lex_state = 252, .external_lex_state = 2},
  [2291] = {.lex_state = 252, .external_lex_state = 2},
  [2292] = {.lex_state = 252, .external_lex_state = 2},
  [2293] = {.lex_state = 252, .external_lex_state = 2},
  [2294] = {.lex_state = 252, .external_lex_state = 2},
  [2295] = {.lex_state = 252, .external_lex_state = 2},
  [2296] = {.lex_state = 252, .external_lex_state = 2},
  [2297] = {.lex_state = 252, .external_lex_state = 2},
  [2298] = {.lex_state = 252, .external_lex_state = 2},
  [2299] = {.lex_state = 252, .external_lex_state = 2},
  [2300] = {.lex_state = 252, .external_lex_state = 2},
  [2301] = {.lex_state = 252, .external_lex_state = 2},
  [2302] = {.lex_state = 252, .external_lex_state = 5},
  [2303] = {.lex_state = 252, .external_lex_state = 2},
  [2304] = {.lex_state = 252, .external_lex_state = 2},
  [2305] = {.lex_state = 252, .external_lex_state = 2},
  [2306] = {.lex_state = 252, .external_lex_state = 2},
  [2307] = {.lex_state = 39, .external_lex_state = 2},
  [2308] = {.lex_state = 252, .external_lex_state = 2},
  [2309] = {.lex_state = 39, .external_lex_state = 2},
  [2310] = {.lex_state = 252, .external_lex_state = 2},
  [2311] = {.lex_state = 252, .external_lex_state = 2},
  [2312] = {.lex_state = 252, .external_lex_state = 2},
  [2313] = {.lex_state = 252, .external_lex_state = 2},
  [2314] = {.lex_state = 252, .external_lex_state = 2},
  [2315] = {.lex_state = 252, .external_lex_state = 2},
  [2316] = {.lex_state = 252, .external_lex_state = 5},
  [2317] = {.lex_state = 252, .external_lex_state = 2},
  [2318] = {.lex_state = 252, .external_lex_state = 5},
  [2319] = {.lex_state = 252, .external_lex_state = 2},
  [2320] = {.lex_state = 252, .external_lex_state = 2},
  [2321] = {.lex_state = 252, .external_lex_state = 2},
  [2322] = {.lex_state = 252, .external_lex_state = 2},
  [2323] = {.lex_state = 252, .external_lex_state = 2},
  [2324] = {.lex_state = 252, .external_lex_state = 2},
  [2325] = {.lex_state = 252, .external_lex_state = 2},
  [2326] = {.lex_state = 252, .external_lex_state = 2},
  [2327] = {.lex_state = 252, .external_lex_state = 2},
  [2328] = {.lex_state = 34, .external_lex_state = 2},
  [2329] = {.lex_state = 252, .external_lex_state = 2},
  [2330] = {.lex_state = 252, .external_lex_state = 2},
  [2331] = {.lex_state = 252, .external_lex_state = 2},
  [2332] = {.lex_state = 252, .external_lex_state = 2},
  [2333] = {.lex_state = 252, .external_lex_state = 2},
  [2334] = {.lex_state = 252, .external_lex_state = 2},
  [2335] = {.lex_state = 252, .external_lex_state = 5},
  [2336] = {.lex_state = 252, .external_lex_state = 2},
  [2337] = {.lex_state = 252, .external_lex_state = 2},
  [2338] = {.lex_state = 252, .external_lex_state = 2},
  [2339] = {.lex_state = 252, .external_lex_state = 2},
  [2340] = {.lex_state = 252, .external_lex_state = 2},
  [2341] = {.lex_state = 252, .external_lex_state = 2},
  [2342] = {.lex_state = 252, .external_lex_state = 2},
  [2343] = {.lex_state = 252, .external_lex_state = 2},
  [2344] = {.lex_state = 252, .external_lex_state = 2},
  [2345] = {.lex_state = 252, .external_lex_state = 5},
  [2346] = {.lex_state = 252, .external_lex_state = 5},
  [2347] = {.lex_state = 252, .external_lex_state = 2},
  [2348] = {.lex_state = 252, .external_lex_state = 2},
  [2349] = {.lex_state = 252, .external_lex_state = 2},
  [2350] = {.lex_state = 252, .external_lex_state = 5},
  [2351] = {.lex_state = 252, .external_lex_state = 2},
  [2352] = {.lex_state = 252, .external_lex_state = 2},
  [2353] = {.lex_state = 252, .external_lex_state = 2},
  [2354] = {.lex_state = 252, .external_lex_state = 2},
  [2355] = {.lex_state = 252, .external_lex_state = 2},
  [2356] = {.lex_state = 252, .external_lex_state = 2},
  [2357] = {.lex_state = 252, .external_lex_state = 2},
  [2358] = {.lex_state = 252, .external_lex_state = 5},
  [2359] = {.lex_state = 252, .external_lex_state = 5},
  [2360] = {.lex_state = 252, .external_lex_state = 2},
  [2361] = {.lex_state = 252, .external_lex_state = 2},
  [2362] = {.lex_state = 252, .external_lex_state = 2},
  [2363] = {.lex_state = 252, .external_lex_state = 2},
  [2364] = {.lex_state = 252, .external_lex_state = 5},
  [2365] = {.lex_state = 252, .external_lex_state = 2},
  [2366] = {.lex_state = 252, .external_lex_state = 2},
  [2367] = {.lex_state = 252, .external_lex_state = 2},
  [2368] = {.lex_state = 252, .external_lex_state = 2},
  [2369] = {.lex_state = 252, .external_lex_state = 2},
  [2370] = {.lex_state = 252, .external_lex_state = 2},
  [2371] = {.lex_state = 252, .external_lex_state = 2},
  [2372] = {.lex_state = 34, .external_lex_state = 2},
  [2373] = {.lex_state = 252, .external_lex_state = 5},
  [2374] = {.lex_state = 252, .external_lex_state = 2},
  [2375] = {.lex_state = 252, .external_lex_state = 5},
  [2376] = {.lex_state = 252, .external_lex_state = 5},
  [2377] = {.lex_state = 252, .external_lex_state = 5},
  [2378] = {.lex_state = 252, .external_lex_state = 5},
  [2379] = {.lex_state = 252, .external_lex_state = 2},
  [2380] = {.lex_state = 252, .external_lex_state = 5},
  [2381] = {.lex_state = 252, .external_lex_state = 2},
  [2382] = {.lex_state = 39, .external_lex_state = 2},
  [2383] = {.lex_state = 39, .external_lex_state = 2},
  [2384] = {.lex_state = 252, .external_lex_state = 2},
  [2385] = {.lex_state = 252, .external_lex_state = 2},
  [2386] = {.lex_state = 252, .external_lex_state = 2},
  [2387] = {.lex_state = 252, .external_lex_state = 2},
  [2388] = {.lex_state = 252, .external_lex_state = 2},
  [2389] = {.lex_state = 252, .external_lex_state = 2},
  [2390] = {.lex_state = 252, .external_lex_state = 5},
  [2391] = {.lex_state = 252, .external_lex_state = 5},
  [2392] = {.lex_state = 252, .external_lex_state = 2},
  [2393] = {.lex_state = 252, .external_lex_state = 2},
  [2394] = {.lex_state = 252, .external_lex_state = 2},
  [2395] = {.lex_state = 252, .external_lex_state = 2},
  [2396] = {.lex_state = 252, .external_lex_state = 2},
  [2397] = {.lex_state = 252, .external_lex_state = 5},
  [2398] = {.lex_state = 252, .external_lex_state = 2},
  [2399] = {.lex_state = 252, .external_lex_state = 2},
  [2400] = {.lex_state = 252, .external_lex_state = 2},
  [2401] = {.lex_state = 252, .external_lex_state = 5},
  [2402] = {.lex_state = 252, .external_lex_state = 5},
  [2403] = {.lex_state = 252, .external_lex_state = 2},
  [2404] = {.lex_state = 252, .external_lex_state = 5},
  [2405] = {.lex_state = 57, .external_lex_state = 2},
  [2406] = {.lex_state = 252, .external_lex_state = 2},
  [2407] = {.lex_state = 252, .external_lex_state = 2},
  [2408] = {.lex_state = 252, .external_lex_state = 2},
  [2409] = {.lex_state = 252, .external_lex_state = 2},
  [2410] = {.lex_state = 252, .external_lex_state = 2},
  [2411] = {.lex_state = 252, .external_lex_state = 2},
  [2412] = {.lex_state = 252, .external_lex_state = 2},
  [2413] = {.lex_state = 252, .external_lex_state = 2},
  [2414] = {.lex_state = 252, .external_lex_state = 2},
  [2415] = {.lex_state = 252, .external_lex_state = 2},
  [2416] = {.lex_state = 252, .external_lex_state = 5},
  [2417] = {.lex_state = 252, .external_lex_state = 2},
  [2418] = {.lex_state = 252, .external_lex_state = 5},
  [2419] = {.lex_state = 252, .external_lex_state = 2},
  [2420] = {.lex_state = 252, .external_lex_state = 2},
  [2421] = {.lex_state = 252, .external_lex_state = 2},
  [2422] = {.lex_state = 252, .external_lex_state = 2},
  [2423] = {.lex_state = 252, .external_lex_state = 5},
  [2424] = {.lex_state = 252, .external_lex_state = 2},
  [2425] = {.lex_state = 252, .external_lex_state = 2},
  [2426] = {.lex_state = 39, .external_lex_state = 2},
  [2427] = {.lex_state = 252, .external_lex_state = 5},
  [2428] = {.lex_state = 39, .external_lex_state = 2},
  [2429] = {.lex_state = 252, .external_lex_state = 2},
  [2430] = {.lex_state = 34, .external_lex_state = 2},
  [2431] = {.lex_state = 34, .external_lex_state = 2},
  [2432] = {.lex_state = 252, .external_lex_state = 2},
  [2433] = {.lex_state = 252, .external_lex_state = 2},
  [2434] = {.lex_state = 252, .external_lex_state = 2},
  [2435] = {.lex_state = 252, .external_lex_state = 5},
  [2436] = {.lex_state = 252, .external_lex_state = 2},
  [2437] = {.lex_state = 252, .external_lex_state = 2},
  [2438] = {.lex_state = 252, .external_lex_state = 2},
  [2439] = {.lex_state = 252, .external_lex_state = 2},
  [2440] = {.lex_state = 252, .external_lex_state = 2},
  [2441] = {.lex_state = 39, .external_lex_state = 2},
  [2442] = {.lex_state = 252, .external_lex_state = 2},
  [2443] = {.lex_state = 252, .external_lex_state = 2},
  [2444] = {.lex_state = 252, .external_lex_state = 2},
  [2445] = {.lex_state = 252, .external_lex_state = 2},
  [2446] = {.lex_state = 252, .external_lex_state = 2},
  [2447] = {.lex_state = 252, .external_lex_state = 2},
  [2448] = {.lex_state = 252, .external_lex_state = 2},
  [2449] = {.lex_state = 252, .external_lex_state = 2},
  [2450] = {.lex_state = 252, .external_lex_state = 2},
  [2451] = {.lex_state = 252, .external_lex_state = 2},
  [2452] = {.lex_state = 34, .external_lex_state = 2},
  [2453] = {.lex_state = 252, .external_lex_state = 2},
  [2454] = {.lex_state = 252, .external_lex_state = 2},
  [2455] = {.lex_state = 252, .external_lex_state = 2},
  [2456] = {.lex_state = 252, .external_lex_state = 5},
  [2457] = {.lex_state = 252, .external_lex_state = 2},
  [2458] = {.lex_state = 252, .external_lex_state = 2},
  [2459] = {.lex_state = 252, .external_lex_state = 5},
  [2460] = {.lex_state = 252, .external_lex_state = 2},
  [2461] = {.lex_state = 252, .external_lex_state = 5},
  [2462] = {.lex_state = 252, .external_lex_state = 2},
  [2463] = {.lex_state = 252, .external_lex_state = 5},
  [2464] = {.lex_state = 252, .external_lex_state = 2},
  [2465] = {.lex_state = 252, .external_lex_state = 5},
  [2466] = {.lex_state = 252, .external_lex_state = 5},
  [2467] = {.lex_state = 252, .external_lex_state = 2},
  [2468] = {.lex_state = 252, .external_lex_state = 2},
  [2469] = {.lex_state = 252, .external_lex_state = 2},
  [2470] = {.lex_state = 252, .external_lex_state = 2},
  [2471] = {.lex_state = 252, .external_lex_state = 2},
  [2472] = {.lex_state = 252, .external_lex_state = 5},
  [2473] = {.lex_state = 252, .external_lex_state = 2},
  [2474] = {.lex_state = 34, .external_lex_state = 2},
  [2475] = {.lex_state = 252, .external_lex_state = 2},
  [2476] = {.lex_state = 252, .external_lex_state = 2},
  [2477] = {.lex_state = 252, .external_lex_state = 2},
  [2478] = {.lex_state = 252, .external_lex_state = 2},
  [2479] = {.lex_state = 252, .external_lex_state = 2},
  [2480] = {.lex_state = 252, .external_lex_state = 2},
  [2481] = {.lex_state = 252, .external_lex_state = 2},
  [2482] = {.lex_state = 252, .external_lex_state = 2},
  [2483] = {.lex_state = 252, .external_lex_state = 5},
  [2484] = {.lex_state = 252, .external_lex_state = 5},
  [2485] = {.lex_state = 252, .external_lex_state = 2},
  [2486] = {.lex_state = 252, .external_lex_state = 5},
  [2487] = {.lex_state = 252, .external_lex_state = 5},
  [2488] = {.lex_state = 252, .external_lex_state = 5},
  [2489] = {.lex_state = 252, .external_lex_state = 5},
  [2490] = {.lex_state = 252, .external_lex_state = 2},
  [2491] = {.lex_state = 252, .external_lex_state = 5},
  [2492] = {.lex_state = 252, .external_lex_state = 2},
  [2493] = {.lex_state = 252, .external_lex_state = 2},
  [2494] = {.lex_state = 252, .external_lex_state = 2},
  [2495] = {.lex_state = 252, .external_lex_state = 2},
  [2496] = {.lex_state = 252, .external_lex_state = 2},
  [2497] = {.lex_state = 252, .external_lex_state = 2},
  [2498] = {.lex_state = 252, .external_lex_state = 2},
  [2499] = {.lex_state = 252, .external_lex_state = 5},
  [2500] = {.lex_state = 252, .external_lex_state = 2},
  [2501] = {.lex_state = 252, .external_lex_state = 2},
  [2502] = {.lex_state = 252, .external_lex_state = 5},
  [2503] = {.lex_state = 252, .external_lex_state = 5},
  [2504] = {.lex_state = 252, .external_lex_state = 2},
  [2505] = {.lex_state = 252, .external_lex_state = 5},
  [2506] = {.lex_state = 252, .external_lex_state = 5},
  [2507] = {.lex_state = 252, .external_lex_state = 2},
  [2508] = {.lex_state = 252, .external_lex_state = 2},
  [2509] = {.lex_state = 252, .external_lex_state = 2},
  [2510] = {.lex_state = 252, .external_lex_state = 2},
  [2511] = {.lex_state = 252, .external_lex_state = 2},
  [2512] = {.lex_state = 252, .external_lex_state = 2},
  [2513] = {.lex_state = 252, .external_lex_state = 2},
  [2514] = {.lex_state = 252, .external_lex_state = 2},
  [2515] = {.lex_state = 252, .external_lex_state = 2},
  [2516] = {.lex_state = 252, .external_lex_state = 2},
  [2517] = {.lex_state = 252, .external_lex_state = 2},
  [2518] = {.lex_state = 252, .external_lex_state = 2},
  [2519] = {.lex_state = 252, .external_lex_state = 2},
  [2520] = {.lex_state = 252, .external_lex_state = 2},
  [2521] = {.lex_state = 252, .external_lex_state = 2},
  [2522] = {.lex_state = 252, .external_lex_state = 2},
  [2523] = {.lex_state = 252, .external_lex_state = 2},
  [2524] = {.lex_state = 252, .external_lex_state = 5},
  [2525] = {.lex_state = 252, .external_lex_state = 5},
  [2526] = {.lex_state = 252, .external_lex_state = 2},
  [2527] = {.lex_state = 252, .external_lex_state = 2},
  [2528] = {.lex_state = 252, .external_lex_state = 5},
  [2529] = {.lex_state = 252, .external_lex_state = 5},
  [2530] = {.lex_state = 252, .external_lex_state = 2},
  [2531] = {.lex_state = 252, .external_lex_state = 2},
  [2532] = {.lex_state = 252, .external_lex_state = 2},
  [2533] = {.lex_state = 252, .external_lex_state = 2},
  [2534] = {.lex_state = 252, .external_lex_state = 2},
  [2535] = {.lex_state = 252, .external_lex_state = 2},
  [2536] = {.lex_state = 252, .external_lex_state = 2},
  [2537] = {.lex_state = 252, .external_lex_state = 2},
  [2538] = {.lex_state = 252, .external_lex_state = 2},
  [2539] = {.lex_state = 252, .external_lex_state = 2},
  [2540] = {.lex_state = 252, .external_lex_state = 2},
  [2541] = {.lex_state = 252, .external_lex_state = 2},
  [2542] = {.lex_state = 252, .external_lex_state = 2},
  [2543] = {.lex_state = 252, .external_lex_state = 2},
  [2544] = {.lex_state = 252, .external_lex_state = 2},
  [2545] = {.lex_state = 252, .external_lex_state = 2},
  [2546] = {.lex_state = 252, .external_lex_state = 2},
  [2547] = {.lex_state = 252, .external_lex_state = 5},
  [2548] = {.lex_state = 252, .external_lex_state = 2},
  [2549] = {.lex_state = 252, .external_lex_state = 2},
  [2550] = {.lex_state = 252, .external_lex_state = 2},
  [2551] = {.lex_state = 252, .external_lex_state = 2},
  [2552] = {.lex_state = 252, .external_lex_state = 2},
  [2553] = {.lex_state = 3, .external_lex_state = 2},
  [2554] = {.lex_state = 252, .external_lex_state = 2},
  [2555] = {.lex_state = 252, .external_lex_state = 2},
  [2556] = {.lex_state = 252, .external_lex_state = 2},
  [2557] = {.lex_state = 252, .external_lex_state = 2},
  [2558] = {.lex_state = 252, .external_lex_state = 2},
  [2559] = {.lex_state = 252, .external_lex_state = 2},
  [2560] = {.lex_state = 252, .external_lex_state = 2},
  [2561] = {.lex_state = 252, .external_lex_state = 2},
  [2562] = {.lex_state = 252, .external_lex_state = 2},
  [2563] = {.lex_state = 252, .external_lex_state = 2},
  [2564] = {.lex_state = 252, .external_lex_state = 2},
  [2565] = {.lex_state = 252, .external_lex_state = 5},
  [2566] = {.lex_state = 252, .external_lex_state = 2},
  [2567] = {.lex_state = 252, .external_lex_state = 2},
  [2568] = {.lex_state = 252, .external_lex_state = 2},
  [2569] = {.lex_state = 252, .external_lex_state = 2},
  [2570] = {.lex_state = 252, .external_lex_state = 2},
  [2571] = {.lex_state = 252, .external_lex_state = 2},
  [2572] = {.lex_state = 252, .external_lex_state = 2},
  [2573] = {.lex_state = 252, .external_lex_state = 2},
  [2574] = {.lex_state = 252, .external_lex_state = 2},
  [2575] = {.lex_state = 252, .external_lex_state = 2},
  [2576] = {.lex_state = 252, .external_lex_state = 2},
  [2577] = {.lex_state = 252, .external_lex_state = 2},
  [2578] = {.lex_state = 252, .external_lex_state = 2},
  [2579] = {.lex_state = 252, .external_lex_state = 2},
  [2580] = {.lex_state = 252, .external_lex_state = 2},
  [2581] = {.lex_state = 252, .external_lex_state = 2},
  [2582] = {.lex_state = 252, .external_lex_state = 2},
  [2583] = {.lex_state = 252, .external_lex_state = 2},
  [2584] = {.lex_state = 252, .external_lex_state = 2},
  [2585] = {.lex_state = 252, .external_lex_state = 2},
  [2586] = {.lex_state = 252, .external_lex_state = 2},
  [2587] = {.lex_state = 252, .external_lex_state = 2},
  [2588] = {.lex_state = 252, .external_lex_state = 2},
  [2589] = {.lex_state = 252, .external_lex_state = 2},
  [2590] = {.lex_state = 252, .external_lex_state = 2},
  [2591] = {.lex_state = 252, .external_lex_state = 2},
  [2592] = {.lex_state = 252, .external_lex_state = 2},
  [2593] = {.lex_state = 252, .external_lex_state = 2},
  [2594] = {.lex_state = 252, .external_lex_state = 2},
  [2595] = {.lex_state = 252, .external_lex_state = 2},
  [2596] = {.lex_state = 252, .external_lex_state = 2},
  [2597] = {.lex_state = 252, .external_lex_state = 2},
  [2598] = {.lex_state = 252, .external_lex_state = 2},
  [2599] = {.lex_state = 252, .external_lex_state = 2},
  [2600] = {.lex_state = 252, .external_lex_state = 2},
  [2601] = {.lex_state = 34, .external_lex_state = 2},
  [2602] = {.lex_state = 57, .external_lex_state = 2},
  [2603] = {.lex_state = 252, .external_lex_state = 2},
  [2604] = {.lex_state = 252, .external_lex_state = 2},
  [2605] = {.lex_state = 39, .external_lex_state = 2},
  [2606] = {.lex_state = 252, .external_lex_state = 2},
  [2607] = {.lex_state = 252, .external_lex_state = 2},
  [2608] = {.lex_state = 252, .external_lex_state = 2},
  [2609] = {.lex_state = 252, .external_lex_state = 5},
  [2610] = {.lex_state = 252, .external_lex_state = 2},
  [2611] = {.lex_state = 252, .external_lex_state = 2},
  [2612] = {.lex_state = 252, .external_lex_state = 2},
  [2613] = {.lex_state = 252, .external_lex_state = 2},
  [2614] = {.lex_state = 252, .external_lex_state = 2},
  [2615] = {.lex_state = 252, .external_lex_state = 5},
  [2616] = {.lex_state = 252, .external_lex_state = 2},
  [2617] = {.lex_state = 252, .external_lex_state = 2},
  [2618] = {.lex_state = 252, .external_lex_state = 2},
  [2619] = {.lex_state = 252, .external_lex_state = 2},
  [2620] = {.lex_state = 252, .external_lex_state = 2},
  [2621] = {.lex_state = 252, .external_lex_state = 2},
  [2622] = {.lex_state = 252, .external_lex_state = 2},
  [2623] = {.lex_state = 252, .external_lex_state = 2},
  [2624] = {.lex_state = 252, .external_lex_state = 2},
  [2625] = {.lex_state = 252, .external_lex_state = 2},
  [2626] = {.lex_state = 252, .external_lex_state = 2},
  [2627] = {.lex_state = 34, .external_lex_state = 2},
  [2628] = {.lex_state = 252, .external_lex_state = 2},
  [2629] = {.lex_state = 252, .external_lex_state = 2},
  [2630] = {.lex_state = 252, .external_lex_state = 2},
  [2631] = {.lex_state = 252, .external_lex_state = 2},
  [2632] = {.lex_state = 252, .external_lex_state = 2},
  [2633] = {.lex_state = 252, .external_lex_state = 2},
  [2634] = {.lex_state = 252, .external_lex_state = 2},
  [2635] = {.lex_state = 252, .external_lex_state = 2},
  [2636] = {.lex_state = 252, .external_lex_state = 2},
  [2637] = {.lex_state = 252, .external_lex_state = 2},
  [2638] = {.lex_state = 252, .external_lex_state = 2},
  [2639] = {.lex_state = 252, .external_lex_state = 2},
  [2640] = {.lex_state = 252, .external_lex_state = 2},
  [2641] = {.lex_state = 252, .external_lex_state = 2},
  [2642] = {.lex_state = 252, .external_lex_state = 2},
  [2643] = {.lex_state = 252, .external_lex_state = 2},
  [2644] = {.lex_state = 252, .external_lex_state = 2},
  [2645] = {.lex_state = 252, .external_lex_state = 2},
  [2646] = {.lex_state = 252, .external_lex_state = 2},
  [2647] = {.lex_state = 252, .external_lex_state = 2},
  [2648] = {.lex_state = 252, .external_lex_state = 2},
  [2649] = {.lex_state = 252, .external_lex_state = 2},
  [2650] = {.lex_state = 252, .external_lex_state = 2},
  [2651] = {.lex_state = 252, .external_lex_state = 2},
  [2652] = {.lex_state = 252, .external_lex_state = 2},
  [2653] = {.lex_state = 252, .external_lex_state = 2},
  [2654] = {.lex_state = 252, .external_lex_state = 2},
  [2655] = {.lex_state = 252, .external_lex_state = 2},
  [2656] = {.lex_state = 252, .external_lex_state = 2},
  [2657] = {.lex_state = 252, .external_lex_state = 2},
  [2658] = {.lex_state = 252, .external_lex_state = 2},
  [2659] = {.lex_state = 252, .external_lex_state = 2},
  [2660] = {.lex_state = 252, .external_lex_state = 2},
  [2661] = {.lex_state = 252, .external_lex_state = 2},
  [2662] = {.lex_state = 252, .external_lex_state = 2},
  [2663] = {.lex_state = 252, .external_lex_state = 2},
  [2664] = {.lex_state = 252, .external_lex_state = 2},
  [2665] = {.lex_state = 252, .external_lex_state = 2},
  [2666] = {.lex_state = 252, .external_lex_state = 2},
  [2667] = {.lex_state = 252, .external_lex_state = 2},
  [2668] = {.lex_state = 252, .external_lex_state = 2},
  [2669] = {.lex_state = 252, .external_lex_state = 2},
  [2670] = {.lex_state = 252, .external_lex_state = 2},
  [2671] = {.lex_state = 252, .external_lex_state = 2},
  [2672] = {.lex_state = 252, .external_lex_state = 2},
  [2673] = {.lex_state = 252, .external_lex_state = 2},
  [2674] = {.lex_state = 252, .external_lex_state = 2},
  [2675] = {.lex_state = 252, .external_lex_state = 2},
  [2676] = {.lex_state = 252, .external_lex_state = 2},
  [2677] = {.lex_state = 252, .external_lex_state = 2},
  [2678] = {.lex_state = 252, .external_lex_state = 2},
  [2679] = {.lex_state = 252, .external_lex_state = 2},
  [2680] = {.lex_state = 252, .external_lex_state = 2},
  [2681] = {.lex_state = 252, .external_lex_state = 2},
  [2682] = {.lex_state = 252, .external_lex_state = 2},
  [2683] = {.lex_state = 252, .external_lex_state = 2},
  [2684] = {.lex_state = 252, .external_lex_state = 2},
  [2685] = {.lex_state = 252, .external_lex_state = 2},
  [2686] = {.lex_state = 252, .external_lex_state = 2},
  [2687] = {.lex_state = 252, .external_lex_state = 2},
  [2688] = {.lex_state = 252, .external_lex_state = 2},
  [2689] = {.lex_state = 252, .external_lex_state = 2},
  [2690] = {.lex_state = 252, .external_lex_state = 2},
  [2691] = {.lex_state = 252, .external_lex_state = 2},
  [2692] = {.lex_state = 252, .external_lex_state = 2},
  [2693] = {.lex_state = 252, .external_lex_state = 2},
  [2694] = {.lex_state = 252, .external_lex_state = 2},
  [2695] = {.lex_state = 252, .external_lex_state = 2},
  [2696] = {.lex_state = 252, .external_lex_state = 2},
  [2697] = {.lex_state = 252, .external_lex_state = 2},
  [2698] = {.lex_state = 252, .external_lex_state = 2},
  [2699] = {.lex_state = 252, .external_lex_state = 2},
  [2700] = {.lex_state = 252, .external_lex_state = 2},
  [2701] = {.lex_state = 252, .external_lex_state = 2},
  [2702] = {.lex_state = 252, .external_lex_state = 2},
  [2703] = {.lex_state = 252, .external_lex_state = 2},
  [2704] = {.lex_state = 252, .external_lex_state = 2},
  [2705] = {.lex_state = 252, .external_lex_state = 2},
  [2706] = {.lex_state = 252, .external_lex_state = 2},
  [2707] = {.lex_state = 252, .external_lex_state = 2},
  [2708] = {.lex_state = 252, .external_lex_state = 2},
  [2709] = {.lex_state = 252, .external_lex_state = 2},
  [2710] = {.lex_state = 252, .external_lex_state = 5},
  [2711] = {.lex_state = 252, .external_lex_state = 2},
  [2712] = {.lex_state = 252, .external_lex_state = 2},
  [2713] = {.lex_state = 252, .external_lex_state = 2},
  [2714] = {.lex_state = 252, .external_lex_state = 2},
  [2715] = {.lex_state = 252, .external_lex_state = 2},
  [2716] = {.lex_state = 252, .external_lex_state = 2},
  [2717] = {.lex_state = 252, .external_lex_state = 2},
  [2718] = {.lex_state = 252, .external_lex_state = 2},
  [2719] = {.lex_state = 252, .external_lex_state = 2},
  [2720] = {.lex_state = 252, .external_lex_state = 2},
  [2721] = {.lex_state = 252, .external_lex_state = 2},
  [2722] = {.lex_state = 252, .external_lex_state = 2},
  [2723] = {.lex_state = 252, .external_lex_state = 2},
  [2724] = {.lex_state = 252, .external_lex_state = 2},
  [2725] = {.lex_state = 252, .external_lex_state = 2},
  [2726] = {.lex_state = 252, .external_lex_state = 2},
  [2727] = {.lex_state = 252, .external_lex_state = 2},
  [2728] = {.lex_state = 252, .external_lex_state = 2},
  [2729] = {.lex_state = 252, .external_lex_state = 2},
  [2730] = {.lex_state = 252, .external_lex_state = 2},
  [2731] = {.lex_state = 34, .external_lex_state = 2},
  [2732] = {.lex_state = 4, .external_lex_state = 2},
  [2733] = {.lex_state = 34, .external_lex_state = 2},
  [2734] = {.lex_state = 252, .external_lex_state = 2},
  [2735] = {.lex_state = 34, .external_lex_state = 2},
  [2736] = {.lex_state = 34, .external_lex_state = 2},
  [2737] = {.lex_state = 4, .external_lex_state = 2},
  [2738] = {.lex_state = 39, .external_lex_state = 2},
  [2739] = {.lex_state = 252, .external_lex_state = 2},
  [2740] = {.lex_state = 252, .external_lex_state = 2},
  [2741] = {.lex_state = 34, .external_lex_state = 2},
  [2742] = {.lex_state = 252, .external_lex_state = 2},
  [2743] = {.lex_state = 252, .external_lex_state = 2},
  [2744] = {.lex_state = 252, .external_lex_state = 2},
  [2745] = {.lex_state = 34, .external_lex_state = 2},
  [2746] = {.lex_state = 34, .external_lex_state = 2},
  [2747] = {.lex_state = 4, .external_lex_state = 2},
  [2748] = {.lex_state = 252, .external_lex_state = 2},
  [2749] = {.lex_state = 30, .external_lex_state = 2},
  [2750] = {.lex_state = 252, .external_lex_state = 2},
  [2751] = {.lex_state = 252, .external_lex_state = 2},
  [2752] = {.lex_state = 252, .external_lex_state = 2},
  [2753] = {.lex_state = 252, .external_lex_state = 2},
  [2754] = {.lex_state = 39, .external_lex_state = 2},
  [2755] = {.lex_state = 252, .external_lex_state = 2},
  [2756] = {.lex_state = 252, .external_lex_state = 2},
  [2757] = {.lex_state = 34, .external_lex_state = 2},
  [2758] = {.lex_state = 252, .external_lex_state = 2},
  [2759] = {.lex_state = 4, .external_lex_state = 2},
  [2760] = {.lex_state = 252, .external_lex_state = 2},
  [2761] = {.lex_state = 34, .external_lex_state = 2},
  [2762] = {.lex_state = 34, .external_lex_state = 2},
  [2763] = {.lex_state = 30, .external_lex_state = 2},
  [2764] = {.lex_state = 252, .external_lex_state = 2},
  [2765] = {.lex_state = 252, .external_lex_state = 2},
  [2766] = {.lex_state = 252, .external_lex_state = 2},
  [2767] = {.lex_state = 252, .external_lex_state = 2},
  [2768] = {.lex_state = 252, .external_lex_state = 2},
  [2769] = {.lex_state = 252, .external_lex_state = 2},
  [2770] = {.lex_state = 252, .external_lex_state = 2},
  [2771] = {.lex_state = 34, .external_lex_state = 2},
  [2772] = {.lex_state = 34, .external_lex_state = 2},
  [2773] = {.lex_state = 34, .external_lex_state = 2},
  [2774] = {.lex_state = 252, .external_lex_state = 2},
  [2775] = {.lex_state = 252, .external_lex_state = 2},
  [2776] = {.lex_state = 39, .external_lex_state = 2},
  [2777] = {.lex_state = 252, .external_lex_state = 2},
  [2778] = {.lex_state = 252, .external_lex_state = 2},
  [2779] = {.lex_state = 252, .external_lex_state = 2},
  [2780] = {.lex_state = 252, .external_lex_state = 2},
  [2781] = {.lex_state = 252, .external_lex_state = 2},
  [2782] = {.lex_state = 252, .external_lex_state = 2},
  [2783] = {.lex_state = 252, .external_lex_state = 2},
  [2784] = {.lex_state = 252, .external_lex_state = 2},
  [2785] = {.lex_state = 252, .external_lex_state = 2},
  [2786] = {.lex_state = 252, .external_lex_state = 2},
  [2787] = {.lex_state = 252, .external_lex_state = 2},
  [2788] = {.lex_state = 252, .external_lex_state = 2},
  [2789] = {.lex_state = 39, .external_lex_state = 2},
  [2790] = {.lex_state = 252, .external_lex_state = 2},
  [2791] = {.lex_state = 252, .external_lex_state = 2},
  [2792] = {.lex_state = 252, .external_lex_state = 2},
  [2793] = {.lex_state = 34, .external_lex_state = 2},
  [2794] = {.lex_state = 252, .external_lex_state = 2},
  [2795] = {.lex_state = 252, .external_lex_state = 2},
  [2796] = {.lex_state = 252, .external_lex_state = 2},
  [2797] = {.lex_state = 252, .external_lex_state = 2},
  [2798] = {.lex_state = 252, .external_lex_state = 2},
  [2799] = {.lex_state = 252, .external_lex_state = 2},
  [2800] = {.lex_state = 34, .external_lex_state = 2},
  [2801] = {.lex_state = 34, .external_lex_state = 2},
  [2802] = {.lex_state = 39, .external_lex_state = 2},
  [2803] = {.lex_state = 39, .external_lex_state = 2},
  [2804] = {.lex_state = 252, .external_lex_state = 2},
  [2805] = {.lex_state = 34, .external_lex_state = 2},
  [2806] = {.lex_state = 252, .external_lex_state = 2},
  [2807] = {.lex_state = 34, .external_lex_state = 2},
  [2808] = {.lex_state = 39, .external_lex_state = 2},
  [2809] = {.lex_state = 252, .external_lex_state = 2},
  [2810] = {.lex_state = 252, .external_lex_state = 2},
  [2811] = {.lex_state = 252, .external_lex_state = 2},
  [2812] = {.lex_state = 252, .external_lex_state = 2},
  [2813] = {.lex_state = 34, .external_lex_state = 2},
  [2814] = {.lex_state = 252, .external_lex_state = 2},
  [2815] = {.lex_state = 252, .external_lex_state = 2},
  [2816] = {.lex_state = 252, .external_lex_state = 2},
  [2817] = {.lex_state = 252, .external_lex_state = 2},
  [2818] = {.lex_state = 252, .external_lex_state = 2},
  [2819] = {.lex_state = 252, .external_lex_state = 2},
  [2820] = {.lex_state = 252, .external_lex_state = 2},
  [2821] = {.lex_state = 252, .external_lex_state = 2},
  [2822] = {.lex_state = 252, .external_lex_state = 2},
  [2823] = {.lex_state = 252, .external_lex_state = 2},
  [2824] = {.lex_state = 39, .external_lex_state = 2},
  [2825] = {.lex_state = 39, .external_lex_state = 2},
  [2826] = {.lex_state = 252, .external_lex_state = 2},
  [2827] = {.lex_state = 34, .external_lex_state = 2},
  [2828] = {.lex_state = 39, .external_lex_state = 2},
  [2829] = {.lex_state = 34, .external_lex_state = 2},
  [2830] = {.lex_state = 34, .external_lex_state = 2},
  [2831] = {.lex_state = 252, .external_lex_state = 2},
  [2832] = {.lex_state = 39, .external_lex_state = 2},
  [2833] = {.lex_state = 252, .external_lex_state = 2},
  [2834] = {.lex_state = 252, .external_lex_state = 2},
  [2835] = {.lex_state = 252, .external_lex_state = 2},
  [2836] = {.lex_state = 252, .external_lex_state = 2},
  [2837] = {.lex_state = 252, .external_lex_state = 2},
  [2838] = {.lex_state = 39, .external_lex_state = 2},
  [2839] = {.lex_state = 252, .external_lex_state = 2},
  [2840] = {.lex_state = 34, .external_lex_state = 2},
  [2841] = {.lex_state = 252, .external_lex_state = 2},
  [2842] = {.lex_state = 34, .external_lex_state = 2},
  [2843] = {.lex_state = 252, .external_lex_state = 2},
  [2844] = {.lex_state = 252, .external_lex_state = 2},
  [2845] = {.lex_state = 252, .external_lex_state = 2},
  [2846] = {.lex_state = 39, .external_lex_state = 2},
  [2847] = {.lex_state = 252, .external_lex_state = 2},
  [2848] = {.lex_state = 252, .external_lex_state = 2},
  [2849] = {.lex_state = 252, .external_lex_state = 2},
  [2850] = {.lex_state = 39, .external_lex_state = 2},
  [2851] = {.lex_state = 252, .external_lex_state = 2},
  [2852] = {.lex_state = 252, .external_lex_state = 2},
  [2853] = {.lex_state = 34, .external_lex_state = 2},
  [2854] = {.lex_state = 252, .external_lex_state = 2},
  [2855] = {.lex_state = 34, .external_lex_state = 2},
  [2856] = {.lex_state = 34, .external_lex_state = 2},
  [2857] = {.lex_state = 252, .external_lex_state = 2},
  [2858] = {.lex_state = 252, .external_lex_state = 2},
  [2859] = {.lex_state = 252, .external_lex_state = 2},
  [2860] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(2742),
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2086),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2086),
    [sym_pair] = STATE(2086),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2085),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2086),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2086),
    [sym_pair] = STATE(2086),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2085),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(131),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(133),
    [anon_sym_set] = ACTIONS(133),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2150),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2150),
    [sym_pair] = STATE(2150),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2139),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(143),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(145),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(147),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2150),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2150),
    [sym_pair] = STATE(2150),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2139),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(143),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(145),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(147),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2150),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2150),
    [sym_pair] = STATE(2150),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2139),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(143),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(145),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(147),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2150),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2150),
    [sym_pair] = STATE(2150),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2139),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(143),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(145),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(147),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2150),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2150),
    [sym_pair] = STATE(2150),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2139),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(143),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(145),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(147),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_object_assignment_pattern] = STATE(2155),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2760),
    [sym_spread_element] = STATE(2150),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1387),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(1637),
    [sym_formal_parameters] = STATE(2752),
    [sym_rest_pattern] = STATE(2155),
    [sym_method_definition] = STATE(2150),
    [sym_pair] = STATE(2150),
    [sym_pair_pattern] = STATE(2155),
    [sym__property_name] = STATE(2143),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1532),
    [aux_sym_object_repeat1] = STATE(2139),
    [aux_sym_object_pattern_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(143),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(145),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(147),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(864),
    [sym_declaration] = STATE(864),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_with_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_debugger_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_empty_statement] = STATE(864),
    [sym_labeled_statement] = STATE(864),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(162),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(170),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(176),
    [anon_sym_let] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(182),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_switch] = ACTIONS(188),
    [anon_sym_for] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(200),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(206),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(212),
    [anon_sym_debugger] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(218),
    [anon_sym_throw] = ACTIONS(221),
    [anon_sym_SEMI] = ACTIONS(224),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(245),
    [anon_sym_async] = ACTIONS(248),
    [anon_sym_function] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(266),
    [sym_number] = ACTIONS(269),
    [sym_private_property_identifier] = ACTIONS(272),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(278),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_get] = ACTIONS(281),
    [anon_sym_set] = ACTIONS(281),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(864),
    [sym_declaration] = STATE(864),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_with_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_debugger_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_empty_statement] = STATE(864),
    [sym_labeled_statement] = STATE(864),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(288),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(864),
    [sym_declaration] = STATE(864),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_with_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_debugger_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_empty_statement] = STATE(864),
    [sym_labeled_statement] = STATE(864),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(334),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(334),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(864),
    [sym_declaration] = STATE(864),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_with_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_debugger_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_empty_statement] = STATE(864),
    [sym_labeled_statement] = STATE(864),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(336),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(864),
    [sym_declaration] = STATE(864),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_for_in_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_with_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_debugger_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_empty_statement] = STATE(864),
    [sym_labeled_statement] = STATE(864),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_default] = ACTIONS(338),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(340),
    [sym_identifier] = ACTIONS(342),
    [anon_sym_export] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(348),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(354),
    [anon_sym_var] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(360),
    [anon_sym_const] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(366),
    [anon_sym_switch] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(372),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_await] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(375),
    [anon_sym_do] = ACTIONS(378),
    [anon_sym_try] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_debugger] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(393),
    [anon_sym_throw] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(230),
    [anon_sym_LTtemplate_GT] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_class] = ACTIONS(402),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(408),
    [anon_sym_new] = ACTIONS(254),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_SLASH] = ACTIONS(260),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(257),
    [anon_sym_void] = ACTIONS(257),
    [anon_sym_delete] = ACTIONS(257),
    [anon_sym_PLUS_PLUS] = ACTIONS(263),
    [anon_sym_DASH_DASH] = ACTIONS(263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(266),
    [sym_number] = ACTIONS(269),
    [sym_private_property_identifier] = ACTIONS(272),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(278),
    [anon_sym_static] = ACTIONS(411),
    [anon_sym_get] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(411),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(420),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(450),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(450),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(921),
    [sym_declaration] = STATE(921),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(921),
    [sym_if_statement] = STATE(921),
    [sym_switch_statement] = STATE(921),
    [sym_for_statement] = STATE(921),
    [sym_for_in_statement] = STATE(921),
    [sym_while_statement] = STATE(921),
    [sym_do_statement] = STATE(921),
    [sym_try_statement] = STATE(921),
    [sym_with_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_debugger_statement] = STATE(921),
    [sym_return_statement] = STATE(921),
    [sym_throw_statement] = STATE(921),
    [sym_empty_statement] = STATE(921),
    [sym_labeled_statement] = STATE(921),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(747),
    [sym_declaration] = STATE(747),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(747),
    [sym_expression_statement] = STATE(747),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(747),
    [sym_if_statement] = STATE(747),
    [sym_switch_statement] = STATE(747),
    [sym_for_statement] = STATE(747),
    [sym_for_in_statement] = STATE(747),
    [sym_while_statement] = STATE(747),
    [sym_do_statement] = STATE(747),
    [sym_try_statement] = STATE(747),
    [sym_with_statement] = STATE(747),
    [sym_break_statement] = STATE(747),
    [sym_continue_statement] = STATE(747),
    [sym_debugger_statement] = STATE(747),
    [sym_return_statement] = STATE(747),
    [sym_throw_statement] = STATE(747),
    [sym_empty_statement] = STATE(747),
    [sym_labeled_statement] = STATE(747),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(786),
    [sym_declaration] = STATE(785),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(784),
    [sym_expression_statement] = STATE(783),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(782),
    [sym_if_statement] = STATE(781),
    [sym_switch_statement] = STATE(780),
    [sym_for_statement] = STATE(779),
    [sym_for_in_statement] = STATE(778),
    [sym_while_statement] = STATE(777),
    [sym_do_statement] = STATE(776),
    [sym_try_statement] = STATE(775),
    [sym_with_statement] = STATE(774),
    [sym_break_statement] = STATE(773),
    [sym_continue_statement] = STATE(772),
    [sym_debugger_statement] = STATE(771),
    [sym_return_statement] = STATE(770),
    [sym_throw_statement] = STATE(769),
    [sym_empty_statement] = STATE(768),
    [sym_labeled_statement] = STATE(767),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(710),
    [sym_declaration] = STATE(710),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(710),
    [sym_expression_statement] = STATE(710),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(710),
    [sym_if_statement] = STATE(710),
    [sym_switch_statement] = STATE(710),
    [sym_for_statement] = STATE(710),
    [sym_for_in_statement] = STATE(710),
    [sym_while_statement] = STATE(710),
    [sym_do_statement] = STATE(710),
    [sym_try_statement] = STATE(710),
    [sym_with_statement] = STATE(710),
    [sym_break_statement] = STATE(710),
    [sym_continue_statement] = STATE(710),
    [sym_debugger_statement] = STATE(710),
    [sym_return_statement] = STATE(710),
    [sym_throw_statement] = STATE(710),
    [sym_empty_statement] = STATE(710),
    [sym_labeled_statement] = STATE(710),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(2744),
    [sym_declaration] = STATE(2744),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2744),
    [sym_expression_statement] = STATE(2744),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2744),
    [sym_if_statement] = STATE(2744),
    [sym_switch_statement] = STATE(2744),
    [sym_for_statement] = STATE(2744),
    [sym_for_in_statement] = STATE(2744),
    [sym_while_statement] = STATE(2744),
    [sym_do_statement] = STATE(2744),
    [sym_try_statement] = STATE(2744),
    [sym_with_statement] = STATE(2744),
    [sym_break_statement] = STATE(2744),
    [sym_continue_statement] = STATE(2744),
    [sym_debugger_statement] = STATE(2744),
    [sym_return_statement] = STATE(2744),
    [sym_throw_statement] = STATE(2744),
    [sym_empty_statement] = STATE(2744),
    [sym_labeled_statement] = STATE(2744),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(736),
    [sym_declaration] = STATE(736),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(736),
    [sym_expression_statement] = STATE(736),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(736),
    [sym_if_statement] = STATE(736),
    [sym_switch_statement] = STATE(736),
    [sym_for_statement] = STATE(736),
    [sym_for_in_statement] = STATE(736),
    [sym_while_statement] = STATE(736),
    [sym_do_statement] = STATE(736),
    [sym_try_statement] = STATE(736),
    [sym_with_statement] = STATE(736),
    [sym_break_statement] = STATE(736),
    [sym_continue_statement] = STATE(736),
    [sym_debugger_statement] = STATE(736),
    [sym_return_statement] = STATE(736),
    [sym_throw_statement] = STATE(736),
    [sym_empty_statement] = STATE(736),
    [sym_labeled_statement] = STATE(736),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(716),
    [sym_declaration] = STATE(716),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_for_in_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_try_statement] = STATE(716),
    [sym_with_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_debugger_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_throw_statement] = STATE(716),
    [sym_empty_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(919),
    [sym_declaration] = STATE(919),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_switch_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_for_in_statement] = STATE(919),
    [sym_while_statement] = STATE(919),
    [sym_do_statement] = STATE(919),
    [sym_try_statement] = STATE(919),
    [sym_with_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_debugger_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_throw_statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(2766),
    [sym_declaration] = STATE(2766),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2766),
    [sym_expression_statement] = STATE(2766),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2766),
    [sym_if_statement] = STATE(2766),
    [sym_switch_statement] = STATE(2766),
    [sym_for_statement] = STATE(2766),
    [sym_for_in_statement] = STATE(2766),
    [sym_while_statement] = STATE(2766),
    [sym_do_statement] = STATE(2766),
    [sym_try_statement] = STATE(2766),
    [sym_with_statement] = STATE(2766),
    [sym_break_statement] = STATE(2766),
    [sym_continue_statement] = STATE(2766),
    [sym_debugger_statement] = STATE(2766),
    [sym_return_statement] = STATE(2766),
    [sym_throw_statement] = STATE(2766),
    [sym_empty_statement] = STATE(2766),
    [sym_labeled_statement] = STATE(2766),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(955),
    [sym_declaration] = STATE(955),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(955),
    [sym_expression_statement] = STATE(955),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(955),
    [sym_if_statement] = STATE(955),
    [sym_switch_statement] = STATE(955),
    [sym_for_statement] = STATE(955),
    [sym_for_in_statement] = STATE(955),
    [sym_while_statement] = STATE(955),
    [sym_do_statement] = STATE(955),
    [sym_try_statement] = STATE(955),
    [sym_with_statement] = STATE(955),
    [sym_break_statement] = STATE(955),
    [sym_continue_statement] = STATE(955),
    [sym_debugger_statement] = STATE(955),
    [sym_return_statement] = STATE(955),
    [sym_throw_statement] = STATE(955),
    [sym_empty_statement] = STATE(955),
    [sym_labeled_statement] = STATE(955),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(505),
    [sym_declaration] = STATE(505),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_for_in_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_with_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_debugger_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_empty_statement] = STATE(505),
    [sym_labeled_statement] = STATE(505),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(2739),
    [sym_declaration] = STATE(2739),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2739),
    [sym_expression_statement] = STATE(2739),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2739),
    [sym_if_statement] = STATE(2739),
    [sym_switch_statement] = STATE(2739),
    [sym_for_statement] = STATE(2739),
    [sym_for_in_statement] = STATE(2739),
    [sym_while_statement] = STATE(2739),
    [sym_do_statement] = STATE(2739),
    [sym_try_statement] = STATE(2739),
    [sym_with_statement] = STATE(2739),
    [sym_break_statement] = STATE(2739),
    [sym_continue_statement] = STATE(2739),
    [sym_debugger_statement] = STATE(2739),
    [sym_return_statement] = STATE(2739),
    [sym_throw_statement] = STATE(2739),
    [sym_empty_statement] = STATE(2739),
    [sym_labeled_statement] = STATE(2739),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(958),
    [sym_declaration] = STATE(958),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(958),
    [sym_expression_statement] = STATE(958),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(958),
    [sym_if_statement] = STATE(958),
    [sym_switch_statement] = STATE(958),
    [sym_for_statement] = STATE(958),
    [sym_for_in_statement] = STATE(958),
    [sym_while_statement] = STATE(958),
    [sym_do_statement] = STATE(958),
    [sym_try_statement] = STATE(958),
    [sym_with_statement] = STATE(958),
    [sym_break_statement] = STATE(958),
    [sym_continue_statement] = STATE(958),
    [sym_debugger_statement] = STATE(958),
    [sym_return_statement] = STATE(958),
    [sym_throw_statement] = STATE(958),
    [sym_empty_statement] = STATE(958),
    [sym_labeled_statement] = STATE(958),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(484),
    [sym_declaration] = STATE(484),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_switch_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_for_in_statement] = STATE(484),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_with_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_debugger_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_throw_statement] = STATE(484),
    [sym_empty_statement] = STATE(484),
    [sym_labeled_statement] = STATE(484),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(2794),
    [sym_declaration] = STATE(2794),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2794),
    [sym_expression_statement] = STATE(2794),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2794),
    [sym_if_statement] = STATE(2794),
    [sym_switch_statement] = STATE(2794),
    [sym_for_statement] = STATE(2794),
    [sym_for_in_statement] = STATE(2794),
    [sym_while_statement] = STATE(2794),
    [sym_do_statement] = STATE(2794),
    [sym_try_statement] = STATE(2794),
    [sym_with_statement] = STATE(2794),
    [sym_break_statement] = STATE(2794),
    [sym_continue_statement] = STATE(2794),
    [sym_debugger_statement] = STATE(2794),
    [sym_return_statement] = STATE(2794),
    [sym_throw_statement] = STATE(2794),
    [sym_empty_statement] = STATE(2794),
    [sym_labeled_statement] = STATE(2794),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(2469),
    [sym_declaration] = STATE(2469),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2469),
    [sym_expression_statement] = STATE(2469),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2469),
    [sym_if_statement] = STATE(2469),
    [sym_switch_statement] = STATE(2469),
    [sym_for_statement] = STATE(2469),
    [sym_for_in_statement] = STATE(2469),
    [sym_while_statement] = STATE(2469),
    [sym_do_statement] = STATE(2469),
    [sym_try_statement] = STATE(2469),
    [sym_with_statement] = STATE(2469),
    [sym_break_statement] = STATE(2469),
    [sym_continue_statement] = STATE(2469),
    [sym_debugger_statement] = STATE(2469),
    [sym_return_statement] = STATE(2469),
    [sym_throw_statement] = STATE(2469),
    [sym_empty_statement] = STATE(2469),
    [sym_labeled_statement] = STATE(2469),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2479),
    [sym_expression_statement] = STATE(2479),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2479),
    [sym_if_statement] = STATE(2479),
    [sym_switch_statement] = STATE(2479),
    [sym_for_statement] = STATE(2479),
    [sym_for_in_statement] = STATE(2479),
    [sym_while_statement] = STATE(2479),
    [sym_do_statement] = STATE(2479),
    [sym_try_statement] = STATE(2479),
    [sym_with_statement] = STATE(2479),
    [sym_break_statement] = STATE(2479),
    [sym_continue_statement] = STATE(2479),
    [sym_debugger_statement] = STATE(2479),
    [sym_return_statement] = STATE(2479),
    [sym_throw_statement] = STATE(2479),
    [sym_empty_statement] = STATE(2479),
    [sym_labeled_statement] = STATE(2479),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(708),
    [sym_declaration] = STATE(707),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(706),
    [sym_expression_statement] = STATE(704),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(703),
    [sym_if_statement] = STATE(701),
    [sym_switch_statement] = STATE(700),
    [sym_for_statement] = STATE(698),
    [sym_for_in_statement] = STATE(697),
    [sym_while_statement] = STATE(696),
    [sym_do_statement] = STATE(695),
    [sym_try_statement] = STATE(694),
    [sym_with_statement] = STATE(693),
    [sym_break_statement] = STATE(692),
    [sym_continue_statement] = STATE(691),
    [sym_debugger_statement] = STATE(690),
    [sym_return_statement] = STATE(689),
    [sym_throw_statement] = STATE(688),
    [sym_empty_statement] = STATE(685),
    [sym_labeled_statement] = STATE(684),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(2520),
    [sym_declaration] = STATE(2521),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2527),
    [sym_expression_statement] = STATE(2539),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2548),
    [sym_if_statement] = STATE(2549),
    [sym_switch_statement] = STATE(2550),
    [sym_for_statement] = STATE(2557),
    [sym_for_in_statement] = STATE(2558),
    [sym_while_statement] = STATE(2562),
    [sym_do_statement] = STATE(2566),
    [sym_try_statement] = STATE(2573),
    [sym_with_statement] = STATE(2577),
    [sym_break_statement] = STATE(2578),
    [sym_continue_statement] = STATE(2585),
    [sym_debugger_statement] = STATE(2586),
    [sym_return_statement] = STATE(2590),
    [sym_throw_statement] = STATE(2591),
    [sym_empty_statement] = STATE(2622),
    [sym_labeled_statement] = STATE(2597),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(947),
    [sym_declaration] = STATE(980),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(1000),
    [sym_expression_statement] = STATE(999),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(940),
    [sym_if_statement] = STATE(998),
    [sym_switch_statement] = STATE(910),
    [sym_for_statement] = STATE(920),
    [sym_for_in_statement] = STATE(995),
    [sym_while_statement] = STATE(983),
    [sym_do_statement] = STATE(982),
    [sym_try_statement] = STATE(981),
    [sym_with_statement] = STATE(974),
    [sym_break_statement] = STATE(973),
    [sym_continue_statement] = STATE(972),
    [sym_debugger_statement] = STATE(971),
    [sym_return_statement] = STATE(970),
    [sym_throw_statement] = STATE(969),
    [sym_empty_statement] = STATE(968),
    [sym_labeled_statement] = STATE(967),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(2599),
    [sym_declaration] = STATE(2599),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2599),
    [sym_expression_statement] = STATE(2599),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2599),
    [sym_if_statement] = STATE(2599),
    [sym_switch_statement] = STATE(2599),
    [sym_for_statement] = STATE(2599),
    [sym_for_in_statement] = STATE(2599),
    [sym_while_statement] = STATE(2599),
    [sym_do_statement] = STATE(2599),
    [sym_try_statement] = STATE(2599),
    [sym_with_statement] = STATE(2599),
    [sym_break_statement] = STATE(2599),
    [sym_continue_statement] = STATE(2599),
    [sym_debugger_statement] = STATE(2599),
    [sym_return_statement] = STATE(2599),
    [sym_throw_statement] = STATE(2599),
    [sym_empty_statement] = STATE(2599),
    [sym_labeled_statement] = STATE(2599),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(2663),
    [sym_declaration] = STATE(2688),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2693),
    [sym_expression_statement] = STATE(2694),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2695),
    [sym_if_statement] = STATE(2699),
    [sym_switch_statement] = STATE(2700),
    [sym_for_statement] = STATE(2702),
    [sym_for_in_statement] = STATE(2703),
    [sym_while_statement] = STATE(2707),
    [sym_do_statement] = STATE(2711),
    [sym_try_statement] = STATE(2712),
    [sym_with_statement] = STATE(2715),
    [sym_break_statement] = STATE(2723),
    [sym_continue_statement] = STATE(2724),
    [sym_debugger_statement] = STATE(2725),
    [sym_return_statement] = STATE(2726),
    [sym_throw_statement] = STATE(2641),
    [sym_empty_statement] = STATE(2714),
    [sym_labeled_statement] = STATE(2644),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(550),
    [sym_declaration] = STATE(550),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(550),
    [sym_expression_statement] = STATE(550),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(550),
    [sym_if_statement] = STATE(550),
    [sym_switch_statement] = STATE(550),
    [sym_for_statement] = STATE(550),
    [sym_for_in_statement] = STATE(550),
    [sym_while_statement] = STATE(550),
    [sym_do_statement] = STATE(550),
    [sym_try_statement] = STATE(550),
    [sym_with_statement] = STATE(550),
    [sym_break_statement] = STATE(550),
    [sym_continue_statement] = STATE(550),
    [sym_debugger_statement] = STATE(550),
    [sym_return_statement] = STATE(550),
    [sym_throw_statement] = STATE(550),
    [sym_empty_statement] = STATE(550),
    [sym_labeled_statement] = STATE(550),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(2509),
    [sym_declaration] = STATE(2509),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2509),
    [sym_expression_statement] = STATE(2509),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2509),
    [sym_if_statement] = STATE(2509),
    [sym_switch_statement] = STATE(2509),
    [sym_for_statement] = STATE(2509),
    [sym_for_in_statement] = STATE(2509),
    [sym_while_statement] = STATE(2509),
    [sym_do_statement] = STATE(2509),
    [sym_try_statement] = STATE(2509),
    [sym_with_statement] = STATE(2509),
    [sym_break_statement] = STATE(2509),
    [sym_continue_statement] = STATE(2509),
    [sym_debugger_statement] = STATE(2509),
    [sym_return_statement] = STATE(2509),
    [sym_throw_statement] = STATE(2509),
    [sym_empty_statement] = STATE(2509),
    [sym_labeled_statement] = STATE(2509),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(2434),
    [sym_declaration] = STATE(2434),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2434),
    [sym_expression_statement] = STATE(2434),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2434),
    [sym_if_statement] = STATE(2434),
    [sym_switch_statement] = STATE(2434),
    [sym_for_statement] = STATE(2434),
    [sym_for_in_statement] = STATE(2434),
    [sym_while_statement] = STATE(2434),
    [sym_do_statement] = STATE(2434),
    [sym_try_statement] = STATE(2434),
    [sym_with_statement] = STATE(2434),
    [sym_break_statement] = STATE(2434),
    [sym_continue_statement] = STATE(2434),
    [sym_debugger_statement] = STATE(2434),
    [sym_return_statement] = STATE(2434),
    [sym_throw_statement] = STATE(2434),
    [sym_empty_statement] = STATE(2434),
    [sym_labeled_statement] = STATE(2434),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(2394),
    [sym_declaration] = STATE(2394),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2394),
    [sym_expression_statement] = STATE(2394),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2394),
    [sym_if_statement] = STATE(2394),
    [sym_switch_statement] = STATE(2394),
    [sym_for_statement] = STATE(2394),
    [sym_for_in_statement] = STATE(2394),
    [sym_while_statement] = STATE(2394),
    [sym_do_statement] = STATE(2394),
    [sym_try_statement] = STATE(2394),
    [sym_with_statement] = STATE(2394),
    [sym_break_statement] = STATE(2394),
    [sym_continue_statement] = STATE(2394),
    [sym_debugger_statement] = STATE(2394),
    [sym_return_statement] = STATE(2394),
    [sym_throw_statement] = STATE(2394),
    [sym_empty_statement] = STATE(2394),
    [sym_labeled_statement] = STATE(2394),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(627),
    [sym_declaration] = STATE(627),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(627),
    [sym_expression_statement] = STATE(627),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(627),
    [sym_if_statement] = STATE(627),
    [sym_switch_statement] = STATE(627),
    [sym_for_statement] = STATE(627),
    [sym_for_in_statement] = STATE(627),
    [sym_while_statement] = STATE(627),
    [sym_do_statement] = STATE(627),
    [sym_try_statement] = STATE(627),
    [sym_with_statement] = STATE(627),
    [sym_break_statement] = STATE(627),
    [sym_continue_statement] = STATE(627),
    [sym_debugger_statement] = STATE(627),
    [sym_return_statement] = STATE(627),
    [sym_throw_statement] = STATE(627),
    [sym_empty_statement] = STATE(627),
    [sym_labeled_statement] = STATE(627),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(557),
    [sym_declaration] = STATE(557),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(557),
    [sym_expression_statement] = STATE(557),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(557),
    [sym_if_statement] = STATE(557),
    [sym_switch_statement] = STATE(557),
    [sym_for_statement] = STATE(557),
    [sym_for_in_statement] = STATE(557),
    [sym_while_statement] = STATE(557),
    [sym_do_statement] = STATE(557),
    [sym_try_statement] = STATE(557),
    [sym_with_statement] = STATE(557),
    [sym_break_statement] = STATE(557),
    [sym_continue_statement] = STATE(557),
    [sym_debugger_statement] = STATE(557),
    [sym_return_statement] = STATE(557),
    [sym_throw_statement] = STATE(557),
    [sym_empty_statement] = STATE(557),
    [sym_labeled_statement] = STATE(557),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(681),
    [sym_declaration] = STATE(681),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(681),
    [sym_expression_statement] = STATE(681),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(681),
    [sym_if_statement] = STATE(681),
    [sym_switch_statement] = STATE(681),
    [sym_for_statement] = STATE(681),
    [sym_for_in_statement] = STATE(681),
    [sym_while_statement] = STATE(681),
    [sym_do_statement] = STATE(681),
    [sym_try_statement] = STATE(681),
    [sym_with_statement] = STATE(681),
    [sym_break_statement] = STATE(681),
    [sym_continue_statement] = STATE(681),
    [sym_debugger_statement] = STATE(681),
    [sym_return_statement] = STATE(681),
    [sym_throw_statement] = STATE(681),
    [sym_empty_statement] = STATE(681),
    [sym_labeled_statement] = STATE(681),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(559),
    [sym_declaration] = STATE(560),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(562),
    [sym_expression_statement] = STATE(565),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(566),
    [sym_if_statement] = STATE(524),
    [sym_switch_statement] = STATE(567),
    [sym_for_statement] = STATE(568),
    [sym_for_in_statement] = STATE(569),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(571),
    [sym_try_statement] = STATE(572),
    [sym_with_statement] = STATE(573),
    [sym_break_statement] = STATE(574),
    [sym_continue_statement] = STATE(576),
    [sym_debugger_statement] = STATE(577),
    [sym_return_statement] = STATE(578),
    [sym_throw_statement] = STATE(579),
    [sym_empty_statement] = STATE(580),
    [sym_labeled_statement] = STATE(581),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(740),
    [sym_declaration] = STATE(740),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(740),
    [sym_expression_statement] = STATE(740),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(740),
    [sym_if_statement] = STATE(740),
    [sym_switch_statement] = STATE(740),
    [sym_for_statement] = STATE(740),
    [sym_for_in_statement] = STATE(740),
    [sym_while_statement] = STATE(740),
    [sym_do_statement] = STATE(740),
    [sym_try_statement] = STATE(740),
    [sym_with_statement] = STATE(740),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(740),
    [sym_debugger_statement] = STATE(740),
    [sym_return_statement] = STATE(740),
    [sym_throw_statement] = STATE(740),
    [sym_empty_statement] = STATE(740),
    [sym_labeled_statement] = STATE(740),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(916),
    [sym_declaration] = STATE(916),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(916),
    [sym_expression_statement] = STATE(916),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(916),
    [sym_if_statement] = STATE(916),
    [sym_switch_statement] = STATE(916),
    [sym_for_statement] = STATE(916),
    [sym_for_in_statement] = STATE(916),
    [sym_while_statement] = STATE(916),
    [sym_do_statement] = STATE(916),
    [sym_try_statement] = STATE(916),
    [sym_with_statement] = STATE(916),
    [sym_break_statement] = STATE(916),
    [sym_continue_statement] = STATE(916),
    [sym_debugger_statement] = STATE(916),
    [sym_return_statement] = STATE(916),
    [sym_throw_statement] = STATE(916),
    [sym_empty_statement] = STATE(916),
    [sym_labeled_statement] = STATE(916),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(877),
    [sym_declaration] = STATE(877),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(877),
    [sym_expression_statement] = STATE(877),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(877),
    [sym_if_statement] = STATE(877),
    [sym_switch_statement] = STATE(877),
    [sym_for_statement] = STATE(877),
    [sym_for_in_statement] = STATE(877),
    [sym_while_statement] = STATE(877),
    [sym_do_statement] = STATE(877),
    [sym_try_statement] = STATE(877),
    [sym_with_statement] = STATE(877),
    [sym_break_statement] = STATE(877),
    [sym_continue_statement] = STATE(877),
    [sym_debugger_statement] = STATE(877),
    [sym_return_statement] = STATE(877),
    [sym_throw_statement] = STATE(877),
    [sym_empty_statement] = STATE(877),
    [sym_labeled_statement] = STATE(877),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(872),
    [sym_declaration] = STATE(872),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(872),
    [sym_expression_statement] = STATE(872),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(872),
    [sym_if_statement] = STATE(872),
    [sym_switch_statement] = STATE(872),
    [sym_for_statement] = STATE(872),
    [sym_for_in_statement] = STATE(872),
    [sym_while_statement] = STATE(872),
    [sym_do_statement] = STATE(872),
    [sym_try_statement] = STATE(872),
    [sym_with_statement] = STATE(872),
    [sym_break_statement] = STATE(872),
    [sym_continue_statement] = STATE(872),
    [sym_debugger_statement] = STATE(872),
    [sym_return_statement] = STATE(872),
    [sym_throw_statement] = STATE(872),
    [sym_empty_statement] = STATE(872),
    [sym_labeled_statement] = STATE(872),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(934),
    [sym_declaration] = STATE(934),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(934),
    [sym_expression_statement] = STATE(934),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(934),
    [sym_if_statement] = STATE(934),
    [sym_switch_statement] = STATE(934),
    [sym_for_statement] = STATE(934),
    [sym_for_in_statement] = STATE(934),
    [sym_while_statement] = STATE(934),
    [sym_do_statement] = STATE(934),
    [sym_try_statement] = STATE(934),
    [sym_with_statement] = STATE(934),
    [sym_break_statement] = STATE(934),
    [sym_continue_statement] = STATE(934),
    [sym_debugger_statement] = STATE(934),
    [sym_return_statement] = STATE(934),
    [sym_throw_statement] = STATE(934),
    [sym_empty_statement] = STATE(934),
    [sym_labeled_statement] = STATE(934),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(582),
    [sym_declaration] = STATE(582),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(582),
    [sym_expression_statement] = STATE(582),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(582),
    [sym_if_statement] = STATE(582),
    [sym_switch_statement] = STATE(582),
    [sym_for_statement] = STATE(582),
    [sym_for_in_statement] = STATE(582),
    [sym_while_statement] = STATE(582),
    [sym_do_statement] = STATE(582),
    [sym_try_statement] = STATE(582),
    [sym_with_statement] = STATE(582),
    [sym_break_statement] = STATE(582),
    [sym_continue_statement] = STATE(582),
    [sym_debugger_statement] = STATE(582),
    [sym_return_statement] = STATE(582),
    [sym_throw_statement] = STATE(582),
    [sym_empty_statement] = STATE(582),
    [sym_labeled_statement] = STATE(582),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(860),
    [sym_declaration] = STATE(859),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(858),
    [sym_expression_statement] = STATE(856),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(855),
    [sym_if_statement] = STATE(854),
    [sym_switch_statement] = STATE(853),
    [sym_for_statement] = STATE(852),
    [sym_for_in_statement] = STATE(851),
    [sym_while_statement] = STATE(848),
    [sym_do_statement] = STATE(847),
    [sym_try_statement] = STATE(672),
    [sym_with_statement] = STATE(845),
    [sym_break_statement] = STATE(843),
    [sym_continue_statement] = STATE(841),
    [sym_debugger_statement] = STATE(840),
    [sym_return_statement] = STATE(839),
    [sym_throw_statement] = STATE(838),
    [sym_empty_statement] = STATE(837),
    [sym_labeled_statement] = STATE(836),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(2821),
    [sym_declaration] = STATE(2821),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2821),
    [sym_expression_statement] = STATE(2821),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2821),
    [sym_if_statement] = STATE(2821),
    [sym_switch_statement] = STATE(2821),
    [sym_for_statement] = STATE(2821),
    [sym_for_in_statement] = STATE(2821),
    [sym_while_statement] = STATE(2821),
    [sym_do_statement] = STATE(2821),
    [sym_try_statement] = STATE(2821),
    [sym_with_statement] = STATE(2821),
    [sym_break_statement] = STATE(2821),
    [sym_continue_statement] = STATE(2821),
    [sym_debugger_statement] = STATE(2821),
    [sym_return_statement] = STATE(2821),
    [sym_throw_statement] = STATE(2821),
    [sym_empty_statement] = STATE(2821),
    [sym_labeled_statement] = STATE(2821),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(834),
    [sym_declaration] = STATE(834),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(834),
    [sym_expression_statement] = STATE(834),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(834),
    [sym_if_statement] = STATE(834),
    [sym_switch_statement] = STATE(834),
    [sym_for_statement] = STATE(834),
    [sym_for_in_statement] = STATE(834),
    [sym_while_statement] = STATE(834),
    [sym_do_statement] = STATE(834),
    [sym_try_statement] = STATE(834),
    [sym_with_statement] = STATE(834),
    [sym_break_statement] = STATE(834),
    [sym_continue_statement] = STATE(834),
    [sym_debugger_statement] = STATE(834),
    [sym_return_statement] = STATE(834),
    [sym_throw_statement] = STATE(834),
    [sym_empty_statement] = STATE(834),
    [sym_labeled_statement] = STATE(834),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(602),
    [sym_declaration] = STATE(603),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(604),
    [sym_expression_statement] = STATE(605),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(606),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(608),
    [sym_for_statement] = STATE(609),
    [sym_for_in_statement] = STATE(610),
    [sym_while_statement] = STATE(611),
    [sym_do_statement] = STATE(612),
    [sym_try_statement] = STATE(613),
    [sym_with_statement] = STATE(614),
    [sym_break_statement] = STATE(615),
    [sym_continue_statement] = STATE(616),
    [sym_debugger_statement] = STATE(618),
    [sym_return_statement] = STATE(619),
    [sym_throw_statement] = STATE(620),
    [sym_empty_statement] = STATE(621),
    [sym_labeled_statement] = STATE(622),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(819),
    [sym_declaration] = STATE(820),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(821),
    [sym_expression_statement] = STATE(822),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(823),
    [sym_if_statement] = STATE(824),
    [sym_switch_statement] = STATE(825),
    [sym_for_statement] = STATE(826),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(835),
    [sym_do_statement] = STATE(861),
    [sym_try_statement] = STATE(863),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(875),
    [sym_debugger_statement] = STATE(879),
    [sym_return_statement] = STATE(880),
    [sym_throw_statement] = STATE(881),
    [sym_empty_statement] = STATE(882),
    [sym_labeled_statement] = STATE(883),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(630),
    [sym_declaration] = STATE(630),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(630),
    [sym_expression_statement] = STATE(630),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(630),
    [sym_if_statement] = STATE(630),
    [sym_switch_statement] = STATE(630),
    [sym_for_statement] = STATE(630),
    [sym_for_in_statement] = STATE(630),
    [sym_while_statement] = STATE(630),
    [sym_do_statement] = STATE(630),
    [sym_try_statement] = STATE(630),
    [sym_with_statement] = STATE(630),
    [sym_break_statement] = STATE(630),
    [sym_continue_statement] = STATE(630),
    [sym_debugger_statement] = STATE(630),
    [sym_return_statement] = STATE(630),
    [sym_throw_statement] = STATE(630),
    [sym_empty_statement] = STATE(630),
    [sym_labeled_statement] = STATE(630),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(866),
    [sym_declaration] = STATE(866),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(866),
    [sym_expression_statement] = STATE(866),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(866),
    [sym_if_statement] = STATE(866),
    [sym_switch_statement] = STATE(866),
    [sym_for_statement] = STATE(866),
    [sym_for_in_statement] = STATE(866),
    [sym_while_statement] = STATE(866),
    [sym_do_statement] = STATE(866),
    [sym_try_statement] = STATE(866),
    [sym_with_statement] = STATE(866),
    [sym_break_statement] = STATE(866),
    [sym_continue_statement] = STATE(866),
    [sym_debugger_statement] = STATE(866),
    [sym_return_statement] = STATE(866),
    [sym_throw_statement] = STATE(866),
    [sym_empty_statement] = STATE(866),
    [sym_labeled_statement] = STATE(866),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(637),
    [sym_declaration] = STATE(637),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(637),
    [sym_expression_statement] = STATE(637),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(637),
    [sym_if_statement] = STATE(637),
    [sym_switch_statement] = STATE(637),
    [sym_for_statement] = STATE(637),
    [sym_for_in_statement] = STATE(637),
    [sym_while_statement] = STATE(637),
    [sym_do_statement] = STATE(637),
    [sym_try_statement] = STATE(637),
    [sym_with_statement] = STATE(637),
    [sym_break_statement] = STATE(637),
    [sym_continue_statement] = STATE(637),
    [sym_debugger_statement] = STATE(637),
    [sym_return_statement] = STATE(637),
    [sym_throw_statement] = STATE(637),
    [sym_empty_statement] = STATE(637),
    [sym_labeled_statement] = STATE(637),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(907),
    [sym_declaration] = STATE(907),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(907),
    [sym_expression_statement] = STATE(907),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(907),
    [sym_if_statement] = STATE(907),
    [sym_switch_statement] = STATE(907),
    [sym_for_statement] = STATE(907),
    [sym_for_in_statement] = STATE(907),
    [sym_while_statement] = STATE(907),
    [sym_do_statement] = STATE(907),
    [sym_try_statement] = STATE(907),
    [sym_with_statement] = STATE(907),
    [sym_break_statement] = STATE(907),
    [sym_continue_statement] = STATE(907),
    [sym_debugger_statement] = STATE(907),
    [sym_return_statement] = STATE(907),
    [sym_throw_statement] = STATE(907),
    [sym_empty_statement] = STATE(907),
    [sym_labeled_statement] = STATE(907),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(641),
    [sym_declaration] = STATE(641),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(641),
    [sym_expression_statement] = STATE(641),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_statement_block] = STATE(641),
    [sym_if_statement] = STATE(641),
    [sym_switch_statement] = STATE(641),
    [sym_for_statement] = STATE(641),
    [sym_for_in_statement] = STATE(641),
    [sym_while_statement] = STATE(641),
    [sym_do_statement] = STATE(641),
    [sym_try_statement] = STATE(641),
    [sym_with_statement] = STATE(641),
    [sym_break_statement] = STATE(641),
    [sym_continue_statement] = STATE(641),
    [sym_debugger_statement] = STATE(641),
    [sym_return_statement] = STATE(641),
    [sym_throw_statement] = STATE(641),
    [sym_empty_statement] = STATE(641),
    [sym_labeled_statement] = STATE(641),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2547),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1858),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(632),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(636),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(2110),
    [sym_declaration] = STATE(2110),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(2110),
    [sym_expression_statement] = STATE(2110),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_statement_block] = STATE(2110),
    [sym_if_statement] = STATE(2110),
    [sym_switch_statement] = STATE(2110),
    [sym_for_statement] = STATE(2110),
    [sym_for_in_statement] = STATE(2110),
    [sym_while_statement] = STATE(2110),
    [sym_do_statement] = STATE(2110),
    [sym_try_statement] = STATE(2110),
    [sym_with_statement] = STATE(2110),
    [sym_break_statement] = STATE(2110),
    [sym_continue_statement] = STATE(2110),
    [sym_debugger_statement] = STATE(2110),
    [sym_return_statement] = STATE(2110),
    [sym_throw_statement] = STATE(2110),
    [sym_empty_statement] = STATE(2110),
    [sym_labeled_statement] = STATE(2110),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2488),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1846),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(645),
    [sym_declaration] = STATE(645),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(645),
    [sym_expression_statement] = STATE(645),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_statement_block] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_for_statement] = STATE(645),
    [sym_for_in_statement] = STATE(645),
    [sym_while_statement] = STATE(645),
    [sym_do_statement] = STATE(645),
    [sym_try_statement] = STATE(645),
    [sym_with_statement] = STATE(645),
    [sym_break_statement] = STATE(645),
    [sym_continue_statement] = STATE(645),
    [sym_debugger_statement] = STATE(645),
    [sym_return_statement] = STATE(645),
    [sym_throw_statement] = STATE(645),
    [sym_empty_statement] = STATE(645),
    [sym_labeled_statement] = STATE(645),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2229),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1885),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(526),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(766),
    [sym_declaration] = STATE(766),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(766),
    [sym_expression_statement] = STATE(766),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(766),
    [sym_if_statement] = STATE(766),
    [sym_switch_statement] = STATE(766),
    [sym_for_statement] = STATE(766),
    [sym_for_in_statement] = STATE(766),
    [sym_while_statement] = STATE(766),
    [sym_do_statement] = STATE(766),
    [sym_try_statement] = STATE(766),
    [sym_with_statement] = STATE(766),
    [sym_break_statement] = STATE(766),
    [sym_continue_statement] = STATE(766),
    [sym_debugger_statement] = STATE(766),
    [sym_return_statement] = STATE(766),
    [sym_throw_statement] = STATE(766),
    [sym_empty_statement] = STATE(766),
    [sym_labeled_statement] = STATE(766),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(805),
    [sym_declaration] = STATE(805),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(805),
    [sym_expression_statement] = STATE(805),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_statement_block] = STATE(805),
    [sym_if_statement] = STATE(805),
    [sym_switch_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_for_in_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_do_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_break_statement] = STATE(805),
    [sym_continue_statement] = STATE(805),
    [sym_debugger_statement] = STATE(805),
    [sym_return_statement] = STATE(805),
    [sym_throw_statement] = STATE(805),
    [sym_empty_statement] = STATE(805),
    [sym_labeled_statement] = STATE(805),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2472),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1880),
    [sym_identifier] = ACTIONS(284),
    [anon_sym_export] = ACTIONS(286),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_with] = ACTIONS(294),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(298),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_if] = ACTIONS(302),
    [anon_sym_switch] = ACTIONS(304),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(308),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(312),
    [anon_sym_break] = ACTIONS(314),
    [anon_sym_continue] = ACTIONS(316),
    [anon_sym_debugger] = ACTIONS(318),
    [anon_sym_return] = ACTIONS(320),
    [anon_sym_throw] = ACTIONS(322),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(328),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(989),
    [sym_declaration] = STATE(988),
    [sym_import] = STATE(1819),
    [sym_import_statement] = STATE(987),
    [sym_expression_statement] = STATE(986),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_statement_block] = STATE(985),
    [sym_if_statement] = STATE(984),
    [sym_switch_statement] = STATE(979),
    [sym_for_statement] = STATE(978),
    [sym_for_in_statement] = STATE(977),
    [sym_while_statement] = STATE(976),
    [sym_do_statement] = STATE(975),
    [sym_try_statement] = STATE(966),
    [sym_with_statement] = STATE(965),
    [sym_break_statement] = STATE(964),
    [sym_continue_statement] = STATE(963),
    [sym_debugger_statement] = STATE(961),
    [sym_return_statement] = STATE(960),
    [sym_throw_statement] = STATE(897),
    [sym_empty_statement] = STATE(957),
    [sym_labeled_statement] = STATE(956),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2609),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1182),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_STAR] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1229),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1429),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1420),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_STAR] = ACTIONS(782),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1344),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2142),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2149),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(806),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2074),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2073),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(812),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2074),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2073),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(814),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2074),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2073),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2074),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2073),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(818),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1344),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2142),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2149),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(820),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1325),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2142),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2149),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(820),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2074),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2073),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(822),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(229),
    [sym_variable_declaration] = STATE(229),
    [sym_lexical_declaration] = STATE(229),
    [sym_empty_statement] = STATE(229),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2182),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2182),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1418),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1938),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(846),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_comment] = STATE(135),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(850),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_QMARK_QMARK] = ACTIONS(850),
    [anon_sym_instanceof] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(854),
    [sym__ternary_qmark] = ACTIONS(856),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_declaration] = STATE(2460),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1399),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1981),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(858),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_declaration] = STATE(543),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1385),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(2015),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(862),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_declaration] = STATE(993),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1386),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_declaration] = STATE(717),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(734),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(734),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1938),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(296),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(326),
    [anon_sym_async] = ACTIONS(846),
    [anon_sym_function] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_declaration] = STATE(549),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1409),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(538),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(538),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(2015),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(862),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_declaration] = STATE(996),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1389),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(946),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(946),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(866),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(868),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2182),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(223),
    [sym_variable_declaration] = STATE(223),
    [sym_lexical_declaration] = STATE(223),
    [sym_empty_statement] = STATE(223),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2182),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_declaration] = STATE(2589),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1392),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(2242),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1981),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(858),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(860),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_declaration] = STATE(878),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1903),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_declaration] = STATE(750),
    [sym_import] = STATE(1819),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1388),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_class_declaration] = STATE(849),
    [sym_function_expression] = STATE(1285),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function] = STATE(1285),
    [sym_generator_function_declaration] = STATE(849),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1903),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_let] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(232),
    [sym_variable_declaration] = STATE(232),
    [sym_lexical_declaration] = STATE(232),
    [sym_empty_statement] = STATE(232),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2182),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2606),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_spread_element] = STATE(2104),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(2101),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_comment] = STATE(149),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(850),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_QMARK_QMARK] = ACTIONS(850),
    [anon_sym_instanceof] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(877),
    [sym__ternary_qmark] = ACTIONS(856),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_RBRACK] = ACTIONS(889),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_comment] = STATE(151),
    [sym_identifier] = ACTIONS(897),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(897),
    [anon_sym_default] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_import] = ACTIONS(897),
    [anon_sym_with] = ACTIONS(897),
    [anon_sym_var] = ACTIONS(897),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_switch] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(897),
    [anon_sym_await] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_try] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_debugger] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_case] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(897),
    [anon_sym_LTtemplate_GT] = ACTIONS(897),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_class] = ACTIONS(897),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(897),
    [sym_optional_chain] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_GT_GT_GT] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(897),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_QMARK_QMARK] = ACTIONS(897),
    [anon_sym_instanceof] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_TILDE] = ACTIONS(897),
    [anon_sym_typeof] = ACTIONS(897),
    [anon_sym_void] = ACTIONS(897),
    [anon_sym_delete] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(897),
    [anon_sym_DASH_DASH] = ACTIONS(897),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(897),
    [sym_number] = ACTIONS(897),
    [sym_private_property_identifier] = ACTIONS(897),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [sym_undefined] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [sym__automatic_semicolon] = ACTIONS(899),
    [sym__ternary_qmark] = ACTIONS(899),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_comment] = STATE(152),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(903),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_comment] = STATE(153),
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(850),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_QMARK_QMARK] = ACTIONS(850),
    [anon_sym_instanceof] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(907),
    [sym__ternary_qmark] = ACTIONS(856),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_comment] = STATE(154),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(848),
    [anon_sym_DOT] = ACTIONS(848),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(848),
    [anon_sym_PIPE_PIPE] = ACTIONS(848),
    [anon_sym_GT_GT] = ACTIONS(848),
    [anon_sym_GT_GT_GT] = ACTIONS(848),
    [anon_sym_LT_LT] = ACTIONS(848),
    [anon_sym_AMP] = ACTIONS(848),
    [anon_sym_CARET] = ACTIONS(848),
    [anon_sym_PIPE] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(848),
    [anon_sym_STAR_STAR] = ACTIONS(848),
    [anon_sym_LT_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(848),
    [anon_sym_GT_EQ] = ACTIONS(848),
    [anon_sym_QMARK_QMARK] = ACTIONS(848),
    [anon_sym_instanceof] = ACTIONS(848),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(909),
    [sym__ternary_qmark] = ACTIONS(905),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2128),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1075),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(1898),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_pattern_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_export] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(917),
    [anon_sym_RBRACK] = ACTIONS(889),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(913),
    [anon_sym_get] = ACTIONS(913),
    [anon_sym_set] = ACTIONS(913),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_comment] = STATE(156),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(923),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_comment] = STATE(157),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(925),
    [anon_sym_default] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_RBRACE] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(925),
    [anon_sym_with] = ACTIONS(925),
    [anon_sym_var] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(925),
    [anon_sym_else] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_await] = ACTIONS(925),
    [anon_sym_in] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_debugger] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(925),
    [anon_sym_case] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_LTtemplate_GT] = ACTIONS(925),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_GT] = ACTIONS(925),
    [anon_sym_DOT] = ACTIONS(925),
    [anon_sym_DQUOTE] = ACTIONS(925),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(925),
    [sym_optional_chain] = ACTIONS(925),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_AMP_AMP] = ACTIONS(925),
    [anon_sym_PIPE_PIPE] = ACTIONS(925),
    [anon_sym_GT_GT] = ACTIONS(925),
    [anon_sym_GT_GT_GT] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(925),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_CARET] = ACTIONS(925),
    [anon_sym_PIPE] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_SLASH] = ACTIONS(925),
    [anon_sym_PERCENT] = ACTIONS(925),
    [anon_sym_STAR_STAR] = ACTIONS(925),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK] = ACTIONS(925),
    [anon_sym_instanceof] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(925),
    [sym_number] = ACTIONS(925),
    [sym_private_property_identifier] = ACTIONS(925),
    [sym_this] = ACTIONS(925),
    [sym_super] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_null] = ACTIONS(925),
    [sym_undefined] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_get] = ACTIONS(925),
    [anon_sym_set] = ACTIONS(925),
    [sym__automatic_semicolon] = ACTIONS(927),
    [sym__ternary_qmark] = ACTIONS(927),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_comment] = STATE(158),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_export] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_let] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_await] = ACTIONS(929),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_debugger] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_LTtemplate_GT] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(929),
    [sym_optional_chain] = ACTIONS(929),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_QMARK_QMARK] = ACTIONS(929),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_void] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(929),
    [sym_number] = ACTIONS(929),
    [sym_private_property_identifier] = ACTIONS(929),
    [sym_this] = ACTIONS(929),
    [sym_super] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [sym_undefined] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_get] = ACTIONS(929),
    [anon_sym_set] = ACTIONS(929),
    [sym__automatic_semicolon] = ACTIONS(931),
    [sym__ternary_qmark] = ACTIONS(931),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_comment] = STATE(159),
    [sym_identifier] = ACTIONS(933),
    [anon_sym_export] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_default] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_import] = ACTIONS(933),
    [anon_sym_with] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_let] = ACTIONS(933),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(933),
    [anon_sym_in] = ACTIONS(935),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_debugger] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(933),
    [anon_sym_LTtemplate_GT] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_DOT] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_async] = ACTIONS(933),
    [anon_sym_function] = ACTIONS(933),
    [sym_optional_chain] = ACTIONS(935),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_AMP_AMP] = ACTIONS(935),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_GT_GT_GT] = ACTIONS(935),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(935),
    [anon_sym_STAR_STAR] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(935),
    [anon_sym_GT_EQ] = ACTIONS(935),
    [anon_sym_QMARK_QMARK] = ACTIONS(935),
    [anon_sym_instanceof] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(933),
    [anon_sym_void] = ACTIONS(933),
    [anon_sym_delete] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(933),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(933),
    [sym_number] = ACTIONS(933),
    [sym_private_property_identifier] = ACTIONS(933),
    [sym_this] = ACTIONS(933),
    [sym_super] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [sym_undefined] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [sym__automatic_semicolon] = ACTIONS(937),
    [sym__ternary_qmark] = ACTIONS(939),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_comment] = STATE(160),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_case] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(945),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_comment] = STATE(161),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_default] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(949),
    [anon_sym_with] = ACTIONS(949),
    [anon_sym_var] = ACTIONS(949),
    [anon_sym_let] = ACTIONS(949),
    [anon_sym_const] = ACTIONS(949),
    [anon_sym_else] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(949),
    [anon_sym_switch] = ACTIONS(949),
    [anon_sym_for] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(949),
    [anon_sym_in] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_break] = ACTIONS(949),
    [anon_sym_continue] = ACTIONS(949),
    [anon_sym_debugger] = ACTIONS(949),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_throw] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_LTtemplate_GT] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(949),
    [anon_sym_async] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(949),
    [sym_optional_chain] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_AMP_AMP] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(951),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_GT_GT_GT] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_STAR_STAR] = ACTIONS(951),
    [anon_sym_LT_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(951),
    [anon_sym_QMARK_QMARK] = ACTIONS(951),
    [anon_sym_instanceof] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_typeof] = ACTIONS(949),
    [anon_sym_void] = ACTIONS(949),
    [anon_sym_delete] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(949),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(949),
    [sym_number] = ACTIONS(949),
    [sym_private_property_identifier] = ACTIONS(949),
    [sym_this] = ACTIONS(949),
    [sym_super] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [sym_undefined] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_static] = ACTIONS(949),
    [anon_sym_get] = ACTIONS(949),
    [anon_sym_set] = ACTIONS(949),
    [sym__automatic_semicolon] = ACTIONS(953),
    [sym__ternary_qmark] = ACTIONS(955),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_comment] = STATE(162),
    [sym_identifier] = ACTIONS(957),
    [anon_sym_export] = ACTIONS(957),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_default] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_import] = ACTIONS(957),
    [anon_sym_with] = ACTIONS(957),
    [anon_sym_var] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(957),
    [anon_sym_const] = ACTIONS(957),
    [anon_sym_else] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(957),
    [anon_sym_switch] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(957),
    [anon_sym_await] = ACTIONS(957),
    [anon_sym_in] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(957),
    [anon_sym_do] = ACTIONS(957),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(957),
    [anon_sym_debugger] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_case] = ACTIONS(957),
    [anon_sym_yield] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_LTtemplate_GT] = ACTIONS(957),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(957),
    [anon_sym_async] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(957),
    [sym_optional_chain] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(957),
    [anon_sym_void] = ACTIONS(957),
    [anon_sym_delete] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(957),
    [anon_sym_DASH_DASH] = ACTIONS(957),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(957),
    [sym_number] = ACTIONS(957),
    [sym_private_property_identifier] = ACTIONS(957),
    [sym_this] = ACTIONS(957),
    [sym_super] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [sym__automatic_semicolon] = ACTIONS(961),
    [sym__ternary_qmark] = ACTIONS(963),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_comment] = STATE(163),
    [sym_identifier] = ACTIONS(965),
    [anon_sym_export] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_with] = ACTIONS(965),
    [anon_sym_var] = ACTIONS(965),
    [anon_sym_let] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(965),
    [anon_sym_else] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_debugger] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_throw] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_case] = ACTIONS(965),
    [anon_sym_yield] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_LTtemplate_GT] = ACTIONS(965),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_async] = ACTIONS(965),
    [anon_sym_function] = ACTIONS(965),
    [sym_optional_chain] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(967),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_SLASH] = ACTIONS(965),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_QMARK_QMARK] = ACTIONS(967),
    [anon_sym_instanceof] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_typeof] = ACTIONS(965),
    [anon_sym_void] = ACTIONS(965),
    [anon_sym_delete] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_number] = ACTIONS(965),
    [sym_private_property_identifier] = ACTIONS(965),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_null] = ACTIONS(965),
    [sym_undefined] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_get] = ACTIONS(965),
    [anon_sym_set] = ACTIONS(965),
    [sym__automatic_semicolon] = ACTIONS(969),
    [sym__ternary_qmark] = ACTIONS(971),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_comment] = STATE(164),
    [sym_identifier] = ACTIONS(973),
    [anon_sym_export] = ACTIONS(973),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_default] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_import] = ACTIONS(973),
    [anon_sym_with] = ACTIONS(973),
    [anon_sym_var] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_const] = ACTIONS(973),
    [anon_sym_else] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_await] = ACTIONS(973),
    [anon_sym_in] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_debugger] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_throw] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(973),
    [anon_sym_case] = ACTIONS(973),
    [anon_sym_yield] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(973),
    [anon_sym_LTtemplate_GT] = ACTIONS(973),
    [anon_sym_LT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(975),
    [anon_sym_DOT] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_SQUOTE] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(973),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(973),
    [sym_optional_chain] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(975),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_SLASH] = ACTIONS(973),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_STAR_STAR] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_QMARK_QMARK] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_typeof] = ACTIONS(973),
    [anon_sym_void] = ACTIONS(973),
    [anon_sym_delete] = ACTIONS(973),
    [anon_sym_PLUS_PLUS] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(973),
    [sym_number] = ACTIONS(973),
    [sym_private_property_identifier] = ACTIONS(973),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_static] = ACTIONS(973),
    [anon_sym_get] = ACTIONS(973),
    [anon_sym_set] = ACTIONS(973),
    [sym__automatic_semicolon] = ACTIONS(977),
    [sym__ternary_qmark] = ACTIONS(979),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_comment] = STATE(165),
    [sym_identifier] = ACTIONS(981),
    [anon_sym_export] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_default] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_COMMA] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(981),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_var] = ACTIONS(981),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_const] = ACTIONS(981),
    [anon_sym_else] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_await] = ACTIONS(981),
    [anon_sym_in] = ACTIONS(983),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_debugger] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_case] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_LTtemplate_GT] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(981),
    [anon_sym_async] = ACTIONS(981),
    [anon_sym_function] = ACTIONS(981),
    [sym_optional_chain] = ACTIONS(983),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(983),
    [anon_sym_PIPE_PIPE] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(983),
    [anon_sym_GT_GT_GT] = ACTIONS(983),
    [anon_sym_LT_LT] = ACTIONS(983),
    [anon_sym_AMP] = ACTIONS(983),
    [anon_sym_CARET] = ACTIONS(983),
    [anon_sym_PIPE] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_SLASH] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(983),
    [anon_sym_STAR_STAR] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(983),
    [anon_sym_QMARK_QMARK] = ACTIONS(983),
    [anon_sym_instanceof] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_typeof] = ACTIONS(981),
    [anon_sym_void] = ACTIONS(981),
    [anon_sym_delete] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(981),
    [sym_number] = ACTIONS(981),
    [sym_private_property_identifier] = ACTIONS(981),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [sym_undefined] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_get] = ACTIONS(981),
    [anon_sym_set] = ACTIONS(981),
    [sym__automatic_semicolon] = ACTIONS(985),
    [sym__ternary_qmark] = ACTIONS(987),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_comment] = STATE(166),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_export] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_import] = ACTIONS(989),
    [anon_sym_with] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_debugger] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(989),
    [anon_sym_case] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_LTtemplate_GT] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_GT] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_async] = ACTIONS(989),
    [anon_sym_function] = ACTIONS(989),
    [sym_optional_chain] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_STAR_STAR] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_QMARK_QMARK] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_typeof] = ACTIONS(989),
    [anon_sym_void] = ACTIONS(989),
    [anon_sym_delete] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [sym_number] = ACTIONS(989),
    [sym_private_property_identifier] = ACTIONS(989),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [sym__automatic_semicolon] = ACTIONS(993),
    [sym__ternary_qmark] = ACTIONS(995),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2075),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(1987),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_pattern_repeat1] = STATE(2072),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_RBRACK] = ACTIONS(997),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_comment] = STATE(168),
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(903),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_comment] = STATE(169),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(903),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_comment] = STATE(170),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(981),
    [anon_sym_export] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_COMMA] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(981),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_var] = ACTIONS(981),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_const] = ACTIONS(981),
    [anon_sym_else] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_await] = ACTIONS(981),
    [anon_sym_in] = ACTIONS(983),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_debugger] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_LTtemplate_GT] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(981),
    [anon_sym_async] = ACTIONS(981),
    [anon_sym_function] = ACTIONS(981),
    [sym_optional_chain] = ACTIONS(983),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(983),
    [anon_sym_PIPE_PIPE] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(983),
    [anon_sym_GT_GT_GT] = ACTIONS(983),
    [anon_sym_LT_LT] = ACTIONS(983),
    [anon_sym_AMP] = ACTIONS(983),
    [anon_sym_CARET] = ACTIONS(983),
    [anon_sym_PIPE] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_SLASH] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(983),
    [anon_sym_STAR_STAR] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(983),
    [anon_sym_QMARK_QMARK] = ACTIONS(983),
    [anon_sym_instanceof] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_typeof] = ACTIONS(981),
    [anon_sym_void] = ACTIONS(981),
    [anon_sym_delete] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(981),
    [sym_number] = ACTIONS(981),
    [sym_private_property_identifier] = ACTIONS(981),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [sym_undefined] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_get] = ACTIONS(981),
    [anon_sym_set] = ACTIONS(981),
    [sym__automatic_semicolon] = ACTIONS(1001),
    [sym__ternary_qmark] = ACTIONS(987),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_comment] = STATE(171),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(933),
    [anon_sym_export] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_import] = ACTIONS(933),
    [anon_sym_with] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_let] = ACTIONS(933),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(933),
    [anon_sym_in] = ACTIONS(935),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_debugger] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(933),
    [anon_sym_LTtemplate_GT] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_DOT] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_async] = ACTIONS(933),
    [anon_sym_function] = ACTIONS(933),
    [sym_optional_chain] = ACTIONS(935),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_AMP_AMP] = ACTIONS(935),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_GT_GT_GT] = ACTIONS(935),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(935),
    [anon_sym_STAR_STAR] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(935),
    [anon_sym_GT_EQ] = ACTIONS(935),
    [anon_sym_QMARK_QMARK] = ACTIONS(935),
    [anon_sym_instanceof] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(933),
    [anon_sym_void] = ACTIONS(933),
    [anon_sym_delete] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(933),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(933),
    [sym_number] = ACTIONS(933),
    [sym_private_property_identifier] = ACTIONS(933),
    [sym_this] = ACTIONS(933),
    [sym_super] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [sym_undefined] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [sym__automatic_semicolon] = ACTIONS(1005),
    [sym__ternary_qmark] = ACTIONS(939),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_comment] = STATE(172),
    [sym_identifier] = ACTIONS(973),
    [anon_sym_export] = ACTIONS(973),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_default] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_import] = ACTIONS(973),
    [anon_sym_with] = ACTIONS(973),
    [anon_sym_var] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_const] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_await] = ACTIONS(973),
    [anon_sym_in] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_debugger] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_throw] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(973),
    [anon_sym_case] = ACTIONS(973),
    [anon_sym_yield] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(973),
    [anon_sym_LTtemplate_GT] = ACTIONS(973),
    [anon_sym_LT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(975),
    [anon_sym_DOT] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_SQUOTE] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(973),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(973),
    [sym_optional_chain] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(975),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_SLASH] = ACTIONS(973),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_STAR_STAR] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_QMARK_QMARK] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_typeof] = ACTIONS(973),
    [anon_sym_void] = ACTIONS(973),
    [anon_sym_delete] = ACTIONS(973),
    [anon_sym_PLUS_PLUS] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(973),
    [sym_number] = ACTIONS(973),
    [sym_private_property_identifier] = ACTIONS(973),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_static] = ACTIONS(973),
    [anon_sym_get] = ACTIONS(973),
    [anon_sym_set] = ACTIONS(973),
    [sym__automatic_semicolon] = ACTIONS(1007),
    [sym__ternary_qmark] = ACTIONS(979),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_comment] = STATE(173),
    [sym_identifier] = ACTIONS(965),
    [anon_sym_export] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_with] = ACTIONS(965),
    [anon_sym_var] = ACTIONS(965),
    [anon_sym_let] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_debugger] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_throw] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_case] = ACTIONS(965),
    [anon_sym_yield] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_LTtemplate_GT] = ACTIONS(965),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_async] = ACTIONS(965),
    [anon_sym_function] = ACTIONS(965),
    [sym_optional_chain] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(967),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_SLASH] = ACTIONS(965),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_QMARK_QMARK] = ACTIONS(967),
    [anon_sym_instanceof] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_typeof] = ACTIONS(965),
    [anon_sym_void] = ACTIONS(965),
    [anon_sym_delete] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_number] = ACTIONS(965),
    [sym_private_property_identifier] = ACTIONS(965),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_null] = ACTIONS(965),
    [sym_undefined] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_get] = ACTIONS(965),
    [anon_sym_set] = ACTIONS(965),
    [sym__automatic_semicolon] = ACTIONS(1009),
    [sym__ternary_qmark] = ACTIONS(971),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_comment] = STATE(174),
    [sym_identifier] = ACTIONS(897),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(897),
    [anon_sym_default] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_import] = ACTIONS(897),
    [anon_sym_with] = ACTIONS(897),
    [anon_sym_var] = ACTIONS(897),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_switch] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(897),
    [anon_sym_await] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_try] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_debugger] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_case] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(897),
    [anon_sym_LTtemplate_GT] = ACTIONS(897),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_class] = ACTIONS(897),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(897),
    [sym_optional_chain] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_GT_GT_GT] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(897),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_QMARK_QMARK] = ACTIONS(897),
    [anon_sym_instanceof] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_TILDE] = ACTIONS(897),
    [anon_sym_typeof] = ACTIONS(897),
    [anon_sym_void] = ACTIONS(897),
    [anon_sym_delete] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(897),
    [anon_sym_DASH_DASH] = ACTIONS(897),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(897),
    [sym_number] = ACTIONS(897),
    [sym_private_property_identifier] = ACTIONS(897),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [sym_undefined] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [sym__automatic_semicolon] = ACTIONS(899),
    [sym__ternary_qmark] = ACTIONS(899),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_comment] = STATE(175),
    [sym_identifier] = ACTIONS(981),
    [anon_sym_export] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_default] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_COMMA] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(981),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_var] = ACTIONS(981),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_const] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_await] = ACTIONS(981),
    [anon_sym_in] = ACTIONS(983),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_debugger] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_case] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_LTtemplate_GT] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(981),
    [anon_sym_async] = ACTIONS(981),
    [anon_sym_function] = ACTIONS(981),
    [sym_optional_chain] = ACTIONS(983),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(983),
    [anon_sym_PIPE_PIPE] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(983),
    [anon_sym_GT_GT_GT] = ACTIONS(983),
    [anon_sym_LT_LT] = ACTIONS(983),
    [anon_sym_AMP] = ACTIONS(983),
    [anon_sym_CARET] = ACTIONS(983),
    [anon_sym_PIPE] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_SLASH] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(983),
    [anon_sym_STAR_STAR] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(983),
    [anon_sym_QMARK_QMARK] = ACTIONS(983),
    [anon_sym_instanceof] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_typeof] = ACTIONS(981),
    [anon_sym_void] = ACTIONS(981),
    [anon_sym_delete] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(981),
    [sym_number] = ACTIONS(981),
    [sym_private_property_identifier] = ACTIONS(981),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [sym_undefined] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_get] = ACTIONS(981),
    [anon_sym_set] = ACTIONS(981),
    [sym__automatic_semicolon] = ACTIONS(1011),
    [sym__ternary_qmark] = ACTIONS(987),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_comment] = STATE(176),
    [sym_identifier] = ACTIONS(957),
    [anon_sym_export] = ACTIONS(957),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_default] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_import] = ACTIONS(957),
    [anon_sym_with] = ACTIONS(957),
    [anon_sym_var] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(957),
    [anon_sym_const] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(957),
    [anon_sym_switch] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(957),
    [anon_sym_await] = ACTIONS(957),
    [anon_sym_in] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(957),
    [anon_sym_do] = ACTIONS(957),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(957),
    [anon_sym_debugger] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_case] = ACTIONS(957),
    [anon_sym_yield] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_LTtemplate_GT] = ACTIONS(957),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(957),
    [anon_sym_async] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(957),
    [sym_optional_chain] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(957),
    [anon_sym_void] = ACTIONS(957),
    [anon_sym_delete] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(957),
    [anon_sym_DASH_DASH] = ACTIONS(957),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(957),
    [sym_number] = ACTIONS(957),
    [sym_private_property_identifier] = ACTIONS(957),
    [sym_this] = ACTIONS(957),
    [sym_super] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [sym__automatic_semicolon] = ACTIONS(1013),
    [sym__ternary_qmark] = ACTIONS(963),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_comment] = STATE(177),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_default] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(949),
    [anon_sym_with] = ACTIONS(949),
    [anon_sym_var] = ACTIONS(949),
    [anon_sym_let] = ACTIONS(949),
    [anon_sym_const] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(949),
    [anon_sym_switch] = ACTIONS(949),
    [anon_sym_for] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(949),
    [anon_sym_in] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_break] = ACTIONS(949),
    [anon_sym_continue] = ACTIONS(949),
    [anon_sym_debugger] = ACTIONS(949),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_throw] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_LTtemplate_GT] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(949),
    [anon_sym_async] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(949),
    [sym_optional_chain] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_AMP_AMP] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(951),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_GT_GT_GT] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_STAR_STAR] = ACTIONS(951),
    [anon_sym_LT_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(951),
    [anon_sym_QMARK_QMARK] = ACTIONS(951),
    [anon_sym_instanceof] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_typeof] = ACTIONS(949),
    [anon_sym_void] = ACTIONS(949),
    [anon_sym_delete] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(949),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(949),
    [sym_number] = ACTIONS(949),
    [sym_private_property_identifier] = ACTIONS(949),
    [sym_this] = ACTIONS(949),
    [sym_super] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [sym_undefined] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_static] = ACTIONS(949),
    [anon_sym_get] = ACTIONS(949),
    [anon_sym_set] = ACTIONS(949),
    [sym__automatic_semicolon] = ACTIONS(1015),
    [sym__ternary_qmark] = ACTIONS(955),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_comment] = STATE(178),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_case] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(1017),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_comment] = STATE(179),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(848),
    [anon_sym_DOT] = ACTIONS(848),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(848),
    [anon_sym_PIPE_PIPE] = ACTIONS(848),
    [anon_sym_GT_GT] = ACTIONS(848),
    [anon_sym_GT_GT_GT] = ACTIONS(848),
    [anon_sym_LT_LT] = ACTIONS(848),
    [anon_sym_AMP] = ACTIONS(848),
    [anon_sym_CARET] = ACTIONS(848),
    [anon_sym_PIPE] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(848),
    [anon_sym_STAR_STAR] = ACTIONS(848),
    [anon_sym_LT_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(848),
    [anon_sym_GT_EQ] = ACTIONS(848),
    [anon_sym_QMARK_QMARK] = ACTIONS(848),
    [anon_sym_instanceof] = ACTIONS(848),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(1019),
    [sym__ternary_qmark] = ACTIONS(905),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_comment] = STATE(180),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(1021),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_comment] = STATE(181),
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_identifier] = ACTIONS(897),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_import] = ACTIONS(897),
    [anon_sym_with] = ACTIONS(897),
    [anon_sym_var] = ACTIONS(897),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_switch] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(897),
    [anon_sym_await] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_try] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_debugger] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(897),
    [anon_sym_LTtemplate_GT] = ACTIONS(897),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_class] = ACTIONS(897),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(897),
    [sym_optional_chain] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_GT_GT_GT] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(897),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_QMARK_QMARK] = ACTIONS(897),
    [anon_sym_instanceof] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_TILDE] = ACTIONS(897),
    [anon_sym_typeof] = ACTIONS(897),
    [anon_sym_void] = ACTIONS(897),
    [anon_sym_delete] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(897),
    [anon_sym_DASH_DASH] = ACTIONS(897),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(897),
    [sym_number] = ACTIONS(897),
    [sym_private_property_identifier] = ACTIONS(897),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [sym_undefined] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [sym__automatic_semicolon] = ACTIONS(899),
    [sym__ternary_qmark] = ACTIONS(899),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_comment] = STATE(182),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_export] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_import] = ACTIONS(989),
    [anon_sym_with] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_debugger] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_LTtemplate_GT] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_GT] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_async] = ACTIONS(989),
    [anon_sym_function] = ACTIONS(989),
    [sym_optional_chain] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_STAR_STAR] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_QMARK_QMARK] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_typeof] = ACTIONS(989),
    [anon_sym_void] = ACTIONS(989),
    [anon_sym_delete] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [sym_number] = ACTIONS(989),
    [sym_private_property_identifier] = ACTIONS(989),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [sym__automatic_semicolon] = ACTIONS(1025),
    [sym__ternary_qmark] = ACTIONS(995),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2077),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2730),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(2001),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_comment] = STATE(184),
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(848),
    [anon_sym_DOT] = ACTIONS(848),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(848),
    [anon_sym_PIPE_PIPE] = ACTIONS(848),
    [anon_sym_GT_GT] = ACTIONS(848),
    [anon_sym_GT_GT_GT] = ACTIONS(848),
    [anon_sym_LT_LT] = ACTIONS(848),
    [anon_sym_AMP] = ACTIONS(848),
    [anon_sym_CARET] = ACTIONS(848),
    [anon_sym_PIPE] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(848),
    [anon_sym_STAR_STAR] = ACTIONS(848),
    [anon_sym_LT_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(848),
    [anon_sym_GT_EQ] = ACTIONS(848),
    [anon_sym_QMARK_QMARK] = ACTIONS(848),
    [anon_sym_instanceof] = ACTIONS(848),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(1029),
    [sym__ternary_qmark] = ACTIONS(905),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_comment] = STATE(185),
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(850),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_QMARK_QMARK] = ACTIONS(850),
    [anon_sym_instanceof] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(1031),
    [sym__ternary_qmark] = ACTIONS(856),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1315),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2077),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2820),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(2001),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_comment] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(1033),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_comment] = STATE(188),
    [sym_identifier] = ACTIONS(933),
    [anon_sym_export] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_default] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_import] = ACTIONS(933),
    [anon_sym_with] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_let] = ACTIONS(933),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(933),
    [anon_sym_in] = ACTIONS(935),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_debugger] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(933),
    [anon_sym_LTtemplate_GT] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_DOT] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_async] = ACTIONS(933),
    [anon_sym_function] = ACTIONS(933),
    [sym_optional_chain] = ACTIONS(935),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_AMP_AMP] = ACTIONS(935),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_GT_GT_GT] = ACTIONS(935),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(935),
    [anon_sym_STAR_STAR] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(935),
    [anon_sym_GT_EQ] = ACTIONS(935),
    [anon_sym_QMARK_QMARK] = ACTIONS(935),
    [anon_sym_instanceof] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(933),
    [anon_sym_void] = ACTIONS(933),
    [anon_sym_delete] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(933),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(933),
    [sym_number] = ACTIONS(933),
    [sym_private_property_identifier] = ACTIONS(933),
    [sym_this] = ACTIONS(933),
    [sym_super] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [sym_undefined] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [sym__automatic_semicolon] = ACTIONS(1035),
    [sym__ternary_qmark] = ACTIONS(939),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_comment] = STATE(189),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(949),
    [anon_sym_with] = ACTIONS(949),
    [anon_sym_var] = ACTIONS(949),
    [anon_sym_let] = ACTIONS(949),
    [anon_sym_const] = ACTIONS(949),
    [anon_sym_else] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(949),
    [anon_sym_switch] = ACTIONS(949),
    [anon_sym_for] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(949),
    [anon_sym_in] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_break] = ACTIONS(949),
    [anon_sym_continue] = ACTIONS(949),
    [anon_sym_debugger] = ACTIONS(949),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_throw] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_LTtemplate_GT] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(949),
    [anon_sym_async] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(949),
    [sym_optional_chain] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_AMP_AMP] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(951),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_GT_GT_GT] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_STAR_STAR] = ACTIONS(951),
    [anon_sym_LT_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(951),
    [anon_sym_QMARK_QMARK] = ACTIONS(951),
    [anon_sym_instanceof] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_typeof] = ACTIONS(949),
    [anon_sym_void] = ACTIONS(949),
    [anon_sym_delete] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(949),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(949),
    [sym_number] = ACTIONS(949),
    [sym_private_property_identifier] = ACTIONS(949),
    [sym_this] = ACTIONS(949),
    [sym_super] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [sym_undefined] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_static] = ACTIONS(949),
    [anon_sym_get] = ACTIONS(949),
    [anon_sym_set] = ACTIONS(949),
    [sym__automatic_semicolon] = ACTIONS(1039),
    [sym__ternary_qmark] = ACTIONS(955),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_comment] = STATE(190),
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_export] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_let] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_await] = ACTIONS(929),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_debugger] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_LTtemplate_GT] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(929),
    [sym_optional_chain] = ACTIONS(929),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_QMARK_QMARK] = ACTIONS(929),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_void] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(929),
    [sym_number] = ACTIONS(929),
    [sym_private_property_identifier] = ACTIONS(929),
    [sym_this] = ACTIONS(929),
    [sym_super] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [sym_undefined] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_get] = ACTIONS(929),
    [anon_sym_set] = ACTIONS(929),
    [sym__automatic_semicolon] = ACTIONS(931),
    [sym__ternary_qmark] = ACTIONS(931),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_comment] = STATE(191),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(1043),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_comment] = STATE(192),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(925),
    [anon_sym_default] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_RBRACE] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(925),
    [anon_sym_with] = ACTIONS(925),
    [anon_sym_var] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_await] = ACTIONS(925),
    [anon_sym_in] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_debugger] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(925),
    [anon_sym_case] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_LTtemplate_GT] = ACTIONS(925),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_GT] = ACTIONS(925),
    [anon_sym_DOT] = ACTIONS(925),
    [anon_sym_DQUOTE] = ACTIONS(925),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(925),
    [sym_optional_chain] = ACTIONS(925),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_AMP_AMP] = ACTIONS(925),
    [anon_sym_PIPE_PIPE] = ACTIONS(925),
    [anon_sym_GT_GT] = ACTIONS(925),
    [anon_sym_GT_GT_GT] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(925),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_CARET] = ACTIONS(925),
    [anon_sym_PIPE] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_SLASH] = ACTIONS(925),
    [anon_sym_PERCENT] = ACTIONS(925),
    [anon_sym_STAR_STAR] = ACTIONS(925),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK] = ACTIONS(925),
    [anon_sym_instanceof] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(925),
    [sym_number] = ACTIONS(925),
    [sym_private_property_identifier] = ACTIONS(925),
    [sym_this] = ACTIONS(925),
    [sym_super] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_null] = ACTIONS(925),
    [sym_undefined] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_get] = ACTIONS(925),
    [anon_sym_set] = ACTIONS(925),
    [sym__automatic_semicolon] = ACTIONS(927),
    [sym__ternary_qmark] = ACTIONS(927),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_comment] = STATE(193),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_export] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_let] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_await] = ACTIONS(929),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_debugger] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_LTtemplate_GT] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(929),
    [sym_optional_chain] = ACTIONS(929),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_QMARK_QMARK] = ACTIONS(929),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_void] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(929),
    [sym_number] = ACTIONS(929),
    [sym_private_property_identifier] = ACTIONS(929),
    [sym_this] = ACTIONS(929),
    [sym_super] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [sym_undefined] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_get] = ACTIONS(929),
    [anon_sym_set] = ACTIONS(929),
    [sym__automatic_semicolon] = ACTIONS(931),
    [sym__ternary_qmark] = ACTIONS(931),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_comment] = STATE(194),
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_RBRACE] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(925),
    [anon_sym_with] = ACTIONS(925),
    [anon_sym_var] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(925),
    [anon_sym_else] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_await] = ACTIONS(925),
    [anon_sym_in] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_debugger] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_LTtemplate_GT] = ACTIONS(925),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_GT] = ACTIONS(925),
    [anon_sym_DOT] = ACTIONS(925),
    [anon_sym_DQUOTE] = ACTIONS(925),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(925),
    [sym_optional_chain] = ACTIONS(925),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_AMP_AMP] = ACTIONS(925),
    [anon_sym_PIPE_PIPE] = ACTIONS(925),
    [anon_sym_GT_GT] = ACTIONS(925),
    [anon_sym_GT_GT_GT] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(925),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_CARET] = ACTIONS(925),
    [anon_sym_PIPE] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_SLASH] = ACTIONS(925),
    [anon_sym_PERCENT] = ACTIONS(925),
    [anon_sym_STAR_STAR] = ACTIONS(925),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK] = ACTIONS(925),
    [anon_sym_instanceof] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(925),
    [sym_number] = ACTIONS(925),
    [sym_private_property_identifier] = ACTIONS(925),
    [sym_this] = ACTIONS(925),
    [sym_super] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_null] = ACTIONS(925),
    [sym_undefined] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_get] = ACTIONS(925),
    [anon_sym_set] = ACTIONS(925),
    [sym__automatic_semicolon] = ACTIONS(927),
    [sym__ternary_qmark] = ACTIONS(927),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2606),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(2101),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(1045),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_comment] = STATE(196),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_identifier] = ACTIONS(973),
    [anon_sym_export] = ACTIONS(973),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_import] = ACTIONS(973),
    [anon_sym_with] = ACTIONS(973),
    [anon_sym_var] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_const] = ACTIONS(973),
    [anon_sym_else] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_await] = ACTIONS(973),
    [anon_sym_in] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_debugger] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_throw] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(973),
    [anon_sym_yield] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(973),
    [anon_sym_LTtemplate_GT] = ACTIONS(973),
    [anon_sym_LT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(975),
    [anon_sym_DOT] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_SQUOTE] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(973),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(973),
    [sym_optional_chain] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(975),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_SLASH] = ACTIONS(973),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_STAR_STAR] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_QMARK_QMARK] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_typeof] = ACTIONS(973),
    [anon_sym_void] = ACTIONS(973),
    [anon_sym_delete] = ACTIONS(973),
    [anon_sym_PLUS_PLUS] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(973),
    [sym_number] = ACTIONS(973),
    [sym_private_property_identifier] = ACTIONS(973),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_static] = ACTIONS(973),
    [anon_sym_get] = ACTIONS(973),
    [anon_sym_set] = ACTIONS(973),
    [sym__automatic_semicolon] = ACTIONS(1049),
    [sym__ternary_qmark] = ACTIONS(979),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_comment] = STATE(197),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_export] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_import] = ACTIONS(989),
    [anon_sym_with] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_debugger] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(989),
    [anon_sym_case] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_LTtemplate_GT] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_GT] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_async] = ACTIONS(989),
    [anon_sym_function] = ACTIONS(989),
    [sym_optional_chain] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_STAR_STAR] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_QMARK_QMARK] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_typeof] = ACTIONS(989),
    [anon_sym_void] = ACTIONS(989),
    [anon_sym_delete] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [sym_number] = ACTIONS(989),
    [sym_private_property_identifier] = ACTIONS(989),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [sym__automatic_semicolon] = ACTIONS(1051),
    [sym__ternary_qmark] = ACTIONS(995),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_comment] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(965),
    [anon_sym_export] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_with] = ACTIONS(965),
    [anon_sym_var] = ACTIONS(965),
    [anon_sym_let] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(965),
    [anon_sym_else] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_debugger] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_throw] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_yield] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_LTtemplate_GT] = ACTIONS(965),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_async] = ACTIONS(965),
    [anon_sym_function] = ACTIONS(965),
    [sym_optional_chain] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(967),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_SLASH] = ACTIONS(965),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_QMARK_QMARK] = ACTIONS(967),
    [anon_sym_instanceof] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_typeof] = ACTIONS(965),
    [anon_sym_void] = ACTIONS(965),
    [anon_sym_delete] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_number] = ACTIONS(965),
    [sym_private_property_identifier] = ACTIONS(965),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_null] = ACTIONS(965),
    [sym_undefined] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_get] = ACTIONS(965),
    [anon_sym_set] = ACTIONS(965),
    [sym__automatic_semicolon] = ACTIONS(1055),
    [sym__ternary_qmark] = ACTIONS(971),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_comment] = STATE(199),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_identifier] = ACTIONS(957),
    [anon_sym_export] = ACTIONS(957),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_import] = ACTIONS(957),
    [anon_sym_with] = ACTIONS(957),
    [anon_sym_var] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(957),
    [anon_sym_const] = ACTIONS(957),
    [anon_sym_else] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(957),
    [anon_sym_switch] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(957),
    [anon_sym_await] = ACTIONS(957),
    [anon_sym_in] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(957),
    [anon_sym_do] = ACTIONS(957),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(957),
    [anon_sym_debugger] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_yield] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_LTtemplate_GT] = ACTIONS(957),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(957),
    [anon_sym_async] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(957),
    [sym_optional_chain] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(957),
    [anon_sym_void] = ACTIONS(957),
    [anon_sym_delete] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(957),
    [anon_sym_DASH_DASH] = ACTIONS(957),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(957),
    [sym_number] = ACTIONS(957),
    [sym_private_property_identifier] = ACTIONS(957),
    [sym_this] = ACTIONS(957),
    [sym_super] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [sym__automatic_semicolon] = ACTIONS(1059),
    [sym__ternary_qmark] = ACTIONS(963),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2104),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(1061),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_comment] = STATE(201),
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_GT] = ACTIONS(848),
    [anon_sym_DOT] = ACTIONS(848),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [sym_optional_chain] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(848),
    [anon_sym_PIPE_PIPE] = ACTIONS(848),
    [anon_sym_GT_GT] = ACTIONS(848),
    [anon_sym_GT_GT_GT] = ACTIONS(848),
    [anon_sym_LT_LT] = ACTIONS(848),
    [anon_sym_AMP] = ACTIONS(848),
    [anon_sym_CARET] = ACTIONS(848),
    [anon_sym_PIPE] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_PERCENT] = ACTIONS(848),
    [anon_sym_STAR_STAR] = ACTIONS(848),
    [anon_sym_LT_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(848),
    [anon_sym_GT_EQ] = ACTIONS(848),
    [anon_sym_QMARK_QMARK] = ACTIONS(848),
    [anon_sym_instanceof] = ACTIONS(848),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(1065),
    [sym__ternary_qmark] = ACTIONS(905),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1379),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2060),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1069),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1340),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2056),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2057),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1071),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_comment] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(949),
    [anon_sym_with] = ACTIONS(949),
    [anon_sym_var] = ACTIONS(949),
    [anon_sym_let] = ACTIONS(949),
    [anon_sym_const] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(949),
    [anon_sym_switch] = ACTIONS(949),
    [anon_sym_for] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_await] = ACTIONS(949),
    [anon_sym_in] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_break] = ACTIONS(949),
    [anon_sym_continue] = ACTIONS(949),
    [anon_sym_debugger] = ACTIONS(949),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_throw] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_LTtemplate_GT] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(949),
    [anon_sym_async] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(949),
    [sym_optional_chain] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_AMP_AMP] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(951),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_GT_GT_GT] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_STAR_STAR] = ACTIONS(951),
    [anon_sym_LT_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ] = ACTIONS(951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(951),
    [anon_sym_QMARK_QMARK] = ACTIONS(951),
    [anon_sym_instanceof] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_typeof] = ACTIONS(949),
    [anon_sym_void] = ACTIONS(949),
    [anon_sym_delete] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(949),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(949),
    [sym_number] = ACTIONS(949),
    [sym_private_property_identifier] = ACTIONS(949),
    [sym_this] = ACTIONS(949),
    [sym_super] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [sym_undefined] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_static] = ACTIONS(949),
    [anon_sym_get] = ACTIONS(949),
    [anon_sym_set] = ACTIONS(949),
    [sym__automatic_semicolon] = ACTIONS(1073),
    [sym__ternary_qmark] = ACTIONS(955),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_comment] = STATE(205),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_identifier] = ACTIONS(941),
    [anon_sym_export] = ACTIONS(941),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(941),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_await] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_debugger] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_LTtemplate_GT] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_async] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [sym_optional_chain] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(941),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_STAR_STAR] = ACTIONS(943),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ] = ACTIONS(943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(943),
    [anon_sym_QMARK_QMARK] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_typeof] = ACTIONS(941),
    [anon_sym_void] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(941),
    [sym_number] = ACTIONS(941),
    [sym_private_property_identifier] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_get] = ACTIONS(941),
    [anon_sym_set] = ACTIONS(941),
    [sym__automatic_semicolon] = ACTIONS(1075),
    [sym__ternary_qmark] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2393),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(2103),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_comment] = STATE(207),
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(903),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_comment] = STATE(208),
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_COMMA] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_in] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [sym_optional_chain] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(901),
    [anon_sym_PIPE_PIPE] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_STAR_STAR] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ] = ACTIONS(901),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(901),
    [anon_sym_QMARK_QMARK] = ACTIONS(901),
    [anon_sym_instanceof] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(1079),
    [sym__ternary_qmark] = ACTIONS(903),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2393),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(2103),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1081),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_comment] = STATE(210),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(981),
    [anon_sym_export] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_COMMA] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(981),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_var] = ACTIONS(981),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_const] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_await] = ACTIONS(981),
    [anon_sym_in] = ACTIONS(983),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_debugger] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_LTtemplate_GT] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(981),
    [anon_sym_async] = ACTIONS(981),
    [anon_sym_function] = ACTIONS(981),
    [sym_optional_chain] = ACTIONS(983),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(983),
    [anon_sym_PIPE_PIPE] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(983),
    [anon_sym_GT_GT_GT] = ACTIONS(983),
    [anon_sym_LT_LT] = ACTIONS(983),
    [anon_sym_AMP] = ACTIONS(983),
    [anon_sym_CARET] = ACTIONS(983),
    [anon_sym_PIPE] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_SLASH] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(983),
    [anon_sym_STAR_STAR] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ] = ACTIONS(983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ] = ACTIONS(983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(983),
    [anon_sym_QMARK_QMARK] = ACTIONS(983),
    [anon_sym_instanceof] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_typeof] = ACTIONS(981),
    [anon_sym_void] = ACTIONS(981),
    [anon_sym_delete] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(981),
    [sym_number] = ACTIONS(981),
    [sym_private_property_identifier] = ACTIONS(981),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [sym_undefined] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_get] = ACTIONS(981),
    [anon_sym_set] = ACTIONS(981),
    [sym__automatic_semicolon] = ACTIONS(1083),
    [sym__ternary_qmark] = ACTIONS(987),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1310),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2123),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_comment] = STATE(212),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(933),
    [anon_sym_export] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_import] = ACTIONS(933),
    [anon_sym_with] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_let] = ACTIONS(933),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(933),
    [anon_sym_in] = ACTIONS(935),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_debugger] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(933),
    [anon_sym_LTtemplate_GT] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_DOT] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_async] = ACTIONS(933),
    [anon_sym_function] = ACTIONS(933),
    [sym_optional_chain] = ACTIONS(935),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_AMP_AMP] = ACTIONS(935),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_GT_GT_GT] = ACTIONS(935),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(935),
    [anon_sym_STAR_STAR] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(935),
    [anon_sym_GT_EQ] = ACTIONS(935),
    [anon_sym_QMARK_QMARK] = ACTIONS(935),
    [anon_sym_instanceof] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(933),
    [anon_sym_void] = ACTIONS(933),
    [anon_sym_delete] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(933),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(933),
    [sym_number] = ACTIONS(933),
    [sym_private_property_identifier] = ACTIONS(933),
    [sym_this] = ACTIONS(933),
    [sym_super] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [sym_undefined] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [sym__automatic_semicolon] = ACTIONS(1087),
    [sym__ternary_qmark] = ACTIONS(939),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_comment] = STATE(213),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(965),
    [anon_sym_export] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_with] = ACTIONS(965),
    [anon_sym_var] = ACTIONS(965),
    [anon_sym_let] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_debugger] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_throw] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_yield] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_LTtemplate_GT] = ACTIONS(965),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_async] = ACTIONS(965),
    [anon_sym_function] = ACTIONS(965),
    [sym_optional_chain] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(967),
    [anon_sym_PIPE_PIPE] = ACTIONS(967),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_SLASH] = ACTIONS(965),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_STAR_STAR] = ACTIONS(967),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ] = ACTIONS(967),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(967),
    [anon_sym_QMARK_QMARK] = ACTIONS(967),
    [anon_sym_instanceof] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_typeof] = ACTIONS(965),
    [anon_sym_void] = ACTIONS(965),
    [anon_sym_delete] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_number] = ACTIONS(965),
    [sym_private_property_identifier] = ACTIONS(965),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_null] = ACTIONS(965),
    [sym_undefined] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_get] = ACTIONS(965),
    [anon_sym_set] = ACTIONS(965),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__ternary_qmark] = ACTIONS(971),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_comment] = STATE(214),
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_identifier] = ACTIONS(897),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(897),
    [anon_sym_import] = ACTIONS(897),
    [anon_sym_with] = ACTIONS(897),
    [anon_sym_var] = ACTIONS(897),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_switch] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(897),
    [anon_sym_await] = ACTIONS(897),
    [anon_sym_in] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_try] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_debugger] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(897),
    [anon_sym_LTtemplate_GT] = ACTIONS(897),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_class] = ACTIONS(897),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(897),
    [sym_optional_chain] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(897),
    [anon_sym_PIPE_PIPE] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_GT_GT_GT] = ACTIONS(897),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [anon_sym_STAR_STAR] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ] = ACTIONS(897),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(897),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_QMARK_QMARK] = ACTIONS(897),
    [anon_sym_instanceof] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_TILDE] = ACTIONS(897),
    [anon_sym_typeof] = ACTIONS(897),
    [anon_sym_void] = ACTIONS(897),
    [anon_sym_delete] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(897),
    [anon_sym_DASH_DASH] = ACTIONS(897),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(897),
    [sym_number] = ACTIONS(897),
    [sym_private_property_identifier] = ACTIONS(897),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [sym_undefined] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [sym__automatic_semicolon] = ACTIONS(899),
    [sym__ternary_qmark] = ACTIONS(899),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_comment] = STATE(215),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_export] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_import] = ACTIONS(989),
    [anon_sym_with] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_debugger] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_LTtemplate_GT] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_GT] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_async] = ACTIONS(989),
    [anon_sym_function] = ACTIONS(989),
    [sym_optional_chain] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_GT_GT_GT] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_STAR_STAR] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_QMARK_QMARK] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_typeof] = ACTIONS(989),
    [anon_sym_void] = ACTIONS(989),
    [anon_sym_delete] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [sym_number] = ACTIONS(989),
    [sym_private_property_identifier] = ACTIONS(989),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [sym__automatic_semicolon] = ACTIONS(1091),
    [sym__ternary_qmark] = ACTIONS(995),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1357),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2100),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_comment] = STATE(217),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_identifier] = ACTIONS(957),
    [anon_sym_export] = ACTIONS(957),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_import] = ACTIONS(957),
    [anon_sym_with] = ACTIONS(957),
    [anon_sym_var] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(957),
    [anon_sym_const] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(957),
    [anon_sym_switch] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(957),
    [anon_sym_await] = ACTIONS(957),
    [anon_sym_in] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(957),
    [anon_sym_do] = ACTIONS(957),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(957),
    [anon_sym_debugger] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_yield] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_LTtemplate_GT] = ACTIONS(957),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(957),
    [anon_sym_async] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(957),
    [sym_optional_chain] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_SLASH] = ACTIONS(957),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(957),
    [anon_sym_void] = ACTIONS(957),
    [anon_sym_delete] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(957),
    [anon_sym_DASH_DASH] = ACTIONS(957),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(957),
    [sym_number] = ACTIONS(957),
    [sym_private_property_identifier] = ACTIONS(957),
    [sym_this] = ACTIONS(957),
    [sym_super] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [sym__automatic_semicolon] = ACTIONS(1095),
    [sym__ternary_qmark] = ACTIONS(963),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_comment] = STATE(218),
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_export] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_let] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_await] = ACTIONS(929),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_debugger] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_LTtemplate_GT] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(929),
    [sym_optional_chain] = ACTIONS(929),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(929),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_QMARK_QMARK] = ACTIONS(929),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_void] = ACTIONS(929),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(929),
    [anon_sym_DASH_DASH] = ACTIONS(929),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(929),
    [sym_number] = ACTIONS(929),
    [sym_private_property_identifier] = ACTIONS(929),
    [sym_this] = ACTIONS(929),
    [sym_super] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [sym_undefined] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_get] = ACTIONS(929),
    [anon_sym_set] = ACTIONS(929),
    [sym__automatic_semicolon] = ACTIONS(931),
    [sym__ternary_qmark] = ACTIONS(931),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_comment] = STATE(219),
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_RBRACE] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(925),
    [anon_sym_with] = ACTIONS(925),
    [anon_sym_var] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_await] = ACTIONS(925),
    [anon_sym_in] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_debugger] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_LTtemplate_GT] = ACTIONS(925),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_GT] = ACTIONS(925),
    [anon_sym_DOT] = ACTIONS(925),
    [anon_sym_DQUOTE] = ACTIONS(925),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(925),
    [sym_optional_chain] = ACTIONS(925),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_AMP_AMP] = ACTIONS(925),
    [anon_sym_PIPE_PIPE] = ACTIONS(925),
    [anon_sym_GT_GT] = ACTIONS(925),
    [anon_sym_GT_GT_GT] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(925),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_CARET] = ACTIONS(925),
    [anon_sym_PIPE] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_SLASH] = ACTIONS(925),
    [anon_sym_PERCENT] = ACTIONS(925),
    [anon_sym_STAR_STAR] = ACTIONS(925),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ] = ACTIONS(925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK] = ACTIONS(925),
    [anon_sym_instanceof] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_void] = ACTIONS(925),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(925),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(925),
    [sym_number] = ACTIONS(925),
    [sym_private_property_identifier] = ACTIONS(925),
    [sym_this] = ACTIONS(925),
    [sym_super] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_null] = ACTIONS(925),
    [sym_undefined] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_get] = ACTIONS(925),
    [anon_sym_set] = ACTIONS(925),
    [sym__automatic_semicolon] = ACTIONS(927),
    [sym__ternary_qmark] = ACTIONS(927),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2077),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(2001),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_comment] = STATE(221),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_identifier] = ACTIONS(973),
    [anon_sym_export] = ACTIONS(973),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_COMMA] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_import] = ACTIONS(973),
    [anon_sym_with] = ACTIONS(973),
    [anon_sym_var] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(973),
    [anon_sym_const] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_await] = ACTIONS(973),
    [anon_sym_in] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_debugger] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_throw] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(973),
    [anon_sym_yield] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(973),
    [anon_sym_LTtemplate_GT] = ACTIONS(973),
    [anon_sym_LT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(975),
    [anon_sym_DOT] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_SQUOTE] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(973),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(973),
    [sym_optional_chain] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_AMP_AMP] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(975),
    [anon_sym_GT_GT] = ACTIONS(975),
    [anon_sym_GT_GT_GT] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_SLASH] = ACTIONS(973),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_STAR_STAR] = ACTIONS(975),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ] = ACTIONS(975),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(975),
    [anon_sym_QMARK_QMARK] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_typeof] = ACTIONS(973),
    [anon_sym_void] = ACTIONS(973),
    [anon_sym_delete] = ACTIONS(973),
    [anon_sym_PLUS_PLUS] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(973),
    [sym_number] = ACTIONS(973),
    [sym_private_property_identifier] = ACTIONS(973),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_static] = ACTIONS(973),
    [anon_sym_get] = ACTIONS(973),
    [anon_sym_set] = ACTIONS(973),
    [sym__automatic_semicolon] = ACTIONS(1097),
    [sym__ternary_qmark] = ACTIONS(979),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1303),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2037),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [aux_sym_array_repeat1] = STATE(2036),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1099),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(239),
    [sym_empty_statement] = STATE(239),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1397),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2250),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1853),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [sym_pattern] = STATE(2125),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2250),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(2125),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1299),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2817),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2817),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(240),
    [sym_empty_statement] = STATE(240),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_assignment_pattern] = STATE(2393),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1062),
    [sym_subscript_expression] = STATE(1062),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [sym_pattern] = STATE(2103),
    [sym_rest_pattern] = STATE(1848),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(895),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_get] = ACTIONS(881),
    [anon_sym_set] = ACTIONS(881),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(238),
    [sym_empty_statement] = STATE(238),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1347),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_spread_element] = STATE(2819),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2819),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1819),
    [sym_expression_statement] = STATE(242),
    [sym_empty_statement] = STATE(242),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2359),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2256),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1107),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2378),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1255),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2489),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1115),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1202),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1249),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2459),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1293),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2734),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1125),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2770),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1127),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1362),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2826),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1129),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1292),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2791),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1361),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2831),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1077),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1077),
    [sym_subscript_expression] = STATE(1077),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2114),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(1135),
    [anon_sym_export] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(1141),
    [anon_sym_let] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1137),
    [anon_sym_get] = ACTIONS(1137),
    [anon_sym_set] = ACTIONS(1137),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1174),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1431),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1294),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2843),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1118),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1444),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1085),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1086),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1375),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1433),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1432),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1352),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2743),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1026),
    [sym_expression] = STATE(1467),
    [sym_primary_expression] = STATE(1240),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1243),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1026),
    [sym_subscript_expression] = STATE(1026),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(1159),
    [anon_sym_export] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(1165),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1161),
    [anon_sym_get] = ACTIONS(1161),
    [anon_sym_set] = ACTIONS(1161),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1297),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1262),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1085),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1086),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(1169),
    [anon_sym_export] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1173),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_get] = ACTIONS(1171),
    [anon_sym_set] = ACTIONS(1171),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1288),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1260),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1085),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1086),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(1175),
    [anon_sym_export] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1179),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(1177),
    [anon_sym_set] = ACTIONS(1177),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1302),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2787),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1297),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1242),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1288),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1244),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1174),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1394),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1375),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1208),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1395),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1423),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1350),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1287),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1301),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2783),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1287),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1258),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1339),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2845),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1118),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1349),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2788),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2790),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1210),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2456),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1156),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1342),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2837),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1275),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2818),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1174),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1175),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1173),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1170),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1336),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2847),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1118),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1119),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1360),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2798),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1156),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1447),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1305),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2782),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1819),
    [sym_statement_block] = STATE(1350),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1218),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2491),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2318),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1314),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2768),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2380),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1132),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1131),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2806),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_sequence_expression] = STATE(2258),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1762),
    [sym_statement_block] = STATE(1156),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1155),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1026),
    [sym_expression] = STATE(1467),
    [sym_primary_expression] = STATE(1240),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1243),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1026),
    [sym_subscript_expression] = STATE(1026),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2844),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1320),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_sequence_expression] = STATE(2764),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1406),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1449),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(303),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1425),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1453),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(306),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1455),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1459),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(308),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1209),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1456),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(310),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1458),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1460),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1270),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1263),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(317),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1448),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1435),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1253),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(321),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1445),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(322),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1265),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1191),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(326),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1437),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(331),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1236),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(335),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1080),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1123),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(337),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1434),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1133),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1282),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1112),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1442),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1232),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1446),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(347),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1080),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1414),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(349),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1393),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1403),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(353),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1136),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(354),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(355),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1160),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1159),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(358),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1411),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(359),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1154),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(360),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1405),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1100),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1239),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(363),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(364),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(365),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1101),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(366),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1408),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(367),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1103),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(369),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1104),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(370),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(371),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1108),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(375),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1109),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(376),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1057),
    [sym_subscript_expression] = STATE(1057),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1868),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(377),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(1189),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1080),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1214),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1110),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(381),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1257),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(384),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1404),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1117),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(388),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_expression] = STATE(1452),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1656),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2786),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(389),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2785),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1417),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(390),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1220),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1424),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(392),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1190),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1207),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1215),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1436),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(396),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1231),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1192),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1193),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1397),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1179),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2841),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1426),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(402),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1402),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(403),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1194),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1421),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(405),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1271),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(406),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1123),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1195),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1196),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1112),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1160),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1252),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1008),
    [sym_subscript_expression] = STATE(1008),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1666),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(2784),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2839),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1198),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1199),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1200),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_expression] = STATE(1223),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2750),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2752),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_expression] = STATE(1239),
    [sym_primary_expression] = STATE(1121),
    [sym_yield_expression] = STATE(1122),
    [sym_object] = STATE(1099),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1099),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1122),
    [sym_glimmer_opening_tag] = STATE(1944),
    [sym_jsx_element] = STATE(1122),
    [sym_jsx_opening_element] = STATE(1679),
    [sym_jsx_self_closing_element] = STATE(1122),
    [sym_class] = STATE(1099),
    [sym_function_expression] = STATE(1099),
    [sym_generator_function] = STATE(1099),
    [sym_arrow_function] = STATE(1099),
    [sym_call_expression] = STATE(1099),
    [sym_new_expression] = STATE(1122),
    [sym_await_expression] = STATE(1122),
    [sym_member_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1066),
    [sym_assignment_expression] = STATE(1122),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__destructuring_pattern] = STATE(1901),
    [sym_ternary_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_unary_expression] = STATE(1122),
    [sym_update_expression] = STATE(1122),
    [sym_string] = STATE(1099),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(1099),
    [sym_regex] = STATE(1099),
    [sym_meta_property] = STATE(1099),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2781),
    [aux_sym_export_statement_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(1197),
    [anon_sym_export] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_SQUOTE] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(692),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(696),
    [anon_sym_void] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(696),
    [anon_sym_PLUS_PLUS] = ACTIONS(700),
    [anon_sym_DASH_DASH] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_get] = ACTIONS(1199),
    [anon_sym_set] = ACTIONS(1199),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1206),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(1819),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1365),
    [sym_yield_expression] = STATE(1376),
    [sym_object] = STATE(1285),
    [sym_object_pattern] = STATE(1760),
    [sym_array] = STATE(1285),
    [sym_array_pattern] = STATE(1760),
    [sym_glimmer_template] = STATE(1376),
    [sym_glimmer_opening_tag] = STATE(2009),
    [sym_jsx_element] = STATE(1376),
    [sym_jsx_opening_element] = STATE(1678),
    [sym_jsx_self_closing_element] = STATE(1376),
    [sym_class] = STATE(1285),
    [sym_function_expression] = STATE(1285),
    [sym_generator_function] = STATE(1285),
    [sym_arrow_function] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_new_expression] = STATE(1376),
    [sym_await_expression] = STATE(1376),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1376),
    [sym__augmented_assignment_lhs] = STATE(1652),
    [sym_augmented_assignment_expression] = STATE(1376),
    [sym__destructuring_pattern] = STATE(2823),
    [sym_ternary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_string] = STATE(1285),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(1285),
    [sym_regex] = STATE(1285),
    [sym_meta_property] = STATE(1285),
    [sym_decorator] = STATE(2178),
    [sym_formal_parameters] = STATE(2822),
    [aux_sym_export_statement_repeat1] = STATE(1935),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_namespace_export] = STATE(2600),
    [sym_export_clause] = STATE(1974),
    [sym_declaration] = STATE(994),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_class_declaration] = STATE(946),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function_declaration] = STATE(946),
    [sym_comment] = STATE(423),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1963),
    [aux_sym_object_repeat1] = STATE(2131),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_namespace_export] = STATE(2600),
    [sym_export_clause] = STATE(1974),
    [sym_declaration] = STATE(994),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_class_declaration] = STATE(946),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function_declaration] = STATE(946),
    [sym_comment] = STATE(424),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1963),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_namespace_export] = STATE(2600),
    [sym_export_clause] = STATE(1974),
    [sym_declaration] = STATE(994),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_class_declaration] = STATE(946),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function_declaration] = STATE(946),
    [sym_comment] = STATE(425),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1963),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_namespace_export] = STATE(2629),
    [sym_export_clause] = STATE(1951),
    [sym_declaration] = STATE(2244),
    [sym_variable_declaration] = STATE(2242),
    [sym_lexical_declaration] = STATE(2242),
    [sym_class_declaration] = STATE(2242),
    [sym_function_declaration] = STATE(2242),
    [sym_generator_function_declaration] = STATE(2242),
    [sym_comment] = STATE(426),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(2026),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_async] = ACTIONS(1261),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_namespace_export] = STATE(2704),
    [sym_export_clause] = STATE(1964),
    [sym_declaration] = STATE(732),
    [sym_variable_declaration] = STATE(734),
    [sym_lexical_declaration] = STATE(734),
    [sym_class_declaration] = STATE(734),
    [sym_function_declaration] = STATE(734),
    [sym_generator_function_declaration] = STATE(734),
    [sym_comment] = STATE(427),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1918),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1269),
    [anon_sym_let] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1273),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1275),
    [anon_sym_async] = ACTIONS(1277),
    [anon_sym_function] = ACTIONS(1279),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_namespace_export] = STATE(2574),
    [sym_export_clause] = STATE(1969),
    [sym_declaration] = STATE(541),
    [sym_variable_declaration] = STATE(538),
    [sym_lexical_declaration] = STATE(538),
    [sym_class_declaration] = STATE(538),
    [sym_function_declaration] = STATE(538),
    [sym_generator_function_declaration] = STATE(538),
    [sym_comment] = STATE(428),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1959),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1285),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1289),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1291),
    [anon_sym_async] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(1295),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(429),
    [sym_formal_parameters] = STATE(2852),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2131),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1320),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_get] = ACTIONS(1328),
    [anon_sym_set] = ACTIONS(1328),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(430),
    [sym_formal_parameters] = STATE(2852),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1320),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_get] = ACTIONS(1328),
    [anon_sym_set] = ACTIONS(1328),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(431),
    [sym_formal_parameters] = STATE(2852),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1320),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_get] = ACTIONS(1328),
    [anon_sym_set] = ACTIONS(1328),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_namespace_export] = STATE(2705),
    [sym_export_clause] = STATE(1954),
    [sym_declaration] = STATE(857),
    [sym_variable_declaration] = STATE(849),
    [sym_lexical_declaration] = STATE(849),
    [sym_class_declaration] = STATE(849),
    [sym_function_declaration] = STATE(849),
    [sym_generator_function_declaration] = STATE(849),
    [sym_comment] = STATE(432),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1940),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1338),
    [anon_sym_let] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(1348),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_namespace_export] = STATE(2600),
    [sym_export_clause] = STATE(1974),
    [sym_declaration] = STATE(994),
    [sym_variable_declaration] = STATE(946),
    [sym_lexical_declaration] = STATE(946),
    [sym_class_declaration] = STATE(946),
    [sym_function_declaration] = STATE(946),
    [sym_generator_function_declaration] = STATE(946),
    [sym_comment] = STATE(433),
    [sym_decorator] = STATE(2178),
    [aux_sym_export_statement_repeat1] = STATE(1963),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(434),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(435),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(436),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(437),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2131),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(438),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_string] = STATE(2582),
    [sym_comment] = STATE(439),
    [sym__property_name] = STATE(2546),
    [sym_computed_property_name] = STATE(2582),
    [aux_sym_object_repeat1] = STATE(2131),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1326),
    [sym_private_property_identifier] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [sym_formal_parameters] = STATE(2797),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [sym_formal_parameters] = STATE(2797),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_variable_declarator] = STATE(1914),
    [sym_object_pattern] = STATE(1773),
    [sym_array_pattern] = STATE(1773),
    [sym__destructuring_pattern] = STATE(1890),
    [sym_comment] = STATE(443),
    [aux_sym_object_repeat1] = STATE(2131),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_formal_parameters] = STATE(2810),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_export] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1390),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1392),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_get] = ACTIONS(1390),
    [anon_sym_set] = ACTIONS(1390),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_catch_clause] = STATE(469),
    [sym_finally_clause] = STATE(584),
    [sym_comment] = STATE(446),
    [sym_identifier] = ACTIONS(1394),
    [anon_sym_export] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(1394),
    [anon_sym_with] = ACTIONS(1394),
    [anon_sym_var] = ACTIONS(1394),
    [anon_sym_let] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_debugger] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_catch] = ACTIONS(1396),
    [anon_sym_finally] = ACTIONS(1398),
    [anon_sym_yield] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_LTtemplate_GT] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_class] = ACTIONS(1394),
    [anon_sym_async] = ACTIONS(1394),
    [anon_sym_function] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [sym_number] = ACTIONS(1394),
    [sym_private_property_identifier] = ACTIONS(1394),
    [sym_this] = ACTIONS(1394),
    [sym_super] = ACTIONS(1394),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [sym_undefined] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_get] = ACTIONS(1394),
    [anon_sym_set] = ACTIONS(1394),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_of] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_variable_declarator] = STATE(1914),
    [sym_object_pattern] = STATE(1773),
    [sym_array_pattern] = STATE(1773),
    [sym__destructuring_pattern] = STATE(1890),
    [sym_comment] = STATE(448),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [sym_formal_parameters] = STATE(2833),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_formal_parameters] = STATE(2833),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1411),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1420),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1424),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_variable_declarator] = STATE(1914),
    [sym_object_pattern] = STATE(1773),
    [sym_array_pattern] = STATE(1773),
    [sym__destructuring_pattern] = STATE(1890),
    [sym_comment] = STATE(453),
    [aux_sym_object_repeat1] = STATE(2039),
    [aux_sym_object_pattern_repeat1] = STATE(2132),
    [sym_identifier] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1320),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_formal_parameters] = STATE(2810),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_export] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1390),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1392),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_get] = ACTIONS(1390),
    [anon_sym_set] = ACTIONS(1390),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1432),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_formal_parameters] = STATE(2852),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1322),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [sym_formal_parameters] = STATE(2797),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1438),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_export] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_var] = ACTIONS(848),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(848),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_debugger] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_catch] = ACTIONS(848),
    [anon_sym_finally] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LTtemplate_GT] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(848),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_SQUOTE] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_async] = ACTIONS(848),
    [anon_sym_function] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_SLASH] = ACTIONS(848),
    [anon_sym_BANG] = ACTIONS(848),
    [anon_sym_TILDE] = ACTIONS(848),
    [anon_sym_typeof] = ACTIONS(848),
    [anon_sym_void] = ACTIONS(848),
    [anon_sym_delete] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(848),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_get] = ACTIONS(848),
    [anon_sym_set] = ACTIONS(848),
    [sym__automatic_semicolon] = ACTIONS(1444),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_catch_clause] = STATE(506),
    [sym_finally_clause] = STATE(680),
    [sym_comment] = STATE(460),
    [sym_identifier] = ACTIONS(1394),
    [anon_sym_export] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(1394),
    [anon_sym_with] = ACTIONS(1394),
    [anon_sym_var] = ACTIONS(1394),
    [anon_sym_let] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_debugger] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_catch] = ACTIONS(1446),
    [anon_sym_finally] = ACTIONS(1448),
    [anon_sym_yield] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_LTtemplate_GT] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_class] = ACTIONS(1394),
    [anon_sym_async] = ACTIONS(1394),
    [anon_sym_function] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [sym_number] = ACTIONS(1394),
    [sym_private_property_identifier] = ACTIONS(1394),
    [sym_this] = ACTIONS(1394),
    [sym_super] = ACTIONS(1394),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [sym_undefined] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_get] = ACTIONS(1394),
    [anon_sym_set] = ACTIONS(1394),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_catch_clause] = STATE(503),
    [sym_finally_clause] = STATE(831),
    [sym_comment] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(1394),
    [anon_sym_export] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(1394),
    [anon_sym_with] = ACTIONS(1394),
    [anon_sym_var] = ACTIONS(1394),
    [anon_sym_let] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_debugger] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_catch] = ACTIONS(1452),
    [anon_sym_finally] = ACTIONS(1454),
    [anon_sym_yield] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_LTtemplate_GT] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_class] = ACTIONS(1394),
    [anon_sym_async] = ACTIONS(1394),
    [anon_sym_function] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [sym_number] = ACTIONS(1394),
    [sym_private_property_identifier] = ACTIONS(1394),
    [sym_this] = ACTIONS(1394),
    [sym_super] = ACTIONS(1394),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [sym_undefined] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_get] = ACTIONS(1394),
    [anon_sym_set] = ACTIONS(1394),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_export] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_debugger] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(901),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_catch] = ACTIONS(901),
    [anon_sym_finally] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(901),
    [anon_sym_LTtemplate_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(901),
    [anon_sym_delete] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(901),
    [anon_sym_DASH_DASH] = ACTIONS(901),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(901),
    [sym_number] = ACTIONS(901),
    [sym_private_property_identifier] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_get] = ACTIONS(901),
    [anon_sym_set] = ACTIONS(901),
    [sym__automatic_semicolon] = ACTIONS(1456),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_comment] = STATE(463),
    [sym_formal_parameters] = STATE(2797),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1324),
    [anon_sym_DASH_EQ] = ACTIONS(1324),
    [anon_sym_STAR_EQ] = ACTIONS(1324),
    [anon_sym_SLASH_EQ] = ACTIONS(1324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1324),
    [anon_sym_CARET_EQ] = ACTIONS(1324),
    [anon_sym_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1324),
    [anon_sym_LT_LT_EQ] = ACTIONS(1324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1324),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1324),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1320), 1,
      anon_sym_function,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    STATE(464), 1,
      sym_comment,
    STATE(2852), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1461), 1,
      sym__automatic_semicolon,
    STATE(465), 1,
      sym_comment,
    ACTIONS(848), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [166] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1436), 1,
      anon_sym_function,
    STATE(466), 1,
      sym_comment,
    STATE(2852), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [257] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(467), 1,
      sym_comment,
    ACTIONS(901), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [330] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1450), 1,
      ts_builtin_sym_end,
    ACTIONS(1463), 1,
      anon_sym_catch,
    ACTIONS(1465), 1,
      anon_sym_finally,
    STATE(468), 1,
      sym_comment,
    STATE(617), 1,
      sym_catch_clause,
    STATE(954), 1,
      sym_finally_clause,
    ACTIONS(1394), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [413] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1398), 1,
      anon_sym_finally,
    STATE(469), 1,
      sym_comment,
    STATE(625), 1,
      sym_finally_clause,
    ACTIONS(1467), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      sym__automatic_semicolon,
    STATE(470), 1,
      sym_comment,
    ACTIONS(848), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [565] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_function,
    STATE(471), 1,
      sym_comment,
    STATE(2852), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [656] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1471), 1,
      sym__automatic_semicolon,
    STATE(472), 1,
      sym_comment,
    ACTIONS(901), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [731] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1473), 1,
      sym__automatic_semicolon,
    STATE(473), 1,
      sym_comment,
    ACTIONS(848), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [808] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1475), 1,
      sym__automatic_semicolon,
    STATE(474), 1,
      sym_comment,
    ACTIONS(901), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [883] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(475), 1,
      sym_comment,
    ACTIONS(897), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [956] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1424), 1,
      anon_sym_function,
    STATE(476), 1,
      sym_comment,
    STATE(2852), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1047] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1361), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1372), 1,
      anon_sym_EQ_GT,
    ACTIONS(1413), 1,
      anon_sym_COMMA,
    ACTIONS(1438), 1,
      anon_sym_RBRACK,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    STATE(477), 1,
      sym_comment,
    STATE(2797), 1,
      sym_formal_parameters,
    ACTIONS(1363), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 31,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1142] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1477), 1,
      sym__automatic_semicolon,
    STATE(478), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1219] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    STATE(479), 1,
      sym_comment,
    STATE(2833), 1,
      sym_formal_parameters,
    ACTIONS(1407), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1310] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_function,
    STATE(480), 1,
      sym_comment,
    STATE(2852), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1378), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1401] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(481), 1,
      sym_comment,
    ACTIONS(1479), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1473] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1481), 1,
      sym_identifier,
    ACTIONS(1485), 1,
      anon_sym_EQ,
    ACTIONS(1487), 1,
      anon_sym_EQ_GT,
    STATE(482), 1,
      sym_comment,
    STATE(2777), 1,
      sym_formal_parameters,
    ACTIONS(1483), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1563] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(1400), 1,
      anon_sym_in,
    ACTIONS(1403), 1,
      anon_sym_of,
    ACTIONS(1489), 1,
      sym_identifier,
    STATE(483), 1,
      sym_comment,
    STATE(1756), 1,
      sym__destructuring_pattern,
    STATE(1980), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1659] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1493), 1,
      anon_sym_else,
    STATE(484), 1,
      sym_comment,
    STATE(600), 1,
      sym_else_clause,
    ACTIONS(1491), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1735] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(993), 1,
      sym__automatic_semicolon,
    STATE(485), 1,
      sym_comment,
    ACTIONS(989), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1809] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(486), 1,
      sym_comment,
    ACTIONS(1495), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1881] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    STATE(487), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1955] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(937), 1,
      sym__automatic_semicolon,
    STATE(488), 1,
      sym_comment,
    ACTIONS(933), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2029] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(945), 1,
      sym__automatic_semicolon,
    STATE(489), 1,
      sym_comment,
    ACTIONS(941), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2103] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(953), 1,
      sym__automatic_semicolon,
    STATE(490), 1,
      sym_comment,
    ACTIONS(949), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2177] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1497), 1,
      sym__automatic_semicolon,
    STATE(491), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2251] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(1434), 1,
      anon_sym_COLON,
    STATE(492), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1911), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2345] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(961), 1,
      sym__automatic_semicolon,
    STATE(493), 1,
      sym_comment,
    ACTIONS(957), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2419] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(969), 1,
      sym__automatic_semicolon,
    STATE(494), 1,
      sym_comment,
    ACTIONS(965), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2493] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(977), 1,
      sym__automatic_semicolon,
    STATE(495), 1,
      sym_comment,
    ACTIONS(973), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2567] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    STATE(496), 1,
      sym_comment,
    ACTIONS(897), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2641] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    STATE(497), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1916), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2735] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1481), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_EQ_GT,
    STATE(498), 1,
      sym_comment,
    STATE(2777), 1,
      sym_formal_parameters,
    ACTIONS(1483), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2825] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(985), 1,
      sym__automatic_semicolon,
    STATE(499), 1,
      sym_comment,
    ACTIONS(981), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2899] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_COLON,
    STATE(500), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1967), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2993] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1499), 1,
      sym__automatic_semicolon,
    STATE(501), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3069] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1501), 1,
      sym__automatic_semicolon,
    STATE(502), 1,
      sym_comment,
    ACTIONS(848), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3145] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1454), 1,
      anon_sym_finally,
    ACTIONS(1503), 1,
      ts_builtin_sym_end,
    STATE(503), 1,
      sym_comment,
    STATE(671), 1,
      sym_finally_clause,
    ACTIONS(1467), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3223] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      sym__automatic_semicolon,
    STATE(504), 1,
      sym_comment,
    ACTIONS(897), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3297] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1505), 1,
      anon_sym_else,
    STATE(505), 1,
      sym_comment,
    STATE(814), 1,
      sym_else_clause,
    ACTIONS(1491), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3373] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1448), 1,
      anon_sym_finally,
    STATE(506), 1,
      sym_comment,
    STATE(886), 1,
      sym_finally_clause,
    ACTIONS(1467), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3449] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      sym__automatic_semicolon,
    STATE(507), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3523] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1507), 1,
      sym__automatic_semicolon,
    STATE(508), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3599] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(931), 1,
      sym__automatic_semicolon,
    STATE(509), 1,
      sym_comment,
    ACTIONS(929), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3673] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(927), 1,
      sym__automatic_semicolon,
    STATE(510), 1,
      sym_comment,
    ACTIONS(925), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3747] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1509), 1,
      sym__automatic_semicolon,
    STATE(511), 1,
      sym_comment,
    ACTIONS(848), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3821] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1400), 1,
      anon_sym_in,
    ACTIONS(1403), 1,
      anon_sym_of,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    STATE(512), 1,
      sym_comment,
    STATE(2833), 1,
      sym_formal_parameters,
    ACTIONS(1407), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3915] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1511), 1,
      sym__automatic_semicolon,
    STATE(513), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3989] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1513), 1,
      sym__automatic_semicolon,
    STATE(514), 1,
      sym_comment,
    ACTIONS(848), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4065] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(1426), 1,
      anon_sym_COLON,
    STATE(515), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1914), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4159] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1515), 1,
      sym__automatic_semicolon,
    STATE(516), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4233] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(854), 1,
      sym__automatic_semicolon,
    STATE(517), 1,
      sym_comment,
    ACTIONS(848), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4307] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(518), 1,
      sym_comment,
    ACTIONS(901), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4379] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1517), 1,
      sym__automatic_semicolon,
    STATE(519), 1,
      sym_comment,
    ACTIONS(848), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4453] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(520), 1,
      sym_comment,
    ACTIONS(897), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(521), 1,
      sym_comment,
    ACTIONS(901), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4597] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(522), 1,
      sym_comment,
    ACTIONS(897), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4669] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_COLON,
    STATE(523), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1949), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4763] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(524), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(525), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4905] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1051), 1,
      sym__automatic_semicolon,
    STATE(526), 1,
      sym_comment,
    ACTIONS(989), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4978] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(527), 1,
      sym_comment,
    ACTIONS(1479), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5049] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1011), 1,
      sym__automatic_semicolon,
    STATE(528), 1,
      sym_comment,
    ACTIONS(981), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5122] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1007), 1,
      sym__automatic_semicolon,
    STATE(529), 1,
      sym_comment,
    ACTIONS(973), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5195] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1009), 1,
      sym__automatic_semicolon,
    STATE(530), 1,
      sym_comment,
    ACTIONS(965), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5268] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1523), 1,
      sym__automatic_semicolon,
    STATE(531), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5341] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1525), 1,
      sym__automatic_semicolon,
    STATE(532), 1,
      sym_comment,
    ACTIONS(901), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5416] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1013), 1,
      sym__automatic_semicolon,
    STATE(533), 1,
      sym_comment,
    ACTIONS(957), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5489] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      sym__automatic_semicolon,
    STATE(534), 1,
      sym_comment,
    ACTIONS(949), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5562] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1017), 1,
      sym__automatic_semicolon,
    STATE(535), 1,
      sym_comment,
    ACTIONS(941), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5635] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      sym__automatic_semicolon,
    STATE(536), 1,
      sym_comment,
    ACTIONS(933), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5708] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(537), 1,
      sym_comment,
    ACTIONS(1495), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5779] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(538), 1,
      sym_comment,
    ACTIONS(1527), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5850] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1529), 1,
      ts_builtin_sym_end,
    STATE(539), 1,
      sym_comment,
    ACTIONS(1495), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5923] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1005), 1,
      sym__automatic_semicolon,
    STATE(540), 1,
      sym_comment,
    ACTIONS(933), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5998] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(541), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6069] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(542), 1,
      sym_comment,
    ACTIONS(1533), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6140] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(543), 1,
      sym_comment,
    ACTIONS(1535), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6211] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(544), 1,
      sym_comment,
    ACTIONS(1537), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6282] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      ts_builtin_sym_end,
    ACTIONS(1043), 1,
      sym__automatic_semicolon,
    STATE(545), 1,
      sym_comment,
    ACTIONS(941), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6357] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      ts_builtin_sym_end,
    ACTIONS(1039), 1,
      sym__automatic_semicolon,
    STATE(546), 1,
      sym_comment,
    ACTIONS(949), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6432] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1057), 1,
      ts_builtin_sym_end,
    ACTIONS(1059), 1,
      sym__automatic_semicolon,
    STATE(547), 1,
      sym_comment,
    ACTIONS(957), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6507] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(548), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6578] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(549), 1,
      sym_comment,
    ACTIONS(1541), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6649] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(550), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6720] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(551), 1,
      sym_comment,
    ACTIONS(1545), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6791] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1053), 1,
      ts_builtin_sym_end,
    ACTIONS(1055), 1,
      sym__automatic_semicolon,
    STATE(552), 1,
      sym_comment,
    ACTIONS(965), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6866] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1047), 1,
      ts_builtin_sym_end,
    ACTIONS(1049), 1,
      sym__automatic_semicolon,
    STATE(553), 1,
      sym_comment,
    ACTIONS(973), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6941] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1001), 1,
      sym__automatic_semicolon,
    STATE(554), 1,
      sym_comment,
    ACTIONS(981), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7016] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1547), 1,
      sym__automatic_semicolon,
    STATE(555), 1,
      sym_comment,
    ACTIONS(901), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7091] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(556), 1,
      sym_comment,
    ACTIONS(1549), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7162] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(557), 1,
      sym_comment,
    ACTIONS(1551), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7233] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(558), 1,
      sym_comment,
    ACTIONS(1553), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(559), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7375] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(560), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7446] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1555), 1,
      ts_builtin_sym_end,
    STATE(561), 1,
      sym_comment,
    ACTIONS(1479), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7519] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(562), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7590] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    STATE(563), 1,
      sym_comment,
    ACTIONS(897), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7663] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1023), 1,
      ts_builtin_sym_end,
    ACTIONS(1025), 1,
      sym__automatic_semicolon,
    STATE(564), 1,
      sym_comment,
    ACTIONS(989), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7738] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(565), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7809] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(566), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7880] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(567), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7951] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(568), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8022] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(569), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8093] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(570), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(571), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8235] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(572), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8306] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(573), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8377] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(574), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8448] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    STATE(575), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8521] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(576), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(577), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(578), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8734] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(579), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(580), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8876] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(581), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8947] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(582), 1,
      sym_comment,
    ACTIONS(1557), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9018] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1559), 1,
      sym__automatic_semicolon,
    STATE(583), 1,
      sym_comment,
    ACTIONS(848), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9093] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(584), 1,
      sym_comment,
    ACTIONS(1561), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(585), 1,
      sym_comment,
    ACTIONS(1563), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9235] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(586), 1,
      sym_comment,
    ACTIONS(1565), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9306] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(587), 1,
      sym_comment,
    ACTIONS(1567), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9377] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(588), 1,
      sym_comment,
    ACTIONS(1569), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9448] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(589), 1,
      sym_comment,
    ACTIONS(1571), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9519] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(590), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9590] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(591), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9661] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(592), 1,
      sym_comment,
    ACTIONS(1575), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9732] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(593), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9803] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(594), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9874] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(595), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(596), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10016] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(597), 1,
      sym_comment,
    ACTIONS(1577), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(598), 1,
      sym_comment,
    ACTIONS(1577), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10158] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(599), 1,
      sym_comment,
    ACTIONS(1579), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10229] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(600), 1,
      sym_comment,
    ACTIONS(1581), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10300] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(601), 1,
      sym_comment,
    ACTIONS(1583), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10371] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(602), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(603), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(604), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10584] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(605), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(606), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(607), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(608), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(609), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10939] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(610), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11010] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(611), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11081] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(612), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11152] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(613), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11223] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(614), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11294] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(615), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(616), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11436] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1465), 1,
      anon_sym_finally,
    ACTIONS(1503), 1,
      ts_builtin_sym_end,
    STATE(617), 1,
      sym_comment,
    STATE(913), 1,
      sym_finally_clause,
    ACTIONS(1467), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(618), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11584] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(619), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(620), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(621), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(622), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(623), 1,
      sym_comment,
    ACTIONS(1587), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11939] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(624), 1,
      sym_comment,
    ACTIONS(1589), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12010] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(625), 1,
      sym_comment,
    ACTIONS(1591), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12081] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(626), 1,
      sym_comment,
    ACTIONS(1593), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12152] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1595), 1,
      ts_builtin_sym_end,
    ACTIONS(1597), 1,
      anon_sym_else,
    STATE(627), 1,
      sym_comment,
    STATE(789), 1,
      sym_else_clause,
    ACTIONS(1491), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12229] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(628), 1,
      sym_comment,
    ACTIONS(1599), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12300] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(629), 1,
      sym_comment,
    ACTIONS(1599), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12371] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(630), 1,
      sym_comment,
    ACTIONS(1601), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(631), 1,
      sym_comment,
    ACTIONS(1603), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(632), 1,
      sym_comment,
    ACTIONS(1605), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12584] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(633), 1,
      sym_comment,
    ACTIONS(1607), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(634), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(635), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(636), 1,
      sym_comment,
    ACTIONS(1611), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(637), 1,
      sym_comment,
    ACTIONS(1613), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12939] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(638), 1,
      sym_comment,
    ACTIONS(1615), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13010] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(639), 1,
      sym_comment,
    ACTIONS(1617), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13081] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(640), 1,
      sym_comment,
    ACTIONS(1619), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13152] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(641), 1,
      sym_comment,
    ACTIONS(1621), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13223] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(642), 1,
      sym_comment,
    ACTIONS(1623), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13294] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(643), 1,
      sym_comment,
    ACTIONS(1625), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(644), 1,
      sym_comment,
    ACTIONS(1627), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13436] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1595), 1,
      ts_builtin_sym_end,
    ACTIONS(1629), 1,
      anon_sym_else,
    STATE(645), 1,
      sym_comment,
    STATE(914), 1,
      sym_else_clause,
    ACTIONS(1491), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(646), 1,
      sym_comment,
    ACTIONS(1631), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13584] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(647), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(648), 1,
      sym_comment,
    ACTIONS(1635), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(649), 1,
      sym_comment,
    ACTIONS(1637), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13797] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1639), 1,
      sym__automatic_semicolon,
    STATE(650), 1,
      sym_comment,
    ACTIONS(901), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13872] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(651), 1,
      sym_comment,
    ACTIONS(1641), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13943] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(652), 1,
      sym_comment,
    ACTIONS(931), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(929), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14016] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(653), 1,
      sym_comment,
    ACTIONS(927), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(925), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14089] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(931), 1,
      sym__automatic_semicolon,
    STATE(654), 1,
      sym_comment,
    ACTIONS(929), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14162] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(927), 1,
      sym__automatic_semicolon,
    STATE(655), 1,
      sym_comment,
    ACTIONS(925), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14235] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(907), 1,
      sym__automatic_semicolon,
    STATE(656), 1,
      sym_comment,
    ACTIONS(848), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14310] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    STATE(657), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14383] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1643), 1,
      sym__automatic_semicolon,
    STATE(658), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14456] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    STATE(659), 1,
      sym_comment,
    ACTIONS(897), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14529] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1645), 1,
      sym__automatic_semicolon,
    STATE(660), 1,
      sym_comment,
    ACTIONS(848), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14604] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(661), 1,
      sym_comment,
    ACTIONS(903), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(901), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14677] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(662), 1,
      sym_comment,
    ACTIONS(899), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(897), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14750] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(663), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14821] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(877), 1,
      sym__automatic_semicolon,
    STATE(664), 1,
      sym_comment,
    ACTIONS(848), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14894] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(665), 1,
      sym_comment,
    ACTIONS(897), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14965] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(666), 1,
      sym_comment,
    ACTIONS(901), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15036] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1647), 1,
      sym__automatic_semicolon,
    STATE(667), 1,
      sym_comment,
    ACTIONS(848), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(668), 1,
      sym_comment,
    ACTIONS(897), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15180] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      sym__automatic_semicolon,
    STATE(669), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15253] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      sym__automatic_semicolon,
    STATE(670), 1,
      sym_comment,
    ACTIONS(897), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15326] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
    STATE(671), 1,
      sym_comment,
    ACTIONS(1591), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(672), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(673), 1,
      sym_comment,
    ACTIONS(1569), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15540] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(674), 1,
      sym_comment,
    ACTIONS(1567), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(675), 1,
      sym_comment,
    ACTIONS(1565), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15680] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(676), 1,
      sym_comment,
    ACTIONS(1563), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15750] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    STATE(677), 1,
      sym_comment,
    ACTIONS(897), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15822] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(678), 1,
      sym_comment,
    ACTIONS(899), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(897), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15894] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    STATE(679), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1911), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15984] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(680), 1,
      sym_comment,
    ACTIONS(1561), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16054] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(681), 1,
      sym_comment,
    ACTIONS(1557), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16124] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1653), 1,
      sym__automatic_semicolon,
    STATE(682), 1,
      sym_comment,
    ACTIONS(901), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16198] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(683), 1,
      sym_comment,
    ACTIONS(901), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16268] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(684), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16338] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(685), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16408] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1655), 1,
      sym__automatic_semicolon,
    STATE(686), 1,
      sym_comment,
    ACTIONS(848), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16482] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(687), 1,
      sym_comment,
    ACTIONS(897), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16552] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(688), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16622] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(689), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16692] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(690), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(691), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16832] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(692), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16902] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(693), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16972] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(694), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17042] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(695), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17112] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(696), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17182] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(697), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17252] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(698), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17322] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(699), 1,
      sym_comment,
    ACTIONS(903), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(901), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17394] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(700), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17464] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(701), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17534] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    STATE(702), 1,
      sym_comment,
    ACTIONS(901), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17606] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(703), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(704), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17746] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(1031), 1,
      sym__automatic_semicolon,
    STATE(705), 1,
      sym_comment,
    ACTIONS(848), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17820] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(706), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17890] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(707), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17960] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(708), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18030] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(709), 1,
      sym_comment,
    ACTIONS(1553), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18100] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(710), 1,
      sym_comment,
    ACTIONS(1551), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(711), 1,
      sym_comment,
    ACTIONS(1641), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18240] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(712), 1,
      sym_comment,
    ACTIONS(1549), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18310] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(713), 1,
      sym_comment,
    ACTIONS(1545), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18380] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1083), 1,
      sym__automatic_semicolon,
    STATE(714), 1,
      sym_comment,
    ACTIONS(981), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18454] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    STATE(715), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1914), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18544] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(716), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18614] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(717), 1,
      sym_comment,
    ACTIONS(1541), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18684] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1047), 1,
      ts_builtin_sym_end,
    ACTIONS(1097), 1,
      sym__automatic_semicolon,
    STATE(718), 1,
      sym_comment,
    ACTIONS(973), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18758] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    STATE(719), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1967), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18848] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1053), 1,
      ts_builtin_sym_end,
    ACTIONS(1089), 1,
      sym__automatic_semicolon,
    STATE(720), 1,
      sym_comment,
    ACTIONS(965), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18922] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    ACTIONS(1657), 1,
      sym__automatic_semicolon,
    STATE(721), 1,
      sym_comment,
    ACTIONS(901), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18996] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(722), 1,
      sym_comment,
    ACTIONS(1637), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(723), 1,
      sym_comment,
    ACTIONS(1635), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19136] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1023), 1,
      ts_builtin_sym_end,
    ACTIONS(1091), 1,
      sym__automatic_semicolon,
    STATE(724), 1,
      sym_comment,
    ACTIONS(989), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(725), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19280] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(726), 1,
      sym_comment,
    ACTIONS(1537), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19350] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(727), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19420] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(728), 1,
      sym_comment,
    ACTIONS(1533), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    STATE(729), 1,
      sym_comment,
    ACTIONS(897), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19562] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1659), 1,
      ts_builtin_sym_end,
    STATE(730), 1,
      sym_comment,
    ACTIONS(1641), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19634] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(731), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19704] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(732), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19774] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(733), 1,
      sym_comment,
    ACTIONS(1631), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(734), 1,
      sym_comment,
    ACTIONS(1527), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19914] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1661), 1,
      ts_builtin_sym_end,
    STATE(735), 1,
      sym_comment,
    ACTIONS(1623), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19986] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1663), 1,
      ts_builtin_sym_end,
    STATE(736), 1,
      sym_comment,
    ACTIONS(1621), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20058] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1665), 1,
      ts_builtin_sym_end,
    STATE(737), 1,
      sym_comment,
    ACTIONS(1619), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20130] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(738), 1,
      sym_comment,
    ACTIONS(1617), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20202] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(739), 1,
      sym_comment,
    ACTIONS(1615), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20274] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(740), 1,
      sym_comment,
    ACTIONS(1613), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20346] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(741), 1,
      sym_comment,
    ACTIONS(1611), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(742), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(743), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20562] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(744), 1,
      sym_comment,
    ACTIONS(1607), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20634] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(745), 1,
      sym_comment,
    ACTIONS(1605), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20706] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(746), 1,
      sym_comment,
    ACTIONS(1603), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20778] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(747), 1,
      sym_comment,
    ACTIONS(1601), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20850] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(748), 1,
      sym_comment,
    ACTIONS(1599), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20922] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(749), 1,
      sym_comment,
    ACTIONS(1599), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20994] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(750), 1,
      sym_comment,
    ACTIONS(1535), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(751), 1,
      sym_comment,
    ACTIONS(1571), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21136] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(752), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21206] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(753), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21276] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(754), 1,
      sym_comment,
    ACTIONS(1593), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21348] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(755), 1,
      sym_comment,
    ACTIONS(1575), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    STATE(756), 1,
      sym_comment,
    ACTIONS(901), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21490] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(757), 1,
      sym_comment,
    ACTIONS(1627), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21560] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(758), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21630] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(759), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21700] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(760), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21770] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(761), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21840] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(762), 1,
      sym_comment,
    ACTIONS(1625), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21910] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(763), 1,
      sym_comment,
    ACTIONS(1623), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21980] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(764), 1,
      sym_comment,
    ACTIONS(1589), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22052] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(765), 1,
      sym_comment,
    ACTIONS(1587), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22124] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(766), 1,
      sym_comment,
    ACTIONS(1621), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22194] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(767), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22266] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(768), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22338] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(769), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22410] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(770), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22482] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(771), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22554] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(772), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22626] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(773), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22698] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(774), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22770] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(775), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22842] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(776), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22914] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(777), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22986] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(778), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23058] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(779), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23130] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(780), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23202] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(781), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23274] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(782), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23346] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(783), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(784), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(785), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23562] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(786), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23634] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(787), 1,
      sym_comment,
    ACTIONS(1583), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23706] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    STATE(788), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1949), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23796] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(789), 1,
      sym_comment,
    ACTIONS(1581), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(790), 1,
      sym_comment,
    ACTIONS(1577), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23938] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(791), 1,
      sym_comment,
    ACTIONS(1637), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24010] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(792), 1,
      sym_comment,
    ACTIONS(1635), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24082] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(793), 1,
      sym_comment,
    ACTIONS(1579), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24154] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(794), 1,
      sym_comment,
    ACTIONS(1577), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24226] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(795), 1,
      sym_comment,
    ACTIONS(1619), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24296] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(796), 1,
      sym_comment,
    ACTIONS(1577), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24368] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(797), 1,
      sym_comment,
    ACTIONS(1577), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24438] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(798), 1,
      sym_comment,
    ACTIONS(1579), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24508] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(799), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24580] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(800), 1,
      sym_comment,
    ACTIONS(1617), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24650] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(801), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24722] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(802), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24794] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(803), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24866] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(804), 1,
      sym_comment,
    ACTIONS(1615), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24936] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(805), 1,
      sym_comment,
    ACTIONS(1613), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25006] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(806), 1,
      sym_comment,
    ACTIONS(1575), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25078] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(807), 1,
      sym_comment,
    ACTIONS(1611), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25148] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(808), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25220] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(809), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25292] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(810), 1,
      sym_comment,
    ACTIONS(1571), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25364] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1057), 1,
      ts_builtin_sym_end,
    ACTIONS(1095), 1,
      sym__automatic_semicolon,
    STATE(811), 1,
      sym_comment,
    ACTIONS(957), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25438] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1037), 1,
      ts_builtin_sym_end,
    ACTIONS(1073), 1,
      sym__automatic_semicolon,
    STATE(812), 1,
      sym_comment,
    ACTIONS(949), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25512] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      ts_builtin_sym_end,
    ACTIONS(1075), 1,
      sym__automatic_semicolon,
    STATE(813), 1,
      sym_comment,
    ACTIONS(941), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25586] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(814), 1,
      sym_comment,
    ACTIONS(1581), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25656] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(815), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(816), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25796] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(817), 1,
      sym_comment,
    ACTIONS(1583), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25866] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1555), 1,
      ts_builtin_sym_end,
    STATE(818), 1,
      sym_comment,
    ACTIONS(1479), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25938] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(819), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26008] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(820), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26078] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(821), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26148] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(822), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26218] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(823), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(824), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26358] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(825), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26428] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(826), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26498] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(827), 1,
      sym_comment,
    ACTIONS(1569), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26570] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(828), 1,
      sym_comment,
    ACTIONS(1567), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26642] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(829), 1,
      sym_comment,
    ACTIONS(1565), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26714] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(830), 1,
      sym_comment,
    ACTIONS(1563), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26786] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1723), 1,
      ts_builtin_sym_end,
    STATE(831), 1,
      sym_comment,
    ACTIONS(1561), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(832), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26928] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_EQ_GT,
    ACTIONS(1382), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    STATE(833), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1916), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27018] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1725), 1,
      ts_builtin_sym_end,
    STATE(834), 1,
      sym_comment,
    ACTIONS(1557), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27090] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(835), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27160] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(836), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27232] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(837), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27304] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(838), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27376] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(839), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27448] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(840), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27520] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(841), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27592] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(842), 1,
      sym_comment,
    ACTIONS(1625), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27664] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(843), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27736] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(844), 1,
      sym_comment,
    ACTIONS(1607), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(845), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27878] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(846), 1,
      sym_comment,
    ACTIONS(931), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(929), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27950] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(847), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28022] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(848), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28094] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(849), 1,
      sym_comment,
    ACTIONS(1527), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28166] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(850), 1,
      sym_comment,
    ACTIONS(1605), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28236] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(851), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28308] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(852), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28380] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(853), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28452] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(854), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28524] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(855), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28596] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(856), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28668] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(857), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28740] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(858), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28812] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(859), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28884] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(860), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28956] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(861), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29026] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(862), 1,
      sym_comment,
    ACTIONS(1553), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29098] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(863), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29168] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(864), 1,
      sym_comment,
    ACTIONS(1735), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29238] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(865), 1,
      sym_comment,
    ACTIONS(1603), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29308] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(866), 1,
      sym_comment,
    ACTIONS(1601), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29378] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(867), 1,
      sym_comment,
    ACTIONS(1599), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29448] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1087), 1,
      sym__automatic_semicolon,
    STATE(868), 1,
      sym_comment,
    ACTIONS(933), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29522] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(869), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29594] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(870), 1,
      sym_comment,
    ACTIONS(1631), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29666] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(871), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29736] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(872), 1,
      sym_comment,
    ACTIONS(1551), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29808] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(873), 1,
      sym_comment,
    ACTIONS(1549), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29880] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(874), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29950] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(875), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30020] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1745), 1,
      ts_builtin_sym_end,
    STATE(876), 1,
      sym_comment,
    ACTIONS(1545), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30092] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(877), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30164] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(878), 1,
      sym_comment,
    ACTIONS(1541), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30236] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(879), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30306] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(880), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30376] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(881), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30446] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(882), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30516] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(883), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30586] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(884), 1,
      sym_comment,
    ACTIONS(1587), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30656] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(885), 1,
      sym_comment,
    ACTIONS(1589), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(886), 1,
      sym_comment,
    ACTIONS(1591), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30796] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(887), 1,
      sym_comment,
    ACTIONS(927), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(925), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30868] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(888), 1,
      sym_comment,
    ACTIONS(1533), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(889), 1,
      sym_comment,
    ACTIONS(1593), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31010] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(890), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31082] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(891), 1,
      sym_comment,
    ACTIONS(1537), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(892), 1,
      sym_comment,
    ACTIONS(1535), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31224] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(893), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31296] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(894), 1,
      sym_comment,
    ACTIONS(1627), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31368] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1529), 1,
      ts_builtin_sym_end,
    STATE(895), 1,
      sym_comment,
    ACTIONS(1495), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31440] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(896), 1,
      sym_comment,
    ACTIONS(1599), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31510] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(897), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31581] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1759), 1,
      ts_builtin_sym_end,
    STATE(898), 1,
      sym_comment,
    ACTIONS(1627), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31652] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1661), 1,
      ts_builtin_sym_end,
    STATE(899), 1,
      sym_comment,
    ACTIONS(1623), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31723] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(900), 1,
      sym_comment,
    ACTIONS(1577), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31794] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(901), 1,
      sym_comment,
    ACTIONS(1579), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31865] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1665), 1,
      ts_builtin_sym_end,
    STATE(902), 1,
      sym_comment,
    ACTIONS(1619), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31936] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(903), 1,
      sym_comment,
    ACTIONS(1635), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32007] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(904), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32078] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(905), 1,
      sym_comment,
    ACTIONS(1617), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32149] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(906), 1,
      sym_comment,
    ACTIONS(1637), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32220] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(907), 1,
      sym_comment,
    ACTIONS(1551), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32291] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(908), 1,
      sym_comment,
    ACTIONS(1549), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32362] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(909), 1,
      sym_comment,
    ACTIONS(1625), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32433] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(910), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32504] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(911), 1,
      sym_comment,
    ACTIONS(1593), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32575] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(903), 1,
      ts_builtin_sym_end,
    STATE(912), 1,
      sym_comment,
    ACTIONS(901), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32646] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
    STATE(913), 1,
      sym_comment,
    ACTIONS(1591), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32717] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(914), 1,
      sym_comment,
    ACTIONS(1581), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32788] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(915), 1,
      sym_comment,
    ACTIONS(1615), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32859] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(916), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32930] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1755), 1,
      ts_builtin_sym_end,
    STATE(917), 1,
      sym_comment,
    ACTIONS(1537), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33001] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(918), 1,
      sym_comment,
    ACTIONS(1583), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33072] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(919), 1,
      sym_comment,
    ACTIONS(1613), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33143] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(920), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33214] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1761), 1,
      ts_builtin_sym_end,
    STATE(921), 1,
      sym_comment,
    ACTIONS(1735), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33285] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    STATE(922), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1765), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33372] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1691), 1,
      ts_builtin_sym_end,
    STATE(923), 1,
      sym_comment,
    ACTIONS(1589), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33443] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1757), 1,
      ts_builtin_sym_end,
    STATE(924), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33514] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(925), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33585] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(926), 1,
      sym_comment,
    ACTIONS(1533), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33656] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(927), 1,
      sym_comment,
    ACTIONS(1611), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33727] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(928), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33798] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(929), 1,
      sym_comment,
    ACTIONS(1587), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33869] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(930), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33940] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(931), 1,
      sym_comment,
    ACTIONS(1607), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34011] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(932), 1,
      sym_comment,
    ACTIONS(1605), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34082] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(933), 1,
      sym_comment,
    ACTIONS(1603), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34153] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(934), 1,
      sym_comment,
    ACTIONS(1601), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34224] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    STATE(935), 1,
      sym_comment,
    ACTIONS(897), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34295] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1659), 1,
      ts_builtin_sym_end,
    STATE(936), 1,
      sym_comment,
    ACTIONS(1641), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34366] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      sym_comment,
    ACTIONS(1599), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34437] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    STATE(938), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1765), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34524] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(939), 1,
      sym_comment,
    ACTIONS(1599), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34595] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(940), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34666] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(941), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34737] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(942), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34808] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1745), 1,
      ts_builtin_sym_end,
    STATE(943), 1,
      sym_comment,
    ACTIONS(1545), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34879] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(944), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34950] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(945), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35021] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(946), 1,
      sym_comment,
    ACTIONS(1527), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35092] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(947), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35163] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(948), 1,
      sym_comment,
    ACTIONS(1575), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35234] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(949), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35305] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(950), 1,
      sym_comment,
    ACTIONS(1569), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35376] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(951), 1,
      sym_comment,
    ACTIONS(1567), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35447] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(952), 1,
      sym_comment,
    ACTIONS(1565), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35518] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(953), 1,
      sym_comment,
    ACTIONS(1563), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35589] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1723), 1,
      ts_builtin_sym_end,
    STATE(954), 1,
      sym_comment,
    ACTIONS(1561), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35660] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1725), 1,
      ts_builtin_sym_end,
    STATE(955), 1,
      sym_comment,
    ACTIONS(1557), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35731] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(956), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35802] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(957), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1663), 1,
      ts_builtin_sym_end,
    STATE(958), 1,
      sym_comment,
    ACTIONS(1621), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35944] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(959), 1,
      sym_comment,
    ACTIONS(1577), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36015] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(960), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36086] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(961), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36157] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(962), 1,
      sym_comment,
    ACTIONS(1571), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(963), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36299] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(964), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36370] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(965), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36441] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(966), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36512] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(967), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36583] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(968), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36654] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(969), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36725] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(970), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36796] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(971), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36867] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(972), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36938] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(973), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37009] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(974), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37080] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(975), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37151] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(976), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37222] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(977), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37293] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(978), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37364] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(979), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37435] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(980), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37506] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(981), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(982), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37648] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(983), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37719] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(984), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37790] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(985), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37861] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(986), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37932] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(987), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38003] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(988), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38074] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(989), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38145] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1733), 1,
      ts_builtin_sym_end,
    STATE(990), 1,
      sym_comment,
    ACTIONS(1553), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38216] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(991), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38287] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    STATE(992), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1765), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [38374] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(993), 1,
      sym_comment,
    ACTIONS(1541), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38445] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1731), 1,
      ts_builtin_sym_end,
    STATE(994), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38516] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(995), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38587] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(996), 1,
      sym_comment,
    ACTIONS(1535), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38658] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(997), 1,
      sym_comment,
    ACTIONS(1631), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38729] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(998), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38800] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(999), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38871] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(1000), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1001), 1,
      sym_comment,
    ACTIONS(1776), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1778), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1002), 1,
      sym_comment,
    ACTIONS(1780), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1782), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1003), 1,
      sym_comment,
    ACTIONS(1784), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1786), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1004), 1,
      sym_comment,
    ACTIONS(1788), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1790), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1005), 1,
      sym_comment,
    ACTIONS(1792), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1006), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39362] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1400), 1,
      anon_sym_in,
    ACTIONS(1403), 1,
      anon_sym_of,
    ACTIONS(1411), 1,
      anon_sym_EQ_GT,
    ACTIONS(1800), 1,
      sym_identifier,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(1804), 1,
      anon_sym_LBRACK,
    STATE(1007), 1,
      sym_comment,
    STATE(2441), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1324), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39452] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1765), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1009), 1,
      sym_comment,
    ACTIONS(1641), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39596] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    ACTIONS(1811), 1,
      anon_sym_EQ_GT,
    STATE(1010), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39671] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1011), 1,
      sym_comment,
    ACTIONS(1813), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39738] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1012), 1,
      sym_comment,
    ACTIONS(1815), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39805] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1811), 1,
      anon_sym_EQ_GT,
    STATE(1013), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39880] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    STATE(1014), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39955] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    STATE(1015), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40030] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1016), 1,
      sym_comment,
    ACTIONS(1819), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1017), 1,
      sym_comment,
    ACTIONS(1819), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1018), 1,
      sym_comment,
    ACTIONS(1819), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40231] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1019), 1,
      sym_comment,
    ACTIONS(1819), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40298] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1020), 1,
      sym_comment,
    ACTIONS(1821), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40365] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1400), 1,
      anon_sym_in,
    ACTIONS(1823), 1,
      anon_sym_of,
    STATE(1021), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40443] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    ACTIONS(1830), 1,
      anon_sym_EQ_GT,
    STATE(1022), 1,
      sym_comment,
    ACTIONS(1825), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40519] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ_GT,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1023), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40595] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1024), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40671] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_in,
    ACTIONS(1843), 1,
      anon_sym_of,
    STATE(1025), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40749] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1026), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40821] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1027), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40897] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    STATE(1028), 1,
      sym_comment,
    ACTIONS(1845), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40973] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1029), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1030), 1,
      sym_comment,
    ACTIONS(1641), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41117] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1031), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41185] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1273), 1,
      anon_sym_COLON,
    STATE(1032), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41261] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    STATE(1033), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41333] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_COLON,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1034), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41409] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1848), 1,
      anon_sym_EQ,
    ACTIONS(1850), 1,
      anon_sym_EQ_GT,
    STATE(1035), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41483] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1036), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41557] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1415), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    STATE(1037), 1,
      sym_comment,
    ACTIONS(1852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41633] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1038), 1,
      sym_comment,
    ACTIONS(1780), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1782), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41701] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1039), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41775] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1428), 1,
      anon_sym_EQ,
    ACTIONS(1856), 1,
      anon_sym_EQ_GT,
    STATE(1040), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41849] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1850), 1,
      anon_sym_EQ_GT,
    STATE(1041), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41923] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    STATE(1042), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41999] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42075] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1289), 1,
      anon_sym_COLON,
    STATE(1044), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1045), 1,
      sym_comment,
    ACTIONS(1792), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42219] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    STATE(1046), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42293] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1047), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42369] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1048), 1,
      sym_comment,
    ACTIONS(1776), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1778), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1049), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42511] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    STATE(1050), 1,
      sym_comment,
    ACTIONS(1858), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42587] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1289), 1,
      anon_sym_COLON,
    ACTIONS(1772), 1,
      anon_sym_EQ_GT,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1051), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42663] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1830), 1,
      anon_sym_EQ_GT,
    STATE(1052), 1,
      sym_comment,
    ACTIONS(1860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42739] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1856), 1,
      anon_sym_EQ_GT,
    STATE(1053), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1054), 1,
      sym_comment,
    ACTIONS(1788), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1790), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42881] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1055), 1,
      sym_comment,
    ACTIONS(1784), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1786), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42949] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1848), 1,
      anon_sym_EQ,
    STATE(1056), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43020] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1057), 1,
      sym_comment,
    ACTIONS(1860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43093] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1058), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43164] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1059), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43237] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    ACTIONS(1811), 1,
      anon_sym_EQ_GT,
    STATE(1060), 1,
      sym_comment,
    ACTIONS(1862), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43312] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    STATE(1061), 1,
      sym_comment,
    ACTIONS(1865), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1062), 1,
      sym_comment,
    ACTIONS(1825), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43460] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_in,
    ACTIONS(1843), 1,
      anon_sym_of,
    STATE(1063), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1765), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1763), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43535] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    STATE(1064), 1,
      sym_comment,
    ACTIONS(1211), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43607] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1830), 1,
      anon_sym_EQ_GT,
    STATE(1065), 1,
      sym_comment,
    ACTIONS(1765), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43679] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    STATE(1066), 1,
      sym_comment,
    ACTIONS(1862), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43751] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    ACTIONS(1845), 1,
      anon_sym_RBRACK,
    ACTIONS(1852), 1,
      anon_sym_COMMA,
    STATE(1067), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43827] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ_GT,
    ACTIONS(1825), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RBRACK,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1068), 1,
      sym_comment,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43903] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1868), 1,
      anon_sym_EQ_GT,
    STATE(1069), 1,
      sym_comment,
    ACTIONS(1765), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43974] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1868), 1,
      anon_sym_EQ_GT,
    ACTIONS(1870), 1,
      anon_sym_EQ,
    STATE(1070), 1,
      sym_comment,
    ACTIONS(1765), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44045] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1830), 1,
      anon_sym_EQ_GT,
    ACTIONS(1840), 1,
      anon_sym_in,
    ACTIONS(1843), 1,
      anon_sym_of,
    STATE(1071), 1,
      sym_comment,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44120] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1400), 1,
      anon_sym_in,
    ACTIONS(1823), 1,
      anon_sym_of,
    ACTIONS(1854), 1,
      anon_sym_EQ_GT,
    STATE(1072), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44195] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1872), 1,
      anon_sym_EQ_GT,
    STATE(1073), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44266] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1485), 1,
      anon_sym_EQ,
    ACTIONS(1872), 1,
      anon_sym_EQ_GT,
    STATE(1074), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44337] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1825), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RBRACK,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1075), 1,
      sym_comment,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44410] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_EQ,
    STATE(1076), 1,
      sym_comment,
    ACTIONS(1765), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44478] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_in,
    ACTIONS(1843), 1,
      anon_sym_of,
    STATE(1077), 1,
      sym_comment,
    ACTIONS(1765), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1774), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1763), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [44550] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1874), 1,
      sym__automatic_semicolon,
    STATE(1078), 1,
      sym_comment,
    ACTIONS(848), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(905), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44610] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    STATE(1079), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1876), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1878), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [44680] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    STATE(1080), 1,
      sym_comment,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [44748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1081), 1,
      sym_comment,
    ACTIONS(1625), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44802] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    STATE(1082), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1896), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1898), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [44872] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1083), 1,
      sym_comment,
    ACTIONS(1627), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44926] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1084), 1,
      sym_comment,
    ACTIONS(1900), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(850), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44985] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1907), 1,
      sym_optional_chain,
    STATE(1085), 1,
      sym_comment,
    STATE(1181), 1,
      sym_arguments,
    ACTIONS(1903), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1905), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45050] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    STATE(1086), 1,
      sym_comment,
    STATE(1181), 1,
      sym_arguments,
    ACTIONS(1903), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1905), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1087), 1,
      sym_comment,
    ACTIONS(1635), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45162] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    STATE(1088), 1,
      sym_comment,
    ACTIONS(1913), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1909), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45221] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1089), 1,
      sym_comment,
    ACTIONS(1637), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45274] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1090), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45331] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1091), 1,
      sym_comment,
    ACTIONS(1631), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45384] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1918), 1,
      sym__automatic_semicolon,
    STATE(1092), 1,
      sym_comment,
    ACTIONS(901), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(903), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45441] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1093), 1,
      sym_comment,
    ACTIONS(1633), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [45494] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1094), 1,
      sym_comment,
    ACTIONS(1924), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45553] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1874), 1,
      sym__automatic_semicolon,
    STATE(1095), 1,
      sym_comment,
    ACTIONS(848), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(905), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45610] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1096), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [45702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1097), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1098), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1963), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1099), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45864] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1100), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45934] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1101), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1967), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1102), 1,
      sym_comment,
    ACTIONS(925), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(927), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46088] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    STATE(1103), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [46182] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1104), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46258] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1105), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1965), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [46346] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    STATE(1106), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [46436] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    STATE(1107), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [46528] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1108), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46602] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1109), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46672] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1110), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1965), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [46756] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    STATE(1111), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [46852] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    STATE(1112), 1,
      sym_comment,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [46918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1113), 1,
      sym_comment,
    ACTIONS(1987), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1989), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1114), 1,
      sym_comment,
    ACTIONS(1991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1993), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1115), 1,
      sym_comment,
    ACTIONS(1995), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1997), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1116), 1,
      sym_comment,
    ACTIONS(1999), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2001), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47134] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1117), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2003), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [47234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1118), 1,
      sym_comment,
    ACTIONS(2005), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2007), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47288] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1119), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2007), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [47388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1120), 1,
      sym_comment,
    ACTIONS(2009), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2011), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47442] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1907), 1,
      sym_optional_chain,
    STATE(1121), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1122), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47556] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    STATE(1123), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1876), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1878), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1124), 1,
      sym_comment,
    ACTIONS(935), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(939), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47678] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2019), 1,
      sym__automatic_semicolon,
    STATE(1125), 1,
      sym_comment,
    ACTIONS(901), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(903), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1126), 1,
      sym_comment,
    ACTIONS(2021), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2023), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1127), 1,
      sym_comment,
    ACTIONS(2025), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1128), 1,
      sym_comment,
    ACTIONS(901), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(903), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1129), 1,
      sym_comment,
    ACTIONS(897), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(899), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1130), 1,
      sym_comment,
    ACTIONS(983), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(987), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48004] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1131), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2029), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1132), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2029), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48158] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1133), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1134), 1,
      sym_comment,
    ACTIONS(897), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(899), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1135), 1,
      sym_comment,
    ACTIONS(975), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(979), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48366] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1136), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1137), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2039), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1138), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1139), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1140), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2051), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1141), 1,
      sym_comment,
    ACTIONS(943), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(947), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1142), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2055), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1143), 1,
      sym_comment,
    ACTIONS(967), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(971), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1144), 1,
      sym_comment,
    ACTIONS(991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(995), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1145), 1,
      sym_comment,
    ACTIONS(951), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(955), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1146), 1,
      sym_comment,
    ACTIONS(959), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(963), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1147), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1148), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1149), 1,
      sym_comment,
    ACTIONS(929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(931), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1150), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2067), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1151), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2071), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1152), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1153), 1,
      sym_comment,
    ACTIONS(901), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(903), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49384] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    STATE(1154), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49464] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1155), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2077), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1156), 1,
      sym_comment,
    ACTIONS(2079), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2077), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49618] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2081), 1,
      sym__automatic_semicolon,
    STATE(1157), 1,
      sym_comment,
    ACTIONS(848), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(905), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1158), 1,
      sym_comment,
    ACTIONS(2083), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2085), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49728] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1159), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2087), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49828] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    STATE(1160), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1896), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1898), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1161), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1162), 1,
      sym_comment,
    ACTIONS(2093), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1163), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1164), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1165), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1166), 1,
      sym_comment,
    ACTIONS(925), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(927), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1167), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1168), 1,
      sym_comment,
    ACTIONS(2101), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1169), 1,
      sym_comment,
    ACTIONS(2105), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50382] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1170), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2107), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1171), 1,
      sym_comment,
    ACTIONS(2109), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1172), 1,
      sym_comment,
    ACTIONS(2113), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2115), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50590] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1173), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2115), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1174), 1,
      sym_comment,
    ACTIONS(2117), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2119), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50744] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1175), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2119), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1176), 1,
      sym_comment,
    ACTIONS(2121), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2129), 1,
      sym_regex_flags,
    STATE(1177), 1,
      sym_comment,
    ACTIONS(2125), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2127), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1178), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51008] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1179), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2135), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1180), 1,
      sym_comment,
    ACTIONS(2137), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2139), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1181), 1,
      sym_comment,
    ACTIONS(2141), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51216] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1182), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1183), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1184), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1185), 1,
      sym_comment,
    ACTIONS(2155), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1186), 1,
      sym_comment,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1187), 1,
      sym_comment,
    ACTIONS(2163), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2165), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1188), 1,
      sym_comment,
    ACTIONS(929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(931), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1189), 1,
      sym_comment,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2169), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51694] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2175), 1,
      anon_sym_in,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1190), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2173), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51795] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    STATE(1191), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51870] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1192), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51939] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1193), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52012] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1194), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52103] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1195), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52192] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1196), 1,
      sym_comment,
    ACTIONS(1965), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52279] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1197), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52354] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1198), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52447] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1199), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52538] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1200), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52607] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1201), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2222), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52710] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1202), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2248), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1203), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52866] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1204), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52945] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1205), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2077), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53044] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1206), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53143] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1207), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2003), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53242] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1208), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2007), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53341] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2250), 1,
      anon_sym_COMMA,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    STATE(1209), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2087), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53444] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1210), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53547] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1211), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53650] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1212), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    STATE(1213), 1,
      sym_comment,
    ACTIONS(1909), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53804] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1214), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53903] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1215), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [53998] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1216), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2259), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1217), 1,
      sym_comment,
    ACTIONS(850), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54156] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1218), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2077), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54255] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1219), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54358] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1220), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2263), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [54457] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1221), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54560] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1222), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54663] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2269), 1,
      anon_sym_COMMA,
    STATE(1223), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2033), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54766] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1224), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54869] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1225), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2135), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1226), 1,
      sym_comment,
    ACTIONS(1961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1963), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55021] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1227), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2274), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55124] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1228), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55227] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1229), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55326] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1230), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55425] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    STATE(1231), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1965), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [55508] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1232), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2035), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55607] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1233), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2007), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55706] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1234), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2278), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55809] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    STATE(1235), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55888] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    STATE(1236), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55957] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1237), 1,
      sym_comment,
    ACTIONS(850), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56012] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1238), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2280), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56115] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1239), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2282), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56214] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      sym_optional_chain,
    STATE(1240), 1,
      sym_comment,
    STATE(1366), 1,
      sym_arguments,
    ACTIONS(1903), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1905), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56277] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1241), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2119), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56376] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1242), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2115), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56475] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    STATE(1243), 1,
      sym_comment,
    STATE(1366), 1,
      sym_arguments,
    ACTIONS(1903), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1905), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56532] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1244), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2107), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [56631] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    STATE(1245), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [56722] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    STATE(1246), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [56815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1247), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56870] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1248), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2029), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56969] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1249), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57072] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    STATE(1250), 1,
      sym_comment,
    ACTIONS(1965), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [57159] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    STATE(1251), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [57248] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1252), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57347] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    STATE(1253), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [57438] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2288), 1,
      sym__automatic_semicolon,
    STATE(1254), 1,
      sym_comment,
    ACTIONS(905), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(850), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57497] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1255), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57600] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1256), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57655] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    STATE(1257), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [57750] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1258), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2029), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57849] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    STATE(1259), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57922] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1260), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2107), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58021] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    STATE(1261), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [58090] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1262), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2115), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58189] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    STATE(1263), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1965), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [58272] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1264), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2119), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58371] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1265), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2003), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58470] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2081), 1,
      sym__automatic_semicolon,
    STATE(1266), 1,
      sym_comment,
    ACTIONS(848), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(905), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58527] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1267), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58630] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    STATE(1268), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    STATE(1269), 1,
      sym_comment,
    ACTIONS(1909), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58740] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2294), 1,
      anon_sym_COMMA,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2087), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58843] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1271), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58942] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2184), 1,
      anon_sym_GT_GT,
    ACTIONS(2188), 1,
      anon_sym_AMP,
    ACTIONS(2190), 1,
      anon_sym_CARET,
    ACTIONS(2192), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_PERCENT,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2208), 1,
      sym__ternary_qmark,
    STATE(1272), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2178), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2135), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59041] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1273), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1274), 1,
      sym_comment,
    ACTIONS(1987), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1989), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59148] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2301), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1276), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2055), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1277), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2059), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1278), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2071), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1279), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59458] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2303), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59560] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1281), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59616] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1282), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2173), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1283), 1,
      sym_comment,
    ACTIONS(1999), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2001), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1284), 1,
      sym_comment,
    ACTIONS(2083), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2085), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1285), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1286), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2047), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1287), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2029), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1288), 1,
      sym_comment,
    ACTIONS(2105), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1289), 1,
      sym_comment,
    ACTIONS(1991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1993), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60078] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2305), 1,
      anon_sym_RPAREN,
    STATE(1290), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60180] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1291), 1,
      sym_comment,
    ACTIONS(2307), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(850), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60236] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2309), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60338] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2311), 1,
      anon_sym_RPAREN,
    STATE(1293), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60440] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2313), 1,
      anon_sym_RPAREN,
    STATE(1294), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60542] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1295), 1,
      sym_comment,
    ACTIONS(2109), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1296), 1,
      sym_comment,
    ACTIONS(2113), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2115), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1297), 1,
      sym_comment,
    ACTIONS(2117), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2119), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1298), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2149), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60750] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60852] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2317), 1,
      anon_sym_RPAREN,
    STATE(1300), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60954] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    STATE(1301), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61056] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
    STATE(1302), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61158] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(1303), 1,
      sym_comment,
    STATE(2069), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61260] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_in,
    ACTIONS(1843), 1,
      anon_sym_of,
    STATE(1304), 1,
      sym_comment,
    ACTIONS(1763), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61318] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_RPAREN,
    STATE(1305), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61420] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RBRACK,
    STATE(1306), 1,
      sym_comment,
    STATE(2051), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61522] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      sym_comment,
    ACTIONS(1860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1308), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1309), 1,
      sym_comment,
    ACTIONS(2025), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2027), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61682] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_RPAREN,
    STATE(1310), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1311), 1,
      sym_comment,
    ACTIONS(991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(995), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1312), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2039), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61888] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61990] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(1314), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62092] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    STATE(1315), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1316), 1,
      sym_comment,
    ACTIONS(2155), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1317), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2051), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1318), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1319), 1,
      sym_comment,
    ACTIONS(2021), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2023), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62402] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2339), 1,
      anon_sym_RPAREN,
    STATE(1320), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1321), 1,
      sym_comment,
    ACTIONS(935), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(939), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62556] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2341), 1,
      sym__automatic_semicolon,
    STATE(1322), 1,
      sym_comment,
    ACTIONS(1023), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(995), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62612] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    STATE(1323), 1,
      sym_comment,
    ACTIONS(2343), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1909), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62668] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1827), 1,
      anon_sym_EQ,
    STATE(1324), 1,
      sym_comment,
    ACTIONS(1825), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62724] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2345), 1,
      anon_sym_RBRACK,
    STATE(1325), 1,
      sym_comment,
    STATE(2089), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62826] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2347), 1,
      anon_sym_RBRACK,
    STATE(1326), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62928] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1327), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1967), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1328), 1,
      sym_comment,
    ACTIONS(2093), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1329), 1,
      sym_comment,
    ACTIONS(2121), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1330), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63182] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2349), 1,
      sym__automatic_semicolon,
    STATE(1331), 1,
      sym_comment,
    ACTIONS(1003), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(935), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(939), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1332), 1,
      sym_comment,
    ACTIONS(943), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(947), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1333), 1,
      sym_comment,
    ACTIONS(951), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(955), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1334), 1,
      sym_comment,
    ACTIONS(959), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(963), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1848), 1,
      anon_sym_EQ,
    STATE(1335), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63448] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RBRACK,
    STATE(1336), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1337), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    ACTIONS(2343), 1,
      anon_sym_of,
    ACTIONS(2353), 1,
      anon_sym_in,
    STATE(1338), 1,
      sym_comment,
    ACTIONS(1909), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63660] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2356), 1,
      anon_sym_RPAREN,
    STATE(1339), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63762] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(1340), 1,
      sym_comment,
    STATE(2166), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63864] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1838), 1,
      anon_sym_EQ,
    STATE(1341), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63918] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2360), 1,
      anon_sym_RPAREN,
    STATE(1342), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1343), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2067), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64072] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2362), 1,
      anon_sym_RBRACK,
    STATE(1344), 1,
      sym_comment,
    STATE(2089), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64174] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(2364), 1,
      anon_sym_in,
    ACTIONS(2367), 1,
      anon_sym_of,
    STATE(1345), 1,
      sym_comment,
    ACTIONS(1920), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64232] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1346), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2369), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64330] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2371), 1,
      anon_sym_RBRACE,
    STATE(1347), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1348), 1,
      sym_comment,
    ACTIONS(2137), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2139), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64484] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2373), 1,
      anon_sym_RPAREN,
    STATE(1349), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1350), 1,
      sym_comment,
    ACTIONS(2079), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2077), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1351), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64690] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2375), 1,
      anon_sym_RBRACK,
    STATE(1352), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1353), 1,
      sym_comment,
    ACTIONS(2151), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64844] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2377), 1,
      sym__automatic_semicolon,
    STATE(1354), 1,
      sym_comment,
    ACTIONS(999), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(983), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(987), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1355), 1,
      sym_comment,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1356), 1,
      sym_comment,
    ACTIONS(2101), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65004] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2379), 1,
      anon_sym_RPAREN,
    STATE(1357), 1,
      sym_comment,
    STATE(2094), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65106] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2381), 1,
      sym__automatic_semicolon,
    STATE(1358), 1,
      sym_comment,
    ACTIONS(1041), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(943), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(947), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1359), 1,
      sym_comment,
    ACTIONS(2163), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2165), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65214] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    STATE(1360), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65316] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
    STATE(1361), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65418] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65520] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2389), 1,
      sym_regex_flags,
    STATE(1363), 1,
      sym_comment,
    ACTIONS(2125), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2127), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65574] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2389), 1,
      sym_regex_flags,
    STATE(1364), 1,
      sym_comment,
    ACTIONS(2125), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2127), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65628] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      sym_optional_chain,
    STATE(1365), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1366), 1,
      sym_comment,
    ACTIONS(2141), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65738] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2391), 1,
      sym__automatic_semicolon,
    STATE(1367), 1,
      sym_comment,
    ACTIONS(1037), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(951), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(955), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65794] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2393), 1,
      sym__automatic_semicolon,
    STATE(1368), 1,
      sym_comment,
    ACTIONS(1057), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(959), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(963), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1369), 1,
      sym_comment,
    ACTIONS(1957), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1959), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1370), 1,
      sym_comment,
    ACTIONS(967), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(971), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1371), 1,
      sym_comment,
    ACTIONS(975), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(979), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1372), 1,
      sym_comment,
    ACTIONS(983), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(987), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1373), 1,
      sym_comment,
    ACTIONS(2167), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2169), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1374), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1375), 1,
      sym_comment,
    ACTIONS(2005), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2007), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1376), 1,
      sym_comment,
    ACTIONS(2013), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2015), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66266] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2395), 1,
      sym__automatic_semicolon,
    STATE(1377), 1,
      sym_comment,
    ACTIONS(1047), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(975), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(979), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66322] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2307), 1,
      anon_sym_of,
    ACTIONS(2397), 1,
      anon_sym_in,
    STATE(1378), 1,
      sym_comment,
    ACTIONS(850), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66380] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(1379), 1,
      sym_comment,
    STATE(2088), 1,
      aux_sym_array_repeat1,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66482] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    STATE(1380), 1,
      sym_comment,
    ACTIONS(2367), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1381), 1,
      sym_comment,
    ACTIONS(2009), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2011), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1382), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1383), 1,
      sym_comment,
    ACTIONS(1995), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1997), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66694] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2402), 1,
      sym__automatic_semicolon,
    STATE(1384), 1,
      sym_comment,
    ACTIONS(1053), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(967), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(971), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66750] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2404), 1,
      anon_sym_SEMI,
    ACTIONS(2406), 1,
      sym__automatic_semicolon,
    STATE(1385), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66849] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1386), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66946] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    ACTIONS(2413), 1,
      anon_sym_COLON,
    STATE(1387), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67001] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2415), 1,
      anon_sym_SEMI,
    ACTIONS(2417), 1,
      sym__automatic_semicolon,
    STATE(1388), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67100] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2419), 1,
      anon_sym_SEMI,
    ACTIONS(2421), 1,
      sym__automatic_semicolon,
    STATE(1389), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67199] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1390), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67296] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    STATE(1391), 1,
      sym_comment,
    ACTIONS(1862), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67351] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2425), 1,
      anon_sym_SEMI,
    ACTIONS(2427), 1,
      sym__automatic_semicolon,
    STATE(1392), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67450] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1393), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2135), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67547] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1394), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2119), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67644] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1395), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2115), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67741] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1396), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2107), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67838] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1397), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2463), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67935] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1398), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2007), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68032] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1399), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68129] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1400), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68226] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2470), 1,
      anon_sym_COLON,
    STATE(1401), 1,
      sym_comment,
    ACTIONS(2041), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2043), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68281] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1402), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68358] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1403), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2253), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68455] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1404), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [68548] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1405), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68619] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1406), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1965), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [68700] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1407), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68797] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1408), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68864] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    STATE(1409), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68961] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    STATE(1410), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2297), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69058] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1411), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [69147] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1412), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [69234] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1413), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1965), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [69319] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1414), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69392] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1415), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [69483] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1416), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [69572] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    STATE(1417), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69639] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2214), 1,
      anon_sym_PERCENT,
    ACTIONS(2216), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2224), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2228), 1,
      anon_sym_GT_GT,
    ACTIONS(2232), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2236), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      sym__ternary_qmark,
    ACTIONS(2476), 1,
      anon_sym_SEMI,
    ACTIONS(2478), 1,
      sym__automatic_semicolon,
    STATE(1418), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2230), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2220), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69738] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1419), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2077), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69835] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1420), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2145), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69932] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1421), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2087), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70029] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1422), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2035), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70126] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1423), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2029), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70223] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1424), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2033), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70320] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1425), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [70408] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    ACTIONS(2506), 1,
      anon_sym_COLON,
    STATE(1426), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70504] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1825), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RBRACK,
    ACTIONS(1835), 1,
      anon_sym_EQ,
    STATE(1427), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70560] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2035), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1428), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70656] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1429), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70752] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2135), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1430), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70848] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2119), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1431), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70944] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1432), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71040] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1433), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71136] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    ACTIONS(2516), 1,
      anon_sym_COLON,
    STATE(1434), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71232] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    ACTIONS(2518), 1,
      anon_sym_COLON,
    STATE(1435), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71328] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2520), 1,
      anon_sym_RBRACK,
    STATE(1436), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71424] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1437), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71520] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1913), 1,
      anon_sym_RBRACK,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    ACTIONS(2343), 1,
      anon_sym_COMMA,
    STATE(1438), 1,
      sym_comment,
    ACTIONS(1909), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71576] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1924), 1,
      anon_sym_RBRACK,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    STATE(1439), 1,
      sym_comment,
    ACTIONS(1920), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71632] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1900), 1,
      anon_sym_RBRACK,
    ACTIONS(2307), 1,
      anon_sym_COMMA,
    STATE(1440), 1,
      sym_comment,
    ACTIONS(850), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71688] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    ACTIONS(2522), 1,
      anon_sym_COLON,
    STATE(1441), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71784] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    ACTIONS(2524), 1,
      anon_sym_LBRACE,
    STATE(1442), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71880] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2029), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1443), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71976] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1444), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72072] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1445), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72168] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1446), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72264] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2077), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    STATE(1447), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72360] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    STATE(1448), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1931), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72452] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1449), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72528] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1450), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72594] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_GT_GT,
    ACTIONS(1939), 1,
      anon_sym_AMP,
    ACTIONS(1941), 1,
      anon_sym_CARET,
    ACTIONS(1943), 1,
      anon_sym_PIPE,
    ACTIONS(1947), 1,
      anon_sym_PERCENT,
    ACTIONS(1949), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1971), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1973), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1975), 1,
      sym__ternary_qmark,
    ACTIONS(2526), 1,
      anon_sym_RBRACK,
    STATE(1451), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1929), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1945), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1953), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1955), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1933), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72690] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2173), 1,
      anon_sym_of,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2512), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 1,
      sym__ternary_qmark,
    ACTIONS(2528), 1,
      anon_sym_in,
    STATE(1452), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72788] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2508), 1,
      anon_sym_AMP_AMP,
    STATE(1453), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72878] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1454), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72950] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1455), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1965), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [73034] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1456), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [73120] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1457), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1965), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [73200] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_PIPE,
    ACTIONS(2484), 1,
      anon_sym_GT_GT,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2490), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1458), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2494), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1931), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73288] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    ACTIONS(2531), 1,
      anon_sym_COLON,
    STATE(1459), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73384] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1460), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73450] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2496), 1,
      anon_sym_PERCENT,
    ACTIONS(2498), 1,
      anon_sym_STAR_STAR,
    STATE(1461), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2480), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1965), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73520] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2535), 1,
      anon_sym_RBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2539), 1,
      anon_sym_async,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2543), 1,
      anon_sym_static,
    STATE(1462), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2085), 1,
      aux_sym_object_repeat1,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2545), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2533), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2086), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [73615] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2129), 1,
      sym_regex_flags,
    STATE(1463), 1,
      sym_comment,
    ACTIONS(2125), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2127), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1807), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_in,
    ACTIONS(1843), 1,
      anon_sym_of,
    STATE(1464), 1,
      sym_comment,
    ACTIONS(1763), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73721] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      sym_optional_chain,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1465), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73814] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1916), 1,
      anon_sym_EQ,
    ACTIONS(2343), 1,
      anon_sym_of,
    ACTIONS(2353), 1,
      anon_sym_in,
    STATE(1466), 1,
      sym_comment,
    ACTIONS(1909), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1911), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73869] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1983), 1,
      sym_optional_chain,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2435), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2437), 1,
      anon_sym_GT_GT,
    ACTIONS(2441), 1,
      anon_sym_AMP,
    ACTIONS(2443), 1,
      anon_sym_CARET,
    ACTIONS(2445), 1,
      anon_sym_PIPE,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2459), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 1,
      sym__ternary_qmark,
    STATE(1467), 1,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2429), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2455), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2457), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2431), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2453), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73962] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2549), 1,
      anon_sym_RBRACE,
    ACTIONS(2551), 1,
      anon_sym_async,
    ACTIONS(2553), 1,
      anon_sym_static,
    STATE(1468), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2139), 1,
      aux_sym_object_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2555), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2547), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2150), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74057] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    ACTIONS(2561), 1,
      anon_sym_async,
    ACTIONS(2563), 1,
      anon_sym_static,
    STATE(1469), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2085), 1,
      aux_sym_object_repeat1,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2565), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2557), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2086), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74152] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(2364), 1,
      anon_sym_in,
    ACTIONS(2367), 1,
      anon_sym_of,
    STATE(1470), 1,
      sym_comment,
    ACTIONS(1920), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1922), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74207] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2571), 1,
      anon_sym_async,
    ACTIONS(2573), 1,
      anon_sym_static,
    STATE(1471), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2085), 1,
      aux_sym_object_repeat1,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2575), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2567), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2086), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74302] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_async,
    ACTIONS(2583), 1,
      anon_sym_static,
    STATE(1472), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2085), 1,
      aux_sym_object_repeat1,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2585), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2577), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2086), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74397] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_EQ,
    STATE(1473), 1,
      sym_comment,
    ACTIONS(1763), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1765), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74448] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2589), 1,
      anon_sym_RBRACE,
    ACTIONS(2591), 1,
      anon_sym_async,
    ACTIONS(2593), 1,
      anon_sym_static,
    STATE(1474), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2139), 1,
      aux_sym_object_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2595), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2587), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2150), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74543] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2307), 1,
      anon_sym_of,
    ACTIONS(2397), 1,
      anon_sym_in,
    STATE(1475), 1,
      sym_comment,
    ACTIONS(850), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(856), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74598] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2599), 1,
      anon_sym_RBRACE,
    ACTIONS(2601), 1,
      anon_sym_async,
    ACTIONS(2603), 1,
      anon_sym_static,
    STATE(1476), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2085), 1,
      aux_sym_object_repeat1,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2605), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2597), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2086), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
  [74693] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_async,
    ACTIONS(2614), 1,
      anon_sym_static,
    STATE(1477), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2143), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2616), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2607), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2551), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2556), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [74780] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    STATE(1478), 1,
      sym_comment,
    STATE(1484), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74867] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    STATE(1479), 1,
      sym_comment,
    STATE(1486), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74954] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1480), 1,
      sym_comment,
    STATE(1495), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75041] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2649), 1,
      anon_sym_STAR,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    ACTIONS(2654), 1,
      anon_sym_SEMI,
    ACTIONS(2657), 1,
      anon_sym_LBRACK,
    ACTIONS(2660), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2663), 1,
      anon_sym_DQUOTE,
    ACTIONS(2666), 1,
      anon_sym_SQUOTE,
    ACTIONS(2669), 1,
      anon_sym_async,
    ACTIONS(2675), 1,
      anon_sym_AT,
    ACTIONS(2678), 1,
      anon_sym_static,
    ACTIONS(2681), 1,
      aux_sym_method_definition_token1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2672), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2684), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1481), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2646), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75126] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1482), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75213] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1483), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75300] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1484), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75387] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    STATE(1482), 1,
      aux_sym_class_body_repeat1,
    STATE(1485), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75474] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1486), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75561] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2697), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1487), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75648] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    STATE(1488), 1,
      sym_comment,
    STATE(1489), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75735] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1489), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75822] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    STATE(1483), 1,
      aux_sym_class_body_repeat1,
    STATE(1490), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75909] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    STATE(1487), 1,
      aux_sym_class_body_repeat1,
    STATE(1491), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75996] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1492), 1,
      sym_comment,
    STATE(1496), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76083] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1493), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76170] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    STATE(1493), 1,
      aux_sym_class_body_repeat1,
    STATE(1494), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76257] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1495), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76344] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1496), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76431] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    STATE(1497), 1,
      sym_comment,
    STATE(1498), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76518] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1498), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76605] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    STATE(1499), 1,
      sym_comment,
    STATE(1500), 1,
      aux_sym_class_body_repeat1,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76692] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2620), 1,
      anon_sym_STAR,
    ACTIONS(2624), 1,
      anon_sym_SEMI,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2632), 1,
      anon_sym_async,
    ACTIONS(2636), 1,
      anon_sym_static,
    ACTIONS(2638), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      aux_sym_class_body_repeat1,
    STATE(1500), 1,
      sym_comment,
    STATE(1538), 1,
      aux_sym_export_statement_repeat1,
    STATE(1573), 1,
      sym_method_definition,
    STATE(1574), 1,
      sym_class_static_block,
    STATE(1579), 1,
      sym_glimmer_template,
    STATE(1646), 1,
      sym_decorator,
    STATE(1789), 1,
      sym__property_name,
    STATE(1977), 1,
      sym_glimmer_opening_tag,
    STATE(2565), 1,
      sym_field_definition,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [76779] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1063), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2733), 1,
      anon_sym_async,
    ACTIONS(2735), 1,
      anon_sym_static,
    STATE(1501), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2136), 1,
      sym__property_name,
    STATE(2141), 1,
      aux_sym_object_repeat1,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2737), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2725), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2147), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [76856] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(893), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    STATE(1502), 1,
      sym_comment,
    STATE(2084), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2087), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2739), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [76922] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1063), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_async,
    ACTIONS(2751), 1,
      anon_sym_static,
    STATE(1503), 1,
      sym_comment,
    STATE(1534), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2136), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2753), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2745), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2556), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [76994] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(893), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    STATE(1504), 1,
      sym_comment,
    STATE(2138), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2748), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2155), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2755), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77060] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(893), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      anon_sym_LBRACK,
    STATE(1505), 1,
      sym_comment,
    STATE(2748), 1,
      sym__property_name,
    STATE(2767), 1,
      sym__destructuring_pattern,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2761), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2551), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2759), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77121] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1506), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77186] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1507), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77249] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1508), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77314] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1509), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77379] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1330), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1510), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77444] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1511), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77507] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1512), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77570] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1330), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1513), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77633] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    STATE(1514), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77698] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77761] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1516), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77826] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_RBRACE,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1517), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77891] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_RBRACE,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1518), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77954] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1519), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78017] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1520), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78075] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1521), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78133] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_RBRACE,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1522), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78191] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    STATE(1523), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78249] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2777), 1,
      anon_sym_STAR,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    ACTIONS(2781), 1,
      anon_sym_async,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1524), 1,
      sym_comment,
    STATE(1565), 1,
      sym_statement_block,
    STATE(1796), 1,
      sym__property_name,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2783), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2618), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78309] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1525), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78367] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1330), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1526), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78425] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1527), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78483] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1528), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78542] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1529), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78599] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1530), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78654] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1531), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78711] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_AT,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2792), 1,
      anon_sym_export,
    ACTIONS(2794), 1,
      anon_sym_STAR,
    ACTIONS(2796), 1,
      anon_sym_class,
    ACTIONS(2798), 1,
      anon_sym_async,
    ACTIONS(2800), 1,
      anon_sym_static,
    ACTIONS(2802), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2804), 1,
      anon_sym_get,
    ACTIONS(2806), 1,
      anon_sym_set,
    STATE(1532), 1,
      sym_comment,
    STATE(1595), 1,
      aux_sym_export_statement_repeat1,
    STATE(1637), 1,
      sym_decorator,
    STATE(2490), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1352), 2,
      anon_sym_let,
      sym_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
  [78778] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    STATE(1533), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78832] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2794), 1,
      anon_sym_STAR,
    ACTIONS(2798), 1,
      anon_sym_async,
    ACTIONS(2800), 1,
      anon_sym_static,
    ACTIONS(2802), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2804), 1,
      anon_sym_get,
    ACTIONS(2806), 1,
      anon_sym_set,
    STATE(1534), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(2490), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [78894] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    STATE(1535), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78946] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    STATE(1536), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78996] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1537), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_repeat1,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79048] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2541), 1,
      anon_sym_AT,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2810), 1,
      anon_sym_STAR,
    ACTIONS(2812), 1,
      anon_sym_async,
    ACTIONS(2814), 1,
      anon_sym_static,
    ACTIONS(2816), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2818), 1,
      anon_sym_get,
    ACTIONS(2820), 1,
      anon_sym_set,
    STATE(1538), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_export_statement_repeat1,
    STATE(1646), 1,
      sym_decorator,
    STATE(1791), 1,
      sym__property_name,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2618), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [79110] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    ACTIONS(2822), 1,
      anon_sym_STAR,
    ACTIONS(2824), 1,
      anon_sym_get,
    ACTIONS(2826), 1,
      anon_sym_set,
    STATE(1539), 1,
      sym_comment,
    STATE(2659), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79164] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2626), 1,
      anon_sym_LBRACK,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    ACTIONS(2828), 1,
      anon_sym_STAR,
    ACTIONS(2830), 1,
      anon_sym_async,
    ACTIONS(2832), 1,
      anon_sym_get,
    ACTIONS(2834), 1,
      anon_sym_set,
    STATE(1540), 1,
      sym_comment,
    STATE(1827), 1,
      sym__property_name,
    ACTIONS(2634), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1908), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2618), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [79220] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_STAR,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1541), 1,
      sym_comment,
    STATE(2646), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79272] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    ACTIONS(2838), 1,
      anon_sym_STAR,
    ACTIONS(2840), 1,
      anon_sym_get,
    ACTIONS(2842), 1,
      anon_sym_set,
    STATE(1542), 1,
      sym_comment,
    STATE(2673), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79326] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    ACTIONS(2844), 1,
      anon_sym_STAR,
    STATE(1543), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2846), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [79378] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1544), 1,
      sym_comment,
    STATE(2646), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79425] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1545), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79472] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2848), 1,
      sym__automatic_semicolon,
    STATE(1546), 1,
      sym_comment,
    ACTIONS(901), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79505] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    ACTIONS(2854), 1,
      anon_sym_DOT,
    STATE(1547), 1,
      sym_comment,
    STATE(1615), 1,
      sym_arguments,
    ACTIONS(2850), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79542] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2856), 1,
      sym__automatic_semicolon,
    STATE(1548), 1,
      sym_comment,
    ACTIONS(848), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79575] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1549), 1,
      sym_comment,
    STATE(2661), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79622] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1550), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2767), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79669] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1551), 1,
      sym_comment,
    STATE(2674), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79716] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1552), 1,
      sym_comment,
    STATE(2662), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79763] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      sym__automatic_semicolon,
    STATE(1553), 1,
      sym_comment,
    STATE(2675), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2767), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [79810] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1554), 1,
      sym_comment,
    ACTIONS(2858), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79840] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1555), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79870] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1556), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79900] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1557), 1,
      sym_comment,
    ACTIONS(2862), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79930] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1558), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79960] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1559), 1,
      sym_comment,
    ACTIONS(901), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1560), 1,
      sym_comment,
    ACTIONS(897), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80020] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1561), 1,
      sym_comment,
    ACTIONS(2864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80050] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1562), 1,
      sym_comment,
    ACTIONS(2864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80080] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1563), 1,
      sym_comment,
    ACTIONS(2864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80110] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1564), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80140] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1565), 1,
      sym_comment,
    ACTIONS(2866), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1566), 1,
      sym_comment,
    ACTIONS(2868), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1567), 1,
      sym_comment,
    ACTIONS(2864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80230] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1568), 1,
      sym_comment,
    ACTIONS(2864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80260] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1569), 1,
      sym_comment,
    ACTIONS(2864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80290] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1570), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80320] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1571), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80350] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1572), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80380] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2874), 1,
      anon_sym_SEMI,
    STATE(1573), 1,
      sym_comment,
    ACTIONS(2872), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80412] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1574), 1,
      sym_comment,
    ACTIONS(2872), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1575), 1,
      sym_comment,
    ACTIONS(2877), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80472] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1576), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80502] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1577), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80532] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1578), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80562] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1579), 1,
      sym_comment,
    ACTIONS(2879), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1580), 1,
      sym_comment,
    ACTIONS(2881), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80622] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1581), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80652] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1582), 1,
      sym_comment,
    ACTIONS(1991), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80682] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2883), 1,
      anon_sym_LPAREN,
    ACTIONS(2885), 1,
      anon_sym_DOT,
    STATE(1583), 1,
      sym_comment,
    STATE(1670), 1,
      sym_arguments,
    ACTIONS(2850), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80718] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1584), 1,
      sym_comment,
    ACTIONS(2860), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1585), 1,
      sym_comment,
    ACTIONS(2887), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80778] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1586), 1,
      sym_comment,
    ACTIONS(2858), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80808] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1587), 1,
      sym_comment,
    ACTIONS(2858), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80838] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1588), 1,
      sym_comment,
    ACTIONS(2049), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1589), 1,
      sym_comment,
    ACTIONS(2045), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80898] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1590), 1,
      sym_comment,
    ACTIONS(2858), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80928] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1591), 1,
      sym_comment,
    ACTIONS(2858), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80958] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1592), 1,
      sym_comment,
    ACTIONS(2889), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80988] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1593), 1,
      sym_comment,
    ACTIONS(2891), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81018] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1594), 1,
      sym_comment,
    ACTIONS(2858), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81048] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2895), 1,
      anon_sym_AT,
    STATE(1637), 1,
      sym_decorator,
    STATE(1595), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2893), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81082] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2898), 1,
      anon_sym_STAR,
    ACTIONS(2900), 1,
      anon_sym_get,
    ACTIONS(2902), 1,
      anon_sym_set,
    STATE(1596), 1,
      sym_comment,
    STATE(2534), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81131] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2904), 1,
      anon_sym_AT,
    STATE(1646), 1,
      sym_decorator,
    STATE(1597), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2893), 14,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81164] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2907), 1,
      anon_sym_STAR,
    ACTIONS(2909), 1,
      anon_sym_get,
    ACTIONS(2911), 1,
      anon_sym_set,
    STATE(1598), 1,
      sym_comment,
    STATE(2677), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81213] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      anon_sym_EQ_GT,
    STATE(1599), 1,
      sym_comment,
    STATE(2228), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81258] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1600), 1,
      sym_comment,
    ACTIONS(2891), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81287] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2915), 1,
      anon_sym_STAR,
    STATE(1601), 1,
      sym_comment,
    STATE(2228), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81334] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2919), 1,
      anon_sym_default,
    STATE(962), 1,
      sym_declaration,
    STATE(1602), 1,
      sym_comment,
    STATE(1963), 1,
      aux_sym_export_statement_repeat1,
    STATE(2178), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(946), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81385] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2921), 1,
      anon_sym_STAR,
    ACTIONS(2923), 1,
      anon_sym_get,
    ACTIONS(2925), 1,
      anon_sym_set,
    STATE(1603), 1,
      sym_comment,
    STATE(2310), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81434] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_STAR,
    STATE(1604), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2846), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81481] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2927), 1,
      anon_sym_STAR,
    ACTIONS(2929), 1,
      anon_sym_async,
    ACTIONS(2931), 1,
      anon_sym_get,
    ACTIONS(2933), 1,
      anon_sym_set,
    STATE(1605), 1,
      sym_comment,
    STATE(2348), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [81532] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      anon_sym_get,
    ACTIONS(2939), 1,
      anon_sym_set,
    STATE(1606), 1,
      sym_comment,
    STATE(2561), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [81581] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_comment,
    STATE(2560), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81623] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1608), 1,
      sym_comment,
    STATE(2683), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81665] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1609), 1,
      sym_comment,
    STATE(2384), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81707] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_STAR,
    ACTIONS(2941), 1,
      anon_sym_async,
    STATE(1610), 1,
      sym_comment,
    STATE(2646), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [81753] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1338), 1,
      anon_sym_var,
    ACTIONS(1344), 1,
      anon_sym_class,
    ACTIONS(1346), 1,
      anon_sym_async,
    ACTIONS(1348), 1,
      anon_sym_function,
    ACTIONS(2943), 1,
      anon_sym_default,
    STATE(810), 1,
      sym_declaration,
    STATE(1611), 1,
      sym_comment,
    STATE(1940), 1,
      aux_sym_export_statement_repeat1,
    STATE(2178), 1,
      sym_decorator,
    ACTIONS(1340), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(849), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81801] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1612), 1,
      sym_comment,
    STATE(2361), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81843] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1613), 1,
      sym_comment,
    ACTIONS(2850), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81871] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2945), 1,
      anon_sym_STAR,
    ACTIONS(2947), 1,
      anon_sym_async,
    ACTIONS(2949), 1,
      anon_sym_get,
    ACTIONS(2951), 1,
      anon_sym_set,
    STATE(1614), 1,
      sym_comment,
    STATE(2353), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [81919] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1615), 1,
      sym_comment,
    ACTIONS(2953), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81947] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1616), 1,
      sym_comment,
    STATE(2522), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81989] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1617), 1,
      sym_comment,
    STATE(2559), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82031] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_STAR,
    STATE(1618), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82077] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1251), 1,
      anon_sym_var,
    ACTIONS(1259), 1,
      anon_sym_class,
    ACTIONS(1261), 1,
      anon_sym_async,
    ACTIONS(1263), 1,
      anon_sym_function,
    ACTIONS(2955), 1,
      anon_sym_default,
    STATE(1619), 1,
      sym_comment,
    STATE(2026), 1,
      aux_sym_export_statement_repeat1,
    STATE(2178), 1,
      sym_decorator,
    STATE(2624), 1,
      sym_declaration,
    ACTIONS(1253), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(2242), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82125] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1620), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82167] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_comment,
    STATE(2228), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82209] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1622), 1,
      sym_comment,
    ACTIONS(2065), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82237] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1623), 1,
      sym_comment,
    STATE(2523), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82279] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_comment,
    STATE(2575), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82321] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1625), 1,
      sym_comment,
    ACTIONS(2147), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82349] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1626), 1,
      sym_comment,
    STATE(2332), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82391] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2957), 1,
      anon_sym_STAR,
    ACTIONS(2959), 1,
      anon_sym_async,
    ACTIONS(2961), 1,
      anon_sym_get,
    ACTIONS(2963), 1,
      anon_sym_set,
    STATE(1627), 1,
      sym_comment,
    STATE(2660), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [82439] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_comment,
    STATE(2687), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82481] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1629), 1,
      sym_comment,
    STATE(2671), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82523] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1630), 1,
      sym_comment,
    STATE(2580), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82565] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_comment,
    STATE(2686), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82607] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_comment,
    STATE(2678), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82649] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1285), 1,
      anon_sym_var,
    ACTIONS(1291), 1,
      anon_sym_class,
    ACTIONS(1293), 1,
      anon_sym_async,
    ACTIONS(1295), 1,
      anon_sym_function,
    ACTIONS(2965), 1,
      anon_sym_default,
    STATE(589), 1,
      sym_declaration,
    STATE(1633), 1,
      sym_comment,
    STATE(1959), 1,
      aux_sym_export_statement_repeat1,
    STATE(2178), 1,
      sym_decorator,
    ACTIONS(1287), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(538), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82697] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_comment,
    STATE(2289), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82739] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1635), 1,
      sym_comment,
    STATE(2327), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82781] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2919), 1,
      anon_sym_default,
    STATE(962), 1,
      sym_declaration,
    STATE(1636), 1,
      sym_comment,
    STATE(1963), 1,
      aux_sym_export_statement_repeat1,
    STATE(2178), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(946), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [82829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1637), 1,
      sym_comment,
    ACTIONS(2967), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82857] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_comment,
    STATE(2679), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82899] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1639), 1,
      sym_comment,
    STATE(2684), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82941] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1640), 1,
      sym_comment,
    STATE(2571), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82983] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_comment,
    STATE(2290), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83025] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1269), 1,
      anon_sym_var,
    ACTIONS(1275), 1,
      anon_sym_class,
    ACTIONS(1277), 1,
      anon_sym_async,
    ACTIONS(1279), 1,
      anon_sym_function,
    ACTIONS(2969), 1,
      anon_sym_default,
    STATE(751), 1,
      sym_declaration,
    STATE(1642), 1,
      sym_comment,
    STATE(1918), 1,
      aux_sym_export_statement_repeat1,
    STATE(2178), 1,
      sym_decorator,
    ACTIONS(1271), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(734), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [83073] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83115] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_comment,
    STATE(2670), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83157] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1645), 1,
      sym_comment,
    ACTIONS(2137), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_class,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1646), 1,
      sym_comment,
    ACTIONS(2967), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83212] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1647), 1,
      sym_comment,
    STATE(2657), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83251] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1648), 1,
      sym_comment,
    STATE(2682), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83290] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1649), 1,
      sym_comment,
    STATE(2685), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1650), 1,
      sym_comment,
    ACTIONS(2850), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83356] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_comment,
    STATE(2291), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1652), 1,
      sym_comment,
    ACTIONS(2971), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [83422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1653), 1,
      sym_comment,
    ACTIONS(2973), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [83449] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1654), 1,
      sym_comment,
    STATE(2546), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83488] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1655), 1,
      sym_comment,
    STATE(2580), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1656), 1,
      sym_comment,
    ACTIONS(2975), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [83554] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1657), 1,
      sym_comment,
    STATE(2228), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83593] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1658), 1,
      sym_comment,
    ACTIONS(2065), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83620] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1659), 1,
      sym_comment,
    STATE(2333), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83659] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1660), 1,
      sym_comment,
    STATE(2668), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83698] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1661), 1,
      sym_comment,
    STATE(2576), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83737] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1662), 1,
      sym_comment,
    STATE(2669), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83776] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1663), 1,
      sym_comment,
    STATE(2658), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83815] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1664), 1,
      sym_comment,
    STATE(2552), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83854] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1665), 1,
      sym_comment,
    ACTIONS(2137), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1666), 1,
      sym_comment,
    ACTIONS(2977), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [83908] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1667), 1,
      sym_comment,
    ACTIONS(2147), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [83935] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1668), 1,
      sym_comment,
    STATE(2268), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83974] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1669), 1,
      sym_comment,
    STATE(2567), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1670), 1,
      sym_comment,
    ACTIONS(2953), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [84040] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_comment,
    STATE(2676), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84079] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1672), 1,
      sym_comment,
    STATE(2646), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84118] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_LBRACK,
    STATE(1673), 1,
      sym_comment,
    STATE(2672), 1,
      sym__property_name,
    ACTIONS(1326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2582), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [84157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1674), 1,
      sym_comment,
    ACTIONS(2979), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [84184] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_STAR,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_comment,
    STATE(1960), 1,
      sym_string,
    STATE(2568), 1,
      sym_import_clause,
    STATE(2765), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84225] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_STAR,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      sym_comment,
    STATE(1905), 1,
      sym_string,
    STATE(2569), 1,
      sym_import_clause,
    STATE(2765), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84266] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_STAR,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
    STATE(1677), 1,
      sym_comment,
    STATE(1907), 1,
      sym_string,
    STATE(2706), 1,
      sym_import_clause,
    STATE(2765), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84307] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(2997), 1,
      anon_sym_LT_SLASH,
    STATE(1312), 1,
      sym_jsx_closing_element,
    STATE(1678), 1,
      sym_comment,
    STATE(1680), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1681), 1,
      sym_jsx_opening_element,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84348] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(2999), 1,
      anon_sym_LT_SLASH,
    STATE(1137), 1,
      sym_jsx_closing_element,
    STATE(1679), 1,
      sym_comment,
    STATE(1681), 1,
      sym_jsx_opening_element,
    STATE(1686), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84389] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(2997), 1,
      anon_sym_LT_SLASH,
    STATE(1283), 1,
      sym_jsx_closing_element,
    STATE(1680), 1,
      sym_comment,
    STATE(1681), 1,
      sym_jsx_opening_element,
    STATE(1688), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84430] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(3001), 1,
      anon_sym_LT_SLASH,
    STATE(1687), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1810), 1,
      sym_jsx_closing_element,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1681), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84469] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(3003), 1,
      anon_sym_LT_SLASH,
    STATE(1681), 1,
      sym_jsx_opening_element,
    STATE(1682), 1,
      sym_comment,
    STATE(1688), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1891), 1,
      sym_jsx_closing_element,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84510] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(3003), 1,
      anon_sym_LT_SLASH,
    STATE(1681), 1,
      sym_jsx_opening_element,
    STATE(1682), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1683), 1,
      sym_comment,
    STATE(1852), 1,
      sym_jsx_closing_element,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84551] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_STAR,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_comment,
    STATE(1893), 1,
      sym_string,
    STATE(2631), 1,
      sym_import_clause,
    STATE(2765), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84592] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE,
    ACTIONS(2630), 1,
      anon_sym_SQUOTE,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_STAR,
    ACTIONS(2985), 1,
      anon_sym_LBRACE,
    STATE(1685), 1,
      sym_comment,
    STATE(1978), 1,
      sym_string,
    STATE(2701), 1,
      sym_import_clause,
    STATE(2765), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2987), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [84633] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(2999), 1,
      anon_sym_LT_SLASH,
    STATE(1116), 1,
      sym_jsx_closing_element,
    STATE(1681), 1,
      sym_jsx_opening_element,
    STATE(1686), 1,
      sym_comment,
    STATE(1688), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84674] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_LBRACE,
    ACTIONS(2993), 1,
      sym_html_character_reference,
    ACTIONS(2995), 1,
      anon_sym_LT,
    ACTIONS(3001), 1,
      anon_sym_LT_SLASH,
    STATE(1681), 1,
      sym_jsx_opening_element,
    STATE(1687), 1,
      sym_comment,
    STATE(1688), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1797), 1,
      sym_jsx_closing_element,
    ACTIONS(2991), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84715] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_LBRACE,
    ACTIONS(3011), 1,
      sym_html_character_reference,
    ACTIONS(3014), 1,
      anon_sym_LT,
    ACTIONS(3017), 1,
      anon_sym_LT_SLASH,
    STATE(1681), 1,
      sym_jsx_opening_element,
    ACTIONS(3008), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1688), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(1767), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [84751] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3029), 1,
      anon_sym_SLASH_GT,
    STATE(1689), 1,
      sym_comment,
    STATE(1716), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84790] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3031), 1,
      anon_sym_SLASH_GT,
    STATE(1690), 1,
      sym_comment,
    STATE(1703), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84829] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3033), 1,
      anon_sym_SLASH_GT,
    STATE(1691), 1,
      sym_comment,
    STATE(1712), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84868] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3035), 1,
      anon_sym_SLASH_GT,
    STATE(1692), 1,
      sym_comment,
    STATE(1722), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84907] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3033), 1,
      anon_sym_SLASH_GT,
    STATE(1693), 1,
      sym_comment,
    STATE(1713), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84943] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3035), 1,
      anon_sym_SLASH_GT,
    STATE(1694), 1,
      sym_comment,
    STATE(1714), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84979] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3031), 1,
      anon_sym_SLASH_GT,
    STATE(1695), 1,
      sym_comment,
    STATE(1702), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85015] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3035), 1,
      anon_sym_SLASH_GT,
    STATE(1696), 1,
      sym_comment,
    STATE(1704), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85051] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3033), 1,
      anon_sym_SLASH_GT,
    STATE(1697), 1,
      sym_comment,
    STATE(1711), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85087] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3029), 1,
      anon_sym_SLASH_GT,
    STATE(1698), 1,
      sym_comment,
    STATE(1718), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85123] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3029), 1,
      anon_sym_SLASH_GT,
    STATE(1699), 1,
      sym_comment,
    STATE(1715), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85159] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3027), 1,
      anon_sym_DOT,
    ACTIONS(3031), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      sym_comment,
    STATE(1705), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85195] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACE,
    ACTIONS(3039), 1,
      anon_sym_LT,
    ACTIONS(3041), 1,
      anon_sym_DQUOTE,
    ACTIONS(3043), 1,
      anon_sym_SQUOTE,
    STATE(1683), 1,
      sym_jsx_opening_element,
    STATE(1701), 1,
      sym_comment,
    STATE(1845), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [85226] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3045), 1,
      anon_sym_GT,
    ACTIONS(3047), 1,
      anon_sym_SLASH_GT,
    STATE(1702), 1,
      sym_comment,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85259] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3051), 1,
      anon_sym_SLASH_GT,
    STATE(1703), 1,
      sym_comment,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85292] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3045), 1,
      anon_sym_GT,
    ACTIONS(3053), 1,
      anon_sym_SLASH_GT,
    STATE(1704), 1,
      sym_comment,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85325] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3055), 1,
      anon_sym_GT,
    ACTIONS(3057), 1,
      anon_sym_SLASH_GT,
    STATE(1705), 1,
      sym_comment,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85358] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3059), 1,
      anon_sym_GT,
    ACTIONS(3061), 1,
      anon_sym_SLASH_GT,
    STATE(1706), 1,
      sym_comment,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85391] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3059), 1,
      anon_sym_GT,
    ACTIONS(3063), 1,
      anon_sym_SLASH_GT,
    STATE(1707), 1,
      sym_comment,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85424] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACE,
    ACTIONS(3039), 1,
      anon_sym_LT,
    ACTIONS(3041), 1,
      anon_sym_DQUOTE,
    ACTIONS(3043), 1,
      anon_sym_SQUOTE,
    STATE(1683), 1,
      sym_jsx_opening_element,
    STATE(1708), 1,
      sym_comment,
    STATE(1855), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [85455] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3068), 1,
      anon_sym_LBRACE,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3065), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(3071), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1709), 2,
      sym_comment,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85484] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3059), 1,
      anon_sym_GT,
    ACTIONS(3073), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1710), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85517] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3055), 1,
      anon_sym_GT,
    ACTIONS(3075), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1711), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85550] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3077), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1712), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85583] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3045), 1,
      anon_sym_GT,
    ACTIONS(3079), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1713), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85616] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3055), 1,
      anon_sym_GT,
    ACTIONS(3081), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1714), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85649] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3045), 1,
      anon_sym_GT,
    ACTIONS(3083), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1715), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85682] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3085), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1716), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85715] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3035), 1,
      anon_sym_SLASH_GT,
    STATE(1710), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1717), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85748] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3055), 1,
      anon_sym_GT,
    ACTIONS(3087), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1718), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85781] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3059), 1,
      anon_sym_GT,
    ACTIONS(3089), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1719), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85814] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3033), 1,
      anon_sym_SLASH_GT,
    STATE(1707), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1720), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85847] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3029), 1,
      anon_sym_SLASH_GT,
    STATE(1719), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1721), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85880] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3049), 1,
      anon_sym_GT,
    ACTIONS(3091), 1,
      anon_sym_SLASH_GT,
    STATE(1709), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1722), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85913] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3025), 1,
      anon_sym_GT,
    ACTIONS(3031), 1,
      anon_sym_SLASH_GT,
    STATE(1706), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1723), 1,
      sym_comment,
    STATE(1779), 1,
      sym_jsx_namespace_name,
    ACTIONS(3019), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1863), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [85946] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3093), 1,
      sym_identifier,
    ACTIONS(3095), 1,
      anon_sym_COMMA,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
    STATE(1724), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2179), 1,
      sym_import_specifier,
    STATE(2749), 1,
      sym__module_export_name,
  [85980] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3099), 1,
      sym_identifier,
    ACTIONS(3101), 1,
      anon_sym_COMMA,
    ACTIONS(3103), 1,
      anon_sym_RBRACE,
    STATE(1725), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2096), 1,
      sym_export_specifier,
    STATE(2097), 1,
      sym__module_export_name,
  [86014] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3105), 1,
      sym_identifier,
    STATE(1726), 1,
      sym_comment,
    STATE(1756), 1,
      sym__destructuring_pattern,
    STATE(1980), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86043] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3099), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    STATE(1727), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2097), 1,
      sym__module_export_name,
    STATE(2621), 1,
      sym_export_specifier,
  [86074] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    STATE(1728), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86103] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1729), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1916), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86132] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3093), 1,
      sym_identifier,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2497), 1,
      sym_import_specifier,
    STATE(2749), 1,
      sym__module_export_name,
  [86163] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1731), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1915), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86192] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1732), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1955), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86221] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    STATE(1733), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86250] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    ACTIONS(3117), 1,
      anon_sym_RBRACE,
    STATE(1734), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1735), 1,
      sym_comment,
    ACTIONS(3119), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86298] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    STATE(1736), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86327] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      sym_identifier,
    STATE(1737), 1,
      sym_comment,
    STATE(1759), 1,
      sym__destructuring_pattern,
    STATE(1979), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86356] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    ACTIONS(3123), 1,
      anon_sym_RBRACE,
    STATE(1738), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86385] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1967), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86414] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1966), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86443] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2288), 1,
      sym__automatic_semicolon,
    STATE(1741), 1,
      sym_comment,
    ACTIONS(905), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [86464] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1742), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1913), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1743), 1,
      sym_comment,
    ACTIONS(3125), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86512] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1744), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(2068), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86541] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3093), 1,
      sym_identifier,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1745), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2497), 1,
      sym_import_specifier,
    STATE(2749), 1,
      sym__module_export_name,
  [86572] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1746), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1949), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86601] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1914), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1748), 1,
      sym_comment,
    ACTIONS(3129), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1749), 1,
      sym_comment,
    ACTIONS(3131), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86668] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    ACTIONS(3135), 1,
      anon_sym_EQ,
    STATE(1750), 1,
      sym_comment,
    ACTIONS(3133), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [86691] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    STATE(1751), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86720] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3099), 1,
      sym_identifier,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    STATE(1752), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2097), 1,
      sym__module_export_name,
    STATE(2621), 1,
      sym_export_specifier,
  [86751] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    STATE(1753), 1,
      sym_comment,
    STATE(2039), 1,
      aux_sym_object_repeat1,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86780] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1754), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1911), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3143), 1,
      sym__automatic_semicolon,
    STATE(1755), 1,
      sym_comment,
    ACTIONS(903), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [86830] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3149), 1,
      anon_sym_EQ,
    STATE(1756), 1,
      sym_comment,
    STATE(2184), 1,
      sym__initializer,
    ACTIONS(3147), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3145), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [86855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1757), 1,
      sym_comment,
    ACTIONS(3151), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86874] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1384), 1,
      anon_sym_LBRACE,
    ACTIONS(1386), 1,
      anon_sym_LBRACK,
    ACTIONS(3113), 1,
      sym_identifier,
    STATE(1758), 1,
      sym_comment,
    STATE(1890), 1,
      sym__destructuring_pattern,
    STATE(1912), 1,
      sym_variable_declarator,
    STATE(1773), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86903] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3153), 1,
      anon_sym_EQ,
    STATE(1759), 1,
      sym_comment,
    STATE(1862), 1,
      sym__initializer,
    ACTIONS(3147), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3145), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [86928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1760), 1,
      sym_comment,
    ACTIONS(3155), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [86947] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1761), 1,
      sym_comment,
    ACTIONS(903), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [86965] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1880), 1,
      anon_sym_LPAREN,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1890), 1,
      anon_sym_BQUOTE,
    ACTIONS(3157), 1,
      sym_optional_chain,
    STATE(1762), 1,
      sym_comment,
    STATE(1147), 2,
      sym_template_string,
      sym_arguments,
  [86991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1763), 1,
      sym_comment,
    ACTIONS(3125), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87009] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1764), 1,
      sym_comment,
    ACTIONS(2151), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1765), 1,
      sym_comment,
    ACTIONS(3129), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87045] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3161), 1,
      anon_sym_BQUOTE,
    ACTIONS(3163), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1766), 1,
      sym_comment,
    STATE(1795), 1,
      aux_sym_template_string_repeat1,
    STATE(1895), 1,
      sym_template_substitution,
    ACTIONS(3159), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87071] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1767), 1,
      sym_comment,
    ACTIONS(3165), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87089] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(3171), 1,
      anon_sym_case,
    STATE(1768), 1,
      sym_comment,
    STATE(1770), 1,
      aux_sym_switch_body_repeat1,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87115] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1769), 1,
      sym_comment,
    STATE(1778), 1,
      aux_sym_switch_body_repeat1,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87141] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    STATE(1770), 1,
      sym_comment,
    STATE(1778), 1,
      aux_sym_switch_body_repeat1,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87167] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1771), 1,
      sym_comment,
    ACTIONS(3177), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87185] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3179), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    STATE(1772), 1,
      sym_comment,
    STATE(2804), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1773), 1,
      sym_comment,
    ACTIONS(3155), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87229] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1774), 1,
      sym_comment,
    ACTIONS(3183), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1775), 1,
      sym_comment,
    ACTIONS(3151), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [87265] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1776), 1,
      sym_comment,
    ACTIONS(3185), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87283] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3093), 1,
      sym_identifier,
    STATE(1777), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2497), 1,
      sym_import_specifier,
    STATE(2749), 1,
      sym__module_export_name,
  [87311] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3187), 1,
      anon_sym_default,
    ACTIONS(3190), 1,
      anon_sym_RBRACE,
    ACTIONS(3192), 1,
      anon_sym_case,
    STATE(1778), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87335] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3197), 1,
      anon_sym_EQ,
    STATE(1779), 1,
      sym_comment,
    ACTIONS(3195), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87355] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1780), 1,
      sym_comment,
    ACTIONS(3199), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    STATE(1781), 1,
      sym_comment,
    STATE(1822), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3201), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [87395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1782), 1,
      sym_comment,
    ACTIONS(2089), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87413] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      anon_sym_DOT,
    STATE(1783), 1,
      sym_comment,
    STATE(2055), 1,
      sym_arguments,
    ACTIONS(3203), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [87437] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1784), 1,
      sym_comment,
    ACTIONS(2089), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87455] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1785), 1,
      sym_comment,
    ACTIONS(2089), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87473] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3209), 1,
      sym_identifier,
    STATE(1786), 1,
      sym_comment,
    STATE(2753), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87499] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3163), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3211), 1,
      anon_sym_BQUOTE,
    STATE(1787), 1,
      sym_comment,
    STATE(1790), 1,
      aux_sym_template_string_repeat1,
    STATE(1895), 1,
      sym_template_substitution,
    ACTIONS(3159), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1788), 1,
      sym_comment,
    ACTIONS(2089), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87543] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3149), 1,
      anon_sym_EQ,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(1789), 1,
      sym_comment,
    STATE(2417), 1,
      sym_formal_parameters,
    STATE(2710), 1,
      sym__initializer,
    ACTIONS(3215), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87569] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3163), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3217), 1,
      anon_sym_BQUOTE,
    STATE(1790), 1,
      sym_comment,
    STATE(1805), 1,
      aux_sym_template_string_repeat1,
    STATE(1895), 1,
      sym_template_substitution,
    ACTIONS(3159), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87595] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3149), 1,
      anon_sym_EQ,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(1791), 1,
      sym_comment,
    STATE(2365), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym__initializer,
    ACTIONS(3219), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87621] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3221), 1,
      sym_identifier,
    STATE(1792), 1,
      sym_comment,
    STATE(2796), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [87647] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1793), 1,
      sym_comment,
    ACTIONS(3223), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87665] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(1778), 1,
      aux_sym_switch_body_repeat1,
    STATE(1794), 1,
      sym_comment,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87691] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3163), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_BQUOTE,
    STATE(1795), 1,
      sym_comment,
    STATE(1805), 1,
      aux_sym_template_string_repeat1,
    STATE(1895), 1,
      sym_template_substitution,
    ACTIONS(3159), 2,
      sym__template_chars,
      sym_escape_sequence,
  [87717] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3149), 1,
      anon_sym_EQ,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(1796), 1,
      sym_comment,
    STATE(2366), 1,
      sym_formal_parameters,
    STATE(2377), 1,
      sym__initializer,
    ACTIONS(3229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [87743] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1797), 1,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87761] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1798), 1,
      sym_comment,
    ACTIONS(1995), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87779] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      sym_comment,
    STATE(1808), 1,
      aux_sym_switch_body_repeat1,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1800), 1,
      sym_comment,
    ACTIONS(2061), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1801), 1,
      sym_comment,
    ACTIONS(3233), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1802), 1,
      sym_comment,
    ACTIONS(2099), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87859] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1803), 1,
      sym_comment,
    ACTIONS(3199), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87877] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3235), 1,
      anon_sym_RBRACE,
    STATE(1804), 1,
      sym_comment,
    STATE(1813), 1,
      aux_sym_switch_body_repeat1,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87903] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3240), 1,
      anon_sym_BQUOTE,
    ACTIONS(3242), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1895), 1,
      sym_template_substitution,
    ACTIONS(3237), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1805), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [87927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1806), 1,
      sym_comment,
    ACTIONS(1963), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [87945] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(1794), 1,
      aux_sym_switch_body_repeat1,
    STATE(1807), 1,
      sym_comment,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87971] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    STATE(1778), 1,
      aux_sym_switch_body_repeat1,
    STATE(1808), 1,
      sym_comment,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [87997] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1809), 1,
      sym_comment,
    ACTIONS(3199), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88015] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1810), 1,
      sym_comment,
    ACTIONS(2037), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88033] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3249), 1,
      anon_sym_catch,
    ACTIONS(3251), 1,
      anon_sym_finally,
    STATE(1811), 1,
      sym_comment,
    STATE(2002), 1,
      sym_catch_clause,
    STATE(2612), 1,
      sym_finally_clause,
    ACTIONS(1450), 2,
      anon_sym_else,
      anon_sym_while,
  [88059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1812), 1,
      sym_comment,
    ACTIONS(899), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [88077] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(1778), 1,
      aux_sym_switch_body_repeat1,
    STATE(1813), 1,
      sym_comment,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [88103] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3099), 1,
      sym_identifier,
    STATE(1814), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2097), 1,
      sym__module_export_name,
    STATE(2621), 1,
      sym_export_specifier,
  [88131] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1815), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88149] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1816), 1,
      sym_comment,
    ACTIONS(3131), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1817), 1,
      sym_comment,
    ACTIONS(3119), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88185] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3167), 1,
      anon_sym_default,
    ACTIONS(3171), 1,
      anon_sym_case,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(1769), 1,
      aux_sym_switch_body_repeat1,
    STATE(1818), 1,
      sym_comment,
    STATE(2065), 2,
      sym_switch_case,
      sym_switch_default,
  [88211] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    ACTIONS(1985), 1,
      anon_sym_BQUOTE,
    ACTIONS(3259), 1,
      sym_optional_chain,
    STATE(1819), 1,
      sym_comment,
    STATE(1277), 2,
      sym_template_string,
      sym_arguments,
  [88237] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1820), 1,
      sym_comment,
    ACTIONS(3261), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1821), 1,
      sym_comment,
    ACTIONS(2343), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88273] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(1822), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1967), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [88293] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3266), 1,
      sym_identifier,
    STATE(1823), 1,
      sym_comment,
    STATE(2780), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88319] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 1,
      sym_identifier,
    STATE(1824), 1,
      sym_comment,
    STATE(2441), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88345] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1825), 1,
      sym_comment,
    ACTIONS(2307), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88363] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1826), 1,
      sym_comment,
    ACTIONS(3199), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88381] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3149), 1,
      anon_sym_EQ,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(1827), 1,
      sym_comment,
    STATE(2308), 1,
      sym_formal_parameters,
    STATE(2525), 1,
      sym__initializer,
    ACTIONS(3270), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88407] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3272), 1,
      sym_identifier,
    STATE(1828), 1,
      sym_comment,
    STATE(2740), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1829), 1,
      sym_comment,
    ACTIONS(2367), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88451] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1802), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3274), 1,
      sym_identifier,
    STATE(1830), 1,
      sym_comment,
    STATE(1999), 1,
      sym__destructuring_pattern,
    STATE(1760), 2,
      sym_object_pattern,
      sym_array_pattern,
  [88477] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2785), 1,
      anon_sym_COLON,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3278), 1,
      anon_sym_RBRACE,
    STATE(1831), 1,
      sym_comment,
    STATE(2132), 1,
      aux_sym_object_pattern_repeat1,
  [88502] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3280), 1,
      sym_identifier,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    STATE(1328), 1,
      sym_class_body,
    STATE(1832), 1,
      sym_comment,
    STATE(2199), 1,
      sym_class_heritage,
  [88527] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3286), 1,
      sym_identifier,
    ACTIONS(3288), 1,
      anon_sym_GT,
    ACTIONS(3290), 1,
      sym_jsx_identifier,
    STATE(1694), 1,
      sym_nested_identifier,
    STATE(1717), 1,
      sym_jsx_namespace_name,
    STATE(1833), 1,
      sym_comment,
  [88552] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3294), 1,
      anon_sym_AT,
    STATE(2178), 1,
      sym_decorator,
    ACTIONS(3292), 2,
      anon_sym_export,
      anon_sym_class,
    STATE(1834), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
  [88573] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1835), 1,
      sym_comment,
    ACTIONS(3255), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88590] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3297), 1,
      sym_identifier,
    ACTIONS(3299), 1,
      anon_sym_GT,
    ACTIONS(3301), 1,
      sym_jsx_identifier,
    STATE(1836), 1,
      sym_comment,
    STATE(2428), 1,
      sym_nested_identifier,
    STATE(2803), 1,
      sym_jsx_namespace_name,
  [88615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3303), 1,
      anon_sym_EQ,
    STATE(1837), 1,
      sym_comment,
    ACTIONS(1825), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [88634] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3306), 1,
      sym_identifier,
    STATE(1381), 1,
      sym_class_body,
    STATE(1838), 1,
      sym_comment,
    STATE(2231), 1,
      sym_class_heritage,
  [88659] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3308), 1,
      sym_identifier,
    STATE(1381), 1,
      sym_class_body,
    STATE(1839), 1,
      sym_comment,
    STATE(2231), 1,
      sym_class_heritage,
  [88684] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3310), 1,
      sym_identifier,
    ACTIONS(3312), 1,
      anon_sym_GT,
    ACTIONS(3314), 1,
      sym_jsx_identifier,
    STATE(1840), 1,
      sym_comment,
    STATE(2382), 1,
      sym_nested_identifier,
    STATE(2825), 1,
      sym_jsx_namespace_name,
  [88709] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1841), 1,
      sym_comment,
    ACTIONS(2099), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [88726] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2785), 1,
      anon_sym_COLON,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_RBRACE,
    STATE(1842), 1,
      sym_comment,
    STATE(2040), 1,
      aux_sym_object_pattern_repeat1,
  [88751] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3099), 1,
      sym_identifier,
    STATE(1843), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2851), 1,
      sym__module_export_name,
  [88776] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3318), 1,
      sym_identifier,
    ACTIONS(3320), 1,
      anon_sym_LPAREN,
    ACTIONS(3322), 1,
      anon_sym_LBRACK,
    ACTIONS(3324), 1,
      sym_private_property_identifier,
    STATE(1113), 1,
      sym_arguments,
    STATE(1844), 1,
      sym_comment,
  [88801] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1845), 1,
      sym_comment,
    ACTIONS(3326), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88818] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3328), 1,
      anon_sym_export,
    ACTIONS(3330), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1846), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [88843] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3332), 1,
      sym_identifier,
    STATE(1328), 1,
      sym_class_body,
    STATE(1847), 1,
      sym_comment,
    STATE(2199), 1,
      sym_class_heritage,
  [88868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1848), 1,
      sym_comment,
    ACTIONS(1825), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [88885] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1849), 1,
      sym_comment,
    ACTIONS(3334), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88902] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3288), 1,
      anon_sym_GT,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      sym_jsx_identifier,
    STATE(1700), 1,
      sym_nested_identifier,
    STATE(1723), 1,
      sym_jsx_namespace_name,
    STATE(1850), 1,
      sym_comment,
  [88927] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3340), 1,
      sym_identifier,
    STATE(1381), 1,
      sym_class_body,
    STATE(1851), 1,
      sym_comment,
    STATE(2231), 1,
      sym_class_heritage,
  [88952] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1852), 1,
      sym_comment,
    ACTIONS(2037), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3342), 1,
      anon_sym_EQ,
    STATE(1853), 1,
      sym_comment,
    ACTIONS(1825), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [88988] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3345), 1,
      sym_identifier,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      sym_class_body,
    STATE(1854), 1,
      sym_comment,
    STATE(2454), 1,
      sym_class_heritage,
  [89013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1855), 1,
      sym_comment,
    ACTIONS(3349), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89030] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3351), 1,
      sym_identifier,
    STATE(1381), 1,
      sym_class_body,
    STATE(1856), 1,
      sym_comment,
    STATE(2231), 1,
      sym_class_heritage,
  [89055] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1857), 1,
      sym_comment,
    ACTIONS(2151), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89072] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3353), 1,
      anon_sym_export,
    ACTIONS(3355), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1858), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [89097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3357), 1,
      anon_sym_export,
    ACTIONS(3359), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1859), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [89122] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1860), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89139] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3361), 1,
      sym_identifier,
    STATE(1328), 1,
      sym_class_body,
    STATE(1861), 1,
      sym_comment,
    STATE(2199), 1,
      sym_class_heritage,
  [89164] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3365), 1,
      anon_sym_in,
    ACTIONS(3367), 1,
      anon_sym_of,
    STATE(1862), 1,
      sym_comment,
    ACTIONS(3363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1863), 1,
      sym_comment,
    ACTIONS(3369), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89202] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1864), 1,
      sym_comment,
    ACTIONS(3371), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89219] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1865), 1,
      sym_comment,
    ACTIONS(3261), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89236] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3373), 1,
      sym_identifier,
    STATE(1328), 1,
      sym_class_body,
    STATE(1866), 1,
      sym_comment,
    STATE(2199), 1,
      sym_class_heritage,
  [89261] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1867), 1,
      sym_comment,
    ACTIONS(2089), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3375), 1,
      anon_sym_EQ,
    STATE(1868), 1,
      sym_comment,
    ACTIONS(1860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [89297] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1869), 1,
      sym_comment,
    ACTIONS(2089), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1870), 1,
      sym_comment,
    ACTIONS(2089), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89331] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1871), 1,
      sym_comment,
    ACTIONS(2089), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89348] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3379), 1,
      anon_sym_RBRACE,
    STATE(1872), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_repeat1,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [89371] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3381), 1,
      sym_identifier,
    STATE(1381), 1,
      sym_class_body,
    STATE(1873), 1,
      sym_comment,
    STATE(2231), 1,
      sym_class_heritage,
  [89396] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3288), 1,
      anon_sym_GT,
    ACTIONS(3383), 1,
      sym_identifier,
    ACTIONS(3385), 1,
      sym_jsx_identifier,
    STATE(1697), 1,
      sym_nested_identifier,
    STATE(1720), 1,
      sym_jsx_namespace_name,
    STATE(1874), 1,
      sym_comment,
  [89421] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1316), 1,
      anon_sym_DQUOTE,
    ACTIONS(1318), 1,
      anon_sym_SQUOTE,
    ACTIONS(3099), 1,
      sym_identifier,
    STATE(1875), 1,
      sym_comment,
    STATE(1953), 1,
      sym_string,
    STATE(2595), 1,
      sym__module_export_name,
  [89446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1876), 1,
      sym_comment,
    ACTIONS(3387), 5,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
  [89463] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3389), 1,
      sym_identifier,
    STATE(1328), 1,
      sym_class_body,
    STATE(1877), 1,
      sym_comment,
    STATE(2199), 1,
      sym_class_heritage,
  [89488] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3391), 1,
      sym_identifier,
    ACTIONS(3393), 1,
      anon_sym_GT,
    ACTIONS(3395), 1,
      sym_jsx_identifier,
    STATE(1878), 1,
      sym_comment,
    STATE(2309), 1,
      sym_nested_identifier,
    STATE(2828), 1,
      sym_jsx_namespace_name,
  [89513] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3397), 1,
      sym_identifier,
    STATE(1328), 1,
      sym_class_body,
    STATE(1879), 1,
      sym_comment,
    STATE(2199), 1,
      sym_class_heritage,
  [89538] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3399), 1,
      anon_sym_export,
    ACTIONS(3401), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1880), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [89563] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3288), 1,
      anon_sym_GT,
    ACTIONS(3403), 1,
      sym_identifier,
    ACTIONS(3405), 1,
      sym_jsx_identifier,
    STATE(1698), 1,
      sym_nested_identifier,
    STATE(1721), 1,
      sym_jsx_namespace_name,
    STATE(1881), 1,
      sym_comment,
  [89588] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    STATE(1882), 1,
      sym_comment,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89609] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3410), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_class_body,
    STATE(1883), 1,
      sym_comment,
    STATE(2379), 1,
      sym_class_heritage,
  [89634] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3412), 1,
      sym_identifier,
    ACTIONS(3414), 1,
      anon_sym_LPAREN,
    ACTIONS(3416), 1,
      anon_sym_LBRACK,
    ACTIONS(3418), 1,
      sym_private_property_identifier,
    STATE(1274), 1,
      sym_arguments,
    STATE(1884), 1,
      sym_comment,
  [89659] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3420), 1,
      anon_sym_export,
    ACTIONS(3422), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1885), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [89684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1886), 1,
      sym_comment,
    ACTIONS(1963), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [89701] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1887), 1,
      sym_comment,
    ACTIONS(1995), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89718] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_extends,
    ACTIONS(3424), 1,
      sym_identifier,
    STATE(1381), 1,
      sym_class_body,
    STATE(1888), 1,
      sym_comment,
    STATE(2231), 1,
      sym_class_heritage,
  [89743] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3426), 1,
      sym_identifier,
    ACTIONS(3428), 1,
      anon_sym_GT,
    ACTIONS(3430), 1,
      sym_jsx_identifier,
    STATE(1889), 1,
      sym_comment,
    STATE(2196), 1,
      sym_nested_identifier,
    STATE(2850), 1,
      sym_jsx_namespace_name,
  [89768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3149), 1,
      anon_sym_EQ,
    STATE(1890), 1,
      sym_comment,
    STATE(2184), 1,
      sym__initializer,
    ACTIONS(3145), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [89789] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1891), 1,
      sym_comment,
    ACTIONS(1999), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [89806] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3432), 1,
      anon_sym_SQUOTE,
    STATE(1892), 1,
      sym_comment,
    STATE(1995), 1,
      aux_sym_string_repeat2,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89826] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    STATE(1893), 1,
      sym_comment,
    STATE(2416), 1,
      sym_import_attribute,
    ACTIONS(3438), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89846] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3440), 1,
      sym_identifier,
    ACTIONS(3442), 1,
      anon_sym_STAR,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    STATE(1894), 1,
      sym_comment,
    STATE(2193), 1,
      sym_formal_parameters,
  [89868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1895), 1,
      sym_comment,
    ACTIONS(3446), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [89884] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3448), 1,
      anon_sym_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_extends,
    STATE(720), 1,
      sym_class_body,
    STATE(1896), 1,
      sym_comment,
    STATE(2587), 1,
      sym_class_heritage,
  [89906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2785), 1,
      anon_sym_COLON,
    ACTIONS(3111), 1,
      anon_sym_EQ,
    STATE(1897), 1,
      sym_comment,
    ACTIONS(3452), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89926] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3456), 1,
      anon_sym_EQ,
    ACTIONS(3458), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_comment,
    STATE(2083), 1,
      aux_sym_array_pattern_repeat1,
  [89948] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2218), 1,
      anon_sym_COMMA,
    STATE(1899), 1,
      sym_comment,
    STATE(1988), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1900), 1,
      sym_comment,
    ACTIONS(2785), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3462), 1,
      anon_sym_EQ,
    STATE(1901), 1,
      sym_comment,
    ACTIONS(1860), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [90004] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym__glimmer_template_content,
    ACTIONS(3466), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1289), 1,
      sym_glimmer_closing_tag,
    STATE(1902), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_glimmer_template_repeat1,
  [90026] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3422), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1903), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [90048] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1144), 1,
      sym_class_body,
    STATE(1904), 1,
      sym_comment,
    STATE(2455), 1,
      sym_class_heritage,
  [90070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    STATE(1905), 1,
      sym_comment,
    STATE(2615), 1,
      sym_import_attribute,
    ACTIONS(3470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90090] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3472), 1,
      sym_identifier,
    ACTIONS(3474), 1,
      anon_sym_STAR,
    STATE(1906), 1,
      sym_comment,
    STATE(2399), 1,
      sym_formal_parameters,
  [90112] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    STATE(1907), 1,
      sym_comment,
    STATE(2284), 1,
      sym_import_attribute,
    ACTIONS(3476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1908), 1,
      sym_comment,
    ACTIONS(2413), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90168] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1911), 1,
      sym_comment,
    ACTIONS(3484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90208] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1912), 1,
      sym_comment,
    ACTIONS(3486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90228] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      sym_comment,
    STATE(2023), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90248] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1914), 1,
      sym_comment,
    STATE(2033), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1915), 1,
      sym_comment,
    STATE(1934), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90288] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1916), 1,
      sym_comment,
    STATE(1936), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90308] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3496), 1,
      sym_identifier,
    ACTIONS(3498), 1,
      anon_sym_STAR,
    STATE(1917), 1,
      sym_comment,
    STATE(2470), 1,
      sym_formal_parameters,
  [90330] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3500), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1918), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [90352] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3502), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_class_body,
    STATE(1919), 1,
      sym_comment,
    STATE(2538), 1,
      sym_class_heritage,
  [90374] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    STATE(163), 1,
      sym_class_body,
    STATE(1920), 1,
      sym_comment,
    STATE(2535), 1,
      sym_class_heritage,
  [90396] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3506), 1,
      sym_identifier,
    ACTIONS(3508), 1,
      anon_sym_STAR,
    STATE(1921), 1,
      sym_comment,
    STATE(2193), 1,
      sym_formal_parameters,
  [90418] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    STATE(1922), 1,
      sym_comment,
    STATE(1984), 1,
      aux_sym_string_repeat1,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90438] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3510), 1,
      anon_sym_SQUOTE,
    STATE(1923), 1,
      sym_comment,
    STATE(1990), 1,
      aux_sym_string_repeat2,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90458] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3514), 1,
      sym_identifier,
    ACTIONS(3516), 1,
      anon_sym_STAR,
    STATE(1924), 1,
      sym_comment,
    STATE(2193), 1,
      sym_formal_parameters,
  [90480] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    STATE(182), 1,
      sym_class_body,
    STATE(1925), 1,
      sym_comment,
    STATE(2300), 1,
      sym_class_heritage,
  [90502] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90522] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1927), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90542] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3524), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_class_body,
    STATE(1928), 1,
      sym_comment,
    STATE(2313), 1,
      sym_class_heritage,
  [90564] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    ACTIONS(3526), 1,
      anon_sym_SEMI,
    ACTIONS(3528), 1,
      sym__automatic_semicolon,
    STATE(1929), 1,
      sym_comment,
    STATE(2528), 1,
      sym_import_attribute,
  [90586] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3502), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_class_body,
    STATE(1930), 1,
      sym_comment,
    STATE(2191), 1,
      sym_class_heritage,
  [90608] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3448), 1,
      anon_sym_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_extends,
    STATE(724), 1,
      sym_class_body,
    STATE(1931), 1,
      sym_comment,
    STATE(2192), 1,
      sym_class_heritage,
  [90630] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3432), 1,
      anon_sym_DQUOTE,
    STATE(1932), 1,
      sym_comment,
    STATE(1994), 1,
      aux_sym_string_repeat1,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90650] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    ACTIONS(3530), 1,
      anon_sym_SEMI,
    ACTIONS(3532), 1,
      sym__automatic_semicolon,
    STATE(1933), 1,
      sym_comment,
    STATE(2316), 1,
      sym_import_attribute,
  [90672] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90692] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3536), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1935), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [90714] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1936), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90734] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    STATE(166), 1,
      sym_class_body,
    STATE(1937), 1,
      sym_comment,
    STATE(2517), 1,
      sym_class_heritage,
  [90756] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3401), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1938), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [90778] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3540), 1,
      sym_identifier,
    ACTIONS(3542), 1,
      anon_sym_STAR,
    STATE(1939), 1,
      sym_comment,
    STATE(2470), 1,
      sym_formal_parameters,
  [90800] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3544), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1940), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [90822] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3546), 1,
      anon_sym_SQUOTE,
    STATE(1941), 1,
      sym_comment,
    STATE(2008), 1,
      aux_sym_string_repeat2,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1942), 1,
      sym_comment,
    ACTIONS(2343), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1943), 1,
      sym_comment,
    ACTIONS(2307), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90874] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym__glimmer_template_content,
    ACTIONS(3548), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1139), 1,
      sym_glimmer_closing_tag,
    STATE(1944), 1,
      sym_comment,
    STATE(1983), 1,
      aux_sym_glimmer_template_repeat1,
  [90896] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3550), 1,
      sym_identifier,
    ACTIONS(3552), 1,
      anon_sym_STAR,
    STATE(1945), 1,
      sym_comment,
    STATE(2193), 1,
      sym_formal_parameters,
  [90918] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_class_body,
    STATE(1946), 1,
      sym_comment,
    STATE(2323), 1,
      sym_class_heritage,
  [90940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1947), 1,
      sym_comment,
    ACTIONS(3554), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [90956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1948), 1,
      sym_comment,
    ACTIONS(3556), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [90972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1949), 1,
      sym_comment,
    ACTIONS(3558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90992] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3524), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_class_body,
    STATE(1950), 1,
      sym_comment,
    STATE(2326), 1,
      sym_class_heritage,
  [91014] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1951), 1,
      sym_comment,
    STATE(2418), 1,
      sym__from_clause,
    ACTIONS(3562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91034] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym__glimmer_template_content,
    ACTIONS(3564), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1582), 1,
      sym_glimmer_closing_tag,
    STATE(1952), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_glimmer_template_repeat1,
  [91056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1953), 1,
      sym_comment,
    ACTIONS(3566), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [91072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1954), 1,
      sym_comment,
    STATE(2280), 1,
      sym__from_clause,
    ACTIONS(3568), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91092] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1927), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1955), 1,
      sym_comment,
    ACTIONS(3570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91112] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3572), 1,
      anon_sym_DQUOTE,
    STATE(1956), 1,
      sym_comment,
    STATE(2004), 1,
      aux_sym_string_repeat1,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91132] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1957), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [91154] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3572), 1,
      anon_sym_SQUOTE,
    STATE(1958), 1,
      sym_comment,
    STATE(2007), 1,
      aux_sym_string_repeat2,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91174] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3574), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1959), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [91196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    STATE(1960), 1,
      sym_comment,
    STATE(2505), 1,
      sym_import_attribute,
    ACTIONS(3576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91216] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1370), 1,
      sym_class_body,
    STATE(1961), 1,
      sym_comment,
    STATE(2293), 1,
      sym_class_heritage,
  [91238] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3580), 1,
      sym_identifier,
    ACTIONS(3582), 1,
      anon_sym_STAR,
    STATE(1962), 1,
      sym_comment,
    STATE(2470), 1,
      sym_formal_parameters,
  [91260] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3584), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1963), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [91282] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1964), 1,
      sym_comment,
    STATE(2402), 1,
      sym__from_clause,
    ACTIONS(3586), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3588), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(1965), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [91320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      sym_comment,
    STATE(2031), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      sym_comment,
    STATE(2032), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3593), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91360] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3595), 1,
      sym_html_character_reference,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1968), 2,
      sym_comment,
      aux_sym__jsx_string_repeat2,
  [91380] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1969), 1,
      sym_comment,
    STATE(2503), 1,
      sym__from_clause,
    ACTIONS(3603), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91400] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3546), 1,
      anon_sym_DQUOTE,
    STATE(1970), 1,
      sym_comment,
    STATE(1996), 1,
      aux_sym_string_repeat1,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1971), 1,
      sym_comment,
    ACTIONS(2785), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [91436] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3605), 1,
      sym_html_character_reference,
    ACTIONS(3608), 1,
      anon_sym_DQUOTE,
    ACTIONS(3610), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1972), 2,
      sym_comment,
      aux_sym__jsx_string_repeat1,
  [91456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1973), 1,
      sym_comment,
    ACTIONS(2367), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [91472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1974), 1,
      sym_comment,
    STATE(2529), 1,
      sym__from_clause,
    ACTIONS(3613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91492] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3615), 1,
      sym_identifier,
    ACTIONS(3617), 1,
      anon_sym_STAR,
    STATE(1975), 1,
      sym_comment,
    STATE(2470), 1,
      sym_formal_parameters,
  [91514] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3619), 1,
      sym_identifier,
    ACTIONS(3621), 1,
      anon_sym_STAR,
    STATE(1976), 1,
      sym_comment,
    STATE(2437), 1,
      sym_formal_parameters,
  [91536] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym__glimmer_template_content,
    ACTIONS(3564), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1589), 1,
      sym_glimmer_closing_tag,
    STATE(1952), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(1977), 1,
      sym_comment,
  [91558] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    STATE(1978), 1,
      sym_comment,
    STATE(2404), 1,
      sym_import_attribute,
    ACTIONS(3623), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1979), 1,
      sym_comment,
    STATE(2027), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      sym_comment,
    STATE(2024), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91618] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3330), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(1981), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [91640] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3629), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_comment,
    STATE(2070), 1,
      sym_class_body,
    STATE(2321), 1,
      sym_class_heritage,
  [91662] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym__glimmer_template_content,
    ACTIONS(3548), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1114), 1,
      sym_glimmer_closing_tag,
    STATE(1983), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_glimmer_template_repeat1,
  [91684] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3631), 1,
      anon_sym_DQUOTE,
    ACTIONS(3633), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(1984), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [91702] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3636), 1,
      sym_html_character_reference,
    ACTIONS(3638), 1,
      anon_sym_SQUOTE,
    ACTIONS(3640), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1985), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym__jsx_string_repeat2,
  [91724] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3642), 1,
      anon_sym_SQUOTE,
    STATE(1923), 1,
      aux_sym_string_repeat2,
    STATE(1986), 1,
      sym_comment,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91744] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3456), 1,
      anon_sym_EQ,
    ACTIONS(3644), 1,
      anon_sym_RBRACK,
    STATE(1987), 1,
      sym_comment,
    STATE(2052), 1,
      aux_sym_array_pattern_repeat1,
  [91766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3646), 1,
      anon_sym_COMMA,
    ACTIONS(1967), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1988), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [91784] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1384), 1,
      sym_class_body,
    STATE(1989), 1,
      sym_comment,
    STATE(2344), 1,
      sym_class_heritage,
  [91806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3649), 1,
      anon_sym_SQUOTE,
    ACTIONS(3651), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(1990), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [91824] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3642), 1,
      anon_sym_DQUOTE,
    STATE(1922), 1,
      aux_sym_string_repeat1,
    STATE(1991), 1,
      sym_comment,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91844] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3654), 1,
      anon_sym_LBRACE,
    STATE(213), 1,
      sym_class_body,
    STATE(1992), 1,
      sym_comment,
    STATE(2630), 1,
      sym_class_heritage,
  [91866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1993), 1,
      sym_comment,
    ACTIONS(2470), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [91882] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3656), 1,
      anon_sym_DQUOTE,
    STATE(1984), 1,
      aux_sym_string_repeat1,
    STATE(1994), 1,
      sym_comment,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91902] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3656), 1,
      anon_sym_SQUOTE,
    STATE(1990), 1,
      aux_sym_string_repeat2,
    STATE(1995), 1,
      sym_comment,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [91922] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3658), 1,
      anon_sym_DQUOTE,
    STATE(1984), 1,
      aux_sym_string_repeat1,
    STATE(1996), 1,
      sym_comment,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [91942] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1322), 1,
      sym_class_body,
    STATE(1997), 1,
      sym_comment,
    STATE(2400), 1,
      sym_class_heritage,
  [91964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(1998), 1,
      sym_comment,
    STATE(2812), 2,
      sym_namespace_import,
      sym_named_imports,
  [91984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3664), 1,
      anon_sym_EQ,
    STATE(1999), 1,
      sym_comment,
    STATE(2220), 1,
      sym__initializer,
    ACTIONS(3147), 2,
      anon_sym_in,
      anon_sym_of,
  [92004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3666), 1,
      anon_sym_COMMA,
    ACTIONS(3669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2000), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [92022] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_EQ,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    STATE(2001), 1,
      sym_comment,
    STATE(2134), 1,
      aux_sym_formal_parameters_repeat1,
  [92044] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3251), 1,
      anon_sym_finally,
    STATE(2002), 1,
      sym_comment,
    STATE(2628), 1,
      sym_finally_clause,
    ACTIONS(1503), 2,
      anon_sym_else,
      anon_sym_while,
  [92064] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_class_body,
    STATE(2003), 1,
      sym_comment,
    STATE(2445), 1,
      sym_class_heritage,
  [92086] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3677), 1,
      anon_sym_DQUOTE,
    STATE(1984), 1,
      aux_sym_string_repeat1,
    STATE(2004), 1,
      sym_comment,
    ACTIONS(3512), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92106] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    STATE(173), 1,
      sym_class_body,
    STATE(2005), 1,
      sym_comment,
    STATE(2442), 1,
      sym_class_heritage,
  [92128] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    ACTIONS(3681), 1,
      anon_sym_SEMI,
    ACTIONS(3683), 1,
      sym__automatic_semicolon,
    STATE(2006), 1,
      sym_comment,
    STATE(2390), 1,
      sym_import_attribute,
  [92150] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3677), 1,
      anon_sym_SQUOTE,
    STATE(1990), 1,
      aux_sym_string_repeat2,
    STATE(2007), 1,
      sym_comment,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92170] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3658), 1,
      anon_sym_SQUOTE,
    STATE(1990), 1,
      aux_sym_string_repeat2,
    STATE(2008), 1,
      sym_comment,
    ACTIONS(3434), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [92190] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3464), 1,
      sym__glimmer_template_content,
    ACTIONS(3466), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1286), 1,
      sym_glimmer_closing_tag,
    STATE(1902), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(2009), 1,
      sym_comment,
  [92212] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    ACTIONS(3685), 1,
      anon_sym_SEMI,
    ACTIONS(3687), 1,
      sym__automatic_semicolon,
    STATE(2010), 1,
      sym_comment,
    STATE(2435), 1,
      sym_import_attribute,
  [92234] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3654), 1,
      anon_sym_LBRACE,
    STATE(215), 1,
      sym_class_body,
    STATE(2011), 1,
      sym_comment,
    STATE(2473), 1,
      sym_class_heritage,
  [92256] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3689), 1,
      sym_html_character_reference,
    ACTIONS(3691), 1,
      anon_sym_DQUOTE,
    ACTIONS(3693), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1972), 1,
      aux_sym__jsx_string_repeat1,
    STATE(2012), 1,
      sym_comment,
  [92278] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3695), 1,
      sym_identifier,
    ACTIONS(3697), 1,
      anon_sym_STAR,
    STATE(2013), 1,
      sym_comment,
    STATE(2193), 1,
      sym_formal_parameters,
  [92300] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3699), 1,
      sym_identifier,
    ACTIONS(3701), 1,
      anon_sym_STAR,
    STATE(2014), 1,
      sym_comment,
    STATE(2470), 1,
      sym_formal_parameters,
  [92322] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3355), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(2015), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [92344] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3638), 1,
      anon_sym_DQUOTE,
    ACTIONS(3689), 1,
      sym_html_character_reference,
    ACTIONS(3693), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(2012), 1,
      aux_sym__jsx_string_repeat1,
    STATE(2016), 1,
      sym_comment,
  [92366] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_class_body,
    STATE(2017), 1,
      sym_comment,
    STATE(2410), 1,
      sym_class_heritage,
  [92388] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_class_body,
    STATE(2018), 1,
      sym_comment,
    STATE(2432), 1,
      sym_class_heritage,
  [92410] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3629), 1,
      anon_sym_LBRACE,
    STATE(2019), 1,
      sym_comment,
    STATE(2188), 1,
      sym_class_body,
    STATE(2374), 1,
      sym_class_heritage,
  [92432] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3703), 1,
      sym_identifier,
    ACTIONS(3705), 1,
      anon_sym_STAR,
    STATE(2020), 1,
      sym_comment,
    STATE(2193), 1,
      sym_formal_parameters,
  [92454] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3707), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(2021), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [92476] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1311), 1,
      sym_class_body,
    STATE(2022), 1,
      sym_comment,
    STATE(2363), 1,
      sym_class_heritage,
  [92498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2023), 1,
      sym_comment,
    ACTIONS(3709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92518] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(3711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92538] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3450), 1,
      anon_sym_extends,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    STATE(197), 1,
      sym_class_body,
    STATE(2025), 1,
      sym_comment,
    STATE(2420), 1,
      sym_class_heritage,
  [92560] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3713), 1,
      anon_sym_class,
    STATE(1834), 1,
      aux_sym_export_statement_repeat1,
    STATE(2026), 1,
      sym_comment,
    STATE(2178), 1,
      sym_decorator,
  [92582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2027), 1,
      sym_comment,
    ACTIONS(3715), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92602] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_with,
    ACTIONS(3717), 1,
      anon_sym_SEMI,
    ACTIONS(3719), 1,
      sym__automatic_semicolon,
    STATE(2028), 1,
      sym_comment,
    STATE(2364), 1,
      sym_import_attribute,
  [92624] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3721), 1,
      sym_identifier,
    ACTIONS(3723), 1,
      anon_sym_STAR,
    STATE(2029), 1,
      sym_comment,
    STATE(2470), 1,
      sym_formal_parameters,
  [92646] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3636), 1,
      sym_html_character_reference,
    ACTIONS(3640), 1,
      sym_unescaped_single_jsx_string_fragment,
    ACTIONS(3691), 1,
      anon_sym_SQUOTE,
    STATE(1968), 1,
      aux_sym__jsx_string_repeat2,
    STATE(2030), 1,
      sym_comment,
  [92668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2031), 1,
      sym_comment,
    ACTIONS(3725), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92688] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2032), 1,
      sym_comment,
    ACTIONS(3727), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92708] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2000), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(2033), 1,
      sym_comment,
    ACTIONS(3729), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [92728] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3733), 1,
      anon_sym_GT,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    STATE(2034), 1,
      sym_comment,
  [92747] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3318), 1,
      sym_identifier,
    ACTIONS(3322), 1,
      anon_sym_LBRACK,
    ACTIONS(3324), 1,
      sym_private_property_identifier,
    STATE(2035), 1,
      sym_comment,
  [92766] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2036), 1,
      sym_comment,
  [92785] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(2037), 1,
      sym_comment,
    STATE(2069), 1,
      aux_sym_array_repeat1,
  [92804] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      sym_identifier,
    STATE(2038), 1,
      sym_comment,
    STATE(2691), 1,
      sym_formal_parameters,
  [92823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3739), 1,
      anon_sym_RBRACE,
    STATE(2039), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [92842] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3741), 1,
      anon_sym_RBRACE,
    STATE(2040), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_object_pattern_repeat1,
  [92861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3743), 1,
      anon_sym_RBRACE,
    STATE(2041), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_object_pattern_repeat1,
  [92880] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3745), 1,
      anon_sym_RBRACE,
    STATE(2042), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [92899] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3747), 1,
      sym_identifier,
    ACTIONS(3749), 1,
      anon_sym_SEMI,
    ACTIONS(3751), 1,
      sym__automatic_semicolon,
    STATE(2043), 1,
      sym_comment,
  [92918] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3755), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(2044), 1,
      sym_comment,
    ACTIONS(3753), 2,
      sym_html_character_reference,
      anon_sym_SQUOTE,
  [92935] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3757), 1,
      sym_identifier,
    STATE(2045), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [92954] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3759), 1,
      sym_identifier,
    ACTIONS(3761), 1,
      anon_sym_SEMI,
    ACTIONS(3763), 1,
      sym__automatic_semicolon,
    STATE(2046), 1,
      sym_comment,
  [92973] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3765), 1,
      anon_sym_LBRACE,
    ACTIONS(3767), 1,
      anon_sym_LPAREN,
    STATE(527), 1,
      sym_statement_block,
    STATE(2047), 1,
      sym_comment,
  [92992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2393), 1,
      sym__automatic_semicolon,
    STATE(2048), 1,
      sym_comment,
    ACTIONS(1057), 2,
      anon_sym_else,
      anon_sym_while,
  [93009] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2391), 1,
      sym__automatic_semicolon,
    STATE(2049), 1,
      sym_comment,
    ACTIONS(1037), 2,
      anon_sym_else,
      anon_sym_while,
  [93026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    ACTIONS(3771), 1,
      anon_sym_LPAREN,
    STATE(2050), 1,
      sym_comment,
    STATE(2183), 1,
      sym_statement_block,
  [93045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3773), 1,
      anon_sym_RBRACK,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2051), 1,
      sym_comment,
  [93064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_RBRACK,
    STATE(2052), 1,
      sym_comment,
    STATE(2061), 1,
      aux_sym_array_pattern_repeat1,
  [93083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2381), 1,
      sym__automatic_semicolon,
    STATE(2053), 1,
      sym_comment,
    ACTIONS(1041), 2,
      anon_sym_else,
      anon_sym_while,
  [93100] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3777), 1,
      sym_identifier,
    STATE(2054), 1,
      sym_comment,
    STATE(2691), 1,
      sym_formal_parameters,
  [93119] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2055), 1,
      sym_comment,
    ACTIONS(3779), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93134] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(2056), 1,
      sym_comment,
    STATE(2166), 1,
      aux_sym_array_repeat1,
  [93153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2057), 1,
      sym_comment,
  [93172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2058), 1,
      sym_comment,
    ACTIONS(1529), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [93187] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      sym_comment,
    STATE(2088), 1,
      aux_sym_array_repeat1,
  [93206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2060), 1,
      sym_comment,
  [93225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3781), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACK,
    STATE(2061), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [93242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(927), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3786), 1,
      anon_sym_DQUOTE,
    ACTIONS(3788), 1,
      anon_sym_SQUOTE,
    STATE(2063), 1,
      sym_comment,
    STATE(2168), 1,
      sym_string,
  [93276] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3790), 1,
      sym_identifier,
    STATE(2064), 1,
      sym_comment,
    STATE(2357), 1,
      sym_formal_parameters,
  [93295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2065), 1,
      sym_comment,
    ACTIONS(3792), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [93310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    ACTIONS(3794), 1,
      anon_sym_as,
    STATE(2066), 1,
      sym_comment,
    STATE(2499), 1,
      sym__from_clause,
  [93329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_GT,
    STATE(2067), 1,
      sym_comment,
  [93348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2068), 1,
      sym_comment,
    ACTIONS(3669), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [93363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3798), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2069), 1,
      sym_comment,
  [93382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2402), 1,
      sym__automatic_semicolon,
    STATE(2070), 1,
      sym_comment,
    ACTIONS(1053), 2,
      anon_sym_else,
      anon_sym_while,
  [93399] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2395), 1,
      sym__automatic_semicolon,
    STATE(2071), 1,
      sym_comment,
    ACTIONS(1047), 2,
      anon_sym_else,
      anon_sym_while,
  [93416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3644), 1,
      anon_sym_RBRACK,
    STATE(2061), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2072), 1,
      sym_comment,
  [93435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RBRACK,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2073), 1,
      sym_comment,
  [93454] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RBRACK,
    STATE(2051), 1,
      aux_sym_array_repeat1,
    STATE(2074), 1,
      sym_comment,
  [93473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3644), 1,
      anon_sym_RBRACK,
    STATE(2052), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2075), 1,
      sym_comment,
  [93492] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3800), 1,
      anon_sym_LPAREN,
    ACTIONS(3802), 1,
      anon_sym_await,
    STATE(97), 1,
      sym__for_header,
    STATE(2076), 1,
      sym_comment,
  [93511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    STATE(2077), 1,
      sym_comment,
    STATE(2134), 1,
      aux_sym_formal_parameters_repeat1,
  [93530] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3804), 1,
      sym_identifier,
    ACTIONS(3806), 1,
      anon_sym_SEMI,
    ACTIONS(3808), 1,
      sym__automatic_semicolon,
    STATE(2078), 1,
      sym_comment,
  [93549] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3810), 1,
      sym__glimmer_template_content,
    ACTIONS(3813), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2079), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [93566] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3815), 1,
      anon_sym_COMMA,
    ACTIONS(3817), 1,
      anon_sym_RBRACE,
    STATE(2080), 1,
      sym_comment,
    STATE(2105), 1,
      aux_sym_named_imports_repeat1,
  [93585] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3819), 1,
      sym_identifier,
    ACTIONS(3821), 1,
      anon_sym_SEMI,
    ACTIONS(3823), 1,
      sym__automatic_semicolon,
    STATE(2081), 1,
      sym_comment,
  [93604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2082), 1,
      sym_comment,
    ACTIONS(3825), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3827), 1,
      anon_sym_RBRACK,
    STATE(2061), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2083), 1,
      sym_comment,
  [93638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3829), 1,
      anon_sym_RBRACE,
    STATE(2084), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_object_pattern_repeat1,
  [93657] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3831), 1,
      anon_sym_RBRACE,
    STATE(2085), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [93676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3831), 1,
      anon_sym_RBRACE,
    STATE(2042), 1,
      aux_sym_object_repeat1,
    STATE(2086), 1,
      sym_comment,
  [93695] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3829), 1,
      anon_sym_RBRACE,
    STATE(2041), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2087), 1,
      sym_comment,
  [93714] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3833), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2088), 1,
      sym_comment,
  [93733] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3835), 1,
      anon_sym_RBRACK,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2089), 1,
      sym_comment,
  [93752] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3837), 1,
      sym_identifier,
    ACTIONS(3839), 1,
      anon_sym_SEMI,
    ACTIONS(3841), 1,
      sym__automatic_semicolon,
    STATE(2090), 1,
      sym_comment,
  [93771] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3843), 1,
      anon_sym_COMMA,
    ACTIONS(3846), 1,
      anon_sym_RPAREN,
    STATE(2091), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [93788] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3848), 1,
      sym_identifier,
    ACTIONS(3850), 1,
      anon_sym_SEMI,
    ACTIONS(3852), 1,
      sym__automatic_semicolon,
    STATE(2092), 1,
      sym_comment,
  [93807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3854), 1,
      anon_sym_LPAREN,
    ACTIONS(3856), 1,
      anon_sym_await,
    STATE(85), 1,
      sym__for_header,
    STATE(2093), 1,
      sym_comment,
  [93826] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3858), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2094), 1,
      sym_comment,
  [93845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(3860), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93860] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3862), 1,
      anon_sym_COMMA,
    ACTIONS(3864), 1,
      anon_sym_RBRACE,
    STATE(2096), 1,
      sym_comment,
    STATE(2186), 1,
      aux_sym_export_clause_repeat1,
  [93879] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3866), 1,
      anon_sym_as,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(3868), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [93896] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    ACTIONS(3870), 1,
      anon_sym_GT,
    STATE(2098), 1,
      sym_comment,
  [93915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2379), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2099), 1,
      sym_comment,
  [93934] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2379), 1,
      anon_sym_RPAREN,
    STATE(2094), 1,
      aux_sym_array_repeat1,
    STATE(2100), 1,
      sym_comment,
  [93953] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_EQ,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(3784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [93970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2377), 1,
      sym__automatic_semicolon,
    STATE(2102), 1,
      sym_comment,
    ACTIONS(999), 2,
      anon_sym_else,
      anon_sym_while,
  [93987] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_EQ,
    STATE(2103), 1,
      sym_comment,
    ACTIONS(3846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [94004] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2104), 1,
      sym_comment,
    ACTIONS(2369), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [94019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    ACTIONS(3875), 1,
      anon_sym_RBRACE,
    STATE(2105), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [94036] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3879), 1,
      anon_sym_LPAREN,
    STATE(561), 1,
      sym_statement_block,
    STATE(2106), 1,
      sym_comment,
  [94055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2107), 1,
      sym_comment,
    ACTIONS(1659), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [94070] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3881), 1,
      sym_identifier,
    STATE(2108), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [94089] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3883), 1,
      sym_identifier,
    STATE(1547), 1,
      sym_decorator_member_expression,
    STATE(1613), 1,
      sym_decorator_call_expression,
    STATE(2109), 1,
      sym_comment,
  [94108] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1595), 1,
      anon_sym_while,
    ACTIONS(3885), 1,
      anon_sym_else,
    STATE(2110), 1,
      sym_comment,
    STATE(2650), 1,
      sym_else_clause,
  [94127] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2349), 1,
      sym__automatic_semicolon,
    STATE(2111), 1,
      sym_comment,
    ACTIONS(1003), 2,
      anon_sym_else,
      anon_sym_while,
  [94144] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3887), 1,
      anon_sym_RBRACE,
    STATE(2112), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [94163] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    STATE(2113), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [94182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3375), 1,
      anon_sym_EQ,
    STATE(2114), 1,
      sym_comment,
    ACTIONS(1843), 2,
      anon_sym_in,
      anon_sym_of,
  [94199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3891), 1,
      anon_sym_LPAREN,
    ACTIONS(3893), 1,
      anon_sym_await,
    STATE(118), 1,
      sym__for_header,
    STATE(2115), 1,
      sym_comment,
  [94218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2116), 1,
      sym_comment,
    ACTIONS(2067), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [94233] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3895), 1,
      sym_identifier,
    ACTIONS(3897), 1,
      anon_sym_SEMI,
    ACTIONS(3899), 1,
      sym__automatic_semicolon,
    STATE(2117), 1,
      sym_comment,
  [94252] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3901), 1,
      sym_identifier,
    ACTIONS(3903), 1,
      anon_sym_SEMI,
    ACTIONS(3905), 1,
      sym__automatic_semicolon,
    STATE(2118), 1,
      sym_comment,
  [94271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(3907), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [94286] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3909), 1,
      anon_sym_LPAREN,
    ACTIONS(3911), 1,
      anon_sym_await,
    STATE(86), 1,
      sym__for_header,
    STATE(2120), 1,
      sym_comment,
  [94305] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3913), 1,
      anon_sym_LBRACE,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    STATE(481), 1,
      sym_statement_block,
    STATE(2121), 1,
      sym_comment,
  [94324] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3917), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_comment,
    STATE(2691), 1,
      sym_formal_parameters,
  [94343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_RPAREN,
    STATE(2123), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_array_repeat1,
  [94362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2124), 1,
      sym_comment,
  [94381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_EQ,
    STATE(2125), 1,
      sym_comment,
    ACTIONS(3919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [94398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    ACTIONS(3794), 1,
      anon_sym_as,
    STATE(2126), 1,
      sym_comment,
    STATE(2397), 1,
      sym__from_clause,
  [94417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2127), 1,
      sym_comment,
    ACTIONS(2139), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [94432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3458), 1,
      anon_sym_RBRACK,
    STATE(2083), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2128), 1,
      sym_comment,
  [94451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3921), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2129), 1,
      sym_comment,
  [94470] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3923), 1,
      anon_sym_DQUOTE,
    STATE(2130), 1,
      sym_comment,
    ACTIONS(3925), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [94487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3927), 1,
      anon_sym_RBRACE,
    STATE(2131), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [94506] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3929), 1,
      anon_sym_RBRACE,
    STATE(2132), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_object_pattern_repeat1,
  [94525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3931), 1,
      anon_sym_LBRACE,
    ACTIONS(3933), 1,
      anon_sym_LPAREN,
    STATE(818), 1,
      sym_statement_block,
    STATE(2133), 1,
      sym_comment,
  [94544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_COMMA,
    ACTIONS(3937), 1,
      anon_sym_RPAREN,
    STATE(2091), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2134), 1,
      sym_comment,
  [94563] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_identifier,
    STATE(2135), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [94582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_COLON,
    STATE(2136), 1,
      sym_comment,
    STATE(2598), 1,
      sym_formal_parameters,
  [94601] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3943), 1,
      sym_identifier,
    STATE(2137), 1,
      sym_comment,
    STATE(2396), 1,
      sym_formal_parameters,
  [94620] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3945), 1,
      anon_sym_RBRACE,
    STATE(2138), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_object_pattern_repeat1,
  [94639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3947), 1,
      anon_sym_RBRACE,
    STATE(2139), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [94658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    ACTIONS(3794), 1,
      anon_sym_as,
    STATE(2140), 1,
      sym_comment,
    STATE(2275), 1,
      sym__from_clause,
  [94677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3949), 1,
      anon_sym_RBRACE,
    STATE(2141), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [94696] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2362), 1,
      anon_sym_RBRACK,
    STATE(2089), 1,
      aux_sym_array_repeat1,
    STATE(2142), 1,
      sym_comment,
  [94715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    ACTIONS(3951), 1,
      anon_sym_COLON,
    STATE(2143), 1,
      sym_comment,
    STATE(2598), 1,
      sym_formal_parameters,
  [94734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(899), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [94749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(2149), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [94764] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3412), 1,
      sym_identifier,
    ACTIONS(3416), 1,
      anon_sym_LBRACK,
    ACTIONS(3418), 1,
      sym_private_property_identifier,
    STATE(2146), 1,
      sym_comment,
  [94783] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3949), 1,
      anon_sym_RBRACE,
    STATE(2112), 1,
      aux_sym_object_repeat1,
    STATE(2147), 1,
      sym_comment,
  [94802] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3953), 1,
      anon_sym_RBRACE,
    STATE(2148), 1,
      sym_comment,
    STATE(2169), 1,
      aux_sym_object_pattern_repeat1,
  [94821] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2362), 1,
      anon_sym_RBRACK,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2149), 1,
      sym_comment,
  [94840] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3947), 1,
      anon_sym_RBRACE,
    STATE(2150), 1,
      sym_comment,
    STATE(2156), 1,
      aux_sym_object_repeat1,
  [94859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2151), 1,
      sym_comment,
    ACTIONS(3203), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [94874] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3955), 1,
      sym_identifier,
    STATE(2152), 1,
      sym_comment,
    STATE(2691), 1,
      sym_formal_parameters,
  [94893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(903), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [94908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3458), 1,
      anon_sym_RBRACK,
    STATE(2061), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2154), 1,
      sym_comment,
  [94927] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    ACTIONS(3945), 1,
      anon_sym_RBRACE,
    STATE(2148), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2155), 1,
      sym_comment,
  [94946] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3957), 1,
      anon_sym_RBRACE,
    STATE(2156), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_object_repeat1,
  [94965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2238), 1,
      anon_sym_in,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(2413), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [94982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3959), 1,
      sym__automatic_semicolon,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(903), 2,
      anon_sym_else,
      anon_sym_while,
  [94999] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3961), 1,
      sym__automatic_semicolon,
    STATE(2159), 1,
      sym_comment,
    ACTIONS(905), 2,
      anon_sym_else,
      anon_sym_while,
  [95016] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_GT,
    STATE(2160), 1,
      sym_comment,
  [95035] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3965), 1,
      sym_identifier,
    STATE(2161), 1,
      sym_comment,
    STATE(2691), 1,
      sym_formal_parameters,
  [95054] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3967), 1,
      sym_identifier,
    STATE(2162), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [95073] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    STATE(1783), 1,
      sym_decorator_member_expression,
    STATE(2151), 1,
      sym_decorator_call_expression,
    STATE(2163), 1,
      sym_comment,
  [95092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3971), 1,
      anon_sym_COMMA,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    STATE(2164), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [95109] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3976), 1,
      anon_sym_COMMA,
    ACTIONS(3979), 1,
      anon_sym_RBRACE,
    STATE(2165), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [95126] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(3981), 1,
      anon_sym_RPAREN,
    STATE(1965), 1,
      aux_sym_array_repeat1,
    STATE(2166), 1,
      sym_comment,
  [95145] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3983), 1,
      sym_identifier,
    STATE(2167), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [95164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(3985), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [95179] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3987), 1,
      anon_sym_COMMA,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    STATE(2169), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [95196] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym_identifier,
    STATE(1583), 1,
      sym_decorator_member_expression,
    STATE(1650), 1,
      sym_decorator_call_expression,
    STATE(2170), 1,
      sym_comment,
  [95215] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(3994), 1,
      sym_identifier,
    STATE(2171), 1,
      sym_comment,
    STATE(2691), 1,
      sym_formal_parameters,
  [95234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(3996), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [95249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    ACTIONS(3794), 1,
      anon_sym_as,
    STATE(2173), 1,
      sym_comment,
    STATE(2466), 1,
      sym__from_clause,
  [95268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_as,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(3998), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95285] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4002), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(4000), 2,
      sym_html_character_reference,
      anon_sym_DQUOTE,
  [95302] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4004), 1,
      sym_identifier,
    ACTIONS(4006), 1,
      anon_sym_SEMI,
    ACTIONS(4008), 1,
      sym__automatic_semicolon,
    STATE(2176), 1,
      sym_comment,
  [95321] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4010), 1,
      sym_identifier,
    ACTIONS(4012), 1,
      anon_sym_SEMI,
    ACTIONS(4014), 1,
      sym__automatic_semicolon,
    STATE(2177), 1,
      sym_comment,
  [95340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(4016), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [95355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4018), 1,
      anon_sym_COMMA,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    STATE(2080), 1,
      aux_sym_named_imports_repeat1,
    STATE(2179), 1,
      sym_comment,
  [95374] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4022), 1,
      anon_sym_LPAREN,
    ACTIONS(4024), 1,
      anon_sym_await,
    STATE(104), 1,
      sym__for_header,
    STATE(2180), 1,
      sym_comment,
  [95393] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4026), 1,
      anon_sym_SQUOTE,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(4028), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [95410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4030), 1,
      anon_sym_EQ,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(1843), 2,
      anon_sym_in,
      anon_sym_of,
  [95427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(1555), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [95442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(3363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [95457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(931), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [95472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    ACTIONS(4034), 1,
      anon_sym_RBRACE,
    STATE(2164), 1,
      aux_sym_export_clause_repeat1,
    STATE(2186), 1,
      sym_comment,
  [95491] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    ACTIONS(3794), 1,
      anon_sym_as,
    STATE(2187), 1,
      sym_comment,
    STATE(2427), 1,
      sym__from_clause,
  [95510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2341), 1,
      sym__automatic_semicolon,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(1023), 2,
      anon_sym_else,
      anon_sym_while,
  [95527] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
    ACTIONS(4036), 1,
      sym_identifier,
    STATE(2189), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [95546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
    STATE(2190), 1,
      sym_comment,
  [95562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3502), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_class_body,
    STATE(2191), 1,
      sym_comment,
  [95578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3448), 1,
      anon_sym_LBRACE,
    STATE(714), 1,
      sym_class_body,
    STATE(2192), 1,
      sym_comment,
  [95594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1373), 1,
      sym_statement_block,
    STATE(2193), 1,
      sym_comment,
  [95610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2194), 1,
      sym_comment,
    STATE(2464), 1,
      sym_formal_parameters,
  [95626] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4042), 1,
      sym_identifier,
    ACTIONS(4044), 1,
      anon_sym_STAR,
    STATE(2195), 1,
      sym_comment,
  [95642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    ACTIONS(3963), 1,
      anon_sym_GT,
    STATE(2196), 1,
      sym_comment,
  [95658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
    STATE(2197), 1,
      sym_comment,
  [95674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2198), 1,
      sym_comment,
    STATE(2236), 1,
      sym_statement_block,
  [95690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1374), 1,
      sym_class_body,
    STATE(2199), 1,
      sym_comment,
  [95706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(4046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parenthesized_expression,
    STATE(2203), 1,
      sym_comment,
  [95764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2205), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_comment,
    STATE(2232), 1,
      sym_statement_block,
  [95808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2207), 1,
      sym_comment,
    STATE(2233), 1,
      sym_statement_block,
  [95824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4050), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_statement_block,
    STATE(2208), 1,
      sym_comment,
  [95840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_comment,
    STATE(2234), 1,
      sym_statement_block,
  [95856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(4052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [95884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3931), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    STATE(2213), 1,
      sym_comment,
  [95914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_comment,
    STATE(2235), 1,
      sym_statement_block,
  [95958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3963), 1,
      anon_sym_GT,
    STATE(2217), 1,
      sym_comment,
  [95974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_statement_block,
    STATE(2218), 1,
      sym_comment,
  [95990] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4056), 1,
      sym_identifier,
    ACTIONS(4058), 1,
      anon_sym_STAR,
    STATE(2219), 1,
      sym_comment,
  [96006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3365), 1,
      anon_sym_in,
    ACTIONS(3367), 1,
      anon_sym_of,
    STATE(2220), 1,
      sym_comment,
  [96022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2221), 1,
      sym_comment,
    STATE(2239), 1,
      sym_statement_block,
  [96038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2224), 1,
      sym_comment,
    STATE(2588), 1,
      sym_formal_parameters,
  [96082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(4048), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4060), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym_statement_block,
    STATE(2226), 1,
      sym_comment,
  [96112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2227), 1,
      sym_comment,
    STATE(2583), 1,
      sym_statement_block,
  [96128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2228), 1,
      sym_comment,
    STATE(2581), 1,
      sym_formal_parameters,
  [96144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(2265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96158] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4062), 1,
      sym_identifier,
    ACTIONS(4064), 1,
      anon_sym_STAR,
    STATE(2230), 1,
      sym_comment,
  [96174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1359), 1,
      sym_class_body,
    STATE(2231), 1,
      sym_comment,
  [96190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2233), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2234), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96260] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4068), 1,
      sym_identifier,
    ACTIONS(4070), 1,
      sym_private_property_identifier,
    STATE(2237), 1,
      sym_comment,
  [96276] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3412), 1,
      sym_identifier,
    ACTIONS(3418), 1,
      sym_private_property_identifier,
    STATE(2238), 1,
      sym_comment,
  [96292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2240), 1,
      sym_comment,
    ACTIONS(1727), 2,
      anon_sym_else,
      anon_sym_while,
  [96320] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(4072), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [96334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_else,
      anon_sym_while,
  [96348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(1731), 2,
      anon_sym_else,
      anon_sym_while,
  [96376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_statement_block,
    STATE(2245), 1,
      sym_comment,
  [96392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4078), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_switch_body,
    STATE(2246), 1,
      sym_comment,
  [96408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym__for_header,
    STATE(2247), 1,
      sym_comment,
  [96424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_statement_block,
    STATE(2248), 1,
      sym_comment,
  [96440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(1922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(3919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1567), 1,
      sym_statement_block,
    STATE(2251), 1,
      sym_comment,
  [96484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(4082), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4084), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(4086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2256), 1,
      sym_comment,
    ACTIONS(2261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2257), 1,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(2259), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_statement_block,
    STATE(2259), 1,
      sym_comment,
  [96598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_statement_block,
    STATE(2260), 1,
      sym_comment,
  [96614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_statement_block,
    STATE(2261), 1,
      sym_comment,
  [96630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2058), 1,
      sym_statement_block,
    STATE(2262), 1,
      sym_comment,
  [96646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1321), 1,
      sym_statement_block,
    STATE(2263), 1,
      sym_comment,
  [96662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_statement_block,
    STATE(2264), 1,
      sym_comment,
  [96678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_statement_block,
    STATE(2265), 1,
      sym_comment,
  [96694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1581), 1,
      sym_statement_block,
    STATE(2266), 1,
      sym_comment,
  [96710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(2267), 1,
      sym_comment,
  [96726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2268), 1,
      sym_comment,
    STATE(2579), 1,
      sym_formal_parameters,
  [96742] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4088), 1,
      sym_identifier,
    ACTIONS(4090), 1,
      anon_sym_STAR,
    STATE(2269), 1,
      sym_comment,
  [96758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(2027), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2225), 1,
      sym_statement_block,
    STATE(2271), 1,
      sym_comment,
  [96788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_statement_block,
    STATE(2272), 1,
      sym_comment,
  [96804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_statement_block,
    STATE(2273), 1,
      sym_comment,
  [96820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_statement_block,
    STATE(2274), 1,
      sym_comment,
  [96836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4092), 1,
      anon_sym_SEMI,
    ACTIONS(4094), 1,
      sym__automatic_semicolon,
    STATE(2275), 1,
      sym_comment,
  [96852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_statement_block,
    STATE(2276), 1,
      sym_comment,
  [96868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2222), 1,
      sym_statement_block,
    STATE(2277), 1,
      sym_comment,
  [96884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_statement_block,
    STATE(2278), 1,
      sym_comment,
  [96900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4096), 1,
      anon_sym_SEMI,
    ACTIONS(4098), 1,
      sym__automatic_semicolon,
    STATE(2279), 1,
      sym_comment,
  [96916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4100), 1,
      anon_sym_SEMI,
    ACTIONS(4102), 1,
      sym__automatic_semicolon,
    STATE(2280), 1,
      sym_comment,
  [96932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_statement_block,
    STATE(2281), 1,
      sym_comment,
  [96948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1558), 1,
      sym_statement_block,
    STATE(2282), 1,
      sym_comment,
  [96964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1555), 1,
      sym_statement_block,
    STATE(2283), 1,
      sym_comment,
  [96980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4104), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_statement_block,
    STATE(2285), 1,
      sym_comment,
  [97010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_statement_block,
    STATE(2286), 1,
      sym_comment,
  [97026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4106), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_statement_block,
    STATE(2287), 1,
      sym_comment,
  [97042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1331), 1,
      sym_statement_block,
    STATE(2288), 1,
      sym_comment,
  [97058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2221), 1,
      sym_formal_parameters,
    STATE(2289), 1,
      sym_comment,
  [97074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2198), 1,
      sym_formal_parameters,
    STATE(2290), 1,
      sym_comment,
  [97090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2216), 1,
      sym_formal_parameters,
    STATE(2291), 1,
      sym_comment,
  [97106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4108), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_parenthesized_expression,
    STATE(2292), 1,
      sym_comment,
  [97122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1332), 1,
      sym_class_body,
    STATE(2293), 1,
      sym_comment,
  [97138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4110), 1,
      anon_sym_LBRACE,
    STATE(764), 1,
      sym_statement_block,
    STATE(2294), 1,
      sym_comment,
  [97154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1333), 1,
      sym_statement_block,
    STATE(2295), 1,
      sym_comment,
  [97170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1334), 1,
      sym_statement_block,
    STATE(2296), 1,
      sym_comment,
  [97186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    STATE(2297), 1,
      sym_comment,
    STATE(2544), 1,
      sym_parenthesized_expression,
  [97202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_statement_block,
    STATE(2298), 1,
      sym_comment,
  [97218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2215), 1,
      sym_statement_block,
    STATE(2299), 1,
      sym_comment,
  [97234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_class_body,
    STATE(2300), 1,
      sym_comment,
  [97250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4114), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym_statement_block,
    STATE(2301), 1,
      sym_comment,
  [97266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2302), 1,
      sym_comment,
    ACTIONS(2023), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2303), 1,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_statement_block,
    STATE(2304), 1,
      sym_comment,
  [97310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_statement_block,
    STATE(2305), 1,
      sym_comment,
  [97326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_statement_block,
    STATE(2306), 1,
      sym_comment,
  [97342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3870), 1,
      anon_sym_GT,
    STATE(2307), 1,
      sym_comment,
  [97358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1591), 1,
      sym_statement_block,
    STATE(2308), 1,
      sym_comment,
  [97374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    ACTIONS(3870), 1,
      anon_sym_GT,
    STATE(2309), 1,
      sym_comment,
  [97390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2310), 1,
      sym_comment,
    STATE(2570), 1,
      sym_formal_parameters,
  [97406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2212), 1,
      sym_statement_block,
    STATE(2311), 1,
      sym_comment,
  [97422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1554), 1,
      sym_statement_block,
    STATE(2312), 1,
      sym_comment,
  [97438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_LBRACE,
    STATE(554), 1,
      sym_class_body,
    STATE(2313), 1,
      sym_comment,
  [97454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4116), 1,
      anon_sym_LBRACE,
    STATE(553), 1,
      sym_statement_block,
    STATE(2314), 1,
      sym_comment,
  [97470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1594), 1,
      sym_statement_block,
    STATE(2315), 1,
      sym_comment,
  [97486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4118), 1,
      anon_sym_SEMI,
    ACTIONS(4120), 1,
      sym__automatic_semicolon,
    STATE(2316), 1,
      sym_comment,
  [97502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_statement_block,
    STATE(2317), 1,
      sym_comment,
  [97518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2318), 1,
      sym_comment,
    ACTIONS(2222), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4114), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_statement_block,
    STATE(2319), 1,
      sym_comment,
  [97548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4114), 1,
      anon_sym_LBRACE,
    STATE(189), 1,
      sym_statement_block,
    STATE(2320), 1,
      sym_comment,
  [97564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      sym_class_body,
    STATE(2321), 1,
      sym_comment,
  [97580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2210), 1,
      sym_statement_block,
    STATE(2322), 1,
      sym_comment,
  [97596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    STATE(191), 1,
      sym_class_body,
    STATE(2323), 1,
      sym_comment,
  [97612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4116), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_statement_block,
    STATE(2324), 1,
      sym_comment,
  [97628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4116), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_statement_block,
    STATE(2325), 1,
      sym_comment,
  [97644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3524), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_class_body,
    STATE(2326), 1,
      sym_comment,
  [97660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2209), 1,
      sym_formal_parameters,
    STATE(2327), 1,
      sym_comment,
  [97676] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4122), 1,
      sym_identifier,
    ACTIONS(4124), 1,
      anon_sym_STAR,
    STATE(2328), 1,
      sym_comment,
  [97692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4114), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_statement_block,
    STATE(2329), 1,
      sym_comment,
  [97708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4116), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_statement_block,
    STATE(2330), 1,
      sym_comment,
  [97724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_statement_block,
    STATE(2331), 1,
      sym_comment,
  [97740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2207), 1,
      sym_formal_parameters,
    STATE(2332), 1,
      sym_comment,
  [97756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2206), 1,
      sym_formal_parameters,
    STATE(2333), 1,
      sym_comment,
  [97772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2205), 1,
      sym_statement_block,
    STATE(2334), 1,
      sym_comment,
  [97788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(2248), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_parenthesized_expression,
    STATE(2337), 1,
      sym_comment,
  [97832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2204), 1,
      sym_statement_block,
    STATE(2338), 1,
      sym_comment,
  [97848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4106), 1,
      anon_sym_LBRACE,
    STATE(2049), 1,
      sym_statement_block,
    STATE(2339), 1,
      sym_comment,
  [97864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2202), 1,
      sym_statement_block,
    STATE(2340), 1,
      sym_comment,
  [97880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(96), 1,
      sym_parenthesized_expression,
    STATE(2341), 1,
      sym_comment,
  [97896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4126), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_statement_block,
    STATE(2342), 1,
      sym_comment,
  [97912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4106), 1,
      anon_sym_LBRACE,
    STATE(2048), 1,
      sym_statement_block,
    STATE(2343), 1,
      sym_comment,
  [97928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1358), 1,
      sym_class_body,
    STATE(2344), 1,
      sym_comment,
  [97944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(4128), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2346), 1,
      sym_comment,
    ACTIONS(4130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2201), 1,
      sym_statement_block,
    STATE(2347), 1,
      sym_comment,
  [97988] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2348), 1,
      sym_comment,
    STATE(2555), 1,
      sym_formal_parameters,
  [98004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1367), 1,
      sym_statement_block,
    STATE(2349), 1,
      sym_comment,
  [98020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2350), 1,
      sym_comment,
    ACTIONS(4132), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2200), 1,
      sym_statement_block,
    STATE(2352), 1,
      sym_comment,
  [98064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2353), 1,
      sym_comment,
    STATE(2398), 1,
      sym_formal_parameters,
  [98080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2354), 1,
      sym_comment,
    ACTIONS(4134), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4060), 1,
      anon_sym_LBRACE,
    STATE(868), 1,
      sym_statement_block,
    STATE(2355), 1,
      sym_comment,
  [98110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1368), 1,
      sym_statement_block,
    STATE(2356), 1,
      sym_comment,
  [98126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1185), 1,
      sym_statement_block,
    STATE(2357), 1,
      sym_comment,
  [98142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(2161), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(2257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    STATE(2360), 1,
      sym_comment,
  [98186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2361), 1,
      sym_comment,
    STATE(2516), 1,
      sym_formal_parameters,
  [98202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_statement_block,
    STATE(2362), 1,
      sym_comment,
  [98218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_class_body,
    STATE(2363), 1,
      sym_comment,
  [98234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4136), 1,
      anon_sym_SEMI,
    ACTIONS(4138), 1,
      sym__automatic_semicolon,
    STATE(2364), 1,
      sym_comment,
  [98250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_statement_block,
    STATE(2365), 1,
      sym_comment,
  [98266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1580), 1,
      sym_statement_block,
    STATE(2366), 1,
      sym_comment,
  [98282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(1751), 2,
      anon_sym_else,
      anon_sym_while,
  [98296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4140), 1,
      anon_sym_LBRACE,
    STATE(709), 1,
      sym_switch_body,
    STATE(2368), 1,
      sym_comment,
  [98312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym__for_header,
    STATE(2369), 1,
      sym_comment,
  [98328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4106), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_statement_block,
    STATE(2370), 1,
      sym_comment,
  [98344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_statement_block,
    STATE(2371), 1,
      sym_comment,
  [98360] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4144), 1,
      sym_identifier,
    ACTIONS(4146), 1,
      anon_sym_STAR,
    STATE(2372), 1,
      sym_comment,
  [98376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2373), 1,
      sym_comment,
    ACTIONS(4148), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACE,
    STATE(2102), 1,
      sym_class_body,
    STATE(2374), 1,
      sym_comment,
  [98406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(4150), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2376), 1,
      sym_comment,
    ACTIONS(4152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(4154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(2274), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym_class_body,
    STATE(2379), 1,
      sym_comment,
  [98478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(2276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2381), 1,
      sym_comment,
    ACTIONS(1745), 2,
      anon_sym_else,
      anon_sym_while,
  [98506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_GT,
    STATE(2382), 1,
      sym_comment,
  [98522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3796), 1,
      anon_sym_GT,
    STATE(2383), 1,
      sym_comment,
  [98538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2384), 1,
      sym_comment,
    STATE(2512), 1,
      sym_formal_parameters,
  [98554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(1753), 2,
      anon_sym_else,
      anon_sym_while,
  [98568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4156), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_statement_block,
    STATE(2386), 1,
      sym_comment,
  [98584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2387), 1,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_else,
      anon_sym_while,
  [98598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(1757), 2,
      anon_sym_else,
      anon_sym_while,
  [98612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2389), 1,
      sym_comment,
    STATE(2511), 1,
      sym_statement_block,
  [98628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4158), 1,
      anon_sym_SEMI,
    ACTIONS(4160), 1,
      sym__automatic_semicolon,
    STATE(2390), 1,
      sym_comment,
  [98644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(4162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2392), 1,
      sym_comment,
    ACTIONS(1661), 2,
      anon_sym_else,
      anon_sym_while,
  [98672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2393), 1,
      sym_comment,
    ACTIONS(3846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [98686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2394), 1,
      sym_comment,
    ACTIONS(1663), 2,
      anon_sym_else,
      anon_sym_while,
  [98700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_statement_block,
    STATE(2395), 1,
      sym_comment,
  [98716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1176), 1,
      sym_statement_block,
    STATE(2396), 1,
      sym_comment,
  [98732] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4164), 1,
      anon_sym_SEMI,
    ACTIONS(4166), 1,
      sym__automatic_semicolon,
    STATE(2397), 1,
      sym_comment,
  [98748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_statement_block,
    STATE(2398), 1,
      sym_comment,
  [98764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_statement_block,
    STATE(2399), 1,
      sym_comment,
  [98780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3578), 1,
      anon_sym_LBRACE,
    STATE(1354), 1,
      sym_class_body,
    STATE(2400), 1,
      sym_comment,
  [98796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4168), 1,
      anon_sym_SEMI,
    ACTIONS(4170), 1,
      sym__automatic_semicolon,
    STATE(2401), 1,
      sym_comment,
  [98812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4172), 1,
      anon_sym_SEMI,
    ACTIONS(4174), 1,
      sym__automatic_semicolon,
    STATE(2402), 1,
      sym_comment,
  [98828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2403), 1,
      sym_comment,
    STATE(2593), 1,
      sym_formal_parameters,
  [98844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2404), 1,
      sym_comment,
    ACTIONS(4176), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(4178), 2,
      sym_jsx_identifier,
      sym_identifier,
  [98872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2406), 1,
      sym_comment,
    STATE(2639), 1,
      sym_statement_block,
  [98888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    STATE(2407), 1,
      sym_comment,
    STATE(2640), 1,
      sym_parenthesized_expression,
  [98904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2408), 1,
      sym_comment,
    ACTIONS(4180), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [98918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2409), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [98932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_class_body,
    STATE(2410), 1,
      sym_comment,
  [98948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [98962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(884), 1,
      sym_parenthesized_expression,
    STATE(2412), 1,
      sym_comment,
  [98978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_statement_block,
    STATE(2413), 1,
      sym_comment,
  [98994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    STATE(885), 1,
      sym_statement_block,
    STATE(2414), 1,
      sym_comment,
  [99010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2415), 1,
      sym_comment,
    STATE(2419), 1,
      sym_formal_parameters,
  [99026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(4188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(1557), 1,
      sym_statement_block,
    STATE(2417), 1,
      sym_comment,
  [99056] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4190), 1,
      anon_sym_SEMI,
    ACTIONS(4192), 1,
      sym__automatic_semicolon,
    STATE(2418), 1,
      sym_comment,
  [99072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1145), 1,
      sym_statement_block,
    STATE(2419), 1,
      sym_comment,
  [99088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_class_body,
    STATE(2420), 1,
      sym_comment,
  [99104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_LBRACE,
    STATE(172), 1,
      sym_statement_block,
    STATE(2421), 1,
      sym_comment,
  [99120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_statement_block,
    STATE(2422), 1,
      sym_comment,
  [99136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4196), 1,
      anon_sym_SEMI,
    ACTIONS(4198), 1,
      sym__automatic_semicolon,
    STATE(2423), 1,
      sym_comment,
  [99152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_else,
      anon_sym_while,
  [99166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2218), 1,
      sym_formal_parameters,
    STATE(2425), 1,
      sym_comment,
  [99182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(3733), 1,
      anon_sym_GT,
    STATE(2426), 1,
      sym_comment,
  [99198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4200), 1,
      anon_sym_SEMI,
    ACTIONS(4202), 1,
      sym__automatic_semicolon,
    STATE(2427), 1,
      sym_comment,
  [99214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3733), 1,
      anon_sym_GT,
    ACTIONS(3735), 1,
      anon_sym_DOT,
    STATE(2428), 1,
      sym_comment,
  [99230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(1669), 2,
      anon_sym_else,
      anon_sym_while,
  [99244] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3318), 1,
      sym_identifier,
    ACTIONS(3324), 1,
      sym_private_property_identifier,
    STATE(2430), 1,
      sym_comment,
  [99260] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4204), 1,
      sym_identifier,
    ACTIONS(4206), 1,
      sym_private_property_identifier,
    STATE(2431), 1,
      sym_comment,
  [99276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_class_body,
    STATE(2432), 1,
      sym_comment,
  [99292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
    STATE(2433), 1,
      sym_comment,
  [99308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(1671), 2,
      anon_sym_else,
      anon_sym_while,
  [99322] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4210), 1,
      anon_sym_SEMI,
    ACTIONS(4212), 1,
      sym__automatic_semicolon,
    STATE(2435), 1,
      sym_comment,
  [99338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2413), 1,
      sym_formal_parameters,
    STATE(2436), 1,
      sym_comment,
  [99354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_statement_block,
    STATE(2437), 1,
      sym_comment,
  [99370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_LBRACE,
    STATE(176), 1,
      sym_statement_block,
    STATE(2438), 1,
      sym_comment,
  [99386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_statement_block,
    STATE(2439), 1,
      sym_comment,
  [99402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(1673), 2,
      anon_sym_else,
      anon_sym_while,
  [99416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2441), 1,
      sym_comment,
    ACTIONS(3147), 2,
      anon_sym_in,
      anon_sym_of,
  [99430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    STATE(178), 1,
      sym_class_body,
    STATE(2442), 1,
      sym_comment,
  [99446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_statement_block,
    STATE(2443), 1,
      sym_comment,
  [99462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_statement_block,
    STATE(2444), 1,
      sym_comment,
  [99478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_class_body,
    STATE(2445), 1,
      sym_comment,
  [99494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [99508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2447), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [99522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_LBRACE,
    STATE(188), 1,
      sym_statement_block,
    STATE(2448), 1,
      sym_comment,
  [99538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4208), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_statement_block,
    STATE(2449), 1,
      sym_comment,
  [99554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3765), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_statement_block,
    STATE(2450), 1,
      sym_comment,
  [99570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [99584] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4214), 1,
      sym_identifier,
    ACTIONS(4216), 1,
      anon_sym_STAR,
    STATE(2452), 1,
      sym_comment,
  [99600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_parenthesized_expression,
    STATE(2453), 1,
      sym_comment,
  [99616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_class_body,
    STATE(2454), 1,
      sym_comment,
  [99632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_class_body,
    STATE(2455), 1,
      sym_comment,
  [99648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2456), 1,
      sym_comment,
    ACTIONS(2255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(2457), 1,
      sym_comment,
  [99678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_statement_block,
    STATE(2458), 1,
      sym_comment,
  [99694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(2286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(1749), 2,
      anon_sym_else,
      anon_sym_while,
  [99722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2461), 1,
      sym_comment,
    ACTIONS(4220), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(1679), 2,
      anon_sym_else,
      anon_sym_while,
  [99750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(4222), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_statement_block,
    STATE(2464), 1,
      sym_comment,
  [99780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(4224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4226), 1,
      anon_sym_SEMI,
    ACTIONS(4228), 1,
      sym__automatic_semicolon,
    STATE(2466), 1,
      sym_comment,
  [99810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_statement_block,
    STATE(2467), 1,
      sym_comment,
  [99826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2468), 1,
      sym_comment,
    STATE(2689), 1,
      sym_formal_parameters,
  [99842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(1747), 2,
      anon_sym_else,
      anon_sym_while,
  [99856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1295), 1,
      sym_statement_block,
    STATE(2470), 1,
      sym_comment,
  [99872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2471), 1,
      sym_comment,
    STATE(2690), 1,
      sym_formal_parameters,
  [99888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(2278), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3654), 1,
      anon_sym_LBRACE,
    STATE(210), 1,
      sym_class_body,
    STATE(2473), 1,
      sym_comment,
  [99918] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4230), 1,
      sym_identifier,
    ACTIONS(4232), 1,
      anon_sym_STAR,
    STATE(2474), 1,
      sym_comment,
  [99934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym__for_header,
    STATE(2475), 1,
      sym_comment,
  [99950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(4234), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [99964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_LBRACE,
    STATE(2477), 1,
      sym_comment,
    STATE(2501), 1,
      sym_switch_body,
  [99980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [99994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(1741), 2,
      anon_sym_else,
      anon_sym_while,
  [100008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_switch_body,
    STATE(2480), 1,
      sym_comment,
  [100024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym__for_header,
    STATE(2481), 1,
      sym_comment,
  [100040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2482), 1,
      sym_comment,
    ACTIONS(1681), 2,
      anon_sym_else,
      anon_sym_while,
  [100054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(4240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(94), 1,
      sym_parenthesized_expression,
    STATE(2485), 1,
      sym_comment,
  [100098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(4242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(4244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(2272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(2290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2389), 1,
      sym_formal_parameters,
    STATE(2490), 1,
      sym_comment,
  [100170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(2292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_else,
      anon_sym_while,
  [100198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(1737), 2,
      anon_sym_else,
      anon_sym_while,
  [100212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2494), 1,
      sym_comment,
    STATE(2542), 1,
      sym_formal_parameters,
  [100228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2495), 1,
      sym_comment,
    STATE(2541), 1,
      sym_formal_parameters,
  [100244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2496), 1,
      sym_comment,
    STATE(2537), 1,
      sym_formal_parameters,
  [100260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2497), 1,
      sym_comment,
    ACTIONS(3875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2498), 1,
      sym_comment,
    STATE(2536), 1,
      sym_formal_parameters,
  [100290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4246), 1,
      anon_sym_SEMI,
    ACTIONS(4248), 1,
      sym__automatic_semicolon,
    STATE(2499), 1,
      sym_comment,
  [100306] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2500), 1,
      sym_comment,
    STATE(2532), 1,
      sym_formal_parameters,
  [100322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
  [100336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4250), 1,
      anon_sym_SEMI,
    ACTIONS(4252), 1,
      sym__automatic_semicolon,
    STATE(2502), 1,
      sym_comment,
  [100352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4254), 1,
      anon_sym_SEMI,
    ACTIONS(4256), 1,
      sym__automatic_semicolon,
    STATE(2503), 1,
      sym_comment,
  [100368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_comment,
    STATE(2531), 1,
      sym_formal_parameters,
  [100384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(4258), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(4260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(1811), 1,
      sym_statement_block,
    STATE(2507), 1,
      sym_comment,
  [100428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(2508), 1,
      sym_comment,
  [100444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2509), 1,
      sym_comment,
    ACTIONS(1683), 2,
      anon_sym_else,
      anon_sym_while,
  [100458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [100486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2255), 1,
      sym_statement_block,
    STATE(2512), 1,
      sym_comment,
  [100502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4266), 1,
      anon_sym_LPAREN,
    STATE(623), 1,
      sym_parenthesized_expression,
    STATE(2513), 1,
      sym_comment,
  [100518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2226), 1,
      sym_formal_parameters,
    STATE(2514), 1,
      sym_comment,
  [100534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    STATE(624), 1,
      sym_statement_block,
    STATE(2515), 1,
      sym_comment,
  [100550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2257), 1,
      sym_statement_block,
    STATE(2516), 1,
      sym_comment,
  [100566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    STATE(165), 1,
      sym_class_body,
    STATE(2517), 1,
      sym_comment,
  [100582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4270), 1,
      anon_sym_LBRACE,
    STATE(164), 1,
      sym_statement_block,
    STATE(2518), 1,
      sym_comment,
  [100598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(2519), 1,
      sym_comment,
  [100614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [100628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2521), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [100642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2271), 1,
      sym_formal_parameters,
    STATE(2522), 1,
      sym_comment,
  [100658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2276), 1,
      sym_formal_parameters,
    STATE(2523), 1,
      sym_comment,
  [100674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_SEMI,
    ACTIONS(4274), 1,
      sym__automatic_semicolon,
    STATE(2524), 1,
      sym_comment,
  [100690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(4276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_statement_block,
    STATE(2526), 1,
      sym_comment,
  [100720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [100734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_SEMI,
    ACTIONS(4282), 1,
      sym__automatic_semicolon,
    STATE(2528), 1,
      sym_comment,
  [100750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_SEMI,
    ACTIONS(4286), 1,
      sym__automatic_semicolon,
    STATE(2529), 1,
      sym_comment,
  [100766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym__for_header,
    STATE(2530), 1,
      sym_comment,
  [100782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4270), 1,
      anon_sym_LBRACE,
    STATE(162), 1,
      sym_statement_block,
    STATE(2531), 1,
      sym_comment,
  [100798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4270), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_statement_block,
    STATE(2532), 1,
      sym_comment,
  [100814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2526), 1,
      sym_formal_parameters,
    STATE(2533), 1,
      sym_comment,
  [100830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2277), 1,
      sym_formal_parameters,
    STATE(2534), 1,
      sym_comment,
  [100846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    STATE(160), 1,
      sym_class_body,
    STATE(2535), 1,
      sym_comment,
  [100862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_statement_block,
    STATE(2536), 1,
      sym_comment,
  [100878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_statement_block,
    STATE(2537), 1,
      sym_comment,
  [100894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3502), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_class_body,
    STATE(2538), 1,
      sym_comment,
  [100910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [100924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(1685), 2,
      anon_sym_else,
      anon_sym_while,
  [100938] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4270), 1,
      anon_sym_LBRACE,
    STATE(159), 1,
      sym_statement_block,
    STATE(2541), 1,
      sym_comment,
  [100954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_statement_block,
    STATE(2542), 1,
      sym_comment,
  [100970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3913), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_statement_block,
    STATE(2543), 1,
      sym_comment,
  [100986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4288), 1,
      anon_sym_LBRACE,
    STATE(990), 1,
      sym_switch_body,
    STATE(2544), 1,
      sym_comment,
  [101002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(1685), 2,
      anon_sym_else,
      anon_sym_while,
  [101016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2227), 1,
      sym_formal_parameters,
    STATE(2546), 1,
      sym_comment,
  [101032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2547), 1,
      sym_comment,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2548), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(3990), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2299), 1,
      sym_formal_parameters,
    STATE(2552), 1,
      sym_comment,
  [101118] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(4290), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [101132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2518), 1,
      sym_formal_parameters,
    STATE(2554), 1,
      sym_comment,
  [101148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2303), 1,
      sym_statement_block,
    STATE(2555), 1,
      sym_comment,
  [101164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(3979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2558), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2306), 1,
      sym_formal_parameters,
    STATE(2559), 1,
      sym_comment,
  [101222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2311), 1,
      sym_formal_parameters,
    STATE(2560), 1,
      sym_comment,
  [101238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2322), 1,
      sym_formal_parameters,
    STATE(2561), 1,
      sym_comment,
  [101254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2563), 1,
      sym_comment,
  [101284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(4294), 1,
      anon_sym_EQ_GT,
    STATE(2564), 1,
      sym_comment,
  [101300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(4296), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2566), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2334), 1,
      sym_formal_parameters,
    STATE(2567), 1,
      sym_comment,
  [101344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1929), 1,
      sym__from_clause,
    STATE(2568), 1,
      sym_comment,
  [101360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2006), 1,
      sym__from_clause,
    STATE(2569), 1,
      sym_comment,
  [101376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2336), 1,
      sym_statement_block,
    STATE(2570), 1,
      sym_comment,
  [101392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2338), 1,
      sym_formal_parameters,
    STATE(2571), 1,
      sym_comment,
  [101408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_from,
    STATE(2572), 1,
      sym_comment,
  [101424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2573), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2502), 1,
      sym__from_clause,
    STATE(2574), 1,
      sym_comment,
  [101454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2340), 1,
      sym_formal_parameters,
    STATE(2575), 1,
      sym_comment,
  [101470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2347), 1,
      sym_formal_parameters,
    STATE(2576), 1,
      sym_comment,
  [101486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2577), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2351), 1,
      sym_statement_block,
    STATE(2579), 1,
      sym_comment,
  [101530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2352), 1,
      sym_formal_parameters,
    STATE(2580), 1,
      sym_comment,
  [101546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2354), 1,
      sym_statement_block,
    STATE(2581), 1,
      sym_comment,
  [101562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2582), 1,
      sym_comment,
    ACTIONS(2413), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [101576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2583), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2584), 1,
      sym_comment,
    ACTIONS(2470), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [101604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2585), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2586), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3448), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_class_body,
    STATE(2587), 1,
      sym_comment,
  [101648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4060), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_statement_block,
    STATE(2588), 1,
      sym_comment,
  [101664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_else,
      anon_sym_while,
  [101678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2590), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2422), 1,
      sym_formal_parameters,
    STATE(2592), 1,
      sym_comment,
  [101722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4060), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_statement_block,
    STATE(2593), 1,
      sym_comment,
  [101738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2355), 1,
      sym_formal_parameters,
    STATE(2594), 1,
      sym_comment,
  [101754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2595), 1,
      sym_comment,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [101768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2596), 1,
      sym_comment,
    ACTIONS(1689), 2,
      anon_sym_else,
      anon_sym_while,
  [101782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2597), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [101796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3769), 1,
      anon_sym_LBRACE,
    STATE(2252), 1,
      sym_statement_block,
    STATE(2598), 1,
      sym_comment,
  [101812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2599), 1,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_else,
      anon_sym_while,
  [101826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2524), 1,
      sym__from_clause,
    STATE(2600), 1,
      sym_comment,
  [101842] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4306), 1,
      sym_identifier,
    ACTIONS(4308), 1,
      anon_sym_STAR,
    STATE(2601), 1,
      sym_comment,
  [101858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2602), 1,
      sym_comment,
    ACTIONS(4310), 2,
      sym_jsx_identifier,
      sym_identifier,
  [101872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    STATE(2480), 1,
      sym_parenthesized_expression,
    STATE(2603), 1,
      sym_comment,
  [101888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [101902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2605), 1,
      sym_comment,
    ACTIONS(4312), 2,
      anon_sym_GT,
      anon_sym_DOT,
  [101916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2606), 1,
      sym_comment,
    ACTIONS(3784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [101930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2449), 1,
      sym_formal_parameters,
    STATE(2607), 1,
      sym_comment,
  [101946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2448), 1,
      sym_formal_parameters,
    STATE(2608), 1,
      sym_comment,
  [101962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2609), 1,
      sym_comment,
    ACTIONS(2280), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [101976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2444), 1,
      sym_formal_parameters,
    STATE(2610), 1,
      sym_comment,
  [101992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2443), 1,
      sym_formal_parameters,
    STATE(2611), 1,
      sym_comment,
  [102008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2612), 1,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_else,
      anon_sym_while,
  [102022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2613), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [102036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_LBRACE,
    STATE(2391), 1,
      sym_object,
    STATE(2614), 1,
      sym_comment,
  [102052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2615), 1,
      sym_comment,
    ACTIONS(4316), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [102066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2616), 1,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_else,
      anon_sym_while,
  [102080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2617), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [102094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2618), 1,
      sym_comment,
    ACTIONS(1715), 2,
      anon_sym_else,
      anon_sym_while,
  [102108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2619), 1,
      sym_comment,
  [102124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    STATE(2477), 1,
      sym_parenthesized_expression,
    STATE(2620), 1,
      sym_comment,
  [102140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2621), 1,
      sym_comment,
    ACTIONS(3974), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [102154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2622), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [102168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2439), 1,
      sym_formal_parameters,
    STATE(2623), 1,
      sym_comment,
  [102184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2624), 1,
      sym_comment,
    ACTIONS(1713), 2,
      anon_sym_else,
      anon_sym_while,
  [102198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2438), 1,
      sym_formal_parameters,
    STATE(2625), 1,
      sym_comment,
  [102214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [102228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4318), 1,
      sym_identifier,
    ACTIONS(4320), 1,
      anon_sym_STAR,
    STATE(2627), 1,
      sym_comment,
  [102244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2628), 1,
      sym_comment,
    ACTIONS(1649), 2,
      anon_sym_else,
      anon_sym_while,
  [102258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2423), 1,
      sym__from_clause,
    STATE(2629), 1,
      sym_comment,
  [102274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3654), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_class_body,
    STATE(2630), 1,
      sym_comment,
  [102290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2028), 1,
      sym__from_clause,
    STATE(2631), 1,
      sym_comment,
  [102306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2632), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [102320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2633), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [102334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2634), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [102348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2635), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [102362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [102376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2433), 1,
      sym_formal_parameters,
    STATE(2637), 1,
      sym_comment,
  [102392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2395), 1,
      sym_formal_parameters,
    STATE(2638), 1,
      sym_comment,
  [102408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2639), 1,
      sym_comment,
    ACTIONS(1691), 2,
      anon_sym_else,
      anon_sym_while,
  [102422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2640), 1,
      sym_comment,
    ACTIONS(1693), 2,
      anon_sym_else,
      anon_sym_while,
  [102436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2641), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [102450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2642), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_else,
      anon_sym_while,
  [102464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2370), 1,
      sym_formal_parameters,
    STATE(2643), 1,
      sym_comment,
  [102480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2644), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [102494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_else,
      anon_sym_while,
  [102508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2366), 1,
      sym_formal_parameters,
    STATE(2646), 1,
      sym_comment,
  [102524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(1705), 2,
      anon_sym_else,
      anon_sym_while,
  [102538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2648), 1,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_else,
      anon_sym_while,
  [102552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2649), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [102566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(1699), 2,
      anon_sym_else,
      anon_sym_while,
  [102580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2362), 1,
      sym_formal_parameters,
    STATE(2651), 1,
      sym_comment,
  [102596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2356), 1,
      sym_formal_parameters,
    STATE(2652), 1,
      sym_comment,
  [102612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2349), 1,
      sym_formal_parameters,
    STATE(2653), 1,
      sym_comment,
  [102628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [102642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2343), 1,
      sym_formal_parameters,
    STATE(2655), 1,
      sym_comment,
  [102658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2339), 1,
      sym_formal_parameters,
    STATE(2656), 1,
      sym_comment,
  [102674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym_formal_parameters,
    STATE(2657), 1,
      sym_comment,
  [102690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2315), 1,
      sym_formal_parameters,
    STATE(2658), 1,
      sym_comment,
  [102706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_formal_parameters,
    STATE(2659), 1,
      sym_comment,
  [102722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2305), 1,
      sym_formal_parameters,
    STATE(2660), 1,
      sym_comment,
  [102738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2304), 1,
      sym_formal_parameters,
    STATE(2661), 1,
      sym_comment,
  [102754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2298), 1,
      sym_formal_parameters,
    STATE(2662), 1,
      sym_comment,
  [102770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2663), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [102784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2296), 1,
      sym_formal_parameters,
    STATE(2664), 1,
      sym_comment,
  [102800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2295), 1,
      sym_formal_parameters,
    STATE(2665), 1,
      sym_comment,
  [102816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2288), 1,
      sym_formal_parameters,
    STATE(2666), 1,
      sym_comment,
  [102832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2287), 1,
      sym_formal_parameters,
    STATE(2667), 1,
      sym_comment,
  [102848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2286), 1,
      sym_formal_parameters,
    STATE(2668), 1,
      sym_comment,
  [102864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2285), 1,
      sym_formal_parameters,
    STATE(2669), 1,
      sym_comment,
  [102880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2283), 1,
      sym_formal_parameters,
    STATE(2670), 1,
      sym_comment,
  [102896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2282), 1,
      sym_formal_parameters,
    STATE(2671), 1,
      sym_comment,
  [102912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2281), 1,
      sym_formal_parameters,
    STATE(2672), 1,
      sym_comment,
  [102928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2278), 1,
      sym_formal_parameters,
    STATE(2673), 1,
      sym_comment,
  [102944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2274), 1,
      sym_formal_parameters,
    STATE(2674), 1,
      sym_comment,
  [102960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2273), 1,
      sym_formal_parameters,
    STATE(2675), 1,
      sym_comment,
  [102976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2272), 1,
      sym_formal_parameters,
    STATE(2676), 1,
      sym_comment,
  [102992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2266), 1,
      sym_formal_parameters,
    STATE(2677), 1,
      sym_comment,
  [103008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2265), 1,
      sym_formal_parameters,
    STATE(2678), 1,
      sym_comment,
  [103024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2264), 1,
      sym_formal_parameters,
    STATE(2679), 1,
      sym_comment,
  [103040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2263), 1,
      sym_formal_parameters,
    STATE(2680), 1,
      sym_comment,
  [103056] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2421), 1,
      sym_formal_parameters,
    STATE(2681), 1,
      sym_comment,
  [103072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2261), 1,
      sym_formal_parameters,
    STATE(2682), 1,
      sym_comment,
  [103088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2260), 1,
      sym_formal_parameters,
    STATE(2683), 1,
      sym_comment,
  [103104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2259), 1,
      sym_formal_parameters,
    STATE(2684), 1,
      sym_comment,
  [103120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2251), 1,
      sym_formal_parameters,
    STATE(2685), 1,
      sym_comment,
  [103136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2248), 1,
      sym_formal_parameters,
    STATE(2686), 1,
      sym_comment,
  [103152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2245), 1,
      sym_formal_parameters,
    STATE(2687), 1,
      sym_comment,
  [103168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2688), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym_statement_block,
    STATE(2689), 1,
      sym_comment,
  [103198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_statement_block,
    STATE(2690), 1,
      sym_comment,
  [103214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(1316), 1,
      sym_statement_block,
    STATE(2691), 1,
      sym_comment,
  [103230] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2371), 1,
      sym_formal_parameters,
    STATE(2692), 1,
      sym_comment,
  [103246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2693), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2694), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2695), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    STATE(2696), 1,
      sym_comment,
  [103304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    STATE(2246), 1,
      sym_parenthesized_expression,
    STATE(2697), 1,
      sym_comment,
  [103320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4322), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    STATE(2698), 1,
      sym_comment,
  [103336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2699), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2700), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2010), 1,
      sym__from_clause,
    STATE(2701), 1,
      sym_comment,
  [103380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2702), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2703), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2401), 1,
      sym__from_clause,
    STATE(2704), 1,
      sym_comment,
  [103424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(2279), 1,
      sym__from_clause,
    STATE(2705), 1,
      sym_comment,
  [103440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3560), 1,
      anon_sym_from,
    STATE(1933), 1,
      sym__from_clause,
    STATE(2706), 1,
      sym_comment,
  [103456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2707), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(929), 1,
      sym_parenthesized_expression,
    STATE(2708), 1,
      sym_comment,
  [103486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2301), 1,
      sym_formal_parameters,
    STATE(2709), 1,
      sym_comment,
  [103502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2710), 1,
      sym_comment,
    ACTIONS(4324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [103516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2711), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2712), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2314), 1,
      sym_formal_parameters,
    STATE(2713), 1,
      sym_comment,
  [103560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2714), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2715), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2319), 1,
      sym_formal_parameters,
    STATE(2716), 1,
      sym_comment,
  [103604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2320), 1,
      sym_formal_parameters,
    STATE(2717), 1,
      sym_comment,
  [103620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2324), 1,
      sym_formal_parameters,
    STATE(2718), 1,
      sym_comment,
  [103636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2325), 1,
      sym_formal_parameters,
    STATE(2719), 1,
      sym_comment,
  [103652] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2329), 1,
      sym_formal_parameters,
    STATE(2720), 1,
      sym_comment,
  [103668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(2330), 1,
      sym_formal_parameters,
    STATE(2721), 1,
      sym_comment,
  [103684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2722), 1,
      sym_comment,
    ACTIONS(4326), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [103698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2723), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2724), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2725), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [103754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4038), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym_parenthesized_expression,
    STATE(2727), 1,
      sym_comment,
  [103770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4112), 1,
      anon_sym_LPAREN,
    STATE(2368), 1,
      sym_parenthesized_expression,
    STATE(2728), 1,
      sym_comment,
  [103786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2729), 1,
      sym_comment,
    ACTIONS(1665), 2,
      anon_sym_else,
      anon_sym_while,
  [103800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2305), 1,
      anon_sym_RPAREN,
    STATE(2730), 1,
      sym_comment,
  [103813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4328), 1,
      sym_identifier,
    STATE(2731), 1,
      sym_comment,
  [103826] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4330), 1,
      sym_regex_pattern,
    STATE(2732), 1,
      sym_comment,
  [103839] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4332), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_comment,
  [103852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_RPAREN,
    STATE(2734), 1,
      sym_comment,
  [103865] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4334), 1,
      sym_identifier,
    STATE(2735), 1,
      sym_comment,
  [103878] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4336), 1,
      sym_identifier,
    STATE(2736), 1,
      sym_comment,
  [103891] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4338), 1,
      sym_regex_pattern,
    STATE(2737), 1,
      sym_comment,
  [103904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2238), 1,
      anon_sym_in,
    STATE(2738), 1,
      sym_comment,
  [103917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4340), 1,
      anon_sym_while,
    STATE(2739), 1,
      sym_comment,
  [103930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4342), 1,
      anon_sym_RPAREN,
    STATE(2740), 1,
      sym_comment,
  [103943] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4344), 1,
      sym_identifier,
    STATE(2741), 1,
      sym_comment,
  [103956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4346), 1,
      ts_builtin_sym_end,
    STATE(2742), 1,
      sym_comment,
  [103969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2375), 1,
      anon_sym_RBRACK,
    STATE(2743), 1,
      sym_comment,
  [103982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4348), 1,
      anon_sym_while,
    STATE(2744), 1,
      sym_comment,
  [103995] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4350), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_comment,
  [104008] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4352), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_comment,
  [104021] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4354), 1,
      sym_regex_pattern,
    STATE(2747), 1,
      sym_comment,
  [104034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4356), 1,
      anon_sym_COLON,
    STATE(2748), 1,
      sym_comment,
  [104047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4358), 1,
      anon_sym_as,
    STATE(2749), 1,
      sym_comment,
  [104060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4030), 1,
      anon_sym_EQ,
    STATE(2750), 1,
      sym_comment,
  [104073] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4360), 1,
      anon_sym_from,
    STATE(2751), 1,
      sym_comment,
  [104086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4362), 1,
      anon_sym_EQ_GT,
    STATE(2752), 1,
      sym_comment,
  [104099] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4364), 1,
      anon_sym_RPAREN,
    STATE(2753), 1,
      sym_comment,
  [104112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4366), 1,
      anon_sym_GT,
    STATE(2754), 1,
      sym_comment,
  [104125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    STATE(2755), 1,
      sym_comment,
  [104138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4368), 1,
      anon_sym_EQ_GT,
    STATE(2756), 1,
      sym_comment,
  [104151] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4370), 1,
      sym_identifier,
    STATE(2757), 1,
      sym_comment,
  [104164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4372), 1,
      anon_sym_function,
    STATE(2758), 1,
      sym_comment,
  [104177] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4374), 1,
      sym_regex_pattern,
    STATE(2759), 1,
      sym_comment,
  [104190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4376), 1,
      anon_sym_EQ,
    STATE(2760), 1,
      sym_comment,
  [104203] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4378), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_comment,
  [104216] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4380), 1,
      sym_identifier,
    STATE(2762), 1,
      sym_comment,
  [104229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4382), 1,
      anon_sym_as,
    STATE(2763), 1,
      sym_comment,
  [104242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2339), 1,
      anon_sym_RPAREN,
    STATE(2764), 1,
      sym_comment,
  [104255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_from,
    STATE(2765), 1,
      sym_comment,
  [104268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4384), 1,
      anon_sym_while,
    STATE(2766), 1,
      sym_comment,
  [104281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4386), 1,
      anon_sym_EQ,
    STATE(2767), 1,
      sym_comment,
  [104294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(2768), 1,
      sym_comment,
  [104307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    STATE(2769), 1,
      sym_comment,
  [104320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(2770), 1,
      sym_comment,
  [104333] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4388), 1,
      sym_identifier,
    STATE(2771), 1,
      sym_comment,
  [104346] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4390), 1,
      sym_identifier,
    STATE(2772), 1,
      sym_comment,
  [104359] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4392), 1,
      sym_identifier,
    STATE(2773), 1,
      sym_comment,
  [104372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3864), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_comment,
  [104385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_from,
    STATE(2775), 1,
      sym_comment,
  [104398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1951), 1,
      anon_sym_in,
    STATE(2776), 1,
      sym_comment,
  [104411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4396), 1,
      anon_sym_EQ_GT,
    STATE(2777), 1,
      sym_comment,
  [104424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4398), 1,
      anon_sym_EQ_GT,
    STATE(2778), 1,
      sym_comment,
  [104437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4400), 1,
      anon_sym_EQ_GT,
    STATE(2779), 1,
      sym_comment,
  [104450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2780), 1,
      sym_comment,
  [104463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4404), 1,
      anon_sym_EQ_GT,
    STATE(2781), 1,
      sym_comment,
  [104476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2327), 1,
      anon_sym_RPAREN,
    STATE(2782), 1,
      sym_comment,
  [104489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    STATE(2783), 1,
      sym_comment,
  [104502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3375), 1,
      anon_sym_EQ,
    STATE(2784), 1,
      sym_comment,
  [104515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4406), 1,
      anon_sym_EQ_GT,
    STATE(2785), 1,
      sym_comment,
  [104528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(2786), 1,
      sym_comment,
  [104541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
    STATE(2787), 1,
      sym_comment,
  [104554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2373), 1,
      anon_sym_RPAREN,
    STATE(2788), 1,
      sym_comment,
  [104567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2500), 1,
      anon_sym_in,
    STATE(2789), 1,
      sym_comment,
  [104580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2303), 1,
      anon_sym_RPAREN,
    STATE(2790), 1,
      sym_comment,
  [104593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2309), 1,
      anon_sym_RPAREN,
    STATE(2791), 1,
      sym_comment,
  [104606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4410), 1,
      anon_sym_EQ_GT,
    STATE(2792), 1,
      sym_comment,
  [104619] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4412), 1,
      sym_identifier,
    STATE(2793), 1,
      sym_comment,
  [104632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4414), 1,
      anon_sym_while,
    STATE(2794), 1,
      sym_comment,
  [104645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4416), 1,
      anon_sym_function,
    STATE(2795), 1,
      sym_comment,
  [104658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4418), 1,
      anon_sym_RPAREN,
    STATE(2796), 1,
      sym_comment,
  [104671] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4420), 1,
      anon_sym_EQ_GT,
    STATE(2797), 1,
      sym_comment,
  [104684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    STATE(2798), 1,
      sym_comment,
  [104697] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_target,
    STATE(2799), 1,
      sym_comment,
  [104710] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4424), 1,
      sym_identifier,
    STATE(2800), 1,
      sym_comment,
  [104723] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4426), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_comment,
  [104736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4428), 1,
      anon_sym_SLASH2,
    STATE(2802), 1,
      sym_comment,
  [104749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3733), 1,
      anon_sym_GT,
    STATE(2803), 1,
      sym_comment,
  [104762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4430), 1,
      anon_sym_RPAREN,
    STATE(2804), 1,
      sym_comment,
  [104775] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4432), 1,
      sym_identifier,
    STATE(2805), 1,
      sym_comment,
  [104788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2347), 1,
      anon_sym_RBRACK,
    STATE(2806), 1,
      sym_comment,
  [104801] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4434), 1,
      sym_identifier,
    STATE(2807), 1,
      sym_comment,
  [104814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4436), 1,
      anon_sym_SLASH2,
    STATE(2808), 1,
      sym_comment,
  [104827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4438), 1,
      anon_sym_COLON,
    STATE(2809), 1,
      sym_comment,
  [104840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4440), 1,
      anon_sym_EQ_GT,
    STATE(2810), 1,
      sym_comment,
  [104853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4442), 1,
      anon_sym_EQ_GT,
    STATE(2811), 1,
      sym_comment,
  [104866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_from,
    STATE(2812), 1,
      sym_comment,
  [104879] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4446), 1,
      sym_identifier,
    STATE(2813), 1,
      sym_comment,
  [104892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_from,
    STATE(2814), 1,
      sym_comment,
  [104905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_from,
    STATE(2815), 1,
      sym_comment,
  [104918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    STATE(2816), 1,
      sym_comment,
  [104931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    STATE(2817), 1,
      sym_comment,
  [104944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2301), 1,
      anon_sym_RBRACK,
    STATE(2818), 1,
      sym_comment,
  [104957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2371), 1,
      anon_sym_RBRACE,
    STATE(2819), 1,
      sym_comment,
  [104970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    STATE(2820), 1,
      sym_comment,
  [104983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_while,
    STATE(2821), 1,
      sym_comment,
  [104996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ_GT,
    STATE(2822), 1,
      sym_comment,
  [105009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4458), 1,
      anon_sym_EQ,
    STATE(2823), 1,
      sym_comment,
  [105022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2200), 1,
      anon_sym_in,
    STATE(2824), 1,
      sym_comment,
  [105035] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3796), 1,
      anon_sym_GT,
    STATE(2825), 1,
      sym_comment,
  [105048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    STATE(2826), 1,
      sym_comment,
  [105061] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4460), 1,
      sym_identifier,
    STATE(2827), 1,
      sym_comment,
  [105074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3870), 1,
      anon_sym_GT,
    STATE(2828), 1,
      sym_comment,
  [105087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4462), 1,
      sym_identifier,
    STATE(2829), 1,
      sym_comment,
  [105100] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4464), 1,
      sym_identifier,
    STATE(2830), 1,
      sym_comment,
  [105113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
    STATE(2831), 1,
      sym_comment,
  [105126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4466), 1,
      anon_sym_SLASH2,
    STATE(2832), 1,
      sym_comment,
  [105139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_EQ_GT,
    STATE(2833), 1,
      sym_comment,
  [105152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4470), 1,
      anon_sym_EQ_GT,
    STATE(2834), 1,
      sym_comment,
  [105165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4472), 1,
      anon_sym_EQ_GT,
    STATE(2835), 1,
      sym_comment,
  [105178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4474), 1,
      anon_sym_from,
    STATE(2836), 1,
      sym_comment,
  [105191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2360), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_comment,
  [105204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4476), 1,
      anon_sym_SLASH2,
    STATE(2838), 1,
      sym_comment,
  [105217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4478), 1,
      anon_sym_EQ_GT,
    STATE(2839), 1,
      sym_comment,
  [105230] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4480), 1,
      sym_identifier,
    STATE(2840), 1,
      sym_comment,
  [105243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3462), 1,
      anon_sym_EQ,
    STATE(2841), 1,
      sym_comment,
  [105256] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4482), 1,
      sym_identifier,
    STATE(2842), 1,
      sym_comment,
  [105269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4484), 1,
      anon_sym_RPAREN,
    STATE(2843), 1,
      sym_comment,
  [105282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4486), 1,
      anon_sym_RPAREN,
    STATE(2844), 1,
      sym_comment,
  [105295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2356), 1,
      anon_sym_RPAREN,
    STATE(2845), 1,
      sym_comment,
  [105308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2453), 1,
      anon_sym_in,
    STATE(2846), 1,
      sym_comment,
  [105321] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2351), 1,
      anon_sym_RBRACK,
    STATE(2847), 1,
      sym_comment,
  [105334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_EQ_GT,
    STATE(2848), 1,
      sym_comment,
  [105347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_EQ_GT,
    STATE(2849), 1,
      sym_comment,
  [105360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_GT,
    STATE(2850), 1,
      sym_comment,
  [105373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4488), 1,
      anon_sym_from,
    STATE(2851), 1,
      sym_comment,
  [105386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4490), 1,
      anon_sym_EQ_GT,
    STATE(2852), 1,
      sym_comment,
  [105399] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4492), 1,
      sym_identifier,
    STATE(2853), 1,
      sym_comment,
  [105412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4494), 1,
      anon_sym_target,
    STATE(2854), 1,
      sym_comment,
  [105425] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4496), 1,
      sym_identifier,
    STATE(2855), 1,
      sym_comment,
  [105438] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4498), 1,
      sym_identifier,
    STATE(2856), 1,
      sym_comment,
  [105451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4500), 1,
      anon_sym_function,
    STATE(2857), 1,
      sym_comment,
  [105464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_function,
    STATE(2858), 1,
      sym_comment,
  [105477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4504), 1,
      anon_sym_function,
    STATE(2859), 1,
      sym_comment,
  [105490] = 1,
    ACTIONS(4506), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(464)] = 0,
  [SMALL_STATE(465)] = 91,
  [SMALL_STATE(466)] = 166,
  [SMALL_STATE(467)] = 257,
  [SMALL_STATE(468)] = 330,
  [SMALL_STATE(469)] = 413,
  [SMALL_STATE(470)] = 490,
  [SMALL_STATE(471)] = 565,
  [SMALL_STATE(472)] = 656,
  [SMALL_STATE(473)] = 731,
  [SMALL_STATE(474)] = 808,
  [SMALL_STATE(475)] = 883,
  [SMALL_STATE(476)] = 956,
  [SMALL_STATE(477)] = 1047,
  [SMALL_STATE(478)] = 1142,
  [SMALL_STATE(479)] = 1219,
  [SMALL_STATE(480)] = 1310,
  [SMALL_STATE(481)] = 1401,
  [SMALL_STATE(482)] = 1473,
  [SMALL_STATE(483)] = 1563,
  [SMALL_STATE(484)] = 1659,
  [SMALL_STATE(485)] = 1735,
  [SMALL_STATE(486)] = 1809,
  [SMALL_STATE(487)] = 1881,
  [SMALL_STATE(488)] = 1955,
  [SMALL_STATE(489)] = 2029,
  [SMALL_STATE(490)] = 2103,
  [SMALL_STATE(491)] = 2177,
  [SMALL_STATE(492)] = 2251,
  [SMALL_STATE(493)] = 2345,
  [SMALL_STATE(494)] = 2419,
  [SMALL_STATE(495)] = 2493,
  [SMALL_STATE(496)] = 2567,
  [SMALL_STATE(497)] = 2641,
  [SMALL_STATE(498)] = 2735,
  [SMALL_STATE(499)] = 2825,
  [SMALL_STATE(500)] = 2899,
  [SMALL_STATE(501)] = 2993,
  [SMALL_STATE(502)] = 3069,
  [SMALL_STATE(503)] = 3145,
  [SMALL_STATE(504)] = 3223,
  [SMALL_STATE(505)] = 3297,
  [SMALL_STATE(506)] = 3373,
  [SMALL_STATE(507)] = 3449,
  [SMALL_STATE(508)] = 3523,
  [SMALL_STATE(509)] = 3599,
  [SMALL_STATE(510)] = 3673,
  [SMALL_STATE(511)] = 3747,
  [SMALL_STATE(512)] = 3821,
  [SMALL_STATE(513)] = 3915,
  [SMALL_STATE(514)] = 3989,
  [SMALL_STATE(515)] = 4065,
  [SMALL_STATE(516)] = 4159,
  [SMALL_STATE(517)] = 4233,
  [SMALL_STATE(518)] = 4307,
  [SMALL_STATE(519)] = 4379,
  [SMALL_STATE(520)] = 4453,
  [SMALL_STATE(521)] = 4525,
  [SMALL_STATE(522)] = 4597,
  [SMALL_STATE(523)] = 4669,
  [SMALL_STATE(524)] = 4763,
  [SMALL_STATE(525)] = 4834,
  [SMALL_STATE(526)] = 4905,
  [SMALL_STATE(527)] = 4978,
  [SMALL_STATE(528)] = 5049,
  [SMALL_STATE(529)] = 5122,
  [SMALL_STATE(530)] = 5195,
  [SMALL_STATE(531)] = 5268,
  [SMALL_STATE(532)] = 5341,
  [SMALL_STATE(533)] = 5416,
  [SMALL_STATE(534)] = 5489,
  [SMALL_STATE(535)] = 5562,
  [SMALL_STATE(536)] = 5635,
  [SMALL_STATE(537)] = 5708,
  [SMALL_STATE(538)] = 5779,
  [SMALL_STATE(539)] = 5850,
  [SMALL_STATE(540)] = 5923,
  [SMALL_STATE(541)] = 5998,
  [SMALL_STATE(542)] = 6069,
  [SMALL_STATE(543)] = 6140,
  [SMALL_STATE(544)] = 6211,
  [SMALL_STATE(545)] = 6282,
  [SMALL_STATE(546)] = 6357,
  [SMALL_STATE(547)] = 6432,
  [SMALL_STATE(548)] = 6507,
  [SMALL_STATE(549)] = 6578,
  [SMALL_STATE(550)] = 6649,
  [SMALL_STATE(551)] = 6720,
  [SMALL_STATE(552)] = 6791,
  [SMALL_STATE(553)] = 6866,
  [SMALL_STATE(554)] = 6941,
  [SMALL_STATE(555)] = 7016,
  [SMALL_STATE(556)] = 7091,
  [SMALL_STATE(557)] = 7162,
  [SMALL_STATE(558)] = 7233,
  [SMALL_STATE(559)] = 7304,
  [SMALL_STATE(560)] = 7375,
  [SMALL_STATE(561)] = 7446,
  [SMALL_STATE(562)] = 7519,
  [SMALL_STATE(563)] = 7590,
  [SMALL_STATE(564)] = 7663,
  [SMALL_STATE(565)] = 7738,
  [SMALL_STATE(566)] = 7809,
  [SMALL_STATE(567)] = 7880,
  [SMALL_STATE(568)] = 7951,
  [SMALL_STATE(569)] = 8022,
  [SMALL_STATE(570)] = 8093,
  [SMALL_STATE(571)] = 8164,
  [SMALL_STATE(572)] = 8235,
  [SMALL_STATE(573)] = 8306,
  [SMALL_STATE(574)] = 8377,
  [SMALL_STATE(575)] = 8448,
  [SMALL_STATE(576)] = 8521,
  [SMALL_STATE(577)] = 8592,
  [SMALL_STATE(578)] = 8663,
  [SMALL_STATE(579)] = 8734,
  [SMALL_STATE(580)] = 8805,
  [SMALL_STATE(581)] = 8876,
  [SMALL_STATE(582)] = 8947,
  [SMALL_STATE(583)] = 9018,
  [SMALL_STATE(584)] = 9093,
  [SMALL_STATE(585)] = 9164,
  [SMALL_STATE(586)] = 9235,
  [SMALL_STATE(587)] = 9306,
  [SMALL_STATE(588)] = 9377,
  [SMALL_STATE(589)] = 9448,
  [SMALL_STATE(590)] = 9519,
  [SMALL_STATE(591)] = 9590,
  [SMALL_STATE(592)] = 9661,
  [SMALL_STATE(593)] = 9732,
  [SMALL_STATE(594)] = 9803,
  [SMALL_STATE(595)] = 9874,
  [SMALL_STATE(596)] = 9945,
  [SMALL_STATE(597)] = 10016,
  [SMALL_STATE(598)] = 10087,
  [SMALL_STATE(599)] = 10158,
  [SMALL_STATE(600)] = 10229,
  [SMALL_STATE(601)] = 10300,
  [SMALL_STATE(602)] = 10371,
  [SMALL_STATE(603)] = 10442,
  [SMALL_STATE(604)] = 10513,
  [SMALL_STATE(605)] = 10584,
  [SMALL_STATE(606)] = 10655,
  [SMALL_STATE(607)] = 10726,
  [SMALL_STATE(608)] = 10797,
  [SMALL_STATE(609)] = 10868,
  [SMALL_STATE(610)] = 10939,
  [SMALL_STATE(611)] = 11010,
  [SMALL_STATE(612)] = 11081,
  [SMALL_STATE(613)] = 11152,
  [SMALL_STATE(614)] = 11223,
  [SMALL_STATE(615)] = 11294,
  [SMALL_STATE(616)] = 11365,
  [SMALL_STATE(617)] = 11436,
  [SMALL_STATE(618)] = 11513,
  [SMALL_STATE(619)] = 11584,
  [SMALL_STATE(620)] = 11655,
  [SMALL_STATE(621)] = 11726,
  [SMALL_STATE(622)] = 11797,
  [SMALL_STATE(623)] = 11868,
  [SMALL_STATE(624)] = 11939,
  [SMALL_STATE(625)] = 12010,
  [SMALL_STATE(626)] = 12081,
  [SMALL_STATE(627)] = 12152,
  [SMALL_STATE(628)] = 12229,
  [SMALL_STATE(629)] = 12300,
  [SMALL_STATE(630)] = 12371,
  [SMALL_STATE(631)] = 12442,
  [SMALL_STATE(632)] = 12513,
  [SMALL_STATE(633)] = 12584,
  [SMALL_STATE(634)] = 12655,
  [SMALL_STATE(635)] = 12726,
  [SMALL_STATE(636)] = 12797,
  [SMALL_STATE(637)] = 12868,
  [SMALL_STATE(638)] = 12939,
  [SMALL_STATE(639)] = 13010,
  [SMALL_STATE(640)] = 13081,
  [SMALL_STATE(641)] = 13152,
  [SMALL_STATE(642)] = 13223,
  [SMALL_STATE(643)] = 13294,
  [SMALL_STATE(644)] = 13365,
  [SMALL_STATE(645)] = 13436,
  [SMALL_STATE(646)] = 13513,
  [SMALL_STATE(647)] = 13584,
  [SMALL_STATE(648)] = 13655,
  [SMALL_STATE(649)] = 13726,
  [SMALL_STATE(650)] = 13797,
  [SMALL_STATE(651)] = 13872,
  [SMALL_STATE(652)] = 13943,
  [SMALL_STATE(653)] = 14016,
  [SMALL_STATE(654)] = 14089,
  [SMALL_STATE(655)] = 14162,
  [SMALL_STATE(656)] = 14235,
  [SMALL_STATE(657)] = 14310,
  [SMALL_STATE(658)] = 14383,
  [SMALL_STATE(659)] = 14456,
  [SMALL_STATE(660)] = 14529,
  [SMALL_STATE(661)] = 14604,
  [SMALL_STATE(662)] = 14677,
  [SMALL_STATE(663)] = 14750,
  [SMALL_STATE(664)] = 14821,
  [SMALL_STATE(665)] = 14894,
  [SMALL_STATE(666)] = 14965,
  [SMALL_STATE(667)] = 15036,
  [SMALL_STATE(668)] = 15109,
  [SMALL_STATE(669)] = 15180,
  [SMALL_STATE(670)] = 15253,
  [SMALL_STATE(671)] = 15326,
  [SMALL_STATE(672)] = 15398,
  [SMALL_STATE(673)] = 15470,
  [SMALL_STATE(674)] = 15540,
  [SMALL_STATE(675)] = 15610,
  [SMALL_STATE(676)] = 15680,
  [SMALL_STATE(677)] = 15750,
  [SMALL_STATE(678)] = 15822,
  [SMALL_STATE(679)] = 15894,
  [SMALL_STATE(680)] = 15984,
  [SMALL_STATE(681)] = 16054,
  [SMALL_STATE(682)] = 16124,
  [SMALL_STATE(683)] = 16198,
  [SMALL_STATE(684)] = 16268,
  [SMALL_STATE(685)] = 16338,
  [SMALL_STATE(686)] = 16408,
  [SMALL_STATE(687)] = 16482,
  [SMALL_STATE(688)] = 16552,
  [SMALL_STATE(689)] = 16622,
  [SMALL_STATE(690)] = 16692,
  [SMALL_STATE(691)] = 16762,
  [SMALL_STATE(692)] = 16832,
  [SMALL_STATE(693)] = 16902,
  [SMALL_STATE(694)] = 16972,
  [SMALL_STATE(695)] = 17042,
  [SMALL_STATE(696)] = 17112,
  [SMALL_STATE(697)] = 17182,
  [SMALL_STATE(698)] = 17252,
  [SMALL_STATE(699)] = 17322,
  [SMALL_STATE(700)] = 17394,
  [SMALL_STATE(701)] = 17464,
  [SMALL_STATE(702)] = 17534,
  [SMALL_STATE(703)] = 17606,
  [SMALL_STATE(704)] = 17676,
  [SMALL_STATE(705)] = 17746,
  [SMALL_STATE(706)] = 17820,
  [SMALL_STATE(707)] = 17890,
  [SMALL_STATE(708)] = 17960,
  [SMALL_STATE(709)] = 18030,
  [SMALL_STATE(710)] = 18100,
  [SMALL_STATE(711)] = 18170,
  [SMALL_STATE(712)] = 18240,
  [SMALL_STATE(713)] = 18310,
  [SMALL_STATE(714)] = 18380,
  [SMALL_STATE(715)] = 18454,
  [SMALL_STATE(716)] = 18544,
  [SMALL_STATE(717)] = 18614,
  [SMALL_STATE(718)] = 18684,
  [SMALL_STATE(719)] = 18758,
  [SMALL_STATE(720)] = 18848,
  [SMALL_STATE(721)] = 18922,
  [SMALL_STATE(722)] = 18996,
  [SMALL_STATE(723)] = 19066,
  [SMALL_STATE(724)] = 19136,
  [SMALL_STATE(725)] = 19210,
  [SMALL_STATE(726)] = 19280,
  [SMALL_STATE(727)] = 19350,
  [SMALL_STATE(728)] = 19420,
  [SMALL_STATE(729)] = 19490,
  [SMALL_STATE(730)] = 19562,
  [SMALL_STATE(731)] = 19634,
  [SMALL_STATE(732)] = 19704,
  [SMALL_STATE(733)] = 19774,
  [SMALL_STATE(734)] = 19844,
  [SMALL_STATE(735)] = 19914,
  [SMALL_STATE(736)] = 19986,
  [SMALL_STATE(737)] = 20058,
  [SMALL_STATE(738)] = 20130,
  [SMALL_STATE(739)] = 20202,
  [SMALL_STATE(740)] = 20274,
  [SMALL_STATE(741)] = 20346,
  [SMALL_STATE(742)] = 20418,
  [SMALL_STATE(743)] = 20490,
  [SMALL_STATE(744)] = 20562,
  [SMALL_STATE(745)] = 20634,
  [SMALL_STATE(746)] = 20706,
  [SMALL_STATE(747)] = 20778,
  [SMALL_STATE(748)] = 20850,
  [SMALL_STATE(749)] = 20922,
  [SMALL_STATE(750)] = 20994,
  [SMALL_STATE(751)] = 21066,
  [SMALL_STATE(752)] = 21136,
  [SMALL_STATE(753)] = 21206,
  [SMALL_STATE(754)] = 21276,
  [SMALL_STATE(755)] = 21348,
  [SMALL_STATE(756)] = 21418,
  [SMALL_STATE(757)] = 21490,
  [SMALL_STATE(758)] = 21560,
  [SMALL_STATE(759)] = 21630,
  [SMALL_STATE(760)] = 21700,
  [SMALL_STATE(761)] = 21770,
  [SMALL_STATE(762)] = 21840,
  [SMALL_STATE(763)] = 21910,
  [SMALL_STATE(764)] = 21980,
  [SMALL_STATE(765)] = 22052,
  [SMALL_STATE(766)] = 22124,
  [SMALL_STATE(767)] = 22194,
  [SMALL_STATE(768)] = 22266,
  [SMALL_STATE(769)] = 22338,
  [SMALL_STATE(770)] = 22410,
  [SMALL_STATE(771)] = 22482,
  [SMALL_STATE(772)] = 22554,
  [SMALL_STATE(773)] = 22626,
  [SMALL_STATE(774)] = 22698,
  [SMALL_STATE(775)] = 22770,
  [SMALL_STATE(776)] = 22842,
  [SMALL_STATE(777)] = 22914,
  [SMALL_STATE(778)] = 22986,
  [SMALL_STATE(779)] = 23058,
  [SMALL_STATE(780)] = 23130,
  [SMALL_STATE(781)] = 23202,
  [SMALL_STATE(782)] = 23274,
  [SMALL_STATE(783)] = 23346,
  [SMALL_STATE(784)] = 23418,
  [SMALL_STATE(785)] = 23490,
  [SMALL_STATE(786)] = 23562,
  [SMALL_STATE(787)] = 23634,
  [SMALL_STATE(788)] = 23706,
  [SMALL_STATE(789)] = 23796,
  [SMALL_STATE(790)] = 23868,
  [SMALL_STATE(791)] = 23938,
  [SMALL_STATE(792)] = 24010,
  [SMALL_STATE(793)] = 24082,
  [SMALL_STATE(794)] = 24154,
  [SMALL_STATE(795)] = 24226,
  [SMALL_STATE(796)] = 24296,
  [SMALL_STATE(797)] = 24368,
  [SMALL_STATE(798)] = 24438,
  [SMALL_STATE(799)] = 24508,
  [SMALL_STATE(800)] = 24580,
  [SMALL_STATE(801)] = 24650,
  [SMALL_STATE(802)] = 24722,
  [SMALL_STATE(803)] = 24794,
  [SMALL_STATE(804)] = 24866,
  [SMALL_STATE(805)] = 24936,
  [SMALL_STATE(806)] = 25006,
  [SMALL_STATE(807)] = 25078,
  [SMALL_STATE(808)] = 25148,
  [SMALL_STATE(809)] = 25220,
  [SMALL_STATE(810)] = 25292,
  [SMALL_STATE(811)] = 25364,
  [SMALL_STATE(812)] = 25438,
  [SMALL_STATE(813)] = 25512,
  [SMALL_STATE(814)] = 25586,
  [SMALL_STATE(815)] = 25656,
  [SMALL_STATE(816)] = 25726,
  [SMALL_STATE(817)] = 25796,
  [SMALL_STATE(818)] = 25866,
  [SMALL_STATE(819)] = 25938,
  [SMALL_STATE(820)] = 26008,
  [SMALL_STATE(821)] = 26078,
  [SMALL_STATE(822)] = 26148,
  [SMALL_STATE(823)] = 26218,
  [SMALL_STATE(824)] = 26288,
  [SMALL_STATE(825)] = 26358,
  [SMALL_STATE(826)] = 26428,
  [SMALL_STATE(827)] = 26498,
  [SMALL_STATE(828)] = 26570,
  [SMALL_STATE(829)] = 26642,
  [SMALL_STATE(830)] = 26714,
  [SMALL_STATE(831)] = 26786,
  [SMALL_STATE(832)] = 26858,
  [SMALL_STATE(833)] = 26928,
  [SMALL_STATE(834)] = 27018,
  [SMALL_STATE(835)] = 27090,
  [SMALL_STATE(836)] = 27160,
  [SMALL_STATE(837)] = 27232,
  [SMALL_STATE(838)] = 27304,
  [SMALL_STATE(839)] = 27376,
  [SMALL_STATE(840)] = 27448,
  [SMALL_STATE(841)] = 27520,
  [SMALL_STATE(842)] = 27592,
  [SMALL_STATE(843)] = 27664,
  [SMALL_STATE(844)] = 27736,
  [SMALL_STATE(845)] = 27806,
  [SMALL_STATE(846)] = 27878,
  [SMALL_STATE(847)] = 27950,
  [SMALL_STATE(848)] = 28022,
  [SMALL_STATE(849)] = 28094,
  [SMALL_STATE(850)] = 28166,
  [SMALL_STATE(851)] = 28236,
  [SMALL_STATE(852)] = 28308,
  [SMALL_STATE(853)] = 28380,
  [SMALL_STATE(854)] = 28452,
  [SMALL_STATE(855)] = 28524,
  [SMALL_STATE(856)] = 28596,
  [SMALL_STATE(857)] = 28668,
  [SMALL_STATE(858)] = 28740,
  [SMALL_STATE(859)] = 28812,
  [SMALL_STATE(860)] = 28884,
  [SMALL_STATE(861)] = 28956,
  [SMALL_STATE(862)] = 29026,
  [SMALL_STATE(863)] = 29098,
  [SMALL_STATE(864)] = 29168,
  [SMALL_STATE(865)] = 29238,
  [SMALL_STATE(866)] = 29308,
  [SMALL_STATE(867)] = 29378,
  [SMALL_STATE(868)] = 29448,
  [SMALL_STATE(869)] = 29522,
  [SMALL_STATE(870)] = 29594,
  [SMALL_STATE(871)] = 29666,
  [SMALL_STATE(872)] = 29736,
  [SMALL_STATE(873)] = 29808,
  [SMALL_STATE(874)] = 29880,
  [SMALL_STATE(875)] = 29950,
  [SMALL_STATE(876)] = 30020,
  [SMALL_STATE(877)] = 30092,
  [SMALL_STATE(878)] = 30164,
  [SMALL_STATE(879)] = 30236,
  [SMALL_STATE(880)] = 30306,
  [SMALL_STATE(881)] = 30376,
  [SMALL_STATE(882)] = 30446,
  [SMALL_STATE(883)] = 30516,
  [SMALL_STATE(884)] = 30586,
  [SMALL_STATE(885)] = 30656,
  [SMALL_STATE(886)] = 30726,
  [SMALL_STATE(887)] = 30796,
  [SMALL_STATE(888)] = 30868,
  [SMALL_STATE(889)] = 30940,
  [SMALL_STATE(890)] = 31010,
  [SMALL_STATE(891)] = 31082,
  [SMALL_STATE(892)] = 31154,
  [SMALL_STATE(893)] = 31224,
  [SMALL_STATE(894)] = 31296,
  [SMALL_STATE(895)] = 31368,
  [SMALL_STATE(896)] = 31440,
  [SMALL_STATE(897)] = 31510,
  [SMALL_STATE(898)] = 31581,
  [SMALL_STATE(899)] = 31652,
  [SMALL_STATE(900)] = 31723,
  [SMALL_STATE(901)] = 31794,
  [SMALL_STATE(902)] = 31865,
  [SMALL_STATE(903)] = 31936,
  [SMALL_STATE(904)] = 32007,
  [SMALL_STATE(905)] = 32078,
  [SMALL_STATE(906)] = 32149,
  [SMALL_STATE(907)] = 32220,
  [SMALL_STATE(908)] = 32291,
  [SMALL_STATE(909)] = 32362,
  [SMALL_STATE(910)] = 32433,
  [SMALL_STATE(911)] = 32504,
  [SMALL_STATE(912)] = 32575,
  [SMALL_STATE(913)] = 32646,
  [SMALL_STATE(914)] = 32717,
  [SMALL_STATE(915)] = 32788,
  [SMALL_STATE(916)] = 32859,
  [SMALL_STATE(917)] = 32930,
  [SMALL_STATE(918)] = 33001,
  [SMALL_STATE(919)] = 33072,
  [SMALL_STATE(920)] = 33143,
  [SMALL_STATE(921)] = 33214,
  [SMALL_STATE(922)] = 33285,
  [SMALL_STATE(923)] = 33372,
  [SMALL_STATE(924)] = 33443,
  [SMALL_STATE(925)] = 33514,
  [SMALL_STATE(926)] = 33585,
  [SMALL_STATE(927)] = 33656,
  [SMALL_STATE(928)] = 33727,
  [SMALL_STATE(929)] = 33798,
  [SMALL_STATE(930)] = 33869,
  [SMALL_STATE(931)] = 33940,
  [SMALL_STATE(932)] = 34011,
  [SMALL_STATE(933)] = 34082,
  [SMALL_STATE(934)] = 34153,
  [SMALL_STATE(935)] = 34224,
  [SMALL_STATE(936)] = 34295,
  [SMALL_STATE(937)] = 34366,
  [SMALL_STATE(938)] = 34437,
  [SMALL_STATE(939)] = 34524,
  [SMALL_STATE(940)] = 34595,
  [SMALL_STATE(941)] = 34666,
  [SMALL_STATE(942)] = 34737,
  [SMALL_STATE(943)] = 34808,
  [SMALL_STATE(944)] = 34879,
  [SMALL_STATE(945)] = 34950,
  [SMALL_STATE(946)] = 35021,
  [SMALL_STATE(947)] = 35092,
  [SMALL_STATE(948)] = 35163,
  [SMALL_STATE(949)] = 35234,
  [SMALL_STATE(950)] = 35305,
  [SMALL_STATE(951)] = 35376,
  [SMALL_STATE(952)] = 35447,
  [SMALL_STATE(953)] = 35518,
  [SMALL_STATE(954)] = 35589,
  [SMALL_STATE(955)] = 35660,
  [SMALL_STATE(956)] = 35731,
  [SMALL_STATE(957)] = 35802,
  [SMALL_STATE(958)] = 35873,
  [SMALL_STATE(959)] = 35944,
  [SMALL_STATE(960)] = 36015,
  [SMALL_STATE(961)] = 36086,
  [SMALL_STATE(962)] = 36157,
  [SMALL_STATE(963)] = 36228,
  [SMALL_STATE(964)] = 36299,
  [SMALL_STATE(965)] = 36370,
  [SMALL_STATE(966)] = 36441,
  [SMALL_STATE(967)] = 36512,
  [SMALL_STATE(968)] = 36583,
  [SMALL_STATE(969)] = 36654,
  [SMALL_STATE(970)] = 36725,
  [SMALL_STATE(971)] = 36796,
  [SMALL_STATE(972)] = 36867,
  [SMALL_STATE(973)] = 36938,
  [SMALL_STATE(974)] = 37009,
  [SMALL_STATE(975)] = 37080,
  [SMALL_STATE(976)] = 37151,
  [SMALL_STATE(977)] = 37222,
  [SMALL_STATE(978)] = 37293,
  [SMALL_STATE(979)] = 37364,
  [SMALL_STATE(980)] = 37435,
  [SMALL_STATE(981)] = 37506,
  [SMALL_STATE(982)] = 37577,
  [SMALL_STATE(983)] = 37648,
  [SMALL_STATE(984)] = 37719,
  [SMALL_STATE(985)] = 37790,
  [SMALL_STATE(986)] = 37861,
  [SMALL_STATE(987)] = 37932,
  [SMALL_STATE(988)] = 38003,
  [SMALL_STATE(989)] = 38074,
  [SMALL_STATE(990)] = 38145,
  [SMALL_STATE(991)] = 38216,
  [SMALL_STATE(992)] = 38287,
  [SMALL_STATE(993)] = 38374,
  [SMALL_STATE(994)] = 38445,
  [SMALL_STATE(995)] = 38516,
  [SMALL_STATE(996)] = 38587,
  [SMALL_STATE(997)] = 38658,
  [SMALL_STATE(998)] = 38729,
  [SMALL_STATE(999)] = 38800,
  [SMALL_STATE(1000)] = 38871,
  [SMALL_STATE(1001)] = 38942,
  [SMALL_STATE(1002)] = 39012,
  [SMALL_STATE(1003)] = 39082,
  [SMALL_STATE(1004)] = 39152,
  [SMALL_STATE(1005)] = 39222,
  [SMALL_STATE(1006)] = 39292,
  [SMALL_STATE(1007)] = 39362,
  [SMALL_STATE(1008)] = 39452,
  [SMALL_STATE(1009)] = 39526,
  [SMALL_STATE(1010)] = 39596,
  [SMALL_STATE(1011)] = 39671,
  [SMALL_STATE(1012)] = 39738,
  [SMALL_STATE(1013)] = 39805,
  [SMALL_STATE(1014)] = 39880,
  [SMALL_STATE(1015)] = 39955,
  [SMALL_STATE(1016)] = 40030,
  [SMALL_STATE(1017)] = 40097,
  [SMALL_STATE(1018)] = 40164,
  [SMALL_STATE(1019)] = 40231,
  [SMALL_STATE(1020)] = 40298,
  [SMALL_STATE(1021)] = 40365,
  [SMALL_STATE(1022)] = 40443,
  [SMALL_STATE(1023)] = 40519,
  [SMALL_STATE(1024)] = 40595,
  [SMALL_STATE(1025)] = 40671,
  [SMALL_STATE(1026)] = 40749,
  [SMALL_STATE(1027)] = 40821,
  [SMALL_STATE(1028)] = 40897,
  [SMALL_STATE(1029)] = 40973,
  [SMALL_STATE(1030)] = 41049,
  [SMALL_STATE(1031)] = 41117,
  [SMALL_STATE(1032)] = 41185,
  [SMALL_STATE(1033)] = 41261,
  [SMALL_STATE(1034)] = 41333,
  [SMALL_STATE(1035)] = 41409,
  [SMALL_STATE(1036)] = 41483,
  [SMALL_STATE(1037)] = 41557,
  [SMALL_STATE(1038)] = 41633,
  [SMALL_STATE(1039)] = 41701,
  [SMALL_STATE(1040)] = 41775,
  [SMALL_STATE(1041)] = 41849,
  [SMALL_STATE(1042)] = 41923,
  [SMALL_STATE(1043)] = 41999,
  [SMALL_STATE(1044)] = 42075,
  [SMALL_STATE(1045)] = 42151,
  [SMALL_STATE(1046)] = 42219,
  [SMALL_STATE(1047)] = 42293,
  [SMALL_STATE(1048)] = 42369,
  [SMALL_STATE(1049)] = 42437,
  [SMALL_STATE(1050)] = 42511,
  [SMALL_STATE(1051)] = 42587,
  [SMALL_STATE(1052)] = 42663,
  [SMALL_STATE(1053)] = 42739,
  [SMALL_STATE(1054)] = 42813,
  [SMALL_STATE(1055)] = 42881,
  [SMALL_STATE(1056)] = 42949,
  [SMALL_STATE(1057)] = 43020,
  [SMALL_STATE(1058)] = 43093,
  [SMALL_STATE(1059)] = 43164,
  [SMALL_STATE(1060)] = 43237,
  [SMALL_STATE(1061)] = 43312,
  [SMALL_STATE(1062)] = 43387,
  [SMALL_STATE(1063)] = 43460,
  [SMALL_STATE(1064)] = 43535,
  [SMALL_STATE(1065)] = 43607,
  [SMALL_STATE(1066)] = 43679,
  [SMALL_STATE(1067)] = 43751,
  [SMALL_STATE(1068)] = 43827,
  [SMALL_STATE(1069)] = 43903,
  [SMALL_STATE(1070)] = 43974,
  [SMALL_STATE(1071)] = 44045,
  [SMALL_STATE(1072)] = 44120,
  [SMALL_STATE(1073)] = 44195,
  [SMALL_STATE(1074)] = 44266,
  [SMALL_STATE(1075)] = 44337,
  [SMALL_STATE(1076)] = 44410,
  [SMALL_STATE(1077)] = 44478,
  [SMALL_STATE(1078)] = 44550,
  [SMALL_STATE(1079)] = 44610,
  [SMALL_STATE(1080)] = 44680,
  [SMALL_STATE(1081)] = 44748,
  [SMALL_STATE(1082)] = 44802,
  [SMALL_STATE(1083)] = 44872,
  [SMALL_STATE(1084)] = 44926,
  [SMALL_STATE(1085)] = 44985,
  [SMALL_STATE(1086)] = 45050,
  [SMALL_STATE(1087)] = 45109,
  [SMALL_STATE(1088)] = 45162,
  [SMALL_STATE(1089)] = 45221,
  [SMALL_STATE(1090)] = 45274,
  [SMALL_STATE(1091)] = 45331,
  [SMALL_STATE(1092)] = 45384,
  [SMALL_STATE(1093)] = 45441,
  [SMALL_STATE(1094)] = 45494,
  [SMALL_STATE(1095)] = 45553,
  [SMALL_STATE(1096)] = 45610,
  [SMALL_STATE(1097)] = 45702,
  [SMALL_STATE(1098)] = 45756,
  [SMALL_STATE(1099)] = 45810,
  [SMALL_STATE(1100)] = 45864,
  [SMALL_STATE(1101)] = 45934,
  [SMALL_STATE(1102)] = 46034,
  [SMALL_STATE(1103)] = 46088,
  [SMALL_STATE(1104)] = 46182,
  [SMALL_STATE(1105)] = 46258,
  [SMALL_STATE(1106)] = 46346,
  [SMALL_STATE(1107)] = 46436,
  [SMALL_STATE(1108)] = 46528,
  [SMALL_STATE(1109)] = 46602,
  [SMALL_STATE(1110)] = 46672,
  [SMALL_STATE(1111)] = 46756,
  [SMALL_STATE(1112)] = 46852,
  [SMALL_STATE(1113)] = 46918,
  [SMALL_STATE(1114)] = 46972,
  [SMALL_STATE(1115)] = 47026,
  [SMALL_STATE(1116)] = 47080,
  [SMALL_STATE(1117)] = 47134,
  [SMALL_STATE(1118)] = 47234,
  [SMALL_STATE(1119)] = 47288,
  [SMALL_STATE(1120)] = 47388,
  [SMALL_STATE(1121)] = 47442,
  [SMALL_STATE(1122)] = 47502,
  [SMALL_STATE(1123)] = 47556,
  [SMALL_STATE(1124)] = 47624,
  [SMALL_STATE(1125)] = 47678,
  [SMALL_STATE(1126)] = 47734,
  [SMALL_STATE(1127)] = 47788,
  [SMALL_STATE(1128)] = 47842,
  [SMALL_STATE(1129)] = 47896,
  [SMALL_STATE(1130)] = 47950,
  [SMALL_STATE(1131)] = 48004,
  [SMALL_STATE(1132)] = 48104,
  [SMALL_STATE(1133)] = 48158,
  [SMALL_STATE(1134)] = 48258,
  [SMALL_STATE(1135)] = 48312,
  [SMALL_STATE(1136)] = 48366,
  [SMALL_STATE(1137)] = 48466,
  [SMALL_STATE(1138)] = 48520,
  [SMALL_STATE(1139)] = 48574,
  [SMALL_STATE(1140)] = 48628,
  [SMALL_STATE(1141)] = 48682,
  [SMALL_STATE(1142)] = 48736,
  [SMALL_STATE(1143)] = 48790,
  [SMALL_STATE(1144)] = 48844,
  [SMALL_STATE(1145)] = 48898,
  [SMALL_STATE(1146)] = 48952,
  [SMALL_STATE(1147)] = 49006,
  [SMALL_STATE(1148)] = 49060,
  [SMALL_STATE(1149)] = 49114,
  [SMALL_STATE(1150)] = 49168,
  [SMALL_STATE(1151)] = 49222,
  [SMALL_STATE(1152)] = 49276,
  [SMALL_STATE(1153)] = 49330,
  [SMALL_STATE(1154)] = 49384,
  [SMALL_STATE(1155)] = 49464,
  [SMALL_STATE(1156)] = 49564,
  [SMALL_STATE(1157)] = 49618,
  [SMALL_STATE(1158)] = 49674,
  [SMALL_STATE(1159)] = 49728,
  [SMALL_STATE(1160)] = 49828,
  [SMALL_STATE(1161)] = 49896,
  [SMALL_STATE(1162)] = 49950,
  [SMALL_STATE(1163)] = 50004,
  [SMALL_STATE(1164)] = 50058,
  [SMALL_STATE(1165)] = 50112,
  [SMALL_STATE(1166)] = 50166,
  [SMALL_STATE(1167)] = 50220,
  [SMALL_STATE(1168)] = 50274,
  [SMALL_STATE(1169)] = 50328,
  [SMALL_STATE(1170)] = 50382,
  [SMALL_STATE(1171)] = 50482,
  [SMALL_STATE(1172)] = 50536,
  [SMALL_STATE(1173)] = 50590,
  [SMALL_STATE(1174)] = 50690,
  [SMALL_STATE(1175)] = 50744,
  [SMALL_STATE(1176)] = 50844,
  [SMALL_STATE(1177)] = 50898,
  [SMALL_STATE(1178)] = 50954,
  [SMALL_STATE(1179)] = 51008,
  [SMALL_STATE(1180)] = 51108,
  [SMALL_STATE(1181)] = 51162,
  [SMALL_STATE(1182)] = 51216,
  [SMALL_STATE(1183)] = 51316,
  [SMALL_STATE(1184)] = 51370,
  [SMALL_STATE(1185)] = 51424,
  [SMALL_STATE(1186)] = 51478,
  [SMALL_STATE(1187)] = 51532,
  [SMALL_STATE(1188)] = 51586,
  [SMALL_STATE(1189)] = 51640,
  [SMALL_STATE(1190)] = 51694,
  [SMALL_STATE(1191)] = 51795,
  [SMALL_STATE(1192)] = 51870,
  [SMALL_STATE(1193)] = 51939,
  [SMALL_STATE(1194)] = 52012,
  [SMALL_STATE(1195)] = 52103,
  [SMALL_STATE(1196)] = 52192,
  [SMALL_STATE(1197)] = 52279,
  [SMALL_STATE(1198)] = 52354,
  [SMALL_STATE(1199)] = 52447,
  [SMALL_STATE(1200)] = 52538,
  [SMALL_STATE(1201)] = 52607,
  [SMALL_STATE(1202)] = 52710,
  [SMALL_STATE(1203)] = 52813,
  [SMALL_STATE(1204)] = 52866,
  [SMALL_STATE(1205)] = 52945,
  [SMALL_STATE(1206)] = 53044,
  [SMALL_STATE(1207)] = 53143,
  [SMALL_STATE(1208)] = 53242,
  [SMALL_STATE(1209)] = 53341,
  [SMALL_STATE(1210)] = 53444,
  [SMALL_STATE(1211)] = 53547,
  [SMALL_STATE(1212)] = 53650,
  [SMALL_STATE(1213)] = 53749,
  [SMALL_STATE(1214)] = 53804,
  [SMALL_STATE(1215)] = 53903,
  [SMALL_STATE(1216)] = 53998,
  [SMALL_STATE(1217)] = 54101,
  [SMALL_STATE(1218)] = 54156,
  [SMALL_STATE(1219)] = 54255,
  [SMALL_STATE(1220)] = 54358,
  [SMALL_STATE(1221)] = 54457,
  [SMALL_STATE(1222)] = 54560,
  [SMALL_STATE(1223)] = 54663,
  [SMALL_STATE(1224)] = 54766,
  [SMALL_STATE(1225)] = 54869,
  [SMALL_STATE(1226)] = 54968,
  [SMALL_STATE(1227)] = 55021,
  [SMALL_STATE(1228)] = 55124,
  [SMALL_STATE(1229)] = 55227,
  [SMALL_STATE(1230)] = 55326,
  [SMALL_STATE(1231)] = 55425,
  [SMALL_STATE(1232)] = 55508,
  [SMALL_STATE(1233)] = 55607,
  [SMALL_STATE(1234)] = 55706,
  [SMALL_STATE(1235)] = 55809,
  [SMALL_STATE(1236)] = 55888,
  [SMALL_STATE(1237)] = 55957,
  [SMALL_STATE(1238)] = 56012,
  [SMALL_STATE(1239)] = 56115,
  [SMALL_STATE(1240)] = 56214,
  [SMALL_STATE(1241)] = 56277,
  [SMALL_STATE(1242)] = 56376,
  [SMALL_STATE(1243)] = 56475,
  [SMALL_STATE(1244)] = 56532,
  [SMALL_STATE(1245)] = 56631,
  [SMALL_STATE(1246)] = 56722,
  [SMALL_STATE(1247)] = 56815,
  [SMALL_STATE(1248)] = 56870,
  [SMALL_STATE(1249)] = 56969,
  [SMALL_STATE(1250)] = 57072,
  [SMALL_STATE(1251)] = 57159,
  [SMALL_STATE(1252)] = 57248,
  [SMALL_STATE(1253)] = 57347,
  [SMALL_STATE(1254)] = 57438,
  [SMALL_STATE(1255)] = 57497,
  [SMALL_STATE(1256)] = 57600,
  [SMALL_STATE(1257)] = 57655,
  [SMALL_STATE(1258)] = 57750,
  [SMALL_STATE(1259)] = 57849,
  [SMALL_STATE(1260)] = 57922,
  [SMALL_STATE(1261)] = 58021,
  [SMALL_STATE(1262)] = 58090,
  [SMALL_STATE(1263)] = 58189,
  [SMALL_STATE(1264)] = 58272,
  [SMALL_STATE(1265)] = 58371,
  [SMALL_STATE(1266)] = 58470,
  [SMALL_STATE(1267)] = 58527,
  [SMALL_STATE(1268)] = 58630,
  [SMALL_STATE(1269)] = 58685,
  [SMALL_STATE(1270)] = 58740,
  [SMALL_STATE(1271)] = 58843,
  [SMALL_STATE(1272)] = 58942,
  [SMALL_STATE(1273)] = 59041,
  [SMALL_STATE(1274)] = 59096,
  [SMALL_STATE(1275)] = 59148,
  [SMALL_STATE(1276)] = 59250,
  [SMALL_STATE(1277)] = 59302,
  [SMALL_STATE(1278)] = 59354,
  [SMALL_STATE(1279)] = 59406,
  [SMALL_STATE(1280)] = 59458,
  [SMALL_STATE(1281)] = 59560,
  [SMALL_STATE(1282)] = 59616,
  [SMALL_STATE(1283)] = 59714,
  [SMALL_STATE(1284)] = 59766,
  [SMALL_STATE(1285)] = 59818,
  [SMALL_STATE(1286)] = 59870,
  [SMALL_STATE(1287)] = 59922,
  [SMALL_STATE(1288)] = 59974,
  [SMALL_STATE(1289)] = 60026,
  [SMALL_STATE(1290)] = 60078,
  [SMALL_STATE(1291)] = 60180,
  [SMALL_STATE(1292)] = 60236,
  [SMALL_STATE(1293)] = 60338,
  [SMALL_STATE(1294)] = 60440,
  [SMALL_STATE(1295)] = 60542,
  [SMALL_STATE(1296)] = 60594,
  [SMALL_STATE(1297)] = 60646,
  [SMALL_STATE(1298)] = 60698,
  [SMALL_STATE(1299)] = 60750,
  [SMALL_STATE(1300)] = 60852,
  [SMALL_STATE(1301)] = 60954,
  [SMALL_STATE(1302)] = 61056,
  [SMALL_STATE(1303)] = 61158,
  [SMALL_STATE(1304)] = 61260,
  [SMALL_STATE(1305)] = 61318,
  [SMALL_STATE(1306)] = 61420,
  [SMALL_STATE(1307)] = 61522,
  [SMALL_STATE(1308)] = 61578,
  [SMALL_STATE(1309)] = 61630,
  [SMALL_STATE(1310)] = 61682,
  [SMALL_STATE(1311)] = 61784,
  [SMALL_STATE(1312)] = 61836,
  [SMALL_STATE(1313)] = 61888,
  [SMALL_STATE(1314)] = 61990,
  [SMALL_STATE(1315)] = 62092,
  [SMALL_STATE(1316)] = 62194,
  [SMALL_STATE(1317)] = 62246,
  [SMALL_STATE(1318)] = 62298,
  [SMALL_STATE(1319)] = 62350,
  [SMALL_STATE(1320)] = 62402,
  [SMALL_STATE(1321)] = 62504,
  [SMALL_STATE(1322)] = 62556,
  [SMALL_STATE(1323)] = 62612,
  [SMALL_STATE(1324)] = 62668,
  [SMALL_STATE(1325)] = 62724,
  [SMALL_STATE(1326)] = 62826,
  [SMALL_STATE(1327)] = 62928,
  [SMALL_STATE(1328)] = 63026,
  [SMALL_STATE(1329)] = 63078,
  [SMALL_STATE(1330)] = 63130,
  [SMALL_STATE(1331)] = 63182,
  [SMALL_STATE(1332)] = 63238,
  [SMALL_STATE(1333)] = 63290,
  [SMALL_STATE(1334)] = 63342,
  [SMALL_STATE(1335)] = 63394,
  [SMALL_STATE(1336)] = 63448,
  [SMALL_STATE(1337)] = 63550,
  [SMALL_STATE(1338)] = 63602,
  [SMALL_STATE(1339)] = 63660,
  [SMALL_STATE(1340)] = 63762,
  [SMALL_STATE(1341)] = 63864,
  [SMALL_STATE(1342)] = 63918,
  [SMALL_STATE(1343)] = 64020,
  [SMALL_STATE(1344)] = 64072,
  [SMALL_STATE(1345)] = 64174,
  [SMALL_STATE(1346)] = 64232,
  [SMALL_STATE(1347)] = 64330,
  [SMALL_STATE(1348)] = 64432,
  [SMALL_STATE(1349)] = 64484,
  [SMALL_STATE(1350)] = 64586,
  [SMALL_STATE(1351)] = 64638,
  [SMALL_STATE(1352)] = 64690,
  [SMALL_STATE(1353)] = 64792,
  [SMALL_STATE(1354)] = 64844,
  [SMALL_STATE(1355)] = 64900,
  [SMALL_STATE(1356)] = 64952,
  [SMALL_STATE(1357)] = 65004,
  [SMALL_STATE(1358)] = 65106,
  [SMALL_STATE(1359)] = 65162,
  [SMALL_STATE(1360)] = 65214,
  [SMALL_STATE(1361)] = 65316,
  [SMALL_STATE(1362)] = 65418,
  [SMALL_STATE(1363)] = 65520,
  [SMALL_STATE(1364)] = 65574,
  [SMALL_STATE(1365)] = 65628,
  [SMALL_STATE(1366)] = 65686,
  [SMALL_STATE(1367)] = 65738,
  [SMALL_STATE(1368)] = 65794,
  [SMALL_STATE(1369)] = 65850,
  [SMALL_STATE(1370)] = 65902,
  [SMALL_STATE(1371)] = 65954,
  [SMALL_STATE(1372)] = 66006,
  [SMALL_STATE(1373)] = 66058,
  [SMALL_STATE(1374)] = 66110,
  [SMALL_STATE(1375)] = 66162,
  [SMALL_STATE(1376)] = 66214,
  [SMALL_STATE(1377)] = 66266,
  [SMALL_STATE(1378)] = 66322,
  [SMALL_STATE(1379)] = 66380,
  [SMALL_STATE(1380)] = 66482,
  [SMALL_STATE(1381)] = 66538,
  [SMALL_STATE(1382)] = 66590,
  [SMALL_STATE(1383)] = 66642,
  [SMALL_STATE(1384)] = 66694,
  [SMALL_STATE(1385)] = 66750,
  [SMALL_STATE(1386)] = 66849,
  [SMALL_STATE(1387)] = 66946,
  [SMALL_STATE(1388)] = 67001,
  [SMALL_STATE(1389)] = 67100,
  [SMALL_STATE(1390)] = 67199,
  [SMALL_STATE(1391)] = 67296,
  [SMALL_STATE(1392)] = 67351,
  [SMALL_STATE(1393)] = 67450,
  [SMALL_STATE(1394)] = 67547,
  [SMALL_STATE(1395)] = 67644,
  [SMALL_STATE(1396)] = 67741,
  [SMALL_STATE(1397)] = 67838,
  [SMALL_STATE(1398)] = 67935,
  [SMALL_STATE(1399)] = 68032,
  [SMALL_STATE(1400)] = 68129,
  [SMALL_STATE(1401)] = 68226,
  [SMALL_STATE(1402)] = 68281,
  [SMALL_STATE(1403)] = 68358,
  [SMALL_STATE(1404)] = 68455,
  [SMALL_STATE(1405)] = 68548,
  [SMALL_STATE(1406)] = 68619,
  [SMALL_STATE(1407)] = 68700,
  [SMALL_STATE(1408)] = 68797,
  [SMALL_STATE(1409)] = 68864,
  [SMALL_STATE(1410)] = 68961,
  [SMALL_STATE(1411)] = 69058,
  [SMALL_STATE(1412)] = 69147,
  [SMALL_STATE(1413)] = 69234,
  [SMALL_STATE(1414)] = 69319,
  [SMALL_STATE(1415)] = 69392,
  [SMALL_STATE(1416)] = 69483,
  [SMALL_STATE(1417)] = 69572,
  [SMALL_STATE(1418)] = 69639,
  [SMALL_STATE(1419)] = 69738,
  [SMALL_STATE(1420)] = 69835,
  [SMALL_STATE(1421)] = 69932,
  [SMALL_STATE(1422)] = 70029,
  [SMALL_STATE(1423)] = 70126,
  [SMALL_STATE(1424)] = 70223,
  [SMALL_STATE(1425)] = 70320,
  [SMALL_STATE(1426)] = 70408,
  [SMALL_STATE(1427)] = 70504,
  [SMALL_STATE(1428)] = 70560,
  [SMALL_STATE(1429)] = 70656,
  [SMALL_STATE(1430)] = 70752,
  [SMALL_STATE(1431)] = 70848,
  [SMALL_STATE(1432)] = 70944,
  [SMALL_STATE(1433)] = 71040,
  [SMALL_STATE(1434)] = 71136,
  [SMALL_STATE(1435)] = 71232,
  [SMALL_STATE(1436)] = 71328,
  [SMALL_STATE(1437)] = 71424,
  [SMALL_STATE(1438)] = 71520,
  [SMALL_STATE(1439)] = 71576,
  [SMALL_STATE(1440)] = 71632,
  [SMALL_STATE(1441)] = 71688,
  [SMALL_STATE(1442)] = 71784,
  [SMALL_STATE(1443)] = 71880,
  [SMALL_STATE(1444)] = 71976,
  [SMALL_STATE(1445)] = 72072,
  [SMALL_STATE(1446)] = 72168,
  [SMALL_STATE(1447)] = 72264,
  [SMALL_STATE(1448)] = 72360,
  [SMALL_STATE(1449)] = 72452,
  [SMALL_STATE(1450)] = 72528,
  [SMALL_STATE(1451)] = 72594,
  [SMALL_STATE(1452)] = 72690,
  [SMALL_STATE(1453)] = 72788,
  [SMALL_STATE(1454)] = 72878,
  [SMALL_STATE(1455)] = 72950,
  [SMALL_STATE(1456)] = 73034,
  [SMALL_STATE(1457)] = 73120,
  [SMALL_STATE(1458)] = 73200,
  [SMALL_STATE(1459)] = 73288,
  [SMALL_STATE(1460)] = 73384,
  [SMALL_STATE(1461)] = 73450,
  [SMALL_STATE(1462)] = 73520,
  [SMALL_STATE(1463)] = 73615,
  [SMALL_STATE(1464)] = 73666,
  [SMALL_STATE(1465)] = 73721,
  [SMALL_STATE(1466)] = 73814,
  [SMALL_STATE(1467)] = 73869,
  [SMALL_STATE(1468)] = 73962,
  [SMALL_STATE(1469)] = 74057,
  [SMALL_STATE(1470)] = 74152,
  [SMALL_STATE(1471)] = 74207,
  [SMALL_STATE(1472)] = 74302,
  [SMALL_STATE(1473)] = 74397,
  [SMALL_STATE(1474)] = 74448,
  [SMALL_STATE(1475)] = 74543,
  [SMALL_STATE(1476)] = 74598,
  [SMALL_STATE(1477)] = 74693,
  [SMALL_STATE(1478)] = 74780,
  [SMALL_STATE(1479)] = 74867,
  [SMALL_STATE(1480)] = 74954,
  [SMALL_STATE(1481)] = 75041,
  [SMALL_STATE(1482)] = 75126,
  [SMALL_STATE(1483)] = 75213,
  [SMALL_STATE(1484)] = 75300,
  [SMALL_STATE(1485)] = 75387,
  [SMALL_STATE(1486)] = 75474,
  [SMALL_STATE(1487)] = 75561,
  [SMALL_STATE(1488)] = 75648,
  [SMALL_STATE(1489)] = 75735,
  [SMALL_STATE(1490)] = 75822,
  [SMALL_STATE(1491)] = 75909,
  [SMALL_STATE(1492)] = 75996,
  [SMALL_STATE(1493)] = 76083,
  [SMALL_STATE(1494)] = 76170,
  [SMALL_STATE(1495)] = 76257,
  [SMALL_STATE(1496)] = 76344,
  [SMALL_STATE(1497)] = 76431,
  [SMALL_STATE(1498)] = 76518,
  [SMALL_STATE(1499)] = 76605,
  [SMALL_STATE(1500)] = 76692,
  [SMALL_STATE(1501)] = 76779,
  [SMALL_STATE(1502)] = 76856,
  [SMALL_STATE(1503)] = 76922,
  [SMALL_STATE(1504)] = 76994,
  [SMALL_STATE(1505)] = 77060,
  [SMALL_STATE(1506)] = 77121,
  [SMALL_STATE(1507)] = 77186,
  [SMALL_STATE(1508)] = 77249,
  [SMALL_STATE(1509)] = 77314,
  [SMALL_STATE(1510)] = 77379,
  [SMALL_STATE(1511)] = 77444,
  [SMALL_STATE(1512)] = 77507,
  [SMALL_STATE(1513)] = 77570,
  [SMALL_STATE(1514)] = 77633,
  [SMALL_STATE(1515)] = 77698,
  [SMALL_STATE(1516)] = 77761,
  [SMALL_STATE(1517)] = 77826,
  [SMALL_STATE(1518)] = 77891,
  [SMALL_STATE(1519)] = 77954,
  [SMALL_STATE(1520)] = 78017,
  [SMALL_STATE(1521)] = 78075,
  [SMALL_STATE(1522)] = 78133,
  [SMALL_STATE(1523)] = 78191,
  [SMALL_STATE(1524)] = 78249,
  [SMALL_STATE(1525)] = 78309,
  [SMALL_STATE(1526)] = 78367,
  [SMALL_STATE(1527)] = 78425,
  [SMALL_STATE(1528)] = 78483,
  [SMALL_STATE(1529)] = 78542,
  [SMALL_STATE(1530)] = 78599,
  [SMALL_STATE(1531)] = 78654,
  [SMALL_STATE(1532)] = 78711,
  [SMALL_STATE(1533)] = 78778,
  [SMALL_STATE(1534)] = 78832,
  [SMALL_STATE(1535)] = 78894,
  [SMALL_STATE(1536)] = 78946,
  [SMALL_STATE(1537)] = 78996,
  [SMALL_STATE(1538)] = 79048,
  [SMALL_STATE(1539)] = 79110,
  [SMALL_STATE(1540)] = 79164,
  [SMALL_STATE(1541)] = 79220,
  [SMALL_STATE(1542)] = 79272,
  [SMALL_STATE(1543)] = 79326,
  [SMALL_STATE(1544)] = 79378,
  [SMALL_STATE(1545)] = 79425,
  [SMALL_STATE(1546)] = 79472,
  [SMALL_STATE(1547)] = 79505,
  [SMALL_STATE(1548)] = 79542,
  [SMALL_STATE(1549)] = 79575,
  [SMALL_STATE(1550)] = 79622,
  [SMALL_STATE(1551)] = 79669,
  [SMALL_STATE(1552)] = 79716,
  [SMALL_STATE(1553)] = 79763,
  [SMALL_STATE(1554)] = 79810,
  [SMALL_STATE(1555)] = 79840,
  [SMALL_STATE(1556)] = 79870,
  [SMALL_STATE(1557)] = 79900,
  [SMALL_STATE(1558)] = 79930,
  [SMALL_STATE(1559)] = 79960,
  [SMALL_STATE(1560)] = 79990,
  [SMALL_STATE(1561)] = 80020,
  [SMALL_STATE(1562)] = 80050,
  [SMALL_STATE(1563)] = 80080,
  [SMALL_STATE(1564)] = 80110,
  [SMALL_STATE(1565)] = 80140,
  [SMALL_STATE(1566)] = 80170,
  [SMALL_STATE(1567)] = 80200,
  [SMALL_STATE(1568)] = 80230,
  [SMALL_STATE(1569)] = 80260,
  [SMALL_STATE(1570)] = 80290,
  [SMALL_STATE(1571)] = 80320,
  [SMALL_STATE(1572)] = 80350,
  [SMALL_STATE(1573)] = 80380,
  [SMALL_STATE(1574)] = 80412,
  [SMALL_STATE(1575)] = 80442,
  [SMALL_STATE(1576)] = 80472,
  [SMALL_STATE(1577)] = 80502,
  [SMALL_STATE(1578)] = 80532,
  [SMALL_STATE(1579)] = 80562,
  [SMALL_STATE(1580)] = 80592,
  [SMALL_STATE(1581)] = 80622,
  [SMALL_STATE(1582)] = 80652,
  [SMALL_STATE(1583)] = 80682,
  [SMALL_STATE(1584)] = 80718,
  [SMALL_STATE(1585)] = 80748,
  [SMALL_STATE(1586)] = 80778,
  [SMALL_STATE(1587)] = 80808,
  [SMALL_STATE(1588)] = 80838,
  [SMALL_STATE(1589)] = 80868,
  [SMALL_STATE(1590)] = 80898,
  [SMALL_STATE(1591)] = 80928,
  [SMALL_STATE(1592)] = 80958,
  [SMALL_STATE(1593)] = 80988,
  [SMALL_STATE(1594)] = 81018,
  [SMALL_STATE(1595)] = 81048,
  [SMALL_STATE(1596)] = 81082,
  [SMALL_STATE(1597)] = 81131,
  [SMALL_STATE(1598)] = 81164,
  [SMALL_STATE(1599)] = 81213,
  [SMALL_STATE(1600)] = 81258,
  [SMALL_STATE(1601)] = 81287,
  [SMALL_STATE(1602)] = 81334,
  [SMALL_STATE(1603)] = 81385,
  [SMALL_STATE(1604)] = 81434,
  [SMALL_STATE(1605)] = 81481,
  [SMALL_STATE(1606)] = 81532,
  [SMALL_STATE(1607)] = 81581,
  [SMALL_STATE(1608)] = 81623,
  [SMALL_STATE(1609)] = 81665,
  [SMALL_STATE(1610)] = 81707,
  [SMALL_STATE(1611)] = 81753,
  [SMALL_STATE(1612)] = 81801,
  [SMALL_STATE(1613)] = 81843,
  [SMALL_STATE(1614)] = 81871,
  [SMALL_STATE(1615)] = 81919,
  [SMALL_STATE(1616)] = 81947,
  [SMALL_STATE(1617)] = 81989,
  [SMALL_STATE(1618)] = 82031,
  [SMALL_STATE(1619)] = 82077,
  [SMALL_STATE(1620)] = 82125,
  [SMALL_STATE(1621)] = 82167,
  [SMALL_STATE(1622)] = 82209,
  [SMALL_STATE(1623)] = 82237,
  [SMALL_STATE(1624)] = 82279,
  [SMALL_STATE(1625)] = 82321,
  [SMALL_STATE(1626)] = 82349,
  [SMALL_STATE(1627)] = 82391,
  [SMALL_STATE(1628)] = 82439,
  [SMALL_STATE(1629)] = 82481,
  [SMALL_STATE(1630)] = 82523,
  [SMALL_STATE(1631)] = 82565,
  [SMALL_STATE(1632)] = 82607,
  [SMALL_STATE(1633)] = 82649,
  [SMALL_STATE(1634)] = 82697,
  [SMALL_STATE(1635)] = 82739,
  [SMALL_STATE(1636)] = 82781,
  [SMALL_STATE(1637)] = 82829,
  [SMALL_STATE(1638)] = 82857,
  [SMALL_STATE(1639)] = 82899,
  [SMALL_STATE(1640)] = 82941,
  [SMALL_STATE(1641)] = 82983,
  [SMALL_STATE(1642)] = 83025,
  [SMALL_STATE(1643)] = 83073,
  [SMALL_STATE(1644)] = 83115,
  [SMALL_STATE(1645)] = 83157,
  [SMALL_STATE(1646)] = 83185,
  [SMALL_STATE(1647)] = 83212,
  [SMALL_STATE(1648)] = 83251,
  [SMALL_STATE(1649)] = 83290,
  [SMALL_STATE(1650)] = 83329,
  [SMALL_STATE(1651)] = 83356,
  [SMALL_STATE(1652)] = 83395,
  [SMALL_STATE(1653)] = 83422,
  [SMALL_STATE(1654)] = 83449,
  [SMALL_STATE(1655)] = 83488,
  [SMALL_STATE(1656)] = 83527,
  [SMALL_STATE(1657)] = 83554,
  [SMALL_STATE(1658)] = 83593,
  [SMALL_STATE(1659)] = 83620,
  [SMALL_STATE(1660)] = 83659,
  [SMALL_STATE(1661)] = 83698,
  [SMALL_STATE(1662)] = 83737,
  [SMALL_STATE(1663)] = 83776,
  [SMALL_STATE(1664)] = 83815,
  [SMALL_STATE(1665)] = 83854,
  [SMALL_STATE(1666)] = 83881,
  [SMALL_STATE(1667)] = 83908,
  [SMALL_STATE(1668)] = 83935,
  [SMALL_STATE(1669)] = 83974,
  [SMALL_STATE(1670)] = 84013,
  [SMALL_STATE(1671)] = 84040,
  [SMALL_STATE(1672)] = 84079,
  [SMALL_STATE(1673)] = 84118,
  [SMALL_STATE(1674)] = 84157,
  [SMALL_STATE(1675)] = 84184,
  [SMALL_STATE(1676)] = 84225,
  [SMALL_STATE(1677)] = 84266,
  [SMALL_STATE(1678)] = 84307,
  [SMALL_STATE(1679)] = 84348,
  [SMALL_STATE(1680)] = 84389,
  [SMALL_STATE(1681)] = 84430,
  [SMALL_STATE(1682)] = 84469,
  [SMALL_STATE(1683)] = 84510,
  [SMALL_STATE(1684)] = 84551,
  [SMALL_STATE(1685)] = 84592,
  [SMALL_STATE(1686)] = 84633,
  [SMALL_STATE(1687)] = 84674,
  [SMALL_STATE(1688)] = 84715,
  [SMALL_STATE(1689)] = 84751,
  [SMALL_STATE(1690)] = 84790,
  [SMALL_STATE(1691)] = 84829,
  [SMALL_STATE(1692)] = 84868,
  [SMALL_STATE(1693)] = 84907,
  [SMALL_STATE(1694)] = 84943,
  [SMALL_STATE(1695)] = 84979,
  [SMALL_STATE(1696)] = 85015,
  [SMALL_STATE(1697)] = 85051,
  [SMALL_STATE(1698)] = 85087,
  [SMALL_STATE(1699)] = 85123,
  [SMALL_STATE(1700)] = 85159,
  [SMALL_STATE(1701)] = 85195,
  [SMALL_STATE(1702)] = 85226,
  [SMALL_STATE(1703)] = 85259,
  [SMALL_STATE(1704)] = 85292,
  [SMALL_STATE(1705)] = 85325,
  [SMALL_STATE(1706)] = 85358,
  [SMALL_STATE(1707)] = 85391,
  [SMALL_STATE(1708)] = 85424,
  [SMALL_STATE(1709)] = 85455,
  [SMALL_STATE(1710)] = 85484,
  [SMALL_STATE(1711)] = 85517,
  [SMALL_STATE(1712)] = 85550,
  [SMALL_STATE(1713)] = 85583,
  [SMALL_STATE(1714)] = 85616,
  [SMALL_STATE(1715)] = 85649,
  [SMALL_STATE(1716)] = 85682,
  [SMALL_STATE(1717)] = 85715,
  [SMALL_STATE(1718)] = 85748,
  [SMALL_STATE(1719)] = 85781,
  [SMALL_STATE(1720)] = 85814,
  [SMALL_STATE(1721)] = 85847,
  [SMALL_STATE(1722)] = 85880,
  [SMALL_STATE(1723)] = 85913,
  [SMALL_STATE(1724)] = 85946,
  [SMALL_STATE(1725)] = 85980,
  [SMALL_STATE(1726)] = 86014,
  [SMALL_STATE(1727)] = 86043,
  [SMALL_STATE(1728)] = 86074,
  [SMALL_STATE(1729)] = 86103,
  [SMALL_STATE(1730)] = 86132,
  [SMALL_STATE(1731)] = 86163,
  [SMALL_STATE(1732)] = 86192,
  [SMALL_STATE(1733)] = 86221,
  [SMALL_STATE(1734)] = 86250,
  [SMALL_STATE(1735)] = 86279,
  [SMALL_STATE(1736)] = 86298,
  [SMALL_STATE(1737)] = 86327,
  [SMALL_STATE(1738)] = 86356,
  [SMALL_STATE(1739)] = 86385,
  [SMALL_STATE(1740)] = 86414,
  [SMALL_STATE(1741)] = 86443,
  [SMALL_STATE(1742)] = 86464,
  [SMALL_STATE(1743)] = 86493,
  [SMALL_STATE(1744)] = 86512,
  [SMALL_STATE(1745)] = 86541,
  [SMALL_STATE(1746)] = 86572,
  [SMALL_STATE(1747)] = 86601,
  [SMALL_STATE(1748)] = 86630,
  [SMALL_STATE(1749)] = 86649,
  [SMALL_STATE(1750)] = 86668,
  [SMALL_STATE(1751)] = 86691,
  [SMALL_STATE(1752)] = 86720,
  [SMALL_STATE(1753)] = 86751,
  [SMALL_STATE(1754)] = 86780,
  [SMALL_STATE(1755)] = 86809,
  [SMALL_STATE(1756)] = 86830,
  [SMALL_STATE(1757)] = 86855,
  [SMALL_STATE(1758)] = 86874,
  [SMALL_STATE(1759)] = 86903,
  [SMALL_STATE(1760)] = 86928,
  [SMALL_STATE(1761)] = 86947,
  [SMALL_STATE(1762)] = 86965,
  [SMALL_STATE(1763)] = 86991,
  [SMALL_STATE(1764)] = 87009,
  [SMALL_STATE(1765)] = 87027,
  [SMALL_STATE(1766)] = 87045,
  [SMALL_STATE(1767)] = 87071,
  [SMALL_STATE(1768)] = 87089,
  [SMALL_STATE(1769)] = 87115,
  [SMALL_STATE(1770)] = 87141,
  [SMALL_STATE(1771)] = 87167,
  [SMALL_STATE(1772)] = 87185,
  [SMALL_STATE(1773)] = 87211,
  [SMALL_STATE(1774)] = 87229,
  [SMALL_STATE(1775)] = 87247,
  [SMALL_STATE(1776)] = 87265,
  [SMALL_STATE(1777)] = 87283,
  [SMALL_STATE(1778)] = 87311,
  [SMALL_STATE(1779)] = 87335,
  [SMALL_STATE(1780)] = 87355,
  [SMALL_STATE(1781)] = 87373,
  [SMALL_STATE(1782)] = 87395,
  [SMALL_STATE(1783)] = 87413,
  [SMALL_STATE(1784)] = 87437,
  [SMALL_STATE(1785)] = 87455,
  [SMALL_STATE(1786)] = 87473,
  [SMALL_STATE(1787)] = 87499,
  [SMALL_STATE(1788)] = 87525,
  [SMALL_STATE(1789)] = 87543,
  [SMALL_STATE(1790)] = 87569,
  [SMALL_STATE(1791)] = 87595,
  [SMALL_STATE(1792)] = 87621,
  [SMALL_STATE(1793)] = 87647,
  [SMALL_STATE(1794)] = 87665,
  [SMALL_STATE(1795)] = 87691,
  [SMALL_STATE(1796)] = 87717,
  [SMALL_STATE(1797)] = 87743,
  [SMALL_STATE(1798)] = 87761,
  [SMALL_STATE(1799)] = 87779,
  [SMALL_STATE(1800)] = 87805,
  [SMALL_STATE(1801)] = 87823,
  [SMALL_STATE(1802)] = 87841,
  [SMALL_STATE(1803)] = 87859,
  [SMALL_STATE(1804)] = 87877,
  [SMALL_STATE(1805)] = 87903,
  [SMALL_STATE(1806)] = 87927,
  [SMALL_STATE(1807)] = 87945,
  [SMALL_STATE(1808)] = 87971,
  [SMALL_STATE(1809)] = 87997,
  [SMALL_STATE(1810)] = 88015,
  [SMALL_STATE(1811)] = 88033,
  [SMALL_STATE(1812)] = 88059,
  [SMALL_STATE(1813)] = 88077,
  [SMALL_STATE(1814)] = 88103,
  [SMALL_STATE(1815)] = 88131,
  [SMALL_STATE(1816)] = 88149,
  [SMALL_STATE(1817)] = 88167,
  [SMALL_STATE(1818)] = 88185,
  [SMALL_STATE(1819)] = 88211,
  [SMALL_STATE(1820)] = 88237,
  [SMALL_STATE(1821)] = 88255,
  [SMALL_STATE(1822)] = 88273,
  [SMALL_STATE(1823)] = 88293,
  [SMALL_STATE(1824)] = 88319,
  [SMALL_STATE(1825)] = 88345,
  [SMALL_STATE(1826)] = 88363,
  [SMALL_STATE(1827)] = 88381,
  [SMALL_STATE(1828)] = 88407,
  [SMALL_STATE(1829)] = 88433,
  [SMALL_STATE(1830)] = 88451,
  [SMALL_STATE(1831)] = 88477,
  [SMALL_STATE(1832)] = 88502,
  [SMALL_STATE(1833)] = 88527,
  [SMALL_STATE(1834)] = 88552,
  [SMALL_STATE(1835)] = 88573,
  [SMALL_STATE(1836)] = 88590,
  [SMALL_STATE(1837)] = 88615,
  [SMALL_STATE(1838)] = 88634,
  [SMALL_STATE(1839)] = 88659,
  [SMALL_STATE(1840)] = 88684,
  [SMALL_STATE(1841)] = 88709,
  [SMALL_STATE(1842)] = 88726,
  [SMALL_STATE(1843)] = 88751,
  [SMALL_STATE(1844)] = 88776,
  [SMALL_STATE(1845)] = 88801,
  [SMALL_STATE(1846)] = 88818,
  [SMALL_STATE(1847)] = 88843,
  [SMALL_STATE(1848)] = 88868,
  [SMALL_STATE(1849)] = 88885,
  [SMALL_STATE(1850)] = 88902,
  [SMALL_STATE(1851)] = 88927,
  [SMALL_STATE(1852)] = 88952,
  [SMALL_STATE(1853)] = 88969,
  [SMALL_STATE(1854)] = 88988,
  [SMALL_STATE(1855)] = 89013,
  [SMALL_STATE(1856)] = 89030,
  [SMALL_STATE(1857)] = 89055,
  [SMALL_STATE(1858)] = 89072,
  [SMALL_STATE(1859)] = 89097,
  [SMALL_STATE(1860)] = 89122,
  [SMALL_STATE(1861)] = 89139,
  [SMALL_STATE(1862)] = 89164,
  [SMALL_STATE(1863)] = 89185,
  [SMALL_STATE(1864)] = 89202,
  [SMALL_STATE(1865)] = 89219,
  [SMALL_STATE(1866)] = 89236,
  [SMALL_STATE(1867)] = 89261,
  [SMALL_STATE(1868)] = 89278,
  [SMALL_STATE(1869)] = 89297,
  [SMALL_STATE(1870)] = 89314,
  [SMALL_STATE(1871)] = 89331,
  [SMALL_STATE(1872)] = 89348,
  [SMALL_STATE(1873)] = 89371,
  [SMALL_STATE(1874)] = 89396,
  [SMALL_STATE(1875)] = 89421,
  [SMALL_STATE(1876)] = 89446,
  [SMALL_STATE(1877)] = 89463,
  [SMALL_STATE(1878)] = 89488,
  [SMALL_STATE(1879)] = 89513,
  [SMALL_STATE(1880)] = 89538,
  [SMALL_STATE(1881)] = 89563,
  [SMALL_STATE(1882)] = 89588,
  [SMALL_STATE(1883)] = 89609,
  [SMALL_STATE(1884)] = 89634,
  [SMALL_STATE(1885)] = 89659,
  [SMALL_STATE(1886)] = 89684,
  [SMALL_STATE(1887)] = 89701,
  [SMALL_STATE(1888)] = 89718,
  [SMALL_STATE(1889)] = 89743,
  [SMALL_STATE(1890)] = 89768,
  [SMALL_STATE(1891)] = 89789,
  [SMALL_STATE(1892)] = 89806,
  [SMALL_STATE(1893)] = 89826,
  [SMALL_STATE(1894)] = 89846,
  [SMALL_STATE(1895)] = 89868,
  [SMALL_STATE(1896)] = 89884,
  [SMALL_STATE(1897)] = 89906,
  [SMALL_STATE(1898)] = 89926,
  [SMALL_STATE(1899)] = 89948,
  [SMALL_STATE(1900)] = 89968,
  [SMALL_STATE(1901)] = 89986,
  [SMALL_STATE(1902)] = 90004,
  [SMALL_STATE(1903)] = 90026,
  [SMALL_STATE(1904)] = 90048,
  [SMALL_STATE(1905)] = 90070,
  [SMALL_STATE(1906)] = 90090,
  [SMALL_STATE(1907)] = 90112,
  [SMALL_STATE(1908)] = 90132,
  [SMALL_STATE(1909)] = 90148,
  [SMALL_STATE(1910)] = 90168,
  [SMALL_STATE(1911)] = 90188,
  [SMALL_STATE(1912)] = 90208,
  [SMALL_STATE(1913)] = 90228,
  [SMALL_STATE(1914)] = 90248,
  [SMALL_STATE(1915)] = 90268,
  [SMALL_STATE(1916)] = 90288,
  [SMALL_STATE(1917)] = 90308,
  [SMALL_STATE(1918)] = 90330,
  [SMALL_STATE(1919)] = 90352,
  [SMALL_STATE(1920)] = 90374,
  [SMALL_STATE(1921)] = 90396,
  [SMALL_STATE(1922)] = 90418,
  [SMALL_STATE(1923)] = 90438,
  [SMALL_STATE(1924)] = 90458,
  [SMALL_STATE(1925)] = 90480,
  [SMALL_STATE(1926)] = 90502,
  [SMALL_STATE(1927)] = 90522,
  [SMALL_STATE(1928)] = 90542,
  [SMALL_STATE(1929)] = 90564,
  [SMALL_STATE(1930)] = 90586,
  [SMALL_STATE(1931)] = 90608,
  [SMALL_STATE(1932)] = 90630,
  [SMALL_STATE(1933)] = 90650,
  [SMALL_STATE(1934)] = 90672,
  [SMALL_STATE(1935)] = 90692,
  [SMALL_STATE(1936)] = 90714,
  [SMALL_STATE(1937)] = 90734,
  [SMALL_STATE(1938)] = 90756,
  [SMALL_STATE(1939)] = 90778,
  [SMALL_STATE(1940)] = 90800,
  [SMALL_STATE(1941)] = 90822,
  [SMALL_STATE(1942)] = 90842,
  [SMALL_STATE(1943)] = 90858,
  [SMALL_STATE(1944)] = 90874,
  [SMALL_STATE(1945)] = 90896,
  [SMALL_STATE(1946)] = 90918,
  [SMALL_STATE(1947)] = 90940,
  [SMALL_STATE(1948)] = 90956,
  [SMALL_STATE(1949)] = 90972,
  [SMALL_STATE(1950)] = 90992,
  [SMALL_STATE(1951)] = 91014,
  [SMALL_STATE(1952)] = 91034,
  [SMALL_STATE(1953)] = 91056,
  [SMALL_STATE(1954)] = 91072,
  [SMALL_STATE(1955)] = 91092,
  [SMALL_STATE(1956)] = 91112,
  [SMALL_STATE(1957)] = 91132,
  [SMALL_STATE(1958)] = 91154,
  [SMALL_STATE(1959)] = 91174,
  [SMALL_STATE(1960)] = 91196,
  [SMALL_STATE(1961)] = 91216,
  [SMALL_STATE(1962)] = 91238,
  [SMALL_STATE(1963)] = 91260,
  [SMALL_STATE(1964)] = 91282,
  [SMALL_STATE(1965)] = 91302,
  [SMALL_STATE(1966)] = 91320,
  [SMALL_STATE(1967)] = 91340,
  [SMALL_STATE(1968)] = 91360,
  [SMALL_STATE(1969)] = 91380,
  [SMALL_STATE(1970)] = 91400,
  [SMALL_STATE(1971)] = 91420,
  [SMALL_STATE(1972)] = 91436,
  [SMALL_STATE(1973)] = 91456,
  [SMALL_STATE(1974)] = 91472,
  [SMALL_STATE(1975)] = 91492,
  [SMALL_STATE(1976)] = 91514,
  [SMALL_STATE(1977)] = 91536,
  [SMALL_STATE(1978)] = 91558,
  [SMALL_STATE(1979)] = 91578,
  [SMALL_STATE(1980)] = 91598,
  [SMALL_STATE(1981)] = 91618,
  [SMALL_STATE(1982)] = 91640,
  [SMALL_STATE(1983)] = 91662,
  [SMALL_STATE(1984)] = 91684,
  [SMALL_STATE(1985)] = 91702,
  [SMALL_STATE(1986)] = 91724,
  [SMALL_STATE(1987)] = 91744,
  [SMALL_STATE(1988)] = 91766,
  [SMALL_STATE(1989)] = 91784,
  [SMALL_STATE(1990)] = 91806,
  [SMALL_STATE(1991)] = 91824,
  [SMALL_STATE(1992)] = 91844,
  [SMALL_STATE(1993)] = 91866,
  [SMALL_STATE(1994)] = 91882,
  [SMALL_STATE(1995)] = 91902,
  [SMALL_STATE(1996)] = 91922,
  [SMALL_STATE(1997)] = 91942,
  [SMALL_STATE(1998)] = 91964,
  [SMALL_STATE(1999)] = 91984,
  [SMALL_STATE(2000)] = 92004,
  [SMALL_STATE(2001)] = 92022,
  [SMALL_STATE(2002)] = 92044,
  [SMALL_STATE(2003)] = 92064,
  [SMALL_STATE(2004)] = 92086,
  [SMALL_STATE(2005)] = 92106,
  [SMALL_STATE(2006)] = 92128,
  [SMALL_STATE(2007)] = 92150,
  [SMALL_STATE(2008)] = 92170,
  [SMALL_STATE(2009)] = 92190,
  [SMALL_STATE(2010)] = 92212,
  [SMALL_STATE(2011)] = 92234,
  [SMALL_STATE(2012)] = 92256,
  [SMALL_STATE(2013)] = 92278,
  [SMALL_STATE(2014)] = 92300,
  [SMALL_STATE(2015)] = 92322,
  [SMALL_STATE(2016)] = 92344,
  [SMALL_STATE(2017)] = 92366,
  [SMALL_STATE(2018)] = 92388,
  [SMALL_STATE(2019)] = 92410,
  [SMALL_STATE(2020)] = 92432,
  [SMALL_STATE(2021)] = 92454,
  [SMALL_STATE(2022)] = 92476,
  [SMALL_STATE(2023)] = 92498,
  [SMALL_STATE(2024)] = 92518,
  [SMALL_STATE(2025)] = 92538,
  [SMALL_STATE(2026)] = 92560,
  [SMALL_STATE(2027)] = 92582,
  [SMALL_STATE(2028)] = 92602,
  [SMALL_STATE(2029)] = 92624,
  [SMALL_STATE(2030)] = 92646,
  [SMALL_STATE(2031)] = 92668,
  [SMALL_STATE(2032)] = 92688,
  [SMALL_STATE(2033)] = 92708,
  [SMALL_STATE(2034)] = 92728,
  [SMALL_STATE(2035)] = 92747,
  [SMALL_STATE(2036)] = 92766,
  [SMALL_STATE(2037)] = 92785,
  [SMALL_STATE(2038)] = 92804,
  [SMALL_STATE(2039)] = 92823,
  [SMALL_STATE(2040)] = 92842,
  [SMALL_STATE(2041)] = 92861,
  [SMALL_STATE(2042)] = 92880,
  [SMALL_STATE(2043)] = 92899,
  [SMALL_STATE(2044)] = 92918,
  [SMALL_STATE(2045)] = 92935,
  [SMALL_STATE(2046)] = 92954,
  [SMALL_STATE(2047)] = 92973,
  [SMALL_STATE(2048)] = 92992,
  [SMALL_STATE(2049)] = 93009,
  [SMALL_STATE(2050)] = 93026,
  [SMALL_STATE(2051)] = 93045,
  [SMALL_STATE(2052)] = 93064,
  [SMALL_STATE(2053)] = 93083,
  [SMALL_STATE(2054)] = 93100,
  [SMALL_STATE(2055)] = 93119,
  [SMALL_STATE(2056)] = 93134,
  [SMALL_STATE(2057)] = 93153,
  [SMALL_STATE(2058)] = 93172,
  [SMALL_STATE(2059)] = 93187,
  [SMALL_STATE(2060)] = 93206,
  [SMALL_STATE(2061)] = 93225,
  [SMALL_STATE(2062)] = 93242,
  [SMALL_STATE(2063)] = 93257,
  [SMALL_STATE(2064)] = 93276,
  [SMALL_STATE(2065)] = 93295,
  [SMALL_STATE(2066)] = 93310,
  [SMALL_STATE(2067)] = 93329,
  [SMALL_STATE(2068)] = 93348,
  [SMALL_STATE(2069)] = 93363,
  [SMALL_STATE(2070)] = 93382,
  [SMALL_STATE(2071)] = 93399,
  [SMALL_STATE(2072)] = 93416,
  [SMALL_STATE(2073)] = 93435,
  [SMALL_STATE(2074)] = 93454,
  [SMALL_STATE(2075)] = 93473,
  [SMALL_STATE(2076)] = 93492,
  [SMALL_STATE(2077)] = 93511,
  [SMALL_STATE(2078)] = 93530,
  [SMALL_STATE(2079)] = 93549,
  [SMALL_STATE(2080)] = 93566,
  [SMALL_STATE(2081)] = 93585,
  [SMALL_STATE(2082)] = 93604,
  [SMALL_STATE(2083)] = 93619,
  [SMALL_STATE(2084)] = 93638,
  [SMALL_STATE(2085)] = 93657,
  [SMALL_STATE(2086)] = 93676,
  [SMALL_STATE(2087)] = 93695,
  [SMALL_STATE(2088)] = 93714,
  [SMALL_STATE(2089)] = 93733,
  [SMALL_STATE(2090)] = 93752,
  [SMALL_STATE(2091)] = 93771,
  [SMALL_STATE(2092)] = 93788,
  [SMALL_STATE(2093)] = 93807,
  [SMALL_STATE(2094)] = 93826,
  [SMALL_STATE(2095)] = 93845,
  [SMALL_STATE(2096)] = 93860,
  [SMALL_STATE(2097)] = 93879,
  [SMALL_STATE(2098)] = 93896,
  [SMALL_STATE(2099)] = 93915,
  [SMALL_STATE(2100)] = 93934,
  [SMALL_STATE(2101)] = 93953,
  [SMALL_STATE(2102)] = 93970,
  [SMALL_STATE(2103)] = 93987,
  [SMALL_STATE(2104)] = 94004,
  [SMALL_STATE(2105)] = 94019,
  [SMALL_STATE(2106)] = 94036,
  [SMALL_STATE(2107)] = 94055,
  [SMALL_STATE(2108)] = 94070,
  [SMALL_STATE(2109)] = 94089,
  [SMALL_STATE(2110)] = 94108,
  [SMALL_STATE(2111)] = 94127,
  [SMALL_STATE(2112)] = 94144,
  [SMALL_STATE(2113)] = 94163,
  [SMALL_STATE(2114)] = 94182,
  [SMALL_STATE(2115)] = 94199,
  [SMALL_STATE(2116)] = 94218,
  [SMALL_STATE(2117)] = 94233,
  [SMALL_STATE(2118)] = 94252,
  [SMALL_STATE(2119)] = 94271,
  [SMALL_STATE(2120)] = 94286,
  [SMALL_STATE(2121)] = 94305,
  [SMALL_STATE(2122)] = 94324,
  [SMALL_STATE(2123)] = 94343,
  [SMALL_STATE(2124)] = 94362,
  [SMALL_STATE(2125)] = 94381,
  [SMALL_STATE(2126)] = 94398,
  [SMALL_STATE(2127)] = 94417,
  [SMALL_STATE(2128)] = 94432,
  [SMALL_STATE(2129)] = 94451,
  [SMALL_STATE(2130)] = 94470,
  [SMALL_STATE(2131)] = 94487,
  [SMALL_STATE(2132)] = 94506,
  [SMALL_STATE(2133)] = 94525,
  [SMALL_STATE(2134)] = 94544,
  [SMALL_STATE(2135)] = 94563,
  [SMALL_STATE(2136)] = 94582,
  [SMALL_STATE(2137)] = 94601,
  [SMALL_STATE(2138)] = 94620,
  [SMALL_STATE(2139)] = 94639,
  [SMALL_STATE(2140)] = 94658,
  [SMALL_STATE(2141)] = 94677,
  [SMALL_STATE(2142)] = 94696,
  [SMALL_STATE(2143)] = 94715,
  [SMALL_STATE(2144)] = 94734,
  [SMALL_STATE(2145)] = 94749,
  [SMALL_STATE(2146)] = 94764,
  [SMALL_STATE(2147)] = 94783,
  [SMALL_STATE(2148)] = 94802,
  [SMALL_STATE(2149)] = 94821,
  [SMALL_STATE(2150)] = 94840,
  [SMALL_STATE(2151)] = 94859,
  [SMALL_STATE(2152)] = 94874,
  [SMALL_STATE(2153)] = 94893,
  [SMALL_STATE(2154)] = 94908,
  [SMALL_STATE(2155)] = 94927,
  [SMALL_STATE(2156)] = 94946,
  [SMALL_STATE(2157)] = 94965,
  [SMALL_STATE(2158)] = 94982,
  [SMALL_STATE(2159)] = 94999,
  [SMALL_STATE(2160)] = 95016,
  [SMALL_STATE(2161)] = 95035,
  [SMALL_STATE(2162)] = 95054,
  [SMALL_STATE(2163)] = 95073,
  [SMALL_STATE(2164)] = 95092,
  [SMALL_STATE(2165)] = 95109,
  [SMALL_STATE(2166)] = 95126,
  [SMALL_STATE(2167)] = 95145,
  [SMALL_STATE(2168)] = 95164,
  [SMALL_STATE(2169)] = 95179,
  [SMALL_STATE(2170)] = 95196,
  [SMALL_STATE(2171)] = 95215,
  [SMALL_STATE(2172)] = 95234,
  [SMALL_STATE(2173)] = 95249,
  [SMALL_STATE(2174)] = 95268,
  [SMALL_STATE(2175)] = 95285,
  [SMALL_STATE(2176)] = 95302,
  [SMALL_STATE(2177)] = 95321,
  [SMALL_STATE(2178)] = 95340,
  [SMALL_STATE(2179)] = 95355,
  [SMALL_STATE(2180)] = 95374,
  [SMALL_STATE(2181)] = 95393,
  [SMALL_STATE(2182)] = 95410,
  [SMALL_STATE(2183)] = 95427,
  [SMALL_STATE(2184)] = 95442,
  [SMALL_STATE(2185)] = 95457,
  [SMALL_STATE(2186)] = 95472,
  [SMALL_STATE(2187)] = 95491,
  [SMALL_STATE(2188)] = 95510,
  [SMALL_STATE(2189)] = 95527,
  [SMALL_STATE(2190)] = 95546,
  [SMALL_STATE(2191)] = 95562,
  [SMALL_STATE(2192)] = 95578,
  [SMALL_STATE(2193)] = 95594,
  [SMALL_STATE(2194)] = 95610,
  [SMALL_STATE(2195)] = 95626,
  [SMALL_STATE(2196)] = 95642,
  [SMALL_STATE(2197)] = 95658,
  [SMALL_STATE(2198)] = 95674,
  [SMALL_STATE(2199)] = 95690,
  [SMALL_STATE(2200)] = 95706,
  [SMALL_STATE(2201)] = 95720,
  [SMALL_STATE(2202)] = 95734,
  [SMALL_STATE(2203)] = 95748,
  [SMALL_STATE(2204)] = 95764,
  [SMALL_STATE(2205)] = 95778,
  [SMALL_STATE(2206)] = 95792,
  [SMALL_STATE(2207)] = 95808,
  [SMALL_STATE(2208)] = 95824,
  [SMALL_STATE(2209)] = 95840,
  [SMALL_STATE(2210)] = 95856,
  [SMALL_STATE(2211)] = 95870,
  [SMALL_STATE(2212)] = 95884,
  [SMALL_STATE(2213)] = 95898,
  [SMALL_STATE(2214)] = 95914,
  [SMALL_STATE(2215)] = 95928,
  [SMALL_STATE(2216)] = 95942,
  [SMALL_STATE(2217)] = 95958,
  [SMALL_STATE(2218)] = 95974,
  [SMALL_STATE(2219)] = 95990,
  [SMALL_STATE(2220)] = 96006,
  [SMALL_STATE(2221)] = 96022,
  [SMALL_STATE(2222)] = 96038,
  [SMALL_STATE(2223)] = 96052,
  [SMALL_STATE(2224)] = 96066,
  [SMALL_STATE(2225)] = 96082,
  [SMALL_STATE(2226)] = 96096,
  [SMALL_STATE(2227)] = 96112,
  [SMALL_STATE(2228)] = 96128,
  [SMALL_STATE(2229)] = 96144,
  [SMALL_STATE(2230)] = 96158,
  [SMALL_STATE(2231)] = 96174,
  [SMALL_STATE(2232)] = 96190,
  [SMALL_STATE(2233)] = 96204,
  [SMALL_STATE(2234)] = 96218,
  [SMALL_STATE(2235)] = 96232,
  [SMALL_STATE(2236)] = 96246,
  [SMALL_STATE(2237)] = 96260,
  [SMALL_STATE(2238)] = 96276,
  [SMALL_STATE(2239)] = 96292,
  [SMALL_STATE(2240)] = 96306,
  [SMALL_STATE(2241)] = 96320,
  [SMALL_STATE(2242)] = 96334,
  [SMALL_STATE(2243)] = 96348,
  [SMALL_STATE(2244)] = 96362,
  [SMALL_STATE(2245)] = 96376,
  [SMALL_STATE(2246)] = 96392,
  [SMALL_STATE(2247)] = 96408,
  [SMALL_STATE(2248)] = 96424,
  [SMALL_STATE(2249)] = 96440,
  [SMALL_STATE(2250)] = 96454,
  [SMALL_STATE(2251)] = 96468,
  [SMALL_STATE(2252)] = 96484,
  [SMALL_STATE(2253)] = 96498,
  [SMALL_STATE(2254)] = 96512,
  [SMALL_STATE(2255)] = 96526,
  [SMALL_STATE(2256)] = 96540,
  [SMALL_STATE(2257)] = 96554,
  [SMALL_STATE(2258)] = 96568,
  [SMALL_STATE(2259)] = 96582,
  [SMALL_STATE(2260)] = 96598,
  [SMALL_STATE(2261)] = 96614,
  [SMALL_STATE(2262)] = 96630,
  [SMALL_STATE(2263)] = 96646,
  [SMALL_STATE(2264)] = 96662,
  [SMALL_STATE(2265)] = 96678,
  [SMALL_STATE(2266)] = 96694,
  [SMALL_STATE(2267)] = 96710,
  [SMALL_STATE(2268)] = 96726,
  [SMALL_STATE(2269)] = 96742,
  [SMALL_STATE(2270)] = 96758,
  [SMALL_STATE(2271)] = 96772,
  [SMALL_STATE(2272)] = 96788,
  [SMALL_STATE(2273)] = 96804,
  [SMALL_STATE(2274)] = 96820,
  [SMALL_STATE(2275)] = 96836,
  [SMALL_STATE(2276)] = 96852,
  [SMALL_STATE(2277)] = 96868,
  [SMALL_STATE(2278)] = 96884,
  [SMALL_STATE(2279)] = 96900,
  [SMALL_STATE(2280)] = 96916,
  [SMALL_STATE(2281)] = 96932,
  [SMALL_STATE(2282)] = 96948,
  [SMALL_STATE(2283)] = 96964,
  [SMALL_STATE(2284)] = 96980,
  [SMALL_STATE(2285)] = 96994,
  [SMALL_STATE(2286)] = 97010,
  [SMALL_STATE(2287)] = 97026,
  [SMALL_STATE(2288)] = 97042,
  [SMALL_STATE(2289)] = 97058,
  [SMALL_STATE(2290)] = 97074,
  [SMALL_STATE(2291)] = 97090,
  [SMALL_STATE(2292)] = 97106,
  [SMALL_STATE(2293)] = 97122,
  [SMALL_STATE(2294)] = 97138,
  [SMALL_STATE(2295)] = 97154,
  [SMALL_STATE(2296)] = 97170,
  [SMALL_STATE(2297)] = 97186,
  [SMALL_STATE(2298)] = 97202,
  [SMALL_STATE(2299)] = 97218,
  [SMALL_STATE(2300)] = 97234,
  [SMALL_STATE(2301)] = 97250,
  [SMALL_STATE(2302)] = 97266,
  [SMALL_STATE(2303)] = 97280,
  [SMALL_STATE(2304)] = 97294,
  [SMALL_STATE(2305)] = 97310,
  [SMALL_STATE(2306)] = 97326,
  [SMALL_STATE(2307)] = 97342,
  [SMALL_STATE(2308)] = 97358,
  [SMALL_STATE(2309)] = 97374,
  [SMALL_STATE(2310)] = 97390,
  [SMALL_STATE(2311)] = 97406,
  [SMALL_STATE(2312)] = 97422,
  [SMALL_STATE(2313)] = 97438,
  [SMALL_STATE(2314)] = 97454,
  [SMALL_STATE(2315)] = 97470,
  [SMALL_STATE(2316)] = 97486,
  [SMALL_STATE(2317)] = 97502,
  [SMALL_STATE(2318)] = 97518,
  [SMALL_STATE(2319)] = 97532,
  [SMALL_STATE(2320)] = 97548,
  [SMALL_STATE(2321)] = 97564,
  [SMALL_STATE(2322)] = 97580,
  [SMALL_STATE(2323)] = 97596,
  [SMALL_STATE(2324)] = 97612,
  [SMALL_STATE(2325)] = 97628,
  [SMALL_STATE(2326)] = 97644,
  [SMALL_STATE(2327)] = 97660,
  [SMALL_STATE(2328)] = 97676,
  [SMALL_STATE(2329)] = 97692,
  [SMALL_STATE(2330)] = 97708,
  [SMALL_STATE(2331)] = 97724,
  [SMALL_STATE(2332)] = 97740,
  [SMALL_STATE(2333)] = 97756,
  [SMALL_STATE(2334)] = 97772,
  [SMALL_STATE(2335)] = 97788,
  [SMALL_STATE(2336)] = 97802,
  [SMALL_STATE(2337)] = 97816,
  [SMALL_STATE(2338)] = 97832,
  [SMALL_STATE(2339)] = 97848,
  [SMALL_STATE(2340)] = 97864,
  [SMALL_STATE(2341)] = 97880,
  [SMALL_STATE(2342)] = 97896,
  [SMALL_STATE(2343)] = 97912,
  [SMALL_STATE(2344)] = 97928,
  [SMALL_STATE(2345)] = 97944,
  [SMALL_STATE(2346)] = 97958,
  [SMALL_STATE(2347)] = 97972,
  [SMALL_STATE(2348)] = 97988,
  [SMALL_STATE(2349)] = 98004,
  [SMALL_STATE(2350)] = 98020,
  [SMALL_STATE(2351)] = 98034,
  [SMALL_STATE(2352)] = 98048,
  [SMALL_STATE(2353)] = 98064,
  [SMALL_STATE(2354)] = 98080,
  [SMALL_STATE(2355)] = 98094,
  [SMALL_STATE(2356)] = 98110,
  [SMALL_STATE(2357)] = 98126,
  [SMALL_STATE(2358)] = 98142,
  [SMALL_STATE(2359)] = 98156,
  [SMALL_STATE(2360)] = 98170,
  [SMALL_STATE(2361)] = 98186,
  [SMALL_STATE(2362)] = 98202,
  [SMALL_STATE(2363)] = 98218,
  [SMALL_STATE(2364)] = 98234,
  [SMALL_STATE(2365)] = 98250,
  [SMALL_STATE(2366)] = 98266,
  [SMALL_STATE(2367)] = 98282,
  [SMALL_STATE(2368)] = 98296,
  [SMALL_STATE(2369)] = 98312,
  [SMALL_STATE(2370)] = 98328,
  [SMALL_STATE(2371)] = 98344,
  [SMALL_STATE(2372)] = 98360,
  [SMALL_STATE(2373)] = 98376,
  [SMALL_STATE(2374)] = 98390,
  [SMALL_STATE(2375)] = 98406,
  [SMALL_STATE(2376)] = 98420,
  [SMALL_STATE(2377)] = 98434,
  [SMALL_STATE(2378)] = 98448,
  [SMALL_STATE(2379)] = 98462,
  [SMALL_STATE(2380)] = 98478,
  [SMALL_STATE(2381)] = 98492,
  [SMALL_STATE(2382)] = 98506,
  [SMALL_STATE(2383)] = 98522,
  [SMALL_STATE(2384)] = 98538,
  [SMALL_STATE(2385)] = 98554,
  [SMALL_STATE(2386)] = 98568,
  [SMALL_STATE(2387)] = 98584,
  [SMALL_STATE(2388)] = 98598,
  [SMALL_STATE(2389)] = 98612,
  [SMALL_STATE(2390)] = 98628,
  [SMALL_STATE(2391)] = 98644,
  [SMALL_STATE(2392)] = 98658,
  [SMALL_STATE(2393)] = 98672,
  [SMALL_STATE(2394)] = 98686,
  [SMALL_STATE(2395)] = 98700,
  [SMALL_STATE(2396)] = 98716,
  [SMALL_STATE(2397)] = 98732,
  [SMALL_STATE(2398)] = 98748,
  [SMALL_STATE(2399)] = 98764,
  [SMALL_STATE(2400)] = 98780,
  [SMALL_STATE(2401)] = 98796,
  [SMALL_STATE(2402)] = 98812,
  [SMALL_STATE(2403)] = 98828,
  [SMALL_STATE(2404)] = 98844,
  [SMALL_STATE(2405)] = 98858,
  [SMALL_STATE(2406)] = 98872,
  [SMALL_STATE(2407)] = 98888,
  [SMALL_STATE(2408)] = 98904,
  [SMALL_STATE(2409)] = 98918,
  [SMALL_STATE(2410)] = 98932,
  [SMALL_STATE(2411)] = 98948,
  [SMALL_STATE(2412)] = 98962,
  [SMALL_STATE(2413)] = 98978,
  [SMALL_STATE(2414)] = 98994,
  [SMALL_STATE(2415)] = 99010,
  [SMALL_STATE(2416)] = 99026,
  [SMALL_STATE(2417)] = 99040,
  [SMALL_STATE(2418)] = 99056,
  [SMALL_STATE(2419)] = 99072,
  [SMALL_STATE(2420)] = 99088,
  [SMALL_STATE(2421)] = 99104,
  [SMALL_STATE(2422)] = 99120,
  [SMALL_STATE(2423)] = 99136,
  [SMALL_STATE(2424)] = 99152,
  [SMALL_STATE(2425)] = 99166,
  [SMALL_STATE(2426)] = 99182,
  [SMALL_STATE(2427)] = 99198,
  [SMALL_STATE(2428)] = 99214,
  [SMALL_STATE(2429)] = 99230,
  [SMALL_STATE(2430)] = 99244,
  [SMALL_STATE(2431)] = 99260,
  [SMALL_STATE(2432)] = 99276,
  [SMALL_STATE(2433)] = 99292,
  [SMALL_STATE(2434)] = 99308,
  [SMALL_STATE(2435)] = 99322,
  [SMALL_STATE(2436)] = 99338,
  [SMALL_STATE(2437)] = 99354,
  [SMALL_STATE(2438)] = 99370,
  [SMALL_STATE(2439)] = 99386,
  [SMALL_STATE(2440)] = 99402,
  [SMALL_STATE(2441)] = 99416,
  [SMALL_STATE(2442)] = 99430,
  [SMALL_STATE(2443)] = 99446,
  [SMALL_STATE(2444)] = 99462,
  [SMALL_STATE(2445)] = 99478,
  [SMALL_STATE(2446)] = 99494,
  [SMALL_STATE(2447)] = 99508,
  [SMALL_STATE(2448)] = 99522,
  [SMALL_STATE(2449)] = 99538,
  [SMALL_STATE(2450)] = 99554,
  [SMALL_STATE(2451)] = 99570,
  [SMALL_STATE(2452)] = 99584,
  [SMALL_STATE(2453)] = 99600,
  [SMALL_STATE(2454)] = 99616,
  [SMALL_STATE(2455)] = 99632,
  [SMALL_STATE(2456)] = 99648,
  [SMALL_STATE(2457)] = 99662,
  [SMALL_STATE(2458)] = 99678,
  [SMALL_STATE(2459)] = 99694,
  [SMALL_STATE(2460)] = 99708,
  [SMALL_STATE(2461)] = 99722,
  [SMALL_STATE(2462)] = 99736,
  [SMALL_STATE(2463)] = 99750,
  [SMALL_STATE(2464)] = 99764,
  [SMALL_STATE(2465)] = 99780,
  [SMALL_STATE(2466)] = 99794,
  [SMALL_STATE(2467)] = 99810,
  [SMALL_STATE(2468)] = 99826,
  [SMALL_STATE(2469)] = 99842,
  [SMALL_STATE(2470)] = 99856,
  [SMALL_STATE(2471)] = 99872,
  [SMALL_STATE(2472)] = 99888,
  [SMALL_STATE(2473)] = 99902,
  [SMALL_STATE(2474)] = 99918,
  [SMALL_STATE(2475)] = 99934,
  [SMALL_STATE(2476)] = 99950,
  [SMALL_STATE(2477)] = 99964,
  [SMALL_STATE(2478)] = 99980,
  [SMALL_STATE(2479)] = 99994,
  [SMALL_STATE(2480)] = 100008,
  [SMALL_STATE(2481)] = 100024,
  [SMALL_STATE(2482)] = 100040,
  [SMALL_STATE(2483)] = 100054,
  [SMALL_STATE(2484)] = 100068,
  [SMALL_STATE(2485)] = 100082,
  [SMALL_STATE(2486)] = 100098,
  [SMALL_STATE(2487)] = 100112,
  [SMALL_STATE(2488)] = 100126,
  [SMALL_STATE(2489)] = 100140,
  [SMALL_STATE(2490)] = 100154,
  [SMALL_STATE(2491)] = 100170,
  [SMALL_STATE(2492)] = 100184,
  [SMALL_STATE(2493)] = 100198,
  [SMALL_STATE(2494)] = 100212,
  [SMALL_STATE(2495)] = 100228,
  [SMALL_STATE(2496)] = 100244,
  [SMALL_STATE(2497)] = 100260,
  [SMALL_STATE(2498)] = 100274,
  [SMALL_STATE(2499)] = 100290,
  [SMALL_STATE(2500)] = 100306,
  [SMALL_STATE(2501)] = 100322,
  [SMALL_STATE(2502)] = 100336,
  [SMALL_STATE(2503)] = 100352,
  [SMALL_STATE(2504)] = 100368,
  [SMALL_STATE(2505)] = 100384,
  [SMALL_STATE(2506)] = 100398,
  [SMALL_STATE(2507)] = 100412,
  [SMALL_STATE(2508)] = 100428,
  [SMALL_STATE(2509)] = 100444,
  [SMALL_STATE(2510)] = 100458,
  [SMALL_STATE(2511)] = 100472,
  [SMALL_STATE(2512)] = 100486,
  [SMALL_STATE(2513)] = 100502,
  [SMALL_STATE(2514)] = 100518,
  [SMALL_STATE(2515)] = 100534,
  [SMALL_STATE(2516)] = 100550,
  [SMALL_STATE(2517)] = 100566,
  [SMALL_STATE(2518)] = 100582,
  [SMALL_STATE(2519)] = 100598,
  [SMALL_STATE(2520)] = 100614,
  [SMALL_STATE(2521)] = 100628,
  [SMALL_STATE(2522)] = 100642,
  [SMALL_STATE(2523)] = 100658,
  [SMALL_STATE(2524)] = 100674,
  [SMALL_STATE(2525)] = 100690,
  [SMALL_STATE(2526)] = 100704,
  [SMALL_STATE(2527)] = 100720,
  [SMALL_STATE(2528)] = 100734,
  [SMALL_STATE(2529)] = 100750,
  [SMALL_STATE(2530)] = 100766,
  [SMALL_STATE(2531)] = 100782,
  [SMALL_STATE(2532)] = 100798,
  [SMALL_STATE(2533)] = 100814,
  [SMALL_STATE(2534)] = 100830,
  [SMALL_STATE(2535)] = 100846,
  [SMALL_STATE(2536)] = 100862,
  [SMALL_STATE(2537)] = 100878,
  [SMALL_STATE(2538)] = 100894,
  [SMALL_STATE(2539)] = 100910,
  [SMALL_STATE(2540)] = 100924,
  [SMALL_STATE(2541)] = 100938,
  [SMALL_STATE(2542)] = 100954,
  [SMALL_STATE(2543)] = 100970,
  [SMALL_STATE(2544)] = 100986,
  [SMALL_STATE(2545)] = 101002,
  [SMALL_STATE(2546)] = 101016,
  [SMALL_STATE(2547)] = 101032,
  [SMALL_STATE(2548)] = 101046,
  [SMALL_STATE(2549)] = 101060,
  [SMALL_STATE(2550)] = 101074,
  [SMALL_STATE(2551)] = 101088,
  [SMALL_STATE(2552)] = 101102,
  [SMALL_STATE(2553)] = 101118,
  [SMALL_STATE(2554)] = 101132,
  [SMALL_STATE(2555)] = 101148,
  [SMALL_STATE(2556)] = 101164,
  [SMALL_STATE(2557)] = 101178,
  [SMALL_STATE(2558)] = 101192,
  [SMALL_STATE(2559)] = 101206,
  [SMALL_STATE(2560)] = 101222,
  [SMALL_STATE(2561)] = 101238,
  [SMALL_STATE(2562)] = 101254,
  [SMALL_STATE(2563)] = 101268,
  [SMALL_STATE(2564)] = 101284,
  [SMALL_STATE(2565)] = 101300,
  [SMALL_STATE(2566)] = 101314,
  [SMALL_STATE(2567)] = 101328,
  [SMALL_STATE(2568)] = 101344,
  [SMALL_STATE(2569)] = 101360,
  [SMALL_STATE(2570)] = 101376,
  [SMALL_STATE(2571)] = 101392,
  [SMALL_STATE(2572)] = 101408,
  [SMALL_STATE(2573)] = 101424,
  [SMALL_STATE(2574)] = 101438,
  [SMALL_STATE(2575)] = 101454,
  [SMALL_STATE(2576)] = 101470,
  [SMALL_STATE(2577)] = 101486,
  [SMALL_STATE(2578)] = 101500,
  [SMALL_STATE(2579)] = 101514,
  [SMALL_STATE(2580)] = 101530,
  [SMALL_STATE(2581)] = 101546,
  [SMALL_STATE(2582)] = 101562,
  [SMALL_STATE(2583)] = 101576,
  [SMALL_STATE(2584)] = 101590,
  [SMALL_STATE(2585)] = 101604,
  [SMALL_STATE(2586)] = 101618,
  [SMALL_STATE(2587)] = 101632,
  [SMALL_STATE(2588)] = 101648,
  [SMALL_STATE(2589)] = 101664,
  [SMALL_STATE(2590)] = 101678,
  [SMALL_STATE(2591)] = 101692,
  [SMALL_STATE(2592)] = 101706,
  [SMALL_STATE(2593)] = 101722,
  [SMALL_STATE(2594)] = 101738,
  [SMALL_STATE(2595)] = 101754,
  [SMALL_STATE(2596)] = 101768,
  [SMALL_STATE(2597)] = 101782,
  [SMALL_STATE(2598)] = 101796,
  [SMALL_STATE(2599)] = 101812,
  [SMALL_STATE(2600)] = 101826,
  [SMALL_STATE(2601)] = 101842,
  [SMALL_STATE(2602)] = 101858,
  [SMALL_STATE(2603)] = 101872,
  [SMALL_STATE(2604)] = 101888,
  [SMALL_STATE(2605)] = 101902,
  [SMALL_STATE(2606)] = 101916,
  [SMALL_STATE(2607)] = 101930,
  [SMALL_STATE(2608)] = 101946,
  [SMALL_STATE(2609)] = 101962,
  [SMALL_STATE(2610)] = 101976,
  [SMALL_STATE(2611)] = 101992,
  [SMALL_STATE(2612)] = 102008,
  [SMALL_STATE(2613)] = 102022,
  [SMALL_STATE(2614)] = 102036,
  [SMALL_STATE(2615)] = 102052,
  [SMALL_STATE(2616)] = 102066,
  [SMALL_STATE(2617)] = 102080,
  [SMALL_STATE(2618)] = 102094,
  [SMALL_STATE(2619)] = 102108,
  [SMALL_STATE(2620)] = 102124,
  [SMALL_STATE(2621)] = 102140,
  [SMALL_STATE(2622)] = 102154,
  [SMALL_STATE(2623)] = 102168,
  [SMALL_STATE(2624)] = 102184,
  [SMALL_STATE(2625)] = 102198,
  [SMALL_STATE(2626)] = 102214,
  [SMALL_STATE(2627)] = 102228,
  [SMALL_STATE(2628)] = 102244,
  [SMALL_STATE(2629)] = 102258,
  [SMALL_STATE(2630)] = 102274,
  [SMALL_STATE(2631)] = 102290,
  [SMALL_STATE(2632)] = 102306,
  [SMALL_STATE(2633)] = 102320,
  [SMALL_STATE(2634)] = 102334,
  [SMALL_STATE(2635)] = 102348,
  [SMALL_STATE(2636)] = 102362,
  [SMALL_STATE(2637)] = 102376,
  [SMALL_STATE(2638)] = 102392,
  [SMALL_STATE(2639)] = 102408,
  [SMALL_STATE(2640)] = 102422,
  [SMALL_STATE(2641)] = 102436,
  [SMALL_STATE(2642)] = 102450,
  [SMALL_STATE(2643)] = 102464,
  [SMALL_STATE(2644)] = 102480,
  [SMALL_STATE(2645)] = 102494,
  [SMALL_STATE(2646)] = 102508,
  [SMALL_STATE(2647)] = 102524,
  [SMALL_STATE(2648)] = 102538,
  [SMALL_STATE(2649)] = 102552,
  [SMALL_STATE(2650)] = 102566,
  [SMALL_STATE(2651)] = 102580,
  [SMALL_STATE(2652)] = 102596,
  [SMALL_STATE(2653)] = 102612,
  [SMALL_STATE(2654)] = 102628,
  [SMALL_STATE(2655)] = 102642,
  [SMALL_STATE(2656)] = 102658,
  [SMALL_STATE(2657)] = 102674,
  [SMALL_STATE(2658)] = 102690,
  [SMALL_STATE(2659)] = 102706,
  [SMALL_STATE(2660)] = 102722,
  [SMALL_STATE(2661)] = 102738,
  [SMALL_STATE(2662)] = 102754,
  [SMALL_STATE(2663)] = 102770,
  [SMALL_STATE(2664)] = 102784,
  [SMALL_STATE(2665)] = 102800,
  [SMALL_STATE(2666)] = 102816,
  [SMALL_STATE(2667)] = 102832,
  [SMALL_STATE(2668)] = 102848,
  [SMALL_STATE(2669)] = 102864,
  [SMALL_STATE(2670)] = 102880,
  [SMALL_STATE(2671)] = 102896,
  [SMALL_STATE(2672)] = 102912,
  [SMALL_STATE(2673)] = 102928,
  [SMALL_STATE(2674)] = 102944,
  [SMALL_STATE(2675)] = 102960,
  [SMALL_STATE(2676)] = 102976,
  [SMALL_STATE(2677)] = 102992,
  [SMALL_STATE(2678)] = 103008,
  [SMALL_STATE(2679)] = 103024,
  [SMALL_STATE(2680)] = 103040,
  [SMALL_STATE(2681)] = 103056,
  [SMALL_STATE(2682)] = 103072,
  [SMALL_STATE(2683)] = 103088,
  [SMALL_STATE(2684)] = 103104,
  [SMALL_STATE(2685)] = 103120,
  [SMALL_STATE(2686)] = 103136,
  [SMALL_STATE(2687)] = 103152,
  [SMALL_STATE(2688)] = 103168,
  [SMALL_STATE(2689)] = 103182,
  [SMALL_STATE(2690)] = 103198,
  [SMALL_STATE(2691)] = 103214,
  [SMALL_STATE(2692)] = 103230,
  [SMALL_STATE(2693)] = 103246,
  [SMALL_STATE(2694)] = 103260,
  [SMALL_STATE(2695)] = 103274,
  [SMALL_STATE(2696)] = 103288,
  [SMALL_STATE(2697)] = 103304,
  [SMALL_STATE(2698)] = 103320,
  [SMALL_STATE(2699)] = 103336,
  [SMALL_STATE(2700)] = 103350,
  [SMALL_STATE(2701)] = 103364,
  [SMALL_STATE(2702)] = 103380,
  [SMALL_STATE(2703)] = 103394,
  [SMALL_STATE(2704)] = 103408,
  [SMALL_STATE(2705)] = 103424,
  [SMALL_STATE(2706)] = 103440,
  [SMALL_STATE(2707)] = 103456,
  [SMALL_STATE(2708)] = 103470,
  [SMALL_STATE(2709)] = 103486,
  [SMALL_STATE(2710)] = 103502,
  [SMALL_STATE(2711)] = 103516,
  [SMALL_STATE(2712)] = 103530,
  [SMALL_STATE(2713)] = 103544,
  [SMALL_STATE(2714)] = 103560,
  [SMALL_STATE(2715)] = 103574,
  [SMALL_STATE(2716)] = 103588,
  [SMALL_STATE(2717)] = 103604,
  [SMALL_STATE(2718)] = 103620,
  [SMALL_STATE(2719)] = 103636,
  [SMALL_STATE(2720)] = 103652,
  [SMALL_STATE(2721)] = 103668,
  [SMALL_STATE(2722)] = 103684,
  [SMALL_STATE(2723)] = 103698,
  [SMALL_STATE(2724)] = 103712,
  [SMALL_STATE(2725)] = 103726,
  [SMALL_STATE(2726)] = 103740,
  [SMALL_STATE(2727)] = 103754,
  [SMALL_STATE(2728)] = 103770,
  [SMALL_STATE(2729)] = 103786,
  [SMALL_STATE(2730)] = 103800,
  [SMALL_STATE(2731)] = 103813,
  [SMALL_STATE(2732)] = 103826,
  [SMALL_STATE(2733)] = 103839,
  [SMALL_STATE(2734)] = 103852,
  [SMALL_STATE(2735)] = 103865,
  [SMALL_STATE(2736)] = 103878,
  [SMALL_STATE(2737)] = 103891,
  [SMALL_STATE(2738)] = 103904,
  [SMALL_STATE(2739)] = 103917,
  [SMALL_STATE(2740)] = 103930,
  [SMALL_STATE(2741)] = 103943,
  [SMALL_STATE(2742)] = 103956,
  [SMALL_STATE(2743)] = 103969,
  [SMALL_STATE(2744)] = 103982,
  [SMALL_STATE(2745)] = 103995,
  [SMALL_STATE(2746)] = 104008,
  [SMALL_STATE(2747)] = 104021,
  [SMALL_STATE(2748)] = 104034,
  [SMALL_STATE(2749)] = 104047,
  [SMALL_STATE(2750)] = 104060,
  [SMALL_STATE(2751)] = 104073,
  [SMALL_STATE(2752)] = 104086,
  [SMALL_STATE(2753)] = 104099,
  [SMALL_STATE(2754)] = 104112,
  [SMALL_STATE(2755)] = 104125,
  [SMALL_STATE(2756)] = 104138,
  [SMALL_STATE(2757)] = 104151,
  [SMALL_STATE(2758)] = 104164,
  [SMALL_STATE(2759)] = 104177,
  [SMALL_STATE(2760)] = 104190,
  [SMALL_STATE(2761)] = 104203,
  [SMALL_STATE(2762)] = 104216,
  [SMALL_STATE(2763)] = 104229,
  [SMALL_STATE(2764)] = 104242,
  [SMALL_STATE(2765)] = 104255,
  [SMALL_STATE(2766)] = 104268,
  [SMALL_STATE(2767)] = 104281,
  [SMALL_STATE(2768)] = 104294,
  [SMALL_STATE(2769)] = 104307,
  [SMALL_STATE(2770)] = 104320,
  [SMALL_STATE(2771)] = 104333,
  [SMALL_STATE(2772)] = 104346,
  [SMALL_STATE(2773)] = 104359,
  [SMALL_STATE(2774)] = 104372,
  [SMALL_STATE(2775)] = 104385,
  [SMALL_STATE(2776)] = 104398,
  [SMALL_STATE(2777)] = 104411,
  [SMALL_STATE(2778)] = 104424,
  [SMALL_STATE(2779)] = 104437,
  [SMALL_STATE(2780)] = 104450,
  [SMALL_STATE(2781)] = 104463,
  [SMALL_STATE(2782)] = 104476,
  [SMALL_STATE(2783)] = 104489,
  [SMALL_STATE(2784)] = 104502,
  [SMALL_STATE(2785)] = 104515,
  [SMALL_STATE(2786)] = 104528,
  [SMALL_STATE(2787)] = 104541,
  [SMALL_STATE(2788)] = 104554,
  [SMALL_STATE(2789)] = 104567,
  [SMALL_STATE(2790)] = 104580,
  [SMALL_STATE(2791)] = 104593,
  [SMALL_STATE(2792)] = 104606,
  [SMALL_STATE(2793)] = 104619,
  [SMALL_STATE(2794)] = 104632,
  [SMALL_STATE(2795)] = 104645,
  [SMALL_STATE(2796)] = 104658,
  [SMALL_STATE(2797)] = 104671,
  [SMALL_STATE(2798)] = 104684,
  [SMALL_STATE(2799)] = 104697,
  [SMALL_STATE(2800)] = 104710,
  [SMALL_STATE(2801)] = 104723,
  [SMALL_STATE(2802)] = 104736,
  [SMALL_STATE(2803)] = 104749,
  [SMALL_STATE(2804)] = 104762,
  [SMALL_STATE(2805)] = 104775,
  [SMALL_STATE(2806)] = 104788,
  [SMALL_STATE(2807)] = 104801,
  [SMALL_STATE(2808)] = 104814,
  [SMALL_STATE(2809)] = 104827,
  [SMALL_STATE(2810)] = 104840,
  [SMALL_STATE(2811)] = 104853,
  [SMALL_STATE(2812)] = 104866,
  [SMALL_STATE(2813)] = 104879,
  [SMALL_STATE(2814)] = 104892,
  [SMALL_STATE(2815)] = 104905,
  [SMALL_STATE(2816)] = 104918,
  [SMALL_STATE(2817)] = 104931,
  [SMALL_STATE(2818)] = 104944,
  [SMALL_STATE(2819)] = 104957,
  [SMALL_STATE(2820)] = 104970,
  [SMALL_STATE(2821)] = 104983,
  [SMALL_STATE(2822)] = 104996,
  [SMALL_STATE(2823)] = 105009,
  [SMALL_STATE(2824)] = 105022,
  [SMALL_STATE(2825)] = 105035,
  [SMALL_STATE(2826)] = 105048,
  [SMALL_STATE(2827)] = 105061,
  [SMALL_STATE(2828)] = 105074,
  [SMALL_STATE(2829)] = 105087,
  [SMALL_STATE(2830)] = 105100,
  [SMALL_STATE(2831)] = 105113,
  [SMALL_STATE(2832)] = 105126,
  [SMALL_STATE(2833)] = 105139,
  [SMALL_STATE(2834)] = 105152,
  [SMALL_STATE(2835)] = 105165,
  [SMALL_STATE(2836)] = 105178,
  [SMALL_STATE(2837)] = 105191,
  [SMALL_STATE(2838)] = 105204,
  [SMALL_STATE(2839)] = 105217,
  [SMALL_STATE(2840)] = 105230,
  [SMALL_STATE(2841)] = 105243,
  [SMALL_STATE(2842)] = 105256,
  [SMALL_STATE(2843)] = 105269,
  [SMALL_STATE(2844)] = 105282,
  [SMALL_STATE(2845)] = 105295,
  [SMALL_STATE(2846)] = 105308,
  [SMALL_STATE(2847)] = 105321,
  [SMALL_STATE(2848)] = 105334,
  [SMALL_STATE(2849)] = 105347,
  [SMALL_STATE(2850)] = 105360,
  [SMALL_STATE(2851)] = 105373,
  [SMALL_STATE(2852)] = 105386,
  [SMALL_STATE(2853)] = 105399,
  [SMALL_STATE(2854)] = 105412,
  [SMALL_STATE(2855)] = 105425,
  [SMALL_STATE(2856)] = 105438,
  [SMALL_STATE(2857)] = 105451,
  [SMALL_STATE(2858)] = 105464,
  [SMALL_STATE(2859)] = 105477,
  [SMALL_STATE(2860)] = 105490,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1034),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(427),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1685),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2337),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1732),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(523),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1746),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2696),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2728),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2093),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(183),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(411),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2341),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(79),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2342),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2092),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2090),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2345),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(234),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(291),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(762),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(120),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(129),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2553),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1850),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1970),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1941),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1832),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(451),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1921),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(297),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(337),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2759),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(343),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1787),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1285),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2738),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1341),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2163),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1032),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 100),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 59),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 37),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1024),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(433),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1676),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2197),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1742),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(515),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1747),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2267),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2297),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2115),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2360),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(105),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2386),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2046),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2043),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2484),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(289),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(909),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1877),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(454),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1924),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1042),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 69),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 69),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 98),
  [935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 98),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 98),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 92),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 92),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 88),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 88),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 88),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 88),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 88),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 88),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 80),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 80),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 76),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 76),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 76),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 71),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 71),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 71),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 36),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 36),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 71),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 98),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 88),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 76),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 88),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(99),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [1301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1657),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1306] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(220),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(99),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(301),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(220),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(273),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(392),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(340),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 24),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 26),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 79),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 21),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 25),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 20),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 60),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 61),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 62),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 63),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 24),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 54),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 71),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 91),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 96),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 88),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 88),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 98),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 23),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 23),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 63),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 26),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 98),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 88),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 88),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 96),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 91),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 76),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 71),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 54),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 79),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 62),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 61),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 60),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 23),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 20),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 25),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 23),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 21),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 78),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 78),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 90),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 90),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(150),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 94),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 105),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(405),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(357),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(274),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [1862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [1865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17),
  [1924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 43),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 17),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 17),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .production_id = 31),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .production_id = 31),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 37),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 37),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 64),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 64),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 6),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 6),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 73),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 73),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 73),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 73),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 40),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 40),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 77),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 77),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 89),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 39),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 39),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 31),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 31),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 81),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 81),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 38),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 38),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 59),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 59), SHIFT(418),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 41),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56), REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [2343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 57),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [2467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 59), SHIFT(302),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1971),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1672),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1592),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(396),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(2553),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1932),
  [2666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1892),
  [2669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1541),
  [2672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1908),
  [2675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(2170),
  [2678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1524),
  [2681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1610),
  [2684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 70), SHIFT_REPEAT(1544),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 93),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 99),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 58),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 104),
  [2866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 6),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 88),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 83),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34), SHIFT_REPEAT(1575),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 34),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 33),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 76),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 98),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2109),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2170),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [3005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(226),
  [3008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1771),
  [3011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1767),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1874),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65), SHIFT_REPEAT(1750),
  [3068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65), SHIFT_REPEAT(231),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 18),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [3133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 31),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 44),
  [3187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(2809),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [3192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(269),
  [3195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 64),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, .production_id = 35),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 68),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, .dynamic_precedence = -1),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 66),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(1895),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [3242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(284),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [3263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(366),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 85),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [3294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2163),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [3303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(405),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(357),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 22),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(200),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(2044),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2),
  [3600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2), SHIFT_REPEAT(2044),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(2175),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2),
  [3610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2), SHIFT_REPEAT(2175),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2130),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(333),
  [3649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [3651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(2181),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(1744),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 1),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [3781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(195),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [3792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(2241),
  [3813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(228),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [3860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1777),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 57),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1814),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(1503),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 20),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(1505),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [4000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 1),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [4026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 98),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 99),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 104),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [4072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 93),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 58),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 88),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 86),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 84),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 82),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 83),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, .production_id = 97),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 76),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 82),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 44),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 67),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4346] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
};

static const bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
